#include <plasma_includes.h>

#include <smoke.h>
#include <plasma_smoke.h>

namespace __smokeplasma {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComboBox
      switch(to) {
        case 4: return (void*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 5:   //KComponentData
      switch(to) {
        case 5: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 6:   //KConfigBase
      switch(to) {
        case 6: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 7:   //KConfigDialog
      switch(to) {
        case 7: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 6: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KConfigSkeleton
      switch(to) {
        case 11: return (void*)(KCoreConfigSkeleton*)(KConfigSkeleton*)xptr;
        case 163: return (void*)(QObject*)(KConfigSkeleton*)xptr;
        case 9: return (void*)(KConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 10:   //KConfigSkeletonItem
      switch(to) {
        case 10: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 11:   //KCoreConfigSkeleton
      switch(to) {
        case 163: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 12:   //KIcon
      switch(to) {
        case 151: return (void*)(QIcon*)(KIcon*)xptr;
        case 12: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 13:   //KIntSpinBox
      switch(to) {
        case 13: return (void*)(KIntSpinBox*)xptr;
        default: return xptr;
      }
    case 14:   //KJob
      switch(to) {
        case 163: return (void*)(QObject*)(KJob*)xptr;
        case 14: return (void*)(KJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(KJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 15:   //KLineEdit
      switch(to) {
        case 15: return (void*)(KLineEdit*)xptr;
        default: return xptr;
      }
    case 16:   //KLocale
      switch(to) {
        case 16: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 17:   //KPluginInfo
      switch(to) {
        case 17: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 18:   //KPushButton
      switch(to) {
        case 18: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 19:   //KServiceAction
      switch(to) {
        case 19: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 20:   //KShortcut
      switch(to) {
        case 20: return (void*)(KShortcut*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 22:   //KTabBar
      switch(to) {
        case 199: return (void*)(QWidget*)(KTabBar*)xptr;
        case 163: return (void*)(QObject*)(KTabBar*)xptr;
        case 22: return (void*)(KTabBar*)xptr;
        default: return xptr;
      }
    case 23:   //KTextBrowser
      switch(to) {
        case 23: return (void*)(KTextBrowser*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEdit
      switch(to) {
        case 24: return (void*)(KTextEdit*)xptr;
        default: return xptr;
      }
    case 25:   //KUrl
      switch(to) {
        case 194: return (void*)(QUrl*)(KUrl*)xptr;
        case 25: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::AudioOutput
      switch(to) {
        case 26: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::MediaObject
      switch(to) {
        case 27: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoWidget
      switch(to) {
        case 28: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 30:   //Plasma::AbstractDialogManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractDialogManager*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)xptr;
        default: return xptr;
      }
    case 31:   //Plasma::AbstractRunner
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractRunner*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)xptr;
        default: return xptr;
      }
    case 32:   //Plasma::AbstractToolBox
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::AbstractToolBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AbstractToolBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::AbstractToolBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::AbstractToolBox*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)xptr;
        default: return xptr;
      }
    case 33:   //Plasma::AccessAppletJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::AccessAppletJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AccessAppletJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)xptr;
        default: return xptr;
      }
    case 34:   //Plasma::AccessManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AccessManager*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)xptr;
        default: return xptr;
      }
    case 35:   //Plasma::Animation
      switch(to) {
        case 110: return (void*)(QAbstractAnimation*)(Plasma::Animation*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Animation*)xptr;
        case 35: return (void*)(Plasma::Animation*)xptr;
        default: return xptr;
      }
    case 36:   //Plasma::AnimationDriver
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AnimationDriver*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)xptr;
        default: return xptr;
      }
    case 37:   //Plasma::Animator
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Animator*)xptr;
        case 37: return (void*)(Plasma::Animator*)xptr;
        default: return xptr;
      }
    case 38:   //Plasma::Applet
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Applet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Applet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Applet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Applet*)xptr;
        case 38: return (void*)(Plasma::Applet*)xptr;
        case 48: return (void*)(Plasma::Containment*)(Plasma::Applet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(Plasma::Applet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(Plasma::Applet*)xptr;
        default: return xptr;
      }
    case 39:   //Plasma::AppletScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::AppletScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AppletScript*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)xptr;
        default: return xptr;
      }
    case 40:   //Plasma::AuthorizationInterface
      switch(to) {
        case 40: return (void*)(Plasma::AuthorizationInterface*)xptr;
        default: return xptr;
      }
    case 41:   //Plasma::AuthorizationManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationManager*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)xptr;
        default: return xptr;
      }
    case 42:   //Plasma::AuthorizationRule
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationRule*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)xptr;
        default: return xptr;
      }
    case 43:   //Plasma::BusyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::BusyWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::BusyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::BusyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::BusyWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)xptr;
        default: return xptr;
      }
    case 44:   //Plasma::CheckBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::CheckBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::CheckBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::CheckBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::CheckBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::CheckBox*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)xptr;
        default: return xptr;
      }
    case 45:   //Plasma::ClientPinRequest
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ClientPinRequest*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)xptr;
        default: return xptr;
      }
    case 46:   //Plasma::ComboBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ComboBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ComboBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ComboBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ComboBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ComboBox*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)xptr;
        default: return xptr;
      }
    case 47:   //Plasma::ConfigLoader
      switch(to) {
        case 9: return (void*)(KConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ConfigLoader*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)xptr;
        default: return xptr;
      }
    case 48:   //Plasma::Containment
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::Containment*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Containment*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Containment*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Containment*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Containment*)xptr;
        case 48: return (void*)(Plasma::Containment*)xptr;
        default: return xptr;
      }
    case 49:   //Plasma::Containment::StyleOption
      switch(to) {
        case 186: return (void*)(QStyleOptionGraphicsItem*)(Plasma::Containment::StyleOption*)xptr;
        case 185: return (void*)(QStyleOption*)(Plasma::Containment::StyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)xptr;
        default: return xptr;
      }
    case 50:   //Plasma::ContainmentActions
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ContainmentActions*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)xptr;
        default: return xptr;
      }
    case 51:   //Plasma::ContainmentActionsPluginsConfig
      switch(to) {
        case 51: return (void*)(Plasma::ContainmentActionsPluginsConfig*)xptr;
        default: return xptr;
      }
    case 52:   //Plasma::Context
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Context*)xptr;
        case 52: return (void*)(Plasma::Context*)xptr;
        default: return xptr;
      }
    case 53:   //Plasma::Corona
      switch(to) {
        case 137: return (void*)(QGraphicsScene*)(Plasma::Corona*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Corona*)xptr;
        case 53: return (void*)(Plasma::Corona*)xptr;
        default: return xptr;
      }
    case 54:   //Plasma::DataContainer
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataContainer*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)xptr;
        default: return xptr;
      }
    case 55:   //Plasma::DataEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngine*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)xptr;
        default: return xptr;
      }
    case 56:   //Plasma::DataEngineManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngineManager*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)xptr;
        default: return xptr;
      }
    case 57:   //Plasma::DataEngineScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::DataEngineScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::DataEngineScript*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)xptr;
        default: return xptr;
      }
    case 58:   //Plasma::Delegate
      switch(to) {
        case 111: return (void*)(QAbstractItemDelegate*)(Plasma::Delegate*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Delegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)xptr;
        default: return xptr;
      }
    case 59:   //Plasma::Dialog
      switch(to) {
        case 199: return (void*)(QWidget*)(Plasma::Dialog*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Dialog*)xptr;
        case 59: return (void*)(Plasma::Dialog*)xptr;
        default: return xptr;
      }
    case 60:   //Plasma::Extender
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Extender*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Extender*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Extender*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Extender*)xptr;
        case 60: return (void*)(Plasma::Extender*)xptr;
        default: return xptr;
      }
    case 61:   //Plasma::ExtenderGroup
      switch(to) {
        case 62: return (void*)(Plasma::ExtenderItem*)(Plasma::ExtenderGroup*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderGroup*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderGroup*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderGroup*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderGroup*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)xptr;
        default: return xptr;
      }
    case 62:   //Plasma::ExtenderItem
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderItem*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderItem*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderItem*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(Plasma::ExtenderItem*)xptr;
        default: return xptr;
      }
    case 63:   //Plasma::FlashingLabel
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::FlashingLabel*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FlashingLabel*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::FlashingLabel*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::FlashingLabel*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)xptr;
        default: return xptr;
      }
    case 64:   //Plasma::Frame
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Frame*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Frame*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Frame*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Frame*)xptr;
        case 64: return (void*)(Plasma::Frame*)xptr;
        default: return xptr;
      }
    case 65:   //Plasma::FrameSvg
      switch(to) {
        case 95: return (void*)(Plasma::Svg*)(Plasma::FrameSvg*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FrameSvg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)xptr;
        default: return xptr;
      }
    case 66:   //Plasma::GLApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::GLApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GLApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GLApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GLApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GLApplet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)xptr;
        default: return xptr;
      }
    case 67:   //Plasma::GroupBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::GroupBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GroupBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GroupBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GroupBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GroupBox*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)xptr;
        default: return xptr;
      }
    case 68:   //Plasma::IconWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::IconWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::IconWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::IconWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::IconWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)xptr;
        default: return xptr;
      }
    case 69:   //Plasma::ItemBackground
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ItemBackground*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ItemBackground*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ItemBackground*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ItemBackground*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)xptr;
        default: return xptr;
      }
    case 70:   //Plasma::Label
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Label*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Label*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Label*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Label*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Label*)xptr;
        case 70: return (void*)(Plasma::Label*)xptr;
        default: return xptr;
      }
    case 71:   //Plasma::LineEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::LineEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::LineEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::LineEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::LineEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::LineEdit*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)xptr;
        default: return xptr;
      }
    case 72:   //Plasma::Meter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Meter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Meter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Meter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Meter*)xptr;
        case 72: return (void*)(Plasma::Meter*)xptr;
        default: return xptr;
      }
    case 73:   //Plasma::Package
      switch(to) {
        case 73: return (void*)(Plasma::Package*)xptr;
        default: return xptr;
      }
    case 74:   //Plasma::PackageMetadata
      switch(to) {
        case 74: return (void*)(Plasma::PackageMetadata*)xptr;
        default: return xptr;
      }
    case 75:   //Plasma::PackageStructure
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::PackageStructure*)xptr;
        case 179: return (void*)(QSharedData*)(Plasma::PackageStructure*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)xptr;
        default: return xptr;
      }
    case 76:   //Plasma::PlotColor
      switch(to) {
        case 76: return (void*)(Plasma::PlotColor*)xptr;
        default: return xptr;
      }
    case 77:   //Plasma::PopupApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::PopupApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PopupApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PopupApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PopupApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PopupApplet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)xptr;
        default: return xptr;
      }
    case 78:   //Plasma::PushButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::PushButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PushButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PushButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PushButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PushButton*)xptr;
        case 78: return (void*)(Plasma::PushButton*)xptr;
        default: return xptr;
      }
    case 79:   //Plasma::QueryMatch
      switch(to) {
        case 79: return (void*)(Plasma::QueryMatch*)xptr;
        default: return xptr;
      }
    case 80:   //Plasma::RadioButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::RadioButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::RadioButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RadioButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::RadioButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::RadioButton*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)xptr;
        default: return xptr;
      }
    case 81:   //Plasma::RunnerContext
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerContext*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)xptr;
        default: return xptr;
      }
    case 82:   //Plasma::RunnerManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerManager*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)xptr;
        default: return xptr;
      }
    case 83:   //Plasma::RunnerScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::RunnerScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RunnerScript*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)xptr;
        default: return xptr;
      }
    case 84:   //Plasma::RunnerSyntax
      switch(to) {
        case 84: return (void*)(Plasma::RunnerSyntax*)xptr;
        default: return xptr;
      }
    case 85:   //Plasma::ScriptEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ScriptEngine*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(Plasma::ScriptEngine*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(Plasma::ScriptEngine*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(Plasma::ScriptEngine*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(Plasma::ScriptEngine*)xptr;
        default: return xptr;
      }
    case 86:   //Plasma::ScrollBar
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ScrollBar*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollBar*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)xptr;
        default: return xptr;
      }
    case 87:   //Plasma::ScrollWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)xptr;
        default: return xptr;
      }
    case 88:   //Plasma::Separator
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Separator*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Separator*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Separator*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Separator*)xptr;
        case 88: return (void*)(Plasma::Separator*)xptr;
        default: return xptr;
      }
    case 89:   //Plasma::Service
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Service*)xptr;
        case 89: return (void*)(Plasma::Service*)xptr;
        default: return xptr;
      }
    case 90:   //Plasma::ServiceAccessJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::ServiceAccessJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ServiceAccessJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)xptr;
        default: return xptr;
      }
    case 91:   //Plasma::ServiceJob
      switch(to) {
        case 91: return (void*)(Plasma::ServiceJob*)xptr;
        default: return xptr;
      }
    case 92:   //Plasma::SignalPlotter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SignalPlotter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SignalPlotter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SignalPlotter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SignalPlotter*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)xptr;
        default: return xptr;
      }
    case 93:   //Plasma::Slider
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Slider*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Slider*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Slider*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Slider*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Slider*)xptr;
        case 93: return (void*)(Plasma::Slider*)xptr;
        default: return xptr;
      }
    case 94:   //Plasma::SpinBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::SpinBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SpinBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SpinBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SpinBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SpinBox*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)xptr;
        default: return xptr;
      }
    case 95:   //Plasma::Svg
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Svg*)xptr;
        case 95: return (void*)(Plasma::Svg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(Plasma::Svg*)xptr;
        default: return xptr;
      }
    case 96:   //Plasma::SvgWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SvgWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SvgWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SvgWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SvgWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)xptr;
        default: return xptr;
      }
    case 97:   //Plasma::TabBar
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TabBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TabBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TabBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TabBar*)xptr;
        case 97: return (void*)(Plasma::TabBar*)xptr;
        default: return xptr;
      }
    case 98:   //Plasma::TextBrowser
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextBrowser*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextBrowser*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextBrowser*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextBrowser*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextBrowser*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)xptr;
        default: return xptr;
      }
    case 99:   //Plasma::TextEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextEdit*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)xptr;
        default: return xptr;
      }
    case 100:   //Plasma::Theme
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Theme*)xptr;
        case 100: return (void*)(Plasma::Theme*)xptr;
        default: return xptr;
      }
    case 101:   //Plasma::ToolButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ToolButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ToolButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ToolButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ToolButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ToolButton*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)xptr;
        default: return xptr;
      }
    case 102:   //Plasma::ToolTipContent
      switch(to) {
        case 102: return (void*)(Plasma::ToolTipContent*)xptr;
        default: return xptr;
      }
    case 103:   //Plasma::ToolTipManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ToolTipManager*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)xptr;
        default: return xptr;
      }
    case 104:   //Plasma::TreeView
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TreeView*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TreeView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TreeView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TreeView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TreeView*)xptr;
        case 104: return (void*)(Plasma::TreeView*)xptr;
        default: return xptr;
      }
    case 105:   //Plasma::VideoWidget
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::VideoWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::VideoWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::VideoWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::VideoWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::VideoWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)xptr;
        default: return xptr;
      }
    case 106:   //Plasma::View
      switch(to) {
        case 146: return (void*)(QGraphicsView*)(Plasma::View*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)(Plasma::View*)xptr;
        case 132: return (void*)(QFrame*)(Plasma::View*)xptr;
        case 199: return (void*)(QWidget*)(Plasma::View*)xptr;
        case 163: return (void*)(QObject*)(Plasma::View*)xptr;
        case 106: return (void*)(Plasma::View*)xptr;
        default: return xptr;
      }
    case 107:   //Plasma::Wallpaper
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Wallpaper*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)xptr;
        default: return xptr;
      }
    case 108:   //Plasma::WallpaperScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::WallpaperScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WallpaperScript*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)xptr;
        default: return xptr;
      }
    case 109:   //Plasma::WebView
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::WebView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WebView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::WebView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::WebView*)xptr;
        case 109: return (void*)(Plasma::WebView*)xptr;
        default: return xptr;
      }
    case 110:   //QAbstractAnimation
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractAnimation*)xptr;
        case 110: return (void*)(QAbstractAnimation*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QAbstractAnimation*)xptr;
        default: return xptr;
      }
    case 111:   //QAbstractItemDelegate
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemDelegate*)xptr;
        case 111: return (void*)(QAbstractItemDelegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QAbstractItemDelegate*)xptr;
        default: return xptr;
      }
    case 112:   //QAbstractItemModel
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 112: return (void*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 113:   //QAbstractScrollArea
      switch(to) {
        case 132: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 199: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 163: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)xptr;
        case 106: return (void*)(Plasma::View*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 114:   //QAction
      switch(to) {
        case 114: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 115:   //QActionEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 115: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QBool
      switch(to) {
        case 116: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 117:   //QByteArray
      switch(to) {
        case 117: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 118:   //QCheckBox
      switch(to) {
        case 118: return (void*)(QCheckBox*)xptr;
        default: return xptr;
      }
    case 119:   //QChildEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 119: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 120:   //QCloseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 120: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 121:   //QColor
      switch(to) {
        case 121: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 122:   //QContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 122: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 123:   //QDragEnterEvent
      switch(to) {
        case 125: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 126: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 123: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 124:   //QDragLeaveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 124: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 125:   //QDragMoveEvent
      switch(to) {
        case 126: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 125: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 126:   //QDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 126: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 127:   //QEasingCurve
      switch(to) {
        case 127: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 128:   //QEvent
      switch(to) {
        case 128: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 129:   //QFocusEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 129: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 130:   //QFont
      switch(to) {
        case 130: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 131:   //QFontMetrics
      switch(to) {
        case 131: return (void*)(QFontMetrics*)xptr;
        default: return xptr;
      }
    case 132:   //QFrame
      switch(to) {
        case 199: return (void*)(QWidget*)(QFrame*)xptr;
        case 163: return (void*)(QObject*)(QFrame*)xptr;
        case 132: return (void*)(QFrame*)xptr;
        case 106: return (void*)(Plasma::View*)(QFrame*)xptr;
        default: return xptr;
      }
    case 134:   //QGraphicsItem
      switch(to) {
        case 134: return (void*)(QGraphicsItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 135:   //QGraphicsLayoutItem
      switch(to) {
        case 135: return (void*)(QGraphicsLayoutItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsLayoutItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsLayoutItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsLayoutItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsLayoutItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsLayoutItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsLayoutItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsLayoutItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsLayoutItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsLayoutItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsLayoutItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsLayoutItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsLayoutItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsLayoutItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsLayoutItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsLayoutItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsLayoutItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsLayoutItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsLayoutItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsLayoutItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsLayoutItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsLayoutItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsLayoutItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsLayoutItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsLayoutItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsLayoutItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsLayoutItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsLayoutItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsLayoutItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsLayoutItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsLayoutItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsLayoutItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsLayoutItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsLayoutItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsLayoutItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsLayoutItem*)xptr;
        default: return xptr;
      }
    case 136:   //QGraphicsProxyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(QGraphicsProxyWidget*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsProxyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsProxyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsProxyWidget*)xptr;
        case 136: return (void*)(QGraphicsProxyWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsProxyWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsProxyWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsProxyWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsProxyWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsProxyWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsProxyWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsProxyWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsProxyWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsProxyWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsProxyWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsProxyWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsProxyWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsProxyWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsProxyWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsProxyWidget*)xptr;
        default: return xptr;
      }
    case 137:   //QGraphicsScene
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsScene*)xptr;
        case 137: return (void*)(QGraphicsScene*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QGraphicsScene*)xptr;
        default: return xptr;
      }
    case 138:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 138: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 139: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 140:   //QGraphicsSceneHelpEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHelpEvent*)xptr;
        case 140: return (void*)(QGraphicsSceneHelpEvent*)xptr;
        default: return xptr;
      }
    case 141:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 141: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 142:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 142: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 143:   //QGraphicsSceneMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMoveEvent*)xptr;
        case 143: return (void*)(QGraphicsSceneMoveEvent*)xptr;
        default: return xptr;
      }
    case 144:   //QGraphicsSceneResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneResizeEvent*)xptr;
        case 144: return (void*)(QGraphicsSceneResizeEvent*)xptr;
        default: return xptr;
      }
    case 145:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 145: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 146:   //QGraphicsView
      switch(to) {
        case 113: return (void*)(QAbstractScrollArea*)(QGraphicsView*)xptr;
        case 132: return (void*)(QFrame*)(QGraphicsView*)xptr;
        case 199: return (void*)(QWidget*)(QGraphicsView*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsView*)xptr;
        case 146: return (void*)(QGraphicsView*)xptr;
        case 106: return (void*)(Plasma::View*)(QGraphicsView*)xptr;
        default: return xptr;
      }
    case 147:   //QGraphicsWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsWidget*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsWidget*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsWidget*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsWidget*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsWidget*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsWidget*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsWidget*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsWidget*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsWidget*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsWidget*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsWidget*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsWidget*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsWidget*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsWidget*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsWidget*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsWidget*)xptr;
        default: return xptr;
      }
    case 148:   //QGroupBox
      switch(to) {
        case 148: return (void*)(QGroupBox*)xptr;
        default: return xptr;
      }
    case 149:   //QHideEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 149: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 150:   //QIODevice
      switch(to) {
        case 163: return (void*)(QObject*)(QIODevice*)xptr;
        case 150: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 151:   //QIcon
      switch(to) {
        case 151: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 152:   //QImage
      switch(to) {
        case 152: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 153:   //QInputMethodEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 153: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QKeyEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 154: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 155:   //QLabel
      switch(to) {
        case 155: return (void*)(QLabel*)xptr;
        default: return xptr;
      }
    case 156:   //QMenu
      switch(to) {
        case 156: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 157:   //QMetaObject
      switch(to) {
        case 157: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 158:   //QMimeData
      switch(to) {
        case 163: return (void*)(QObject*)(QMimeData*)xptr;
        case 158: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 159:   //QModelIndex
      switch(to) {
        case 159: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 160:   //QMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 160: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 161: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 162:   //QMutex
      switch(to) {
        case 162: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 163:   //QObject
      switch(to) {
        case 163: return (void*)(QObject*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QObject*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QObject*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)(QObject*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)(QObject*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)(QObject*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(QObject*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(QObject*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)(QObject*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QObject*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QObject*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QObject*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)(QObject*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QObject*)xptr;
        case 70: return (void*)(Plasma::Label*)(QObject*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(QObject*)xptr;
        case 95: return (void*)(Plasma::Svg*)(QObject*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QObject*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QObject*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(QObject*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QObject*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QObject*)xptr;
        case 52: return (void*)(Plasma::Context*)(QObject*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QObject*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QObject*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)(QObject*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)(QObject*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QObject*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)(QObject*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QObject*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QObject*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)(QObject*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QObject*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QObject*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QObject*)xptr;
        case 89: return (void*)(Plasma::Service*)(QObject*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)(QObject*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QObject*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QObject*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(QObject*)xptr;
        case 37: return (void*)(Plasma::Animator*)(QObject*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(QObject*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)(QObject*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QObject*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QObject*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QObject*)xptr;
        case 100: return (void*)(Plasma::Theme*)(QObject*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QObject*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QObject*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QObject*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(QObject*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)(QObject*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)(QObject*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QObject*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QObject*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QObject*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QObject*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)(QObject*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QObject*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QObject*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QObject*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QObject*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QObject*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)(QObject*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)(QObject*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QObject*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QObject*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QObject*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QObject*)xptr;
        case 106: return (void*)(Plasma::View*)(QObject*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(QObject*)xptr;
        default: return xptr;
      }
    case 164:   //QPaintEngine
      switch(to) {
        case 164: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 165:   //QPaintEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 165: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QPainter
      switch(to) {
        case 166: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 167:   //QPainterPath
      switch(to) {
        case 167: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 168:   //QPalette
      switch(to) {
        case 168: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 169:   //QPixmap
      switch(to) {
        case 169: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 170:   //QPoint
      switch(to) {
        case 170: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 171:   //QPointF
      switch(to) {
        case 171: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 172:   //QRadioButton
      switch(to) {
        case 172: return (void*)(QRadioButton*)xptr;
        default: return xptr;
      }
    case 173:   //QRect
      switch(to) {
        case 173: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 174:   //QRectF
      switch(to) {
        case 174: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 175:   //QRegExp
      switch(to) {
        case 175: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 176:   //QRegion
      switch(to) {
        case 176: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 177:   //QResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 177: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 178:   //QScrollBar
      switch(to) {
        case 199: return (void*)(QWidget*)(QScrollBar*)xptr;
        case 163: return (void*)(QObject*)(QScrollBar*)xptr;
        case 178: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 179:   //QSharedData
      switch(to) {
        case 179: return (void*)(QSharedData*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 180:   //QShowEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 180: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 181:   //QSize
      switch(to) {
        case 181: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 182:   //QSizeF
      switch(to) {
        case 182: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 183:   //QSlider
      switch(to) {
        case 199: return (void*)(QWidget*)(QSlider*)xptr;
        case 163: return (void*)(QObject*)(QSlider*)xptr;
        case 183: return (void*)(QSlider*)xptr;
        default: return xptr;
      }
    case 184:   //QStyle
      switch(to) {
        case 163: return (void*)(QObject*)(QStyle*)xptr;
        case 184: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 185:   //QStyleOption
      switch(to) {
        case 185: return (void*)(QStyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 186:   //QStyleOptionGraphicsItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 186: return (void*)(QStyleOptionGraphicsItem*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 187:   //QStyleOptionViewItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 187: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 188:   //QTabletEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 188: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 189:   //QTextDocument
      switch(to) {
        case 189: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 190:   //QTextOption
      switch(to) {
        case 190: return (void*)(QTextOption*)xptr;
        default: return xptr;
      }
    case 191:   //QTimerEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 191: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 192:   //QToolButton
      switch(to) {
        case 192: return (void*)(QToolButton*)xptr;
        default: return xptr;
      }
    case 193:   //QTreeView
      switch(to) {
        case 193: return (void*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 194:   //QUrl
      switch(to) {
        case 194: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 195:   //QVariant
      switch(to) {
        case 195: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 196:   //QWebFrame
      switch(to) {
        case 196: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 197:   //QWebPage
      switch(to) {
        case 197: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 198:   //QWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 198: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 199:   //QWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QWidget*)xptr;
        case 199: return (void*)(QWidget*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QWidget*)xptr;
        case 106: return (void*)(Plasma::View*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    163, 0,	// 1: QObject
    147, 0,	// 3: QGraphicsWidget
    14, 0,	// 5: KJob
    110, 0,	// 7: QAbstractAnimation
    85, 0,	// 9: Plasma::ScriptEngine
    136, 0,	// 11: QGraphicsProxyWidget
    9, 0,	// 13: KConfigSkeleton
    38, 0,	// 15: Plasma::Applet
    186, 0,	// 17: QStyleOptionGraphicsItem
    137, 0,	// 19: QGraphicsScene
    111, 0,	// 21: QAbstractItemDelegate
    199, 0,	// 23: QWidget
    62, 0,	// 25: Plasma::ExtenderItem
    95, 0,	// 27: Plasma::Svg
    163, 179, 0,	// 29: QObject, QSharedData
    146, 0,	// 32: QGraphicsView
};

// These are the xenum functions for manipulating enum pointers
void xenum_Plasma__Animation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment__StyleOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractRunner(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Dialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipContent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Meter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Delegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Frame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Wallpaper(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Extender(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__RunnerContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Animator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Applet(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__QueryMatch(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Theme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__FrameSvg(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Plasma(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractDialogManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractRunner(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractToolBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessAppletJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animation(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AnimationDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Applet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationRule(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__BusyWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__CheckBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ClientPinRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ConfigLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment__StyleOption(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActionsPluginsConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Context(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Corona(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Delegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Extender(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FlashingLabel(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Frame(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FrameSvg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GLApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GroupBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__IconWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ItemBackground(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Label(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__LineEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Meter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Package(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageMetadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageStructure(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PlotColor(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PopupApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PushButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__QueryMatch(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RadioButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerContext(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerSyntax(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Separator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ServiceAccessJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SignalPlotter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Slider(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SpinBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Svg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SvgWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TabBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextBrowser(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Theme(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipContent(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__View(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Wallpaper(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WallpaperScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WebView(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//4
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//5
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//6
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KConfigSkeleton", true, 0, 0, 0, 0, 0 },	//9
    { "KConfigSkeletonItem", true, 0, 0, 0, 0, 0 },	//10
    { "KCoreConfigSkeleton", true, 0, 0, 0, 0, 0 },	//11
    { "KIcon", true, 0, 0, 0, 0, 0 },	//12
    { "KIntSpinBox", true, 0, 0, 0, 0, 0 },	//13
    { "KJob", true, 0, 0, 0, 0, 0 },	//14
    { "KLineEdit", true, 0, 0, 0, 0, 0 },	//15
    { "KLocale", true, 0, 0, 0, 0, 0 },	//16
    { "KPluginInfo", true, 0, 0, 0, 0, 0 },	//17
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//18
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//19
    { "KShortcut", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTabBar", true, 0, 0, 0, 0, 0 },	//22
    { "KTextBrowser", true, 0, 0, 0, 0, 0 },	//23
    { "KTextEdit", true, 0, 0, 0, 0, 0 },	//24
    { "KUrl", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::AudioOutput", true, 0, 0, 0, 0, 0 },	//26
    { "Phonon::MediaObject", true, 0, 0, 0, 0, 0 },	//27
    { "Phonon::VideoWidget", true, 0, 0, 0, 0, 0 },	//28
    { "Plasma", false, 0, xcall_Plasma, xenum_Plasma, Smoke::cf_namespace, 0 },	//29
    { "Plasma::AbstractDialogManager", false, 1, xcall_Plasma__AbstractDialogManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractDialogManager) },	//30
    { "Plasma::AbstractRunner", false, 1, xcall_Plasma__AbstractRunner, xenum_Plasma__AbstractRunner, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractRunner) },	//31
    { "Plasma::AbstractToolBox", false, 3, xcall_Plasma__AbstractToolBox, xenum_Plasma__AbstractToolBox, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractToolBox) },	//32
    { "Plasma::AccessAppletJob", false, 5, xcall_Plasma__AccessAppletJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AccessAppletJob) },	//33
    { "Plasma::AccessManager", false, 1, xcall_Plasma__AccessManager, 0, Smoke::cf_virtual, sizeof(Plasma::AccessManager) },	//34
    { "Plasma::Animation", false, 7, xcall_Plasma__Animation, xenum_Plasma__Animation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Animation) },	//35
    { "Plasma::AnimationDriver", false, 1, xcall_Plasma__AnimationDriver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AnimationDriver) },	//36
    { "Plasma::Animator", false, 1, xcall_Plasma__Animator, xenum_Plasma__Animator, Smoke::cf_virtual, sizeof(Plasma::Animator) },	//37
    { "Plasma::Applet", false, 3, xcall_Plasma__Applet, xenum_Plasma__Applet, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Applet) },	//38
    { "Plasma::AppletScript", false, 9, xcall_Plasma__AppletScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AppletScript) },	//39
    { "Plasma::AuthorizationInterface", false, 0, xcall_Plasma__AuthorizationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Plasma::AuthorizationInterface) },	//40
    { "Plasma::AuthorizationManager", false, 1, xcall_Plasma__AuthorizationManager, xenum_Plasma__AuthorizationManager, Smoke::cf_virtual, sizeof(Plasma::AuthorizationManager) },	//41
    { "Plasma::AuthorizationRule", false, 1, xcall_Plasma__AuthorizationRule, xenum_Plasma__AuthorizationRule, Smoke::cf_virtual, sizeof(Plasma::AuthorizationRule) },	//42
    { "Plasma::BusyWidget", false, 3, xcall_Plasma__BusyWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::BusyWidget) },	//43
    { "Plasma::CheckBox", false, 11, xcall_Plasma__CheckBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::CheckBox) },	//44
    { "Plasma::ClientPinRequest", false, 1, xcall_Plasma__ClientPinRequest, 0, Smoke::cf_virtual, sizeof(Plasma::ClientPinRequest) },	//45
    { "Plasma::ComboBox", false, 11, xcall_Plasma__ComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ComboBox) },	//46
    { "Plasma::ConfigLoader", false, 13, xcall_Plasma__ConfigLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ConfigLoader) },	//47
    { "Plasma::Containment", false, 15, xcall_Plasma__Containment, xenum_Plasma__Containment, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Containment) },	//48
    { "Plasma::Containment::StyleOption", false, 17, xcall_Plasma__Containment__StyleOption, xenum_Plasma__Containment__StyleOption, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Containment::StyleOption) },	//49
    { "Plasma::ContainmentActions", false, 1, xcall_Plasma__ContainmentActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ContainmentActions) },	//50
    { "Plasma::ContainmentActionsPluginsConfig", false, 0, xcall_Plasma__ContainmentActionsPluginsConfig, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ContainmentActionsPluginsConfig) },	//51
    { "Plasma::Context", false, 1, xcall_Plasma__Context, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Context) },	//52
    { "Plasma::Corona", false, 19, xcall_Plasma__Corona, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Corona) },	//53
    { "Plasma::DataContainer", false, 1, xcall_Plasma__DataContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataContainer) },	//54
    { "Plasma::DataEngine", false, 1, xcall_Plasma__DataEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngine) },	//55
    { "Plasma::DataEngineManager", false, 1, xcall_Plasma__DataEngineManager, 0, Smoke::cf_virtual, sizeof(Plasma::DataEngineManager) },	//56
    { "Plasma::DataEngineScript", false, 9, xcall_Plasma__DataEngineScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngineScript) },	//57
    { "Plasma::Delegate", false, 21, xcall_Plasma__Delegate, xenum_Plasma__Delegate, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Delegate) },	//58
    { "Plasma::Dialog", false, 23, xcall_Plasma__Dialog, xenum_Plasma__Dialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Dialog) },	//59
    { "Plasma::Extender", false, 3, xcall_Plasma__Extender, xenum_Plasma__Extender, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Extender) },	//60
    { "Plasma::ExtenderGroup", false, 25, xcall_Plasma__ExtenderGroup, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderGroup) },	//61
    { "Plasma::ExtenderItem", false, 3, xcall_Plasma__ExtenderItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderItem) },	//62
    { "Plasma::FlashingLabel", false, 3, xcall_Plasma__FlashingLabel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FlashingLabel) },	//63
    { "Plasma::Frame", false, 3, xcall_Plasma__Frame, xenum_Plasma__Frame, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Frame) },	//64
    { "Plasma::FrameSvg", false, 27, xcall_Plasma__FrameSvg, xenum_Plasma__FrameSvg, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FrameSvg) },	//65
    { "Plasma::GLApplet", false, 15, xcall_Plasma__GLApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GLApplet) },	//66
    { "Plasma::GroupBox", false, 11, xcall_Plasma__GroupBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GroupBox) },	//67
    { "Plasma::IconWidget", false, 3, xcall_Plasma__IconWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::IconWidget) },	//68
    { "Plasma::ItemBackground", false, 3, xcall_Plasma__ItemBackground, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ItemBackground) },	//69
    { "Plasma::Label", false, 11, xcall_Plasma__Label, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Label) },	//70
    { "Plasma::LineEdit", false, 11, xcall_Plasma__LineEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::LineEdit) },	//71
    { "Plasma::Meter", false, 3, xcall_Plasma__Meter, xenum_Plasma__Meter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Meter) },	//72
    { "Plasma::Package", false, 0, xcall_Plasma__Package, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Package) },	//73
    { "Plasma::PackageMetadata", false, 0, xcall_Plasma__PackageMetadata, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PackageMetadata) },	//74
    { "Plasma::PackageStructure", false, 29, xcall_Plasma__PackageStructure, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PackageStructure) },	//75
    { "Plasma::PlotColor", false, 0, xcall_Plasma__PlotColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PlotColor) },	//76
    { "Plasma::PopupApplet", false, 15, xcall_Plasma__PopupApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PopupApplet) },	//77
    { "Plasma::PushButton", false, 11, xcall_Plasma__PushButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PushButton) },	//78
    { "Plasma::QueryMatch", false, 0, xcall_Plasma__QueryMatch, xenum_Plasma__QueryMatch, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::QueryMatch) },	//79
    { "Plasma::RadioButton", false, 11, xcall_Plasma__RadioButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RadioButton) },	//80
    { "Plasma::RunnerContext", false, 1, xcall_Plasma__RunnerContext, xenum_Plasma__RunnerContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerContext) },	//81
    { "Plasma::RunnerManager", false, 1, xcall_Plasma__RunnerManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerManager) },	//82
    { "Plasma::RunnerScript", false, 9, xcall_Plasma__RunnerScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerScript) },	//83
    { "Plasma::RunnerSyntax", false, 0, xcall_Plasma__RunnerSyntax, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::RunnerSyntax) },	//84
    { "Plasma::ScriptEngine", false, 1, xcall_Plasma__ScriptEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScriptEngine) },	//85
    { "Plasma::ScrollBar", false, 11, xcall_Plasma__ScrollBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollBar) },	//86
    { "Plasma::ScrollWidget", false, 3, xcall_Plasma__ScrollWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollWidget) },	//87
    { "Plasma::Separator", false, 3, xcall_Plasma__Separator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Separator) },	//88
    { "Plasma::Service", false, 1, xcall_Plasma__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Service) },	//89
    { "Plasma::ServiceAccessJob", false, 5, xcall_Plasma__ServiceAccessJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ServiceAccessJob) },	//90
    { "Plasma::ServiceJob", true, 0, 0, 0, 0, 0 },	//91
    { "Plasma::SignalPlotter", false, 3, xcall_Plasma__SignalPlotter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SignalPlotter) },	//92
    { "Plasma::Slider", false, 11, xcall_Plasma__Slider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Slider) },	//93
    { "Plasma::SpinBox", false, 11, xcall_Plasma__SpinBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SpinBox) },	//94
    { "Plasma::Svg", false, 1, xcall_Plasma__Svg, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Svg) },	//95
    { "Plasma::SvgWidget", false, 3, xcall_Plasma__SvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SvgWidget) },	//96
    { "Plasma::TabBar", false, 3, xcall_Plasma__TabBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TabBar) },	//97
    { "Plasma::TextBrowser", false, 11, xcall_Plasma__TextBrowser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextBrowser) },	//98
    { "Plasma::TextEdit", false, 11, xcall_Plasma__TextEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextEdit) },	//99
    { "Plasma::Theme", false, 1, xcall_Plasma__Theme, xenum_Plasma__Theme, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Theme) },	//100
    { "Plasma::ToolButton", false, 11, xcall_Plasma__ToolButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ToolButton) },	//101
    { "Plasma::ToolTipContent", false, 0, xcall_Plasma__ToolTipContent, xenum_Plasma__ToolTipContent, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ToolTipContent) },	//102
    { "Plasma::ToolTipManager", false, 1, xcall_Plasma__ToolTipManager, xenum_Plasma__ToolTipManager, Smoke::cf_virtual, sizeof(Plasma::ToolTipManager) },	//103
    { "Plasma::TreeView", false, 11, xcall_Plasma__TreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TreeView) },	//104
    { "Plasma::VideoWidget", false, 11, xcall_Plasma__VideoWidget, xenum_Plasma__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::VideoWidget) },	//105
    { "Plasma::View", false, 32, xcall_Plasma__View, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::View) },	//106
    { "Plasma::Wallpaper", false, 1, xcall_Plasma__Wallpaper, xenum_Plasma__Wallpaper, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Wallpaper) },	//107
    { "Plasma::WallpaperScript", false, 9, xcall_Plasma__WallpaperScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WallpaperScript) },	//108
    { "Plasma::WebView", false, 3, xcall_Plasma__WebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WebView) },	//109
    { "QAbstractAnimation", true, 0, 0, 0, 0, 0 },	//110
    { "QAbstractItemDelegate", true, 0, 0, 0, 0, 0 },	//111
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//112
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//113
    { "QAction", true, 0, 0, 0, 0, 0 },	//114
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QBool", true, 0, 0, 0, 0, 0 },	//116
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//117
    { "QCheckBox", true, 0, 0, 0, 0, 0 },	//118
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//119
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//120
    { "QColor", true, 0, 0, 0, 0, 0 },	//121
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//122
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//123
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//124
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//125
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//126
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//127
    { "QEvent", true, 0, 0, 0, 0, 0 },	//128
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//129
    { "QFont", true, 0, 0, 0, 0, 0 },	//130
    { "QFontMetrics", true, 0, 0, 0, 0, 0 },	//131
    { "QFrame", true, 0, 0, 0, 0, 0 },	//132
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//133
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//134
    { "QGraphicsLayoutItem", true, 0, 0, 0, 0, 0 },	//135
    { "QGraphicsProxyWidget", true, 0, 0, 0, 0, 0 },	//136
    { "QGraphicsScene", true, 0, 0, 0, 0, 0 },	//137
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//139
    { "QGraphicsSceneHelpEvent", true, 0, 0, 0, 0, 0 },	//140
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//141
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//142
    { "QGraphicsSceneMoveEvent", true, 0, 0, 0, 0, 0 },	//143
    { "QGraphicsSceneResizeEvent", true, 0, 0, 0, 0, 0 },	//144
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//145
    { "QGraphicsView", true, 0, 0, 0, 0, 0 },	//146
    { "QGraphicsWidget", true, 0, 0, 0, 0, 0 },	//147
    { "QGroupBox", true, 0, 0, 0, 0, 0 },	//148
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//149
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//150
    { "QIcon", true, 0, 0, 0, 0, 0 },	//151
    { "QImage", true, 0, 0, 0, 0, 0 },	//152
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//154
    { "QLabel", true, 0, 0, 0, 0, 0 },	//155
    { "QMenu", true, 0, 0, 0, 0, 0 },	//156
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//157
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//158
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//159
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//161
    { "QMutex", true, 0, 0, 0, 0, 0 },	//162
    { "QObject", true, 0, 0, 0, 0, 0 },	//163
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//164
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QPainter", true, 0, 0, 0, 0, 0 },	//166
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//167
    { "QPalette", true, 0, 0, 0, 0, 0 },	//168
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//169
    { "QPoint", true, 0, 0, 0, 0, 0 },	//170
    { "QPointF", true, 0, 0, 0, 0, 0 },	//171
    { "QRadioButton", true, 0, 0, 0, 0, 0 },	//172
    { "QRect", true, 0, 0, 0, 0, 0 },	//173
    { "QRectF", true, 0, 0, 0, 0, 0 },	//174
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//175
    { "QRegion", true, 0, 0, 0, 0, 0 },	//176
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//177
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//178
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//179
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//180
    { "QSize", true, 0, 0, 0, 0, 0 },	//181
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//182
    { "QSlider", true, 0, 0, 0, 0, 0 },	//183
    { "QStyle", true, 0, 0, 0, 0, 0 },	//184
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//185
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//186
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//187
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//188
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//189
    { "QTextOption", true, 0, 0, 0, 0, 0 },	//190
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//191
    { "QToolButton", true, 0, 0, 0, 0, 0 },	//192
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//193
    { "QUrl", true, 0, 0, 0, 0, 0 },	//194
    { "QVariant", true, 0, 0, 0, 0, 0 },	//195
    { "QWebFrame", true, 0, 0, 0, 0, 0 },	//196
    { "QWebPage", true, 0, 0, 0, 0, 0 },	//197
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//198
    { "QWidget", true, 0, 0, 0, 0, 0 },	//199
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "GLenum", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "GLuint", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KComboBox*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KComponentData", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KConfigDialog*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KConfigGroup", 8, Smoke::t_class|Smoke::tf_stack },	//10
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//11
    { "KConfigSkeletonItem*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "KIntSpinBox*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KLineEdit*", 15, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KLocale*", 16, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KPluginInfo", 17, Smoke::t_class|Smoke::tf_stack },	//17
    { "KPushButton*", 18, Smoke::t_class|Smoke::tf_ptr },	//18
    { "KServiceAction", 19, Smoke::t_class|Smoke::tf_stack },	//19
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//21
    { "KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack },	//22
    { "KShortcut", 20, Smoke::t_class|Smoke::tf_stack },	//23
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KSycocaFactoryId", 133, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KSycocaType", 133, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KTabBar*", 22, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KTextBrowser*", 23, Smoke::t_class|Smoke::tf_ptr },	//28
    { "KTextEdit*", 24, Smoke::t_class|Smoke::tf_ptr },	//29
    { "KUrl", 25, Smoke::t_class|Smoke::tf_stack },	//30
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "Phonon::AudioOutput*", 26, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Phonon::MediaObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Phonon::VideoWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Plasma::AbstractDialogManager*", 30, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Plasma::AbstractRunner*", 31, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Plasma::AbstractRunner::Priority", 31, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Plasma::AbstractRunner::Speed", 31, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Plasma::AbstractToolBox*", 32, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Plasma::AbstractToolBox::ToolType", 32, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Plasma::AccessAppletJob*", 33, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Plasma::AccessManager*", 34, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Plasma::Animation*", 35, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Plasma::Animation::MovementDirectionFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Plasma::Animation::ReferenceFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Plasma::AnimationDriver*", 36, Smoke::t_class|Smoke::tf_ptr },	//46
    { "Plasma::Animator*", 37, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Plasma::Animator::Animation", 37, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Plasma::Animator::CurveShape", 37, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Plasma::Animator::Movement", 37, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Plasma::AnnouncementMethod", 29, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Plasma::AnnouncementMethods", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "Plasma::Applet*", 38, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Plasma::Applet::BackgroundHint", 38, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Plasma::AppletScript*", 39, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Plasma::AspectRatioMode", 29, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Plasma::AuthorizationInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Plasma::AuthorizationManager*", 41, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Plasma::AuthorizationManager::AuthorizationPolicy", 41, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Plasma::AuthorizationRule&", 42, Smoke::t_class|Smoke::tf_ref },	//60
    { "Plasma::AuthorizationRule*", 42, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Plasma::AuthorizationRule::Persistence", 42, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Plasma::AuthorizationRule::Policy", 42, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Plasma::AuthorizationRule::Target", 42, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Plasma::BusyWidget*", 43, Smoke::t_class|Smoke::tf_ptr },	//65
    { "Plasma::CheckBox*", 44, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Plasma::ClientPinRequest&", 45, Smoke::t_class|Smoke::tf_ref },	//67
    { "Plasma::ClientPinRequest*", 45, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Plasma::ComboBox*", 46, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Plasma::ComponentType", 29, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Plasma::ConfigLoader*", 47, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Plasma::Constraint", 29, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Plasma::Containment*", 48, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Plasma::Containment::StyleOption*", 49, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Plasma::Containment::StyleOption::StyleOptionType", 49, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Plasma::Containment::StyleOption::StyleOptionVersion", 49, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Plasma::ContainmentActions*", 50, Smoke::t_class|Smoke::tf_ptr },	//78
    { "Plasma::ContainmentActionsPluginsConfig", 51, Smoke::t_class|Smoke::tf_stack },	//79
    { "Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref },	//80
    { "Plasma::ContainmentActionsPluginsConfig*", 51, Smoke::t_class|Smoke::tf_ptr },	//81
    { "Plasma::Context*", 52, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Plasma::Corona*", 53, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Plasma::DataContainer*", 54, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Plasma::DataEngine*", 55, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Plasma::DataEngine::Data", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "Plasma::DataEngineManager*", 56, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Plasma::DataEngineScript*", 57, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Plasma::Delegate*", 58, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Plasma::Delegate::ColumnType", 58, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Plasma::Delegate::SpecificRoles", 58, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Plasma::Dialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Plasma::Dialog::ResizeCorner", 59, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Plasma::Direction", 29, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Plasma::Extender*", 60, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Plasma::Extender::Appearance", 60, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Plasma::ExtenderGroup*", 61, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Plasma::ExtenderItem*", 62, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Plasma::FlashingLabel*", 63, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Plasma::FlipDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Plasma::FormFactor", 29, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Plasma::Frame*", 64, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Plasma::Frame::Shadow", 64, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Plasma::FrameSvg*", 65, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Plasma::FrameSvg::EnabledBorder", 65, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Plasma::GLApplet*", 66, Smoke::t_class|Smoke::tf_ptr },	//106
    { "Plasma::GroupBox*", 67, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Plasma::IconWidget*", 68, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Plasma::IntervalAlignment", 29, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Plasma::ItemBackground*", 69, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Plasma::ItemTypes", 29, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Plasma::Label*", 70, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Plasma::LineEdit*", 71, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Plasma::Location", 29, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Plasma::Meter*", 72, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Plasma::Meter::MeterType", 72, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Plasma::Package&", 73, Smoke::t_class|Smoke::tf_ref },	//121
    { "Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Plasma::PackageMetadata", 74, Smoke::t_class|Smoke::tf_stack },	//123
    { "Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref },	//124
    { "Plasma::PackageMetadata*", 74, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref },	//126
    { "Plasma::PackageStructure*", 75, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Plasma::PlotColor*", 76, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Plasma::PopupApplet*", 77, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Plasma::PopupPlacement", 29, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Plasma::Position", 29, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Plasma::PushButton*", 78, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Plasma::QueryMatch", 79, Smoke::t_class|Smoke::tf_stack },	//133
    { "Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref },	//134
    { "Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Plasma::QueryMatch::Type", 79, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Plasma::RadioButton*", 80, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref },	//138
    { "Plasma::RunnerContext*", 81, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Plasma::RunnerContext::Type", 81, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Plasma::RunnerManager*", 82, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Plasma::RunnerScript*", 83, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref },	//143
    { "Plasma::RunnerSyntax*", 84, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Plasma::ScriptEngine*", 85, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Plasma::ScrollBar*", 86, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Plasma::ScrollWidget*", 87, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Plasma::Separator*", 88, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Plasma::Service*", 89, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Plasma::ServiceAccessJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Plasma::ServiceJob*", 91, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Plasma::SignalPlotter*", 92, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Plasma::Slider*", 93, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Plasma::SpinBox*", 94, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Plasma::Svg*", 95, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Plasma::SvgWidget*", 96, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Plasma::TabBar*", 97, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Plasma::TextBrowser*", 98, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Plasma::TextEdit*", 99, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Plasma::Theme*", 100, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Plasma::Theme::ColorRole", 100, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Plasma::Theme::FontRole", 100, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Plasma::ToolButton*", 101, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref },	//164
    { "Plasma::ToolTipContent*", 102, Smoke::t_class|Smoke::tf_ptr },	//165
    { "Plasma::ToolTipContent::ResourceType", 102, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Plasma::ToolTipManager*", 103, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Plasma::ToolTipManager::State", 103, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Plasma::TreeView*", 104, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Plasma::TrustLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Plasma::VideoWidget*", 105, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Plasma::VideoWidget::Control", 105, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Plasma::View*", 106, Smoke::t_class|Smoke::tf_ptr },	//173
    { "Plasma::Wallpaper*", 107, Smoke::t_class|Smoke::tf_ptr },	//174
    { "Plasma::Wallpaper::ResizeMethod", 107, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Plasma::WallpaperScript*", 108, Smoke::t_class|Smoke::tf_ptr },	//176
    { "Plasma::WebView*", 109, Smoke::t_class|Smoke::tf_ptr },	//177
    { "Plasma::WindowEffects::Effect", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Plasma::ZoomDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Plasma::ZoomLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QAbstractAnimation::Direction", 110, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QAbstractAnimation::State", 110, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QAbstractItemModel*", 112, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QAction*", 114, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QActionEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QBool", 116, Smoke::t_class|Smoke::tf_stack },	//186
    { "QCheckBox*", 118, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QChildEvent*", 119, Smoke::t_class|Smoke::tf_ptr },	//188
    { "QCloseEvent*", 120, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QColor", 121, Smoke::t_class|Smoke::tf_stack },	//190
    { "QColor&", 121, Smoke::t_class|Smoke::tf_ref },	//191
    { "QContextMenuEvent*", 122, Smoke::t_class|Smoke::tf_ptr },	//192
    { "QDragEnterEvent*", 123, Smoke::t_class|Smoke::tf_ptr },	//193
    { "QDragLeaveEvent*", 124, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QDragMoveEvent*", 125, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QDropEvent*", 126, Smoke::t_class|Smoke::tf_ptr },	//197
    { "QEasingCurve", 127, Smoke::t_class|Smoke::tf_stack },	//198
    { "QEvent*", 128, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//200
    { "QFlags<Plasma::AuthorizationRule::Target>", 0, Smoke::t_uint|Smoke::tf_stack },	//201
    { "QFlags<Plasma::ComponentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//202
    { "QFlags<Plasma::Constraint>", 0, Smoke::t_uint|Smoke::tf_stack },	//203
    { "QFlags<Plasma::Dialog::ResizeCorner>", 0, Smoke::t_uint|Smoke::tf_stack },	//204
    { "QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack },	//205
    { "QFlags<Plasma::RunnerContext::Type>", 0, Smoke::t_uint|Smoke::tf_stack },	//206
    { "QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack },	//207
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//208
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//209
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//210
    { "QFocusEvent*", 129, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QFont", 130, Smoke::t_class|Smoke::tf_stack },	//212
    { "QFontMetrics", 131, Smoke::t_class|Smoke::tf_stack },	//213
    { "QGL::FormatOption", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QGraphicsItem**", 134, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QGraphicsItem::Extension", 134, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QGraphicsItem::GraphicsItemChange", 134, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QGraphicsLayoutItem*", 135, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QGraphicsSceneContextMenuEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QGraphicsSceneDragDropEvent*", 139, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QGraphicsSceneHelpEvent*", 140, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QGraphicsSceneHoverEvent*", 141, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QGraphicsSceneMouseEvent*", 142, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QGraphicsSceneMoveEvent*", 143, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QGraphicsSceneResizeEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QGraphicsSceneWheelEvent*", 145, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QGraphicsWidget*", 147, Smoke::t_class|Smoke::tf_ptr },	//229
    { "QGroupBox*", 148, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QHash<QString,Plasma::DataContainer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//231
    { "QHash<QString,QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//232
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//233
    { "QHideEvent*", 149, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QIODevice*", 150, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QIcon", 151, Smoke::t_class|Smoke::tf_stack },	//236
    { "QImage", 152, Smoke::t_class|Smoke::tf_stack },	//237
    { "QImage&", 152, Smoke::t_class|Smoke::tf_ref },	//238
    { "QInputMethodEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QKeyEvent*", 154, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QLabel*", 155, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QList<Plasma::AbstractRunner*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QList<Plasma::Applet*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QList<Plasma::Containment*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<Plasma::ExtenderGroup*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QList<Plasma::ExtenderItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<Plasma::Location>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QList<Plasma::PackageMetadata>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QList<Plasma::PlotColor>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//252
    { "QList<Plasma::QueryMatch>", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QList<Plasma::RunnerSyntax>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//256
    { "QList<QAction*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//257
    { "QList<QGraphicsWidget*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QList<QSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "QList<const char*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "QList<unsigned long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//261
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//262
    { "QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//263
    { "QMenu*", 156, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QMetaObject::Call", 157, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QMimeData*", 158, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QMouseEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QMoveEvent*", 161, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QMutex*", 162, Smoke::t_class|Smoke::tf_ptr },	//269
    { "QObject*", 163, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QPaintEngine*", 164, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QPaintEngine::Type", 164, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QPaintEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QPainter*", 166, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QPainterPath", 167, Smoke::t_class|Smoke::tf_stack },	//276
    { "QPixmap", 169, Smoke::t_class|Smoke::tf_stack },	//277
    { "QPixmap&", 169, Smoke::t_class|Smoke::tf_ref },	//278
    { "QPoint", 170, Smoke::t_class|Smoke::tf_stack },	//279
    { "QPointF", 171, Smoke::t_class|Smoke::tf_stack },	//280
    { "QRadioButton*", 172, Smoke::t_class|Smoke::tf_ptr },	//281
    { "QRect", 173, Smoke::t_class|Smoke::tf_stack },	//282
    { "QRectF", 174, Smoke::t_class|Smoke::tf_stack },	//283
    { "QRectF&", 174, Smoke::t_class|Smoke::tf_ref },	//284
    { "QRegExp&", 175, Smoke::t_class|Smoke::tf_ref },	//285
    { "QRegion", 176, Smoke::t_class|Smoke::tf_stack },	//286
    { "QResizeEvent*", 177, Smoke::t_class|Smoke::tf_ptr },	//287
    { "QScrollBar*", 178, Smoke::t_class|Smoke::tf_ptr },	//288
    { "QShowEvent*", 180, Smoke::t_class|Smoke::tf_ptr },	//289
    { "QSize", 181, Smoke::t_class|Smoke::tf_stack },	//290
    { "QSizeF", 182, Smoke::t_class|Smoke::tf_stack },	//291
    { "QSlider*", 183, Smoke::t_class|Smoke::tf_ptr },	//292
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//293
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//294
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//295
    { "QStyle&", 184, Smoke::t_class|Smoke::tf_ref },	//296
    { "QStyleOption*", 185, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QTabletEvent*", 188, Smoke::t_class|Smoke::tf_ptr },	//298
    { "QTextDocument*", 189, Smoke::t_class|Smoke::tf_ptr },	//299
    { "QTimerEvent*", 191, Smoke::t_class|Smoke::tf_ptr },	//300
    { "QToolButton*", 192, Smoke::t_class|Smoke::tf_ptr },	//301
    { "QTreeView*", 193, Smoke::t_class|Smoke::tf_ptr },	//302
    { "QUrl", 194, Smoke::t_class|Smoke::tf_stack },	//303
    { "QVariant", 195, Smoke::t_class|Smoke::tf_stack },	//304
    { "QVariantList", 0, Smoke::t_voidp|Smoke::tf_stack },	//305
    { "QWebFrame*", 196, Smoke::t_class|Smoke::tf_ptr },	//306
    { "QWebPage*", 197, Smoke::t_class|Smoke::tf_ptr },	//307
    { "QWheelEvent*", 198, Smoke::t_class|Smoke::tf_ptr },	//308
    { "QWidget*", 199, Smoke::t_class|Smoke::tf_ptr },	//309
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//350
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::MouseButtons", 0, Smoke::t_uint|Smoke::tf_stack },	//356
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//379
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//380
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//381
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//382
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtMsgType", 133, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForActiveQtModule", 133, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForCoreModule", 133, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForDBusModule", 133, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForDeclarativeModule", 133, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForGuiModule", 133, Smoke::t_enum|Smoke::tf_stack },	//389
    { "QtValidLicenseForHelpModule", 133, Smoke::t_enum|Smoke::tf_stack },	//390
    { "QtValidLicenseForMultimediaModule", 133, Smoke::t_enum|Smoke::tf_stack },	//391
    { "QtValidLicenseForNetworkModule", 133, Smoke::t_enum|Smoke::tf_stack },	//392
    { "QtValidLicenseForOpenGLModule", 133, Smoke::t_enum|Smoke::tf_stack },	//393
    { "QtValidLicenseForOpenVGModule", 133, Smoke::t_enum|Smoke::tf_stack },	//394
    { "QtValidLicenseForQt3SupportLightModule", 133, Smoke::t_enum|Smoke::tf_stack },	//395
    { "QtValidLicenseForQt3SupportModule", 133, Smoke::t_enum|Smoke::tf_stack },	//396
    { "QtValidLicenseForScriptModule", 133, Smoke::t_enum|Smoke::tf_stack },	//397
    { "QtValidLicenseForScriptToolsModule", 133, Smoke::t_enum|Smoke::tf_stack },	//398
    { "QtValidLicenseForSqlModule", 133, Smoke::t_enum|Smoke::tf_stack },	//399
    { "QtValidLicenseForSvgModule", 133, Smoke::t_enum|Smoke::tf_stack },	//400
    { "QtValidLicenseForTestModule", 133, Smoke::t_enum|Smoke::tf_stack },	//401
    { "QtValidLicenseForXmlModule", 133, Smoke::t_enum|Smoke::tf_stack },	//402
    { "QtValidLicenseForXmlPatternsModule", 133, Smoke::t_enum|Smoke::tf_stack },	//403
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//404
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//405
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//406
    { "const KComponentData&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const KConfigBase&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const KConfigGroup*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const KIcon&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const KPluginInfo&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//414
    { "const KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//415
    { "const KShortcut&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const KUrl&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const Plasma::AuthorizationInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const Plasma::Containment::StyleOption&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//422
    { "const Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const Plasma::DataEngine::Data&", 0, Smoke::t_voidp|Smoke::tf_stack },	//424
    { "const Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//425
    { "const Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//426
    { "const Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//427
    { "const Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//428
    { "const Plasma::Package&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const Plasma::PlotColor&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//435
    { "const Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QByteArray&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QColor&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QEasingCurve&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//442
    { "const QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//443
    { "const QFlags<Plasma::MessageButton>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//444
    { "const QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//445
    { "const QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//446
    { "const QFont&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//448
    { "const QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//449
    { "const QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//450
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QIcon&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QImage&", 152, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QList<Plasma::QueryMatch>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QList<Plasma::RunnerSyntax>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QList<QRect>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QList<unsigned long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QMetaObject&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QMetaObject*", 157, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//463
    { "const QModelIndex&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QObject*", 163, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "const QPainterPath&", 167, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QPalette&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QPixmap&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QPoint", 170, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//469
    { "const QPoint&", 170, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QPointF&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QRect&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QRectF&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QRegExp&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QRegion&", 176, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QSize&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QSizeF&", 182, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//478
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//480
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//482
    { "const QStyleOptionGraphicsItem&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QStyleOptionGraphicsItem*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//484
    { "const QStyleOptionViewItem&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QTextOption&", 190, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QUrl&", 194, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QVariant&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//489
    { "const bool", 0, Smoke::t_bool|Smoke::tf_stack|Smoke::tf_const },	//490
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//491
    { "const double", 0, Smoke::t_double|Smoke::tf_stack|Smoke::tf_const },	//492
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//493
    { "const int&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//495
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//496
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//497
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//498
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//499
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//500
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//501
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//502
    { "mode_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//503
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//504
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//505
    { "uint", 0, Smoke::t_uint|Smoke::tf_stack },	//506
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//507
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//508
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//509
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//510
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//511
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    491, 0,	//1  const char*
    265, 499, 510, 0,	//3  QMetaObject::Call, int, void**
    406, 0,	//7  bool
    479, 36, 0,	//9  const QString&, Plasma::AbstractRunner*
    479, 70, 0,	//12  const QString&, Plasma::ComponentType
    202, 0,	//15  QFlags<Plasma::ComponentType>
    507, 0,	//17  unsigned int
    479, 53, 0,	//19  const QString&, Plasma::Applet*
    479, 85, 0,	//22  const QString&, Plasma::DataEngine*
    116, 0,	//25  Plasma::Location
    180, 0,	//27  Plasma::ZoomLevel
    448, 0,	//29  const QGraphicsItem*
    479, 174, 0,	//31  const QString&, Plasma::Wallpaper*
    264, 479, 270, 0,	//34  QMenu*, const QString&, QObject*
    264, 0,	//38  QMenu*
    264, 479, 0,	//40  QMenu*, const QString&
    491, 491, 0,	//43  const char*, const char*
    491, 491, 499, 0,	//46  const char*, const char*, int
    83, 0,	//50  Plasma::Corona*
    309, 53, 0,	//52  QWidget*, Plasma::Applet*
    138, 0,	//55  Plasma::RunnerContext&
    309, 0,	//57  QWidget*
    436, 434, 0,	//59  const Plasma::RunnerContext&, const Plasma::QueryMatch&
    206, 0,	//62  QFlags<Plasma::RunnerContext::Type>
    270, 479, 0,	//64  QObject*, const QString&
    414, 270, 0,	//67  const KSharedPtr<KService>, QObject*
    270, 458, 0,	//70  QObject*, const QList<QVariant>&
    38, 0,	//73  Plasma::AbstractRunner::Speed
    37, 0,	//75  Plasma::AbstractRunner::Priority
    479, 479, 0,	//77  const QString&, const QString&
    434, 0,	//80  const Plasma::QueryMatch&
    479, 452, 479, 0,	//82  const QString&, const QIcon&, const QString&
    479, 184, 0,	//86  const QString&, QAction*
    479, 0,	//89  const QString&
    437, 0,	//91  const Plasma::RunnerSyntax&
    455, 0,	//93  const QList<Plasma::RunnerSyntax>&
    435, 0,	//95  const Plasma::QueryMatch*
    270, 0,	//97  QObject*
    414, 0,	//99  const KSharedPtr<KService>
    73, 0,	//101  Plasma::Containment*
    479, 458, 73, 0,	//103  const QString&, const QList<QVariant>&, Plasma::Containment*
    184, 0,	//107  QAction*
    490, 0,	//109  const bool
    410, 0,	//111  const KConfigGroup&
    479, 458, 0,	//113  const QString&, const QList<QVariant>&
    417, 270, 0,	//116  const KUrl&, QObject*
    417, 0,	//119  const KUrl&
    41, 0,	//121  Plasma::AccessAppletJob*
    123, 0,	//123  Plasma::PackageMetadata
    229, 0,	//125  QGraphicsWidget*
    441, 0,	//127  const QEasingCurve&
    499, 0,	//129  int
    48, 0,	//131  Plasma::Animator::Animation
    50, 0,	//133  Plasma::Animator::Movement
    496, 468, 0,	//135  double, const QPixmap&
    496, 215, 0,	//138  double, QGraphicsItem*
    496, 215, 470, 470, 0,	//141  double, QGraphicsItem*, const QPoint&, const QPoint&
    48, 270, 0,	//146  Plasma::Animator::Animation, QObject*
    479, 270, 0,	//149  const QString&, QObject*
    49, 0,	//152  Plasma::Animator::CurveShape
    215, 50, 470, 0,	//154  QGraphicsItem*, Plasma::Animator::Movement, const QPoint&
    499, 499, 49, 270, 491, 0,	//158  int, int, Plasma::Animator::CurveShape, QObject*, const char*
    499, 468, 0,	//164  int, const QPixmap&
    215, 48, 0,	//167  QGraphicsItem*, Plasma::Animator::Animation
    215, 0,	//170  QGraphicsItem*
    229, 182, 182, 0,	//172  QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State
    300, 0,	//176  QTimerEvent*
    11, 0,	//178  KConfigGroup&
    449, 472, 0,	//180  const QGraphicsView*, const QRect&
    449, 473, 0,	//183  const QGraphicsView*, const QRectF&
    476, 0,	//186  const QSize&
    476, 310, 0,	//188  const QSize&, Qt::AlignmentFlag
    203, 0,	//191  QFlags<Plasma::Constraint>
    56, 0,	//193  Plasma::AspectRatioMode
    487, 0,	//195  const QUrl&
    479, 406, 0,	//197  const QString&, bool
    481, 0,	//200  const QStringList&
    479, 507, 458, 0,	//202  const QString&, unsigned int, const QList<QVariant>&
    413, 507, 458, 0,	//206  const KPluginInfo&, unsigned int, const QList<QVariant>&
    413, 0,	//210  const KPluginInfo&
    275, 484, 472, 0,	//212  QPainter*, const QStyleOptionGraphicsItem*, const QRect&
    275, 484, 309, 0,	//216  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    293, 0,	//220  QString
    293, 184, 0,	//222  QString, QAction*
    442, 0,	//225  const QFlags<Plasma::Applet::BackgroundHint>
    416, 0,	//227  const KShortcut&
    98, 0,	//229  Plasma::ExtenderItem*
    215, 479, 507, 0,	//231  QGraphicsItem*, const QString&, unsigned int
    413, 215, 507, 0,	//235  const KPluginInfo&, QGraphicsItem*, unsigned int
    215, 479, 507, 458, 0,	//239  QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&
    9, 0,	//244  KConfigDialog*
    419, 0,	//246  const KUrl::List&
    364, 0,	//248  Qt::SizeHint
    428, 0,	//250  const Plasma::MessageButton
    53, 0,	//252  Plasma::Applet*
    112, 0,	//254  Plasma::ItemStatus
    109, 0,	//256  Plasma::ImmutabilityType
    425, 0,	//258  const Plasma::ImmutabilityType
    426, 0,	//260  const Plasma::ItemStatus
    52, 479, 0,	//262  Plasma::AnnouncementMethods, const QString&
    406, 479, 0,	//265  bool, const QString&
    452, 479, 444, 0,	//268  const QIcon&, const QString&, const QFlags<Plasma::MessageButton>
    270, 199, 0,	//272  QObject*, QEvent*
    215, 199, 0,	//275  QGraphicsItem*, QEvent*
    224, 0,	//278  QGraphicsSceneMouseEvent*
    211, 0,	//280  QFocusEvent*
    226, 0,	//282  QGraphicsSceneResizeEvent*
    218, 488, 0,	//284  QGraphicsItem::GraphicsItemChange, const QVariant&
    364, 477, 0,	//287  Qt::SizeHint, const QSizeF&
    223, 0,	//290  QGraphicsSceneHoverEvent*
    479, 507, 0,	//292  const QString&, unsigned int
    413, 507, 0,	//295  const KPluginInfo&, unsigned int
    215, 479, 0,	//298  QGraphicsItem*, const QString&
    413, 215, 0,	//301  const KPluginInfo&, QGraphicsItem*
    77, 0,	//304  Plasma::Containment::Type
    60, 0,	//306  Plasma::AuthorizationRule&
    67, 0,	//308  Plasma::ClientPinRequest&
    420, 0,	//310  const Plasma::AuthorizationInterface&
    59, 0,	//312  Plasma::AuthorizationManager::AuthorizationPolicy
    57, 0,	//314  Plasma::AuthorizationInterface*
    63, 0,	//316  Plasma::AuthorizationRule::Policy
    62, 0,	//318  Plasma::AuthorizationRule::Persistence
    201, 0,	//320  QFlags<Plasma::AuthorizationRule::Target>
    61, 0,	//322  Plasma::AuthorizationRule*
    289, 0,	//324  QShowEvent*
    234, 0,	//326  QHideEvent*
    275, 484, 0,	//328  QPainter*, const QStyleOptionGraphicsItem*
    199, 0,	//331  QEvent*
    68, 0,	//333  Plasma::ClientPinRequest*
    6, 0,	//335  KComboBox*
    479, 235, 270, 0,	//337  const QString&, QIODevice*, QObject*
    21, 235, 270, 0,	//341  KSharedPtr<KSharedConfig>, QIODevice*, QObject*
    411, 235, 270, 0,	//345  const KConfigGroup*, QIODevice*, QObject*
    479, 235, 0,	//349  const QString&, QIODevice*
    21, 235, 0,	//352  KSharedPtr<KSharedConfig>, QIODevice*
    411, 235, 0,	//355  const KConfigGroup*, QIODevice*
    479, 479, 479, 0,	//358  const QString&, const QString&, const QString&
    479, 458, 473, 0,	//362  const QString&, const QList<QVariant>&, const QRectF&
    53, 471, 406, 0,	//366  Plasma::Applet*, const QPointF&, bool
    499, 499, 0,	//370  int, int
    471, 470, 0,	//373  const QPointF&, const QPoint&
    469, 0,	//376  const QPoint
    53, 471, 0,	//378  Plasma::Applet*, const QPointF&
    73, 179, 0,	//381  Plasma::Containment*, Plasma::ZoomDirection
    471, 0,	//384  const QPointF&
    499, 499, 73, 0,	//386  int, int, Plasma::Containment*
    82, 0,	//390  Plasma::Context*
    101, 0,	//392  Plasma::FormFactor
    220, 0,	//394  QGraphicsSceneContextMenuEvent*
    240, 0,	//396  QKeyEvent*
    227, 0,	//398  QGraphicsSceneWheelEvent*
    221, 0,	//400  QGraphicsSceneDragDropEvent*
    39, 0,	//402  Plasma::AbstractToolBox*
    421, 0,	//404  const Plasma::Containment::StyleOption&
    483, 0,	//406  const QStyleOptionGraphicsItem&
    173, 0,	//408  Plasma::View*
    73, 479, 458, 0,	//410  Plasma::Containment*, const QString&, const QList<QVariant>&
    73, 413, 458, 0,	//414  Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&
    476, 199, 0,	//418  const QSize&, QEvent*
    280, 279, 0,	//421  QPointF, QPoint
    73, 479, 0,	//424  Plasma::Containment*, const QString&
    73, 413, 0,	//427  Plasma::Containment*, const KPluginInfo&
    423, 0,	//430  const Plasma::ContainmentActionsPluginsConfig&
    199, 479, 0,	//432  QEvent*, const QString&
    209, 355, 479, 0,	//435  QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&
    209, 358, 479, 0,	//439  QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&
    499, 499, 479, 458, 0,	//443  int, int, const QString&, const QList<QVariant>&
    448, 476, 0,	//448  const QGraphicsItem*, const QSize&
    448, 476, 310, 0,	//451  const QGraphicsItem*, const QSize&, Qt::AlignmentFlag
    4, 0,	//455  KActionCollection*
    77, 423, 0,	//457  Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&
    35, 0,	//460  Plasma::AbstractDialogManager*
    408, 0,	//462  const KConfigBase&
    422, 0,	//464  const Plasma::Containment::Type
    11, 247, 0,	//466  KConfigGroup&, QList<Plasma::Containment*>
    48, 48, 0,	//469  Plasma::Animator::Animation, Plasma::Animator::Animation
    48, 479, 0,	//472  Plasma::Animator::Animation, const QString&
    422, 479, 0,	//475  const Plasma::Containment::Type, const QString&
    499, 499, 479, 0,	//478  int, int, const QString&
    479, 488, 0,	//482  const QString&, const QVariant&
    270, 507, 110, 0,	//485  QObject*, unsigned int, Plasma::IntervalAlignment
    479, 424, 0,	//489  const QString&, const Plasma::DataEngine::Data&
    84, 0,	//492  Plasma::DataContainer*
    270, 20, 0,	//494  QObject*, KSharedPtr<KService>
    479, 270, 507, 110, 0,	//497  const QString&, QObject*, unsigned int, Plasma::IntervalAlignment
    479, 479, 488, 0,	//502  const QString&, const QString&, const QVariant&
    479, 451, 0,	//506  const QString&, const QHash<QString,QVariant>&
    479, 270, 507, 0,	//509  const QString&, QObject*, unsigned int
    270, 507, 0,	//513  QObject*, unsigned int
    85, 0,	//516  Plasma::DataEngine*
    91, 499, 0,	//518  Plasma::Delegate::SpecificRoles, int
    91, 0,	//521  Plasma::Delegate::SpecificRoles
    275, 485, 464, 0,	//523  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    485, 464, 0,	//527  const QStyleOptionViewItem&, const QModelIndex&
    309, 210, 0,	//530  QWidget*, QFlags<Qt::WindowType>
    204, 0,	//533  QFlags<Plasma::Dialog::ResizeCorner>
    499, 499, 499, 499, 0,	//535  int, int, int, int
    500, 500, 500, 500, 0,	//540  int*, int*, int*, int*
    94, 0,	//545  Plasma::Direction
    274, 0,	//547  QPaintEvent*
    287, 0,	//549  QResizeEvent*
    267, 0,	//551  QMouseEvent*
    268, 0,	//553  QMoveEvent*
    470, 0,	//555  const QPoint&
    96, 0,	//557  Plasma::Extender::Appearance
    98, 471, 0,	//559  Plasma::ExtenderItem*, const QPointF&
    95, 507, 0,	//562  Plasma::Extender*, unsigned int
    95, 0,	//565  Plasma::Extender*
    452, 0,	//567  const QIcon&
    95, 471, 0,	//569  Plasma::Extender*, const QPointF&
    97, 0,	//572  Plasma::ExtenderGroup*
    97, 471, 0,	//574  Plasma::ExtenderGroup*, const QPointF&
    225, 0,	//577  QGraphicsSceneMoveEvent*
    447, 0,	//579  const QFont&
    440, 0,	//581  const QColor&
    479, 499, 486, 0,	//583  const QString&, int, const QTextOption&
    468, 499, 208, 0,	//587  const QPixmap&, int, QFlags<Qt::AlignmentFlag>
    479, 499, 0,	//591  const QString&, int
    468, 0,	//594  const QPixmap&
    468, 499, 0,	//596  const QPixmap&, int
    103, 0,	//599  Plasma::Frame::Shadow
    443, 0,	//601  const QFlags<Plasma::FrameSvg::EnabledBorder>
    477, 0,	//603  const QSizeF&
    427, 0,	//605  const Plasma::MarginEdge
    497, 497, 497, 497, 0,	//607  double&, double&, double&, double&
    275, 473, 473, 0,	//612  QPainter*, const QRectF&, const QRectF&
    275, 471, 0,	//616  QPainter*, const QPointF&
    275, 473, 0,	//619  QPainter*, const QRectF&
    275, 0,	//622  QPainter*
    215, 479, 499, 0,	//624  QGraphicsItem*, const QString&, int
    453, 1, 0,	//628  const QImage&, GLenum
    2, 0,	//631  GLuint
    453, 0,	//633  const QImage&
    479, 215, 0,	//635  const QString&, QGraphicsItem*
    452, 479, 215, 0,	//638  const QIcon&, const QString&, QGraphicsItem*
    358, 0,	//642  Qt::Orientation
    492, 0,	//644  const double
    275, 476, 499, 0,	//646  QPainter*, const QSize&, int
    452, 479, 0,	//650  const QIcon&, const QString&
    473, 0,	//653  const QRectF&
    505, 0,	//655  qreal
    283, 0,	//657  QRectF
    208, 0,	//659  QFlags<Qt::AlignmentFlag>
    15, 0,	//661  KLineEdit*
    120, 0,	//663  Plasma::Meter::MeterType
    499, 479, 0,	//665  int, const QString&
    499, 440, 0,	//668  int, const QColor&
    499, 447, 0,	//671  int, const QFont&
    499, 446, 0,	//674  int, const QFlags<Qt::AlignmentFlag>
    494, 0,	//677  const int&
    479, 479, 22, 0,	//679  const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>
    479, 22, 0,	//683  const QString&, KSharedPtr<Plasma::PackageStructure>
    429, 0,	//686  const Plasma::Package&
    491, 479, 0,	//688  const char*, const QString&
    431, 479, 0,	//691  const Plasma::PackageMetadata&, const QString&
    431, 479, 479, 479, 0,	//694  const Plasma::PackageMetadata&, const QString&, const QString&, const QString&
    431, 479, 479, 0,	//699  const Plasma::PackageMetadata&, const QString&, const QString&
    431, 0,	//703  const Plasma::PackageMetadata&
    432, 0,	//705  const Plasma::PackageStructure&
    491, 479, 479, 0,	//707  const char*, const QString&, const QString&
    491, 406, 0,	//711  const char*, bool
    294, 0,	//714  QStringList
    491, 294, 0,	//716  const char*, QStringList
    409, 0,	//719  const KConfigBase*
    8, 0,	//721  KConfigBase*
    433, 0,	//723  const Plasma::PlotColor&
    310, 0,	//725  Qt::AlignmentFlag
    506, 0,	//727  uint
    412, 0,	//729  const KIcon&
    36, 0,	//731  Plasma::AbstractRunner*
    136, 0,	//733  Plasma::QueryMatch::Type
    496, 0,	//735  double
    436, 0,	//737  const Plasma::RunnerContext&
    488, 0,	//739  const QVariant&
    138, 270, 0,	//741  Plasma::RunnerContext&, QObject*
    479, 454, 0,	//744  const QString&, const QList<Plasma::QueryMatch>&
    479, 434, 0,	//747  const QString&, const Plasma::QueryMatch&
    478, 0,	//750  const QString
    480, 0,	//752  const QStringList
    11, 270, 0,	//754  KConfigGroup&, QObject*
    454, 0,	//757  const QList<Plasma::QueryMatch>&
    434, 257, 0,	//759  const Plasma::QueryMatch&, QList<QAction*>*
    493, 0,	//762  const int
    489, 0,	//764  const Qt::ScrollBarPolicy
    182, 182, 0,	//766  QAbstractAnimation::State, QAbstractAnimation::State
    215, 210, 0,	//769  QGraphicsItem*, QFlags<Qt::WindowType>
    479, 458, 270, 0,	//772  const QString&, const QList<QVariant>&, QObject*
    410, 270, 0,	//776  const KConfigGroup&, QObject*
    309, 479, 0,	//779  QWidget*, const QString&
    229, 479, 0,	//782  QGraphicsWidget*, const QString&
    151, 0,	//785  Plasma::ServiceJob*
    149, 0,	//787  Plasma::Service*
    479, 263, 0,	//789  const QString&, QMap<QString,QVariant>&
    235, 0,	//792  QIODevice*
    30, 270, 0,	//794  KUrl, QObject*
    30, 0,	//797  KUrl
    459, 0,	//799  const QList<double>&
    460, 0,	//801  const QList<unsigned int>&
    496, 496, 0,	//803  double, double
    507, 507, 0,	//806  unsigned int, unsigned int
    275, 507, 507, 499, 0,	//809  QPainter*, unsigned int, unsigned int, int
    275, 499, 499, 0,	//814  QPainter*, int, int
    275, 499, 499, 499, 0,	//818  QPainter*, int, int, int
    275, 499, 499, 499, 499, 0,	//823  QPainter*, int, int, int, int
    275, 471, 479, 0,	//829  QPainter*, const QPointF&, const QString&
    275, 499, 499, 479, 0,	//833  QPainter*, int, int, const QString&
    275, 473, 479, 0,	//838  QPainter*, const QRectF&, const QString&
    275, 499, 499, 499, 499, 479, 0,	//842  QPainter*, int, int, int, int, const QString&
    160, 0,	//849  Plasma::Theme*
    155, 479, 215, 210, 0,	//851  Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>
    155, 0,	//856  Plasma::Svg*
    355, 0,	//858  Qt::MouseButton
    155, 479, 0,	//860  Plasma::Svg*, const QString&
    155, 479, 215, 0,	//863  Plasma::Svg*, const QString&, QGraphicsItem*
    499, 452, 479, 219, 0,	//867  int, const QIcon&, const QString&, QGraphicsLayoutItem*
    499, 479, 219, 0,	//872  int, const QString&, QGraphicsLayoutItem*
    452, 479, 219, 0,	//876  const QIcon&, const QString&, QGraphicsLayoutItem*
    479, 219, 0,	//880  const QString&, QGraphicsLayoutItem*
    499, 452, 0,	//883  int, const QIcon&
    499, 406, 0,	//886  int, bool
    499, 452, 479, 0,	//889  int, const QIcon&, const QString&
    362, 0,	//893  Qt::ScrollBarPolicy
    29, 0,	//895  KTextEdit*
    161, 0,	//897  Plasma::Theme::ColorRole
    447, 162, 0,	//899  const QFont&, Plasma::Theme::FontRole
    162, 0,	//902  Plasma::Theme::FontRole
    479, 278, 0,	//904  const QString&, QPixmap&
    479, 278, 507, 0,	//907  const QString&, QPixmap&, unsigned int
    479, 468, 0,	//911  const QString&, const QPixmap&
    479, 468, 479, 0,	//914  const QString&, const QPixmap&, const QString&
    479, 479, 284, 0,	//918  const QString&, const QString&, QRectF&
    479, 479, 473, 0,	//922  const QString&, const QString&, const QRectF&
    438, 0,	//926  const Plasma::ToolTipContent&
    479, 479, 468, 0,	//928  const QString&, const QString&, const QPixmap&
    479, 479, 452, 0,	//932  const QString&, const QString&, const QIcon&
    508, 0,	//936  unsigned long
    461, 0,	//938  const QList<unsigned long>&
    166, 487, 488, 0,	//940  Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&
    299, 0,	//944  QTextDocument*
    229, 438, 0,	//946  QGraphicsWidget*, const Plasma::ToolTipContent&
    168, 0,	//949  Plasma::ToolTipManager::State
    404, 356, 350, 470, 0,	//951  WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    479, 356, 350, 470, 0,	//956  const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    183, 0,	//961  QAbstractItemModel*
    445, 0,	//963  const QFlags<Plasma::VideoWidget::Control>
    502, 0,	//965  long long
    504, 0,	//967  qint64
    73, 309, 0,	//969  Plasma::Containment*, QWidget*
    73, 499, 309, 0,	//972  Plasma::Containment*, int, QWidget*
    73, 499, 0,	//976  Plasma::Containment*, int
    413, 458, 0,	//979  const KPluginInfo&, const QList<QVariant>&
    174, 0,	//982  Plasma::Wallpaper*
    175, 0,	//984  Plasma::Wallpaper::ResizeMethod
    479, 476, 175, 440, 0,	//986  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    453, 476, 175, 440, 0,	//991  const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    479, 238, 507, 0,	//996  const QString&, QImage&, unsigned int
    479, 453, 0,	//1000  const QString&, const QImage&
    456, 0,	//1003  const QList<QAction*>&
    479, 476, 0,	//1005  const QString&, const QSize&
    479, 476, 175, 0,	//1008  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod
    453, 476, 0,	//1012  const QImage&, const QSize&
    453, 476, 175, 0,	//1015  const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod
    479, 238, 0,	//1019  const QString&, QImage&
    418, 0,	//1022  const KUrl::List
    439, 417, 0,	//1024  const QByteArray&, const KUrl&
    479, 417, 0,	//1027  const QString&, const KUrl&
    307, 0,	//1030  QWebPage*
    439, 0,	//1032  const QByteArray&
    181, 0,	//1034  QAbstractAnimation::Direction
    309, 485, 464, 0,	//1036  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    309, 464, 0,	//1040  QWidget*, const QModelIndex&
    309, 183, 464, 0,	//1043  QWidget*, QAbstractItemModel*, const QModelIndex&
    199, 183, 485, 464, 0,	//1047  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    448, 347, 0,	//1052  const QGraphicsItem*, Qt::ItemSelectionMode
    466, 347, 0,	//1055  const QPainterPath&, Qt::ItemSelectionMode
    239, 0,	//1058  QInputMethodEvent*
    344, 0,	//1060  Qt::InputMethodQuery
    217, 0,	//1062  QGraphicsItem::Extension
    217, 488, 0,	//1064  QGraphicsItem::Extension, const QVariant&
    222, 0,	//1067  QGraphicsSceneHelpEvent*
    275, 499, 216, 484, 309, 0,	//1069  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*
    192, 0,	//1075  QContextMenuEvent*
    193, 0,	//1077  QDragEnterEvent*
    194, 0,	//1079  QDragLeaveEvent*
    195, 0,	//1081  QDragMoveEvent*
    197, 0,	//1083  QDropEvent*
    308, 0,	//1085  QWheelEvent*
    275, 499, 216, 484, 0,	//1087  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*
    498, 498, 498, 498, 0,	//1092  double*, double*, double*, double*
    297, 0,	//1097  QStyleOption*
    189, 0,	//1099  QCloseEvent*
    188, 0,	//1101  QChildEvent*
    298, 0,	//1103  QTabletEvent*
    185, 0,	//1105  QActionEvent*
    405, 0,	//1107  _XEvent*
    271, 0,	//1109  QPaintDevice::PaintDeviceMetric
    296, 0,	//1111  QStyle&
    467, 0,	//1113  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractDialogManager",	//1
    "AbstractDialogManager#",	//2
    "AbstractRunner",	//3
    "AbstractRunner#",	//4
    "AbstractRunner#$",	//5
    "AbstractRunner#?",	//6
    "AbstractRunner?",	//7
    "AbstractRunner?#",	//8
    "AbstractToolBox",	//9
    "AbstractToolBox#",	//10
    "AbstractToolBox#?",	//11
    "AcceptingInputStatus",	//12
    "AccessAppletJob",	//13
    "AccessAppletJob#",	//14
    "AccessAppletJob##",	//15
    "ActivateAnimation",	//16
    "Activated",	//17
    "ActiveStatus",	//18
    "AddTool",	//19
    "AlignToHour",	//20
    "AlignToMinute",	//21
    "All",	//22
    "AllBorders",	//23
    "AllConstraints",	//24
    "AllLayers",	//25
    "AllServices",	//26
    "AllUsers",	//27
    "Allow",	//28
    "AnalogMeter",	//29
    "AnchorUnderMouse",	//30
    "AnchorViewCenter",	//31
    "Animation",	//32
    "Animation#",	//33
    "AnimationDriver",	//34
    "AnimationDriver#",	//35
    "AnimatorComponent",	//36
    "AppearAnimation",	//37
    "Applet",	//38
    "Applet#",	//39
    "Applet##",	//40
    "Applet##$",	//41
    "Applet#$",	//42
    "Applet#$$",	//43
    "Applet#$$?",	//44
    "Applet#?",	//45
    "AppletComponent",	//46
    "AppletScript",	//47
    "AppletScript#",	//48
    "AppletType",	//49
    "AuthorizationInterface",	//50
    "AuthorizationInterface#",	//51
    "BackgroundColor",	//52
    "BackgroundLayer",	//53
    "Backward",	//54
    "BarMeterHorizontal",	//55
    "BarMeterVertical",	//56
    "BottomBorder",	//57
    "BottomEdge",	//58
    "BottomMargin",	//59
    "BottomPosedLeftAlignedPopup",	//60
    "BottomPosedRightAlignedPopup",	//61
    "BottomPositioned",	//62
    "BottomUpStacked",	//63
    "BoundingRectViewportUpdate",	//64
    "Box",	//65
    "BspTreeIndex",	//66
    "BusyWidget",	//67
    "BusyWidget#",	//68
    "ButtonBackgroundColor",	//69
    "ButtonCancel",	//70
    "ButtonFocusColor",	//71
    "ButtonHoverColor",	//72
    "ButtonNo",	//73
    "ButtonNone",	//74
    "ButtonOk",	//75
    "ButtonTextColor",	//76
    "ButtonYes",	//77
    "Bytes",	//78
    "CacheBackground",	//79
    "CacheNone",	//80
    "Center",	//81
    "CenterPositioned",	//82
    "CenterTiledResize",	//83
    "CenteredResize",	//84
    "CheckBox",	//85
    "CheckBox#",	//86
    "ColumnTypeRole",	//87
    "ComboBox",	//88
    "ComboBox#",	//89
    "CompletionMatch",	//90
    "ConfigLoader",	//91
    "ConfigLoader##",	//92
    "ConfigLoader###",	//93
    "ConfigLoader$#",	//94
    "ConfigLoader$##",	//95
    "ConfigLoader?#",	//96
    "ConfigLoader?##",	//97
    "ConfigureTool",	//98
    "ConstrainedSquare",	//99
    "Containment",	//100
    "Containment#",	//101
    "Containment#$",	//102
    "Containment#$$",	//103
    "Containment#?",	//104
    "ContainmentActions",	//105
    "ContainmentActions#",	//106
    "ContainmentActions#?",	//107
    "ContainmentActionsPluginsConfig",	//108
    "ContainmentActionsPluginsConfig#",	//109
    "ContainmentComponent",	//110
    "Context",	//111
    "Context#",	//112
    "ContextConstraint",	//113
    "ControlTool",	//114
    "Corona",	//115
    "Corona#",	//116
    "CssResource",	//117
    "Custom",	//118
    "CustomContainment",	//119
    "CustomPanelContainment",	//120
    "DataContainer",	//121
    "DataContainer#",	//122
    "DataEngine",	//123
    "DataEngine#",	//124
    "DataEngine#?",	//125
    "DataEngineComponent",	//126
    "DataEngineScript",	//127
    "DataEngineScript#",	//128
    "Deactivated",	//129
    "Default",	//130
    "DefaultBackground",	//131
    "DefaultControls",	//132
    "DefaultFont",	//133
    "Delegate",	//134
    "Delegate#",	//135
    "DeleteWhenStopped",	//136
    "Deny",	//137
    "DenyAll",	//138
    "Desktop",	//139
    "DesktopContainment",	//140
    "DesktopFont",	//141
    "DesktopZoom",	//142
    "DestructiveTool",	//143
    "DeviceCoordinateCache",	//144
    "Dialog",	//145
    "Dialog#",	//146
    "Dialog#$",	//147
    "Directories",	//148
    "Directory",	//149
    "DisappearAnimation",	//150
    "DontAdjustForAntialiasing",	//151
    "DontClipPainter",	//152
    "DontSavePainterState",	//153
    "Down",	//154
    "DrawChildren",	//155
    "DrawWindowBackground",	//156
    "EaseInCurve",	//157
    "EaseInOutCurve",	//158
    "EaseOutCurve",	//159
    "EditNextItem",	//160
    "EditPreviousItem",	//161
    "EmitResult",	//162
    "ExactMatch",	//163
    "Executable",	//164
    "Extender",	//165
    "Extender#",	//166
    "ExtenderGroup",	//167
    "ExtenderGroup#",	//168
    "ExtenderGroup#$",	//169
    "ExtenderItem",	//170
    "ExtenderItem#",	//171
    "ExtenderItem#$",	//172
    "FadeAnimation",	//173
    "FastSlideInMovement",	//174
    "FastSlideOutMovement",	//175
    "File",	//176
    "FileSystem",	//177
    "Files",	//178
    "FixedSize",	//179
    "FlashingLabel",	//180
    "FlashingLabel#",	//181
    "Floating",	//182
    "FloatingPopup",	//183
    "ForegroundLayer",	//184
    "FormFactorConstraint",	//185
    "Forward",	//186
    "Frame",	//187
    "Frame#",	//188
    "FrameSvg",	//189
    "FrameSvg#",	//190
    "FullScreen",	//191
    "FullViewportUpdate",	//192
    "GLApplet",	//193
    "GLApplet#$$",	//194
    "GLApplet#?",	//195
    "GenericComponent",	//196
    "GeometryAnimation",	//197
    "GroupBox",	//198
    "GroupBox#",	//199
    "GroupZoom",	//200
    "GrowAnimation",	//201
    "HLine",	//202
    "Help",	//203
    "HelperMatch",	//204
    "HighPriority",	//205
    "HighestPriority",	//206
    "HighlightColor",	//207
    "Horizontal",	//208
    "HorizontalFlip",	//209
    "HtmlResource",	//210
    "IconWidget",	//211
    "IconWidget#",	//212
    "IconWidget#$",	//213
    "IconWidget#$#",	//214
    "IconWidget$",	//215
    "IconWidget$#",	//216
    "IgnoreAspectRatio",	//217
    "IgnoreMask",	//218
    "ImageResource",	//219
    "ImmutableConstraint",	//220
    "IndirectPainting",	//221
    "InformationalMatch",	//222
    "Inhibited",	//223
    "InvalidAspectRatioMode",	//224
    "InvalidCredentials",	//225
    "ItemAcceptsInputMethod",	//226
    "ItemBackground",	//227
    "ItemBackground#",	//228
    "ItemChildAddedChange",	//229
    "ItemChildRemovedChange",	//230
    "ItemClipsChildrenToShape",	//231
    "ItemClipsToShape",	//232
    "ItemCoordinateCache",	//233
    "ItemCursorChange",	//234
    "ItemCursorHasChanged",	//235
    "ItemDoesntPropagateOpacityToChildren",	//236
    "ItemEnabledChange",	//237
    "ItemEnabledHasChanged",	//238
    "ItemFlagsChange",	//239
    "ItemFlagsHaveChanged",	//240
    "ItemHasNoContents",	//241
    "ItemIgnoresParentOpacity",	//242
    "ItemIgnoresTransformations",	//243
    "ItemIsFocusScope",	//244
    "ItemIsFocusable",	//245
    "ItemIsMovable",	//246
    "ItemIsPanel",	//247
    "ItemIsSelectable",	//248
    "ItemLayer",	//249
    "ItemMatrixChange",	//250
    "ItemNegativeZStacksBehindParent",	//251
    "ItemOpacityChange",	//252
    "ItemOpacityHasChanged",	//253
    "ItemParentChange",	//254
    "ItemParentHasChanged",	//255
    "ItemPositionChange",	//256
    "ItemPositionHasChanged",	//257
    "ItemRotationChange",	//258
    "ItemRotationHasChanged",	//259
    "ItemScaleChange",	//260
    "ItemScaleHasChanged",	//261
    "ItemSceneChange",	//262
    "ItemSceneHasChanged",	//263
    "ItemScenePositionHasChanged",	//264
    "ItemSelectedChange",	//265
    "ItemSelectedHasChanged",	//266
    "ItemSendsGeometryChanges",	//267
    "ItemSendsScenePositionChanges",	//268
    "ItemStacksBehindParent",	//269
    "ItemStopsClickFocusPropagation",	//270
    "ItemStopsFocusHandling",	//271
    "ItemToolTipChange",	//272
    "ItemToolTipHasChanged",	//273
    "ItemTransformChange",	//274
    "ItemTransformHasChanged",	//275
    "ItemTransformOriginPointChange",	//276
    "ItemTransformOriginPointHasChanged",	//277
    "ItemUsesExtendedStyleOption",	//278
    "ItemVisibleChange",	//279
    "ItemVisibleHasChanged",	//280
    "ItemZValueChange",	//281
    "ItemZValueHasChanged",	//282
    "KST_CTimeInfo",	//283
    "KST_KCustom",	//284
    "KST_KDEDesktopMimeType",	//285
    "KST_KFolderMimeType",	//286
    "KST_KImageIO",	//287
    "KST_KImageIOFormat",	//288
    "KST_KMimeType",	//289
    "KST_KMimeTypeEntry",	//290
    "KST_KMimeTypeFactory",	//291
    "KST_KProtocolInfo",	//292
    "KST_KProtocolInfoFactory",	//293
    "KST_KService",	//294
    "KST_KServiceFactory",	//295
    "KST_KServiceGroup",	//296
    "KST_KServiceGroupFactory",	//297
    "KST_KServiceSeparator",	//298
    "KST_KServiceType",	//299
    "KST_KServiceTypeFactory",	//300
    "KST_KSycocaEntry",	//301
    "KeepAspectRatio",	//302
    "KeepWhenStopped",	//303
    "Killable",	//304
    "KilledJobError",	//305
    "Label",	//306
    "Label#",	//307
    "LastAnimation",	//308
    "LastResizeMethod",	//309
    "Left",	//310
    "LeftBorder",	//311
    "LeftEdge",	//312
    "LeftMargin",	//313
    "LeftPosedBottomAlignedPopup",	//314
    "LeftPosedTopAlignedPopup",	//315
    "LeftPositioned",	//316
    "LicensedActiveQt",	//317
    "LicensedCore",	//318
    "LicensedDBus",	//319
    "LicensedDeclarative",	//320
    "LicensedGui",	//321
    "LicensedHelp",	//322
    "LicensedMultimedia",	//323
    "LicensedNetwork",	//324
    "LicensedOpenGL",	//325
    "LicensedOpenVG",	//326
    "LicensedQt3Support",	//327
    "LicensedQt3SupportLight",	//328
    "LicensedScript",	//329
    "LicensedScriptTools",	//330
    "LicensedSql",	//331
    "LicensedSvg",	//332
    "LicensedTest",	//333
    "LicensedXml",	//334
    "LicensedXmlPatterns",	//335
    "LineEdit",	//336
    "LineEdit#",	//337
    "LineEditType",	//338
    "LinearCurve",	//339
    "LinkColor",	//340
    "LocationConstraint",	//341
    "LowPriority",	//342
    "LowestPriority",	//343
    "MainColumn",	//344
    "MaxpectResize",	//345
    "MediaCenter",	//346
    "Meter",	//347
    "Meter#",	//348
    "MinimalViewportUpdate",	//349
    "MiscTool",	//350
    "MoveAny",	//351
    "MoveDown",	//352
    "MoveLeft",	//353
    "MoveRight",	//354
    "MoveUp",	//355
    "Mutable",	//356
    "NeedsAttentionStatus",	//357
    "NetworkLocation",	//358
    "Next",	//359
    "NoAlignment",	//360
    "NoAnchor",	//361
    "NoAnnouncement",	//362
    "NoBackground",	//363
    "NoBorder",	//364
    "NoBorders",	//365
    "NoCache",	//366
    "NoCapabilities",	//367
    "NoConstraint",	//368
    "NoContainmentType",	//369
    "NoControls",	//370
    "NoCorner",	//371
    "NoDrag",	//372
    "NoError",	//373
    "NoFlip",	//374
    "NoFrame",	//375
    "NoHint",	//376
    "NoIndex",	//377
    "NoMatch",	//378
    "NoViewportUpdate",	//379
    "NonModal",	//380
    "None",	//381
    "NormalPriority",	//382
    "NormalSpeed",	//383
    "NorthEast",	//384
    "NorthWest",	//385
    "OpenFile",	//386
    "OverviewZoom",	//387
    "Package",	//388
    "Package#",	//389
    "Package$$?",	//390
    "Package$?",	//391
    "PackageMetadata",	//392
    "PackageMetadata#",	//393
    "PackageMetadata$",	//394
    "PackageStructure",	//395
    "PackageStructure#",	//396
    "PackageStructure#$",	//397
    "Panel",	//398
    "PanelContainment",	//399
    "PanelModal",	//400
    "PassiveStatus",	//401
    "Pause",	//402
    "Paused",	//403
    "PendularCurve",	//404
    "Persistent",	//405
    "PinPairing",	//406
    "PinRequired",	//407
    "PixmapTransitionAnimation",	//408
    "Plain",	//409
    "Planar",	//410
    "Play",	//411
    "PlayPause",	//412
    "PlotColor",	//413
    "PlotColor#",	//414
    "PopupApplet",	//415
    "PopupApplet#?",	//416
    "PopupConstraint",	//417
    "PossibleMatch",	//418
    "Previous",	//419
    "Progress",	//420
    "PulseAnimation",	//421
    "PushButton",	//422
    "PushButton#",	//423
    "Q_COMPLEX_TYPE",	//424
    "Q_DUMMY_TYPE",	//425
    "Q_MOVABLE_TYPE",	//426
    "Q_PRIMITIVE_TYPE",	//427
    "Q_STATIC_TYPE",	//428
    "QtCriticalMsg",	//429
    "QtDebugMsg",	//430
    "QtFatalMsg",	//431
    "QtSystemMsg",	//432
    "QtWarningMsg",	//433
    "QueryMatch",	//434
    "QueryMatch#",	//435
    "Quietly",	//436
    "RadioButton",	//437
    "RadioButton#",	//438
    "Raised",	//439
    "RevertModelCache",	//440
    "Right",	//441
    "RightBorder",	//442
    "RightEdge",	//443
    "RightMargin",	//444
    "RightPosedBottomAlignedPopup",	//445
    "RightPosedTopAlignedPopup",	//446
    "RightPositioned",	//447
    "RotationAnimation",	//448
    "RotationStackedAnimation",	//449
    "RubberBandDrag",	//450
    "RunnerComponent",	//451
    "RunnerContext",	//452
    "RunnerContext#",	//453
    "RunnerContext##",	//454
    "RunnerManager",	//455
    "RunnerManager#",	//456
    "RunnerManager##",	//457
    "RunnerScript",	//458
    "RunnerScript#",	//459
    "RunnerSyntax",	//460
    "RunnerSyntax#",	//461
    "RunnerSyntax$$",	//462
    "Running",	//463
    "ScaledAndCroppedResize",	//464
    "ScaledResize",	//465
    "SceneModal",	//466
    "ScreenConstraint",	//467
    "ScriptEngine",	//468
    "ScriptEngine#",	//469
    "ScrollBar",	//470
    "ScrollBar#",	//471
    "ScrollHandDrag",	//472
    "ScrollWidget",	//473
    "ScrollWidget#",	//474
    "SecondaryActionColumn",	//475
    "Separator",	//476
    "Separator#",	//477
    "Separator#$",	//478
    "Service",	//479
    "Service#",	//480
    "Service#?",	//481
    "ServiceAccessJob",	//482
    "ServiceAccessJob#",	//483
    "ServiceAccessJob##",	//484
    "Shadow_Mask",	//485
    "Shape_Mask",	//486
    "ShellCommand",	//487
    "SignalPlotter",	//488
    "SignalPlotter#",	//489
    "SizeConstraint",	//490
    "SlideAnimation",	//491
    "SlideInMovement",	//492
    "SlideOutMovement",	//493
    "Slider",	//494
    "Slider#",	//495
    "SlowSpeed",	//496
    "SmallestFont",	//497
    "SmartViewportUpdate",	//498
    "SouthEast",	//499
    "SouthWest",	//500
    "SpinBox",	//501
    "SpinBox#",	//502
    "Square",	//503
    "StandardBackground",	//504
    "StartupCompletedConstraint",	//505
    "Stop",	//506
    "Stopped",	//507
    "StyleOption",	//508
    "StyleOption#",	//509
    "StyledPanel",	//510
    "SubTitleMandatoryRole",	//511
    "SubTitleRole",	//512
    "SubmitModelCache",	//513
    "Sunken",	//514
    "Suspendable",	//515
    "Svg",	//516
    "Svg#",	//517
    "SvgWidget",	//518
    "SvgWidget#",	//519
    "SvgWidget#$",	//520
    "SvgWidget#$#",	//521
    "SvgWidget#$#$",	//522
    "SystemImmutable",	//523
    "TabBar",	//524
    "TabBar#",	//525
    "TextBrowser",	//526
    "TextBrowser#",	//527
    "TextColor",	//528
    "TextEdit",	//529
    "TextEdit#",	//530
    "Theme",	//531
    "Theme#",	//532
    "Theme$",	//533
    "Theme$#",	//534
    "TiledResize",	//535
    "ToolButton",	//536
    "ToolButton#",	//537
    "ToolTipContent",	//538
    "ToolTipContent#",	//539
    "ToolTipContent$$",	//540
    "ToolTipContent$$#",	//541
    "TopBorder",	//542
    "TopDownStacked",	//543
    "TopEdge",	//544
    "TopMargin",	//545
    "TopPosedLeftAlignedPopup",	//546
    "TopPosedRightAlignedPopup",	//547
    "TopPositioned",	//548
    "Transient",	//549
    "TranslucentBackground",	//550
    "TreeView",	//551
    "TreeView#",	//552
    "TrustedCredentials",	//553
    "TrustedOnly",	//554
    "Type",	//555
    "UltimateCredentials",	//556
    "UnknownCredentials",	//557
    "UnknownStatus",	//558
    "UnknownType",	//559
    "Up",	//560
    "UserDefinedError",	//561
    "UserExtension",	//562
    "UserImmutable",	//563
    "UserToolType",	//564
    "UserType",	//565
    "VLine",	//566
    "ValidCredentials",	//567
    "Version",	//568
    "Vertical",	//569
    "VerticalFlip",	//570
    "VideoWidget",	//571
    "VideoWidget#",	//572
    "View",	//573
    "View#",	//574
    "View##",	//575
    "View#$",	//576
    "View#$#",	//577
    "ViewBackgroundColor",	//578
    "ViewFocusColor",	//579
    "ViewHoverColor",	//580
    "ViewTextColor",	//581
    "VisitedLinkColor",	//582
    "Volume",	//583
    "Wallpaper",	//584
    "Wallpaper#",	//585
    "Wallpaper#?",	//586
    "WallpaperComponent",	//587
    "WallpaperScript",	//588
    "WallpaperScript#",	//589
    "WaterAnimation",	//590
    "WebView",	//591
    "WebView#",	//592
    "WinPanel",	//593
    "ZeroconfAnnouncement",	//594
    "ZoomAnimation",	//595
    "ZoomIn",	//596
    "ZoomOut",	//597
    "aboutToFinish",	//598
    "access",	//599
    "access#",	//600
    "access##",	//601
    "accessRemoteApplet",	//602
    "accessRemoteApplet#",	//603
    "action",	//604
    "action$",	//605
    "actionEvent",	//606
    "actions",	//607
    "actionsForMatch",	//608
    "actionsForMatch#",	//609
    "actionsForMatch#?",	//610
    "actionsFromMenu",	//611
    "actionsFromMenu#",	//612
    "actionsFromMenu#$",	//613
    "actionsFromMenu#$#",	//614
    "activate",	//615
    "activated",	//616
    "activated$",	//617
    "activity",	//618
    "activityChanged",	//619
    "activityChanged#",	//620
    "addAction",	//621
    "addAction$",	//622
    "addAction$#",	//623
    "addAction$#$",	//624
    "addApplet",	//625
    "addApplet#",	//626
    "addApplet##",	//627
    "addApplet##$",	//628
    "addApplet$",	//629
    "addApplet$?",	//630
    "addApplet$?#",	//631
    "addAssociatedWidget",	//632
    "addAssociatedWidget#",	//633
    "addContainment",	//634
    "addContainment$",	//635
    "addContainment$?",	//636
    "addContainmentDelayed",	//637
    "addContainmentDelayed$",	//638
    "addContainmentDelayed$?",	//639
    "addDirectoryDefinition",	//640
    "addDirectoryDefinition$$$",	//641
    "addExampleQuery",	//642
    "addExampleQuery$",	//643
    "addFileDefinition",	//644
    "addFileDefinition$$$",	//645
    "addIconAction",	//646
    "addIconAction#",	//647
    "addItem",	//648
    "addItem$",	//649
    "addMatch",	//650
    "addMatch$#",	//651
    "addMatches",	//652
    "addMatches$?",	//653
    "addOffscreenWidget",	//654
    "addOffscreenWidget#",	//655
    "addPlot",	//656
    "addPlot#",	//657
    "addPlugin",	//658
    "addPlugin#$",	//659
    "addPlugin$$$",	//660
    "addResource",	//661
    "addResource$##",	//662
    "addSample",	//663
    "addSample?",	//664
    "addShortcuts",	//665
    "addShortcuts#",	//666
    "addSiblingContainment",	//667
    "addSiblingContainment#",	//668
    "addSource",	//669
    "addSource#",	//670
    "addStandardConfigurationPages",	//671
    "addStandardConfigurationPages#",	//672
    "addSyntax",	//673
    "addSyntax#",	//674
    "addTab",	//675
    "addTab#$",	//676
    "addTab#$#",	//677
    "addTab$",	//678
    "addTab$#",	//679
    "addTool",	//680
    "addTool#",	//681
    "addToolBoxAction",	//682
    "addToolBoxAction#",	//683
    "addUrls",	//684
    "addUrls?",	//685
    "advance",	//686
    "alignment",	//687
    "allowExternalPaths",	//688
    "allowedRunners",	//689
    "alphaMask",	//690
    "animatedHide",	//691
    "animatedHide$",	//692
    "animatedShow",	//693
    "animatedShow$",	//694
    "animationCurve",	//695
    "animationCurve$",	//696
    "animationDuration",	//697
    "animationDuration$",	//698
    "animationFinished",	//699
    "animationFinished#$",	//700
    "animationFps",	//701
    "animationFps$",	//702
    "animationPath",	//703
    "animationPath$",	//704
    "animationStep",	//705
    "animationStep$",	//706
    "appearance",	//707
    "appearanceChanged",	//708
    "append",	//709
    "append$",	//710
    "applet",	//711
    "appletAdded",	//712
    "appletAdded##",	//713
    "appletDestroyed",	//714
    "appletDestroyed#",	//715
    "appletMimeType",	//716
    "appletRemoved",	//717
    "appletRemoved#",	//718
    "appletTransformedByUser",	//719
    "appletTransformedItself",	//720
    "applets",	//721
    "application",	//722
    "aspectRatioMode",	//723
    "associateWidget",	//724
    "associateWidget#$",	//725
    "associatedApplication",	//726
    "associatedApplicationUrls",	//727
    "attachedItems",	//728
    "audioOutput",	//729
    "author",	//730
    "authorizationRequest",	//731
    "authorizationRequest#",	//732
    "autoExpireDelay",	//733
    "autoHide",	//734
    "autoRaise",	//735
    "autohide",	//736
    "availableScreenRegion",	//737
    "availableScreenRegion$",	//738
    "availableScreenRegionChanged",	//739
    "back",	//740
    "backgroundColor",	//741
    "backgroundHints",	//742
    "becameUnused",	//743
    "becameUnused$",	//744
    "bigLock",	//745
    "bindTexture",	//746
    "bindTexture#",	//747
    "bindTexture#?",	//748
    "boundingRect",	//749
    "cacheAllRenderedFrames",	//750
    "calculateNiceRange",	//751
    "category",	//752
    "category#",	//753
    "category$",	//754
    "changeEvent",	//755
    "changeEvent#",	//756
    "changed",	//757
    "changed#",	//758
    "checkForUpdate",	//759
    "checkUsage",	//760
    "childEvent",	//761
    "clear",	//762
    "clearActions",	//763
    "clearApplets",	//764
    "clearCache",	//765
    "clearContainments",	//766
    "clearContent",	//767
    "clearContent#",	//768
    "click",	//769
    "clickMessage",	//770
    "clicked",	//771
    "clicked$",	//772
    "clientPinRequest",	//773
    "clientPinRequest#",	//774
    "closeEvent",	//775
    "closeToolBox",	//776
    "collapseGroup",	//777
    "collidesWithItem",	//778
    "collidesWithPath",	//779
    "color",	//780
    "color$",	//781
    "colorScheme",	//782
    "config",	//783
    "config$",	//784
    "configChanged",	//785
    "configNeedsSaving",	//786
    "configScheme",	//787
    "configSynced",	//788
    "configurationAccepted",	//789
    "configurationRequired",	//790
    "configurationRequired$",	//791
    "configureRequested",	//792
    "configureRequested#",	//793
    "connectAllSources",	//794
    "connectAllSources#",	//795
    "connectAllSources#$",	//796
    "connectAllSources#$$",	//797
    "connectNotify",	//798
    "connectSource",	//799
    "connectSource$#",	//800
    "connectSource$#$",	//801
    "connectSource$#$$",	//802
    "connectVisualization",	//803
    "connectVisualization#$$",	//804
    "constraintsEvent",	//805
    "constraintsEvent$",	//806
    "containerDict",	//807
    "containerForSource",	//808
    "containerForSource$",	//809
    "containment",	//810
    "containmentActions",	//811
    "containmentActions$",	//812
    "containmentActionsConfig",	//813
    "containmentActionsDefaults",	//814
    "containmentActionsDefaults$",	//815
    "containmentActionsTriggers",	//816
    "containmentAdded",	//817
    "containmentAdded#",	//818
    "containmentForScreen",	//819
    "containmentForScreen$",	//820
    "containmentForScreen$$",	//821
    "containmentForScreen$$$",	//822
    "containmentForScreen$$$?",	//823
    "containmentType",	//824
    "containments",	//825
    "contains",	//826
    "containsMultipleImages",	//827
    "contentsHash",	//828
    "contentsPrefix",	//829
    "contentsPrefixPaths",	//830
    "contentsRect",	//831
    "contentsSize",	//832
    "context",	//833
    "contextActions",	//834
    "contextChanged",	//835
    "contextChanged#",	//836
    "contextEvent",	//837
    "contextEvent#",	//838
    "contextMenuEvent",	//839
    "contextMenuEvent#",	//840
    "contextualActions",	//841
    "controlsVisible",	//842
    "corona",	//843
    "count",	//844
    "create",	//845
    "create$",	//846
    "create$#",	//847
    "createActivity",	//848
    "createActivity$",	//849
    "createConfigurationInterface",	//850
    "createConfigurationInterface#",	//851
    "createDefaultService",	//852
    "createDefaultService#",	//853
    "createEditor",	//854
    "createJob",	//855
    "createJob$?",	//856
    "createNewWidgetBrowser",	//857
    "createNewWidgetBrowser#",	//858
    "createPackage",	//859
    "createPackage#$$",	//860
    "createPackage#$$$",	//861
    "createRunOptions",	//862
    "createRunOptions#",	//863
    "currentActivity",	//864
    "currentActivityId",	//865
    "currentChanged",	//866
    "currentChanged$",	//867
    "currentIndex",	//868
    "currentIndexChanged",	//869
    "currentIndexChanged$",	//870
    "currentPixmap",	//871
    "currentPixmap$",	//872
    "currentThemeHasImage",	//873
    "currentThemeHasImage$",	//874
    "currentTime",	//875
    "customAnimation",	//876
    "customAnimation$$$#$",	//877
    "customAnimationFinished",	//878
    "customAnimationFinished$",	//879
    "customCategories",	//880
    "customEvent",	//881
    "darkColor",	//882
    "data",	//883
    "dataEngine",	//884
    "dataEngine$",	//885
    "dataUpdated",	//886
    "dataUpdated$?",	//887
    "defaultContainmentPlugin",	//888
    "defaultPackageRoot",	//889
    "defaultSyntax",	//890
    "defaultTheme",	//891
    "deleteTexture",	//892
    "deleteTexture?",	//893
    "description",	//894
    "desktop",	//895
    "destination",	//896
    "destroy",	//897
    "destroy$",	//898
    "destroyed",	//899
    "destroyed#",	//900
    "detachedItems",	//901
    "devType",	//902
    "dialogManager",	//903
    "dialogResized",	//904
    "dialogVisible",	//905
    "dialogVisible$",	//906
    "directories",	//907
    "disassociateWidget",	//908
    "disassociateWidget#",	//909
    "disconnectNotify",	//910
    "disconnectSource",	//911
    "disconnectSource$#",	//912
    "disconnectVisualization",	//913
    "disconnectVisualization#",	//914
    "doKill",	//915
    "doResume",	//916
    "doSuspend",	//917
    "doubleClicked",	//918
    "dragEnterEvent",	//919
    "dragEnterEvent#",	//920
    "dragLeaveEvent",	//921
    "dragLeaveEvent#",	//922
    "dragMoveEvent",	//923
    "dragMoveEvent#",	//924
    "dragToScroll",	//925
    "drawActionButtonBase",	//926
    "drawActionButtonBase##$",	//927
    "drawAxisText",	//928
    "drawAxisText#$$",	//929
    "drawBackground",	//930
    "drawBackground#$$",	//931
    "drawForeground",	//932
    "drawHorizontalLines",	//933
    "drawHorizontalLines#$$$",	//934
    "drawItems",	//935
    "drawPlots",	//936
    "drawPlots#$$$$",	//937
    "drawThinFrame",	//938
    "drawThinFrame#$$",	//939
    "drawTopBarContents",	//940
    "drawTopBarContents#$$$",	//941
    "drawTopBarFrame",	//942
    "drawTopBarFrame#$$",	//943
    "drawVerticalLines",	//944
    "drawVerticalLines#$$$",	//945
    "drawWallpaper",	//946
    "drawWidget",	//947
    "drawWidget#$$$",	//948
    "dropEvent",	//949
    "dropEvent#",	//950
    "duration",	//951
    "easingCurve",	//952
    "editingFinished",	//953
    "editorEvent",	//954
    "effectiveDesktop",	//955
    "elementAnimationCurve",	//956
    "elementAnimationCurve$",	//957
    "elementAnimationDuration",	//958
    "elementAnimationDuration$",	//959
    "elementAnimationFinished",	//960
    "elementAnimationFinished$",	//961
    "elementAnimationFps",	//962
    "elementAnimationFps$",	//963
    "elementAppear",	//964
    "elementAppear$#",	//965
    "elementAtPoint",	//966
    "elementAtPoint#",	//967
    "elementDisappear",	//968
    "elementDisappear$#",	//969
    "elementID",	//970
    "elementRect",	//971
    "elementRect$",	//972
    "elementSize",	//973
    "elementSize$",	//974
    "email",	//975
    "emptyExtenderMessage",	//976
    "emptyRect",	//977
    "emptyRect##",	//978
    "enableAction",	//979
    "enableAction$$",	//980
    "enabledBorders",	//981
    "enabledBordersForItem",	//982
    "enabledBordersForItem#",	//983
    "enabledChange",	//984
    "engine",	//985
    "engine$",	//986
    "ensureItemVisible",	//987
    "ensureItemVisible#",	//988
    "ensureRectVisible",	//989
    "ensureRectVisible#",	//990
    "enterEvent",	//991
    "entryList",	//992
    "entryList$",	//993
    "errorString",	//994
    "event",	//995
    "event#",	//996
    "eventFilter",	//997
    "eventFilter##",	//998
    "eventToString",	//999
    "eventToString#",	//1000
    "exampleQueries",	//1001
    "exampleQueriesWithTermDescription",	//1002
    "execQuery",	//1003
    "execQuery$",	//1004
    "execQuery$$",	//1005
    "expandGroup",	//1006
    "exportLayout",	//1007
    "exportLayout#?",	//1008
    "extender",	//1009
    "extenderItemRestored",	//1010
    "extenderItemRestored#",	//1011
    "extension",	//1012
    "fadeIn",	//1013
    "fadeOut",	//1014
    "filePath",	//1015
    "filePath$",	//1016
    "filePath$$",	//1017
    "files",	//1018
    "findInCache",	//1019
    "findInCache$#",	//1020
    "findInCache$#$",	//1021
    "findInRectsCache",	//1022
    "findInRectsCache$$#",	//1023
    "findItem",	//1024
    "findItem$$",	//1025
    "findItemByName",	//1026
    "findItemByName$",	//1027
    "finished",	//1028
    "finished#",	//1029
    "firstPositionWidget",	//1030
    "flash",	//1031
    "flash#",	//1032
    "flash#$",	//1033
    "flash#$$",	//1034
    "flash$",	//1035
    "flash$$",	//1036
    "flash$$#",	//1037
    "flushPendingConstraintsEvents",	//1038
    "focusChanged",	//1039
    "focusChanged$",	//1040
    "focusInEvent",	//1041
    "focusInEvent#",	//1042
    "focusNextApplet",	//1043
    "focusNextPrevChild",	//1044
    "focusOutEvent",	//1045
    "focusOutEvent#",	//1046
    "focusPreviousApplet",	//1047
    "font",	//1048
    "font$",	//1049
    "fontChange",	//1050
    "fontColor",	//1051
    "fontMetrics",	//1052
    "forceImmediateUpdate",	//1053
    "forceImmediateUpdateOfAllVisualizations",	//1054
    "formFactor",	//1055
    "forward",	//1056
    "framePixmap",	//1057
    "frameShadow",	//1058
    "frameSize",	//1059
    "freeEdges",	//1060
    "freeEdges$",	//1061
    "geometry",	//1062
    "geometryChanged",	//1063
    "getContentsMargins",	//1064
    "getDataEngine",	//1065
    "getMargins",	//1066
    "getMargins$$$$",	//1067
    "getMinimumResizeLimits",	//1068
    "getMinimumResizeLimits$$$$",	//1069
    "getSnapshotImage",	//1070
    "getSnapshotImage$$",	//1071
    "globalConfig",	//1072
    "globalShortcut",	//1073
    "grabKeyboardEvent",	//1074
    "grabMouseEvent",	//1075
    "graphicsWidget",	//1076
    "group",	//1077
    "group$",	//1078
    "groupList",	//1079
    "groups",	//1080
    "hasAuthorization",	//1081
    "hasAuthorization$",	//1082
    "hasConfigurationInterface",	//1083
    "hasElement",	//1084
    "hasElement$",	//1085
    "hasElementPrefix",	//1086
    "hasElementPrefix$",	//1087
    "hasFailedToLaunch",	//1088
    "hasGroup",	//1089
    "hasGroup$",	//1090
    "hasItem",	//1091
    "hasItem$",	//1092
    "hasOverShoot",	//1093
    "hasRunOptions",	//1094
    "hasScaledContents",	//1095
    "hasValidAssociatedApplication",	//1096
    "heightForWidth",	//1097
    "helpEvent",	//1098
    "hide",	//1099
    "hide#",	//1100
    "hideCloseButton",	//1101
    "hideEvent",	//1102
    "hideEvent#",	//1103
    "hidePopup",	//1104
    "highlightWindows",	//1105
    "homepage",	//1106
    "horizontalLinesColor",	//1107
    "horizontalLinesCount",	//1108
    "horizontalScale",	//1109
    "horizontalScrollBarPolicy",	//1110
    "hoverEnterEvent",	//1111
    "hoverEnterEvent#",	//1112
    "hoverLeaveEvent",	//1113
    "hoverLeaveEvent#",	//1114
    "hoverMoveEvent",	//1115
    "hoverMoveEvent#",	//1116
    "html",	//1117
    "icon",	//1118
    "iconSize",	//1119
    "id",	//1120
    "ignoredTypes",	//1121
    "image",	//1122
    "imagePath",	//1123
    "imagePath$",	//1124
    "immutability",	//1125
    "immutabilityChanged",	//1126
    "immutabilityChanged$",	//1127
    "implementationApi",	//1128
    "importLayout",	//1129
    "importLayout#",	//1130
    "inControlArea",	//1131
    "inControlArea#",	//1132
    "infoText",	//1133
    "init",	//1134
    "init#",	//1135
    "initExtenderItem",	//1136
    "initExtenderItem#",	//1137
    "initStyleOption",	//1138
    "initWallpaper",	//1139
    "initWallpaper#",	//1140
    "initializeLayout",	//1141
    "initializeLayout$",	//1142
    "inputMethodEvent",	//1143
    "inputMethodQuery",	//1144
    "insertIntoCache",	//1145
    "insertIntoCache$#",	//1146
    "insertIntoCache$#$",	//1147
    "insertIntoRectsCache",	//1148
    "insertIntoRectsCache$$#",	//1149
    "insertTab",	//1150
    "insertTab$#$",	//1151
    "insertTab$#$#",	//1152
    "insertTab$$",	//1153
    "insertTab$$#",	//1154
    "installPackage",	//1155
    "installPackage$$",	//1156
    "installPackage$$$",	//1157
    "invalidateRectsCache",	//1158
    "invalidateRectsCache$",	//1159
    "invertLayout",	//1160
    "invertLayout$",	//1161
    "invertedLayout",	//1162
    "isAnimating",	//1163
    "isAutoCollapse",	//1164
    "isBusy",	//1165
    "isCheckable",	//1166
    "isChecked",	//1167
    "isClearButtonShown",	//1168
    "isClickable",	//1169
    "isCollapsed",	//1170
    "isContainment",	//1171
    "isDetached",	//1172
    "isDown",	//1173
    "isEmpty",	//1174
    "isEnabled",	//1175
    "isGroup",	//1176
    "isGroupCollapsed",	//1177
    "isIconified",	//1178
    "isInitialized",	//1179
    "isInstantPopup",	//1180
    "isMatchingSuspended",	//1181
    "isObscuredBy",	//1182
    "isOperationEnabled",	//1183
    "isOperationEnabled$",	//1184
    "isPassivePopup",	//1185
    "isPluginVersionCompatible",	//1186
    "isPluginVersionCompatible$",	//1187
    "isPopupShowing",	//1188
    "isPreviewing",	//1189
    "isPublished",	//1190
    "isReadOnly",	//1191
    "isRegisteredAsDragHandle",	//1192
    "isRegisteredAsDragHandle#",	//1193
    "isRequired",	//1194
    "isRequired$",	//1195
    "isRunning",	//1196
    "isShowing",	//1197
    "isStorageEnabled",	//1198
    "isTabBarShown",	//1199
    "isTabHighlighted",	//1200
    "isTabHighlighted$",	//1201
    "isToolBoxOpen",	//1202
    "isTransient",	//1203
    "isUserConfiguring",	//1204
    "isUserResizing",	//1205
    "isUsingRenderingCache",	//1206
    "isValid",	//1207
    "isVisible",	//1208
    "isVisible#",	//1209
    "isWallpaperEnabled",	//1210
    "item",	//1211
    "item$",	//1212
    "itemActivated",	//1213
    "itemActivated$#",	//1214
    "itemAddedEvent",	//1215
    "itemAddedEvent#",	//1216
    "itemAddedEvent##",	//1217
    "itemAppear",	//1218
    "itemAppear$#",	//1219
    "itemAttached",	//1220
    "itemAttached#",	//1221
    "itemChange",	//1222
    "itemChange$#",	//1223
    "itemDetached",	//1224
    "itemDetached#",	//1225
    "itemDisappear",	//1226
    "itemDisappear$#",	//1227
    "itemHoverEnterEvent",	//1228
    "itemHoverEnterEvent#",	//1229
    "itemHoverLeaveEvent",	//1230
    "itemHoverLeaveEvent#",	//1231
    "itemHoverMoveEvent",	//1232
    "itemHoverMoveEvent##",	//1233
    "itemRemovedEvent",	//1234
    "itemRemovedEvent#",	//1235
    "itemSlideIn",	//1236
    "itemSlideIn$###",	//1237
    "itemSlideOut",	//1238
    "itemSlideOut$###",	//1239
    "items",	//1240
    "keyPressEvent",	//1241
    "keyPressEvent#",	//1242
    "keyReleaseEvent",	//1243
    "keyReleaseEvent#",	//1244
    "keywords",	//1245
    "kill",	//1246
    "knownLanguages",	//1247
    "knownLanguages$",	//1248
    "label",	//1249
    "label$",	//1250
    "labelAlignment",	//1251
    "labelAlignment$",	//1252
    "labelColor",	//1253
    "labelColor$",	//1254
    "labelFont",	//1255
    "labelFont$",	//1256
    "labelRect",	//1257
    "labelRect$",	//1258
    "languageChange",	//1259
    "lastDesktop",	//1260
    "lastPositionWidget",	//1261
    "lastScreen",	//1262
    "lastValue",	//1263
    "lastValue$",	//1264
    "lastValueAsString",	//1265
    "lastValueAsString$",	//1266
    "launchQuery",	//1267
    "launchQuery$",	//1268
    "launchQuery$$",	//1269
    "layoutContainments",	//1270
    "leaveEvent",	//1271
    "license",	//1272
    "linkActivated",	//1273
    "linkActivated$",	//1274
    "linkActivated$$$#",	//1275
    "linkHovered",	//1276
    "linkHovered$",	//1277
    "listActivities",	//1278
    "listAllEngines",	//1279
    "listAllEngines$",	//1280
    "listAppletInfo",	//1281
    "listAppletInfo$",	//1282
    "listAppletInfo$$",	//1283
    "listAppletInfoForMimetype",	//1284
    "listAppletInfoForMimetype$",	//1285
    "listAppletInfoForUrl",	//1286
    "listAppletInfoForUrl#",	//1287
    "listCachedRectKeys",	//1288
    "listCachedRectKeys$",	//1289
    "listCategories",	//1290
    "listCategories$",	//1291
    "listCategories$$",	//1292
    "listContainmentActionsInfo",	//1293
    "listContainmentTypes",	//1294
    "listContainments",	//1295
    "listContainments$",	//1296
    "listContainments$$",	//1297
    "listContainmentsForMimetype",	//1298
    "listContainmentsForMimetype$",	//1299
    "listContainmentsOfType",	//1300
    "listContainmentsOfType$",	//1301
    "listContainmentsOfType$$",	//1302
    "listContainmentsOfType$$$",	//1303
    "listEngineInfo",	//1304
    "listEngineInfo$",	//1305
    "listEngineInfoByCategory",	//1306
    "listEngineInfoByCategory$",	//1307
    "listEngineInfoByCategory$$",	//1308
    "listInstalled",	//1309
    "listInstalled$",	//1310
    "listInstalledPaths",	//1311
    "listInstalledPaths$",	//1312
    "listRenderingModes",	//1313
    "listRunnerInfo",	//1314
    "listRunnerInfo$",	//1315
    "listThemeInfo",	//1316
    "listToolBoxInfo",	//1317
    "listToolBoxInfo$",	//1318
    "listWallpaperInfo",	//1319
    "listWallpaperInfo$",	//1320
    "listWallpaperInfoForMimetype",	//1321
    "listWallpaperInfoForMimetype$",	//1322
    "listWallpaperInfoForMimetype$$",	//1323
    "load",	//1324
    "load#",	//1325
    "load##",	//1326
    "load##?",	//1327
    "load#$",	//1328
    "load#$?",	//1329
    "load#?",	//1330
    "load$",	//1331
    "load$#",	//1332
    "load$$",	//1333
    "load$$?",	//1334
    "load$?",	//1335
    "load$?#",	//1336
    "loadAnimationFromPackage",	//1337
    "loadAnimationFromPackage$#",	//1338
    "loadDefaultLayout",	//1339
    "loadEngine",	//1340
    "loadEngine$",	//1341
    "loadFinished",	//1342
    "loadFinished$",	//1343
    "loadLayout",	//1344
    "loadLayout$",	//1345
    "loadPlasmoid",	//1346
    "loadPlasmoid$",	//1347
    "loadPlasmoid$$",	//1348
    "loadPlasmoid$$?",	//1349
    "loadProgress",	//1350
    "loadProgress$",	//1351
    "loadRunner",	//1352
    "loadRunner$",	//1353
    "loadRunner?",	//1354
    "loadScriptEngine",	//1355
    "loadScriptEngine$#",	//1356
    "location",	//1357
    "locationChanged",	//1358
    "locationChanged#",	//1359
    "locationToDirection",	//1360
    "locationToDirection$",	//1361
    "locationToInverseDirection",	//1362
    "locationToInverseDirection$",	//1363
    "lostContainment",	//1364
    "lower",	//1365
    "mainFrame",	//1366
    "mainScript",	//1367
    "mainText",	//1368
    "makeCurrent",	//1369
    "mapAnimation",	//1370
    "mapAnimation$$",	//1371
    "mapFromView",	//1372
    "mapFromView##",	//1373
    "mapToView",	//1374
    "mapToView##",	//1375
    "marginSize",	//1376
    "marginSize$",	//1377
    "mask",	//1378
    "match",	//1379
    "match#",	//1380
    "match$",	//1381
    "matchSessionComplete",	//1382
    "matches",	//1383
    "matchesChanged",	//1384
    "matchesChanged?",	//1385
    "matchingSuspended",	//1386
    "matchingSuspended$",	//1387
    "maxSourceCount",	//1388
    "maximum",	//1389
    "maximumIconSize",	//1390
    "mediaObject",	//1391
    "messageButtonPressed",	//1392
    "messageButtonPressed$",	//1393
    "metaObject",	//1394
    "metadata",	//1395
    "meterType",	//1396
    "metric",	//1397
    "mimeDataForMatch",	//1398
    "mimeDataForMatch#",	//1399
    "mimeDataForMatch$",	//1400
    "mimeType",	//1401
    "mimetypes",	//1402
    "mimetypes$",	//1403
    "minimum",	//1404
    "minimumIconSize",	//1405
    "minimumPollingInterval",	//1406
    "minimumSizeHint",	//1407
    "model",	//1408
    "mouseDoubleClickEvent",	//1409
    "mouseDoubleClickEvent#",	//1410
    "mouseMoveEvent",	//1411
    "mouseMoveEvent#",	//1412
    "mousePressEvent",	//1413
    "mousePressEvent#",	//1414
    "mouseReleaseEvent",	//1415
    "mouseReleaseEvent#",	//1416
    "moveEvent",	//1417
    "moveEvent#",	//1418
    "moveItem",	//1419
    "moveItem#$#",	//1420
    "movementAnimationCurve",	//1421
    "movementAnimationCurve$",	//1422
    "movementAnimationDuration",	//1423
    "movementAnimationDuration$",	//1424
    "movementAnimationFps",	//1425
    "movementAnimationFps$",	//1426
    "movementFinished",	//1427
    "movementFinished#",	//1428
    "name",	//1429
    "name$",	//1430
    "nativeWidget",	//1431
    "needsPreviewDuringConfiguration",	//1432
    "needsToBeStored",	//1433
    "newStatus",	//1434
    "newStatus$",	//1435
    "newWidgetBrowserFinished",	//1436
    "nextRequested",	//1437
    "numDisplayLines",	//1438
    "numScreens",	//1439
    "offscreenWidgets",	//1440
    "opaqueArea",	//1441
    "openToolBox",	//1442
    "operationDescription",	//1443
    "operationDescription$",	//1444
    "operationNames",	//1445
    "operationsChanged",	//1446
    "operator<",	//1447
    "operator<#",	//1448
    "operator=",	//1449
    "operator=#",	//1450
    "operator==",	//1451
    "operator==#",	//1452
    "orientation",	//1453
    "overflowBordersVisible",	//1454
    "package",	//1455
    "packageStructure",	//1456
    "packageStructure#",	//1457
    "packageStructure$$",	//1458
    "page",	//1459
    "pageStep",	//1460
    "paint",	//1461
    "paint##",	//1462
    "paint###",	//1463
    "paint##$",	//1464
    "paint#$$",	//1465
    "paint#$$$",	//1466
    "paint#$$$$",	//1467
    "paint#$$$$$",	//1468
    "paintEngine",	//1469
    "paintEvent",	//1470
    "paintEvent#",	//1471
    "paintFrame",	//1472
    "paintFrame#",	//1473
    "paintFrame##",	//1474
    "paintFrame###",	//1475
    "paintGLInterface",	//1476
    "paintGLInterface##",	//1477
    "paintInterface",	//1478
    "paintInterface###",	//1479
    "paintWindowFrame",	//1480
    "paintWindowFrame###",	//1481
    "paletteChange",	//1482
    "parametersFromDescription",	//1483
    "parametersFromDescription#",	//1484
    "paste",	//1485
    "paste##",	//1486
    "path",	//1487
    "path$",	//1488
    "pathChanged",	//1489
    "pause",	//1490
    "performMatch",	//1491
    "performMatch#",	//1492
    "persistence",	//1493
    "pin",	//1494
    "pixmap",	//1495
    "pixmap$",	//1496
    "play",	//1497
    "plotColors",	//1498
    "pluginName",	//1499
    "policy",	//1500
    "polishEvent",	//1501
    "popupAlignment",	//1502
    "popupEvent",	//1503
    "popupEvent$",	//1504
    "popupIcon",	//1505
    "popupPlacement",	//1506
    "popupPosition",	//1507
    "popupPosition#",	//1508
    "popupPosition##",	//1509
    "popupPosition##$",	//1510
    "popupPosition#$",	//1511
    "preferredIconSize",	//1512
    "preferredToolBoxPlugin",	//1513
    "preferredToolBoxPlugin$",	//1514
    "prefix",	//1515
    "prepare",	//1516
    "pressed",	//1517
    "pressed$",	//1518
    "previousRequested",	//1519
    "priority",	//1520
    "property",	//1521
    "property$",	//1522
    "propertyChange",	//1523
    "publish",	//1524
    "publish$$",	//1525
    "qt_metacall",	//1526
    "qt_metacall$$?",	//1527
    "qt_metacast",	//1528
    "qt_metacast$",	//1529
    "query",	//1530
    "query$",	//1531
    "queryFinished",	//1532
    "raise",	//1533
    "read",	//1534
    "read#",	//1535
    "read$",	//1536
    "readConfig",	//1537
    "readyForRemoteAccess",	//1538
    "rectAfterSubTitle",	//1539
    "rectAfterSubTitle##",	//1540
    "rectAfterTitle",	//1541
    "rectAfterTitle##",	//1542
    "registerAsDragHandle",	//1543
    "registerAsDragHandle#",	//1544
    "registerOperationsScheme",	//1545
    "registerPackage",	//1546
    "registerPackage#$",	//1547
    "registerResources",	//1548
    "registerResources#",	//1549
    "registerScrollingManager",	//1550
    "registerScrollingManager#",	//1551
    "registerWidget",	//1552
    "registerWidget#",	//1553
    "releaseRectsCache",	//1554
    "releaseRectsCache$",	//1555
    "releaseVisualFocus",	//1556
    "released",	//1557
    "relevance",	//1558
    "reload",	//1559
    "reloadConfiguration",	//1560
    "remainingTime",	//1561
    "remoteAppletAnnounced",	//1562
    "remoteAppletAnnounced#",	//1563
    "remoteAppletUnannounced",	//1564
    "remoteAppletUnannounced#",	//1565
    "remoteApplets",	//1566
    "remoteLocation",	//1567
    "remove",	//1568
    "remove#",	//1569
    "removeAction",	//1570
    "removeAction$",	//1571
    "removeAllData",	//1572
    "removeAllData$",	//1573
    "removeAllSources",	//1574
    "removeAssociatedWidget",	//1575
    "removeAssociatedWidget#",	//1576
    "removeData",	//1577
    "removeData$$",	//1578
    "removeDefinition",	//1579
    "removeDefinition$",	//1580
    "removeIconAction",	//1581
    "removeIconAction#",	//1582
    "removeMatch",	//1583
    "removeMatch$",	//1584
    "removeMatches",	//1585
    "removeMatches?",	//1586
    "removeOffscreenWidget",	//1587
    "removeOffscreenWidget#",	//1588
    "removePlot",	//1589
    "removePlot$",	//1590
    "removeSource",	//1591
    "removeSource$",	//1592
    "removeTab",	//1593
    "removeTab$",	//1594
    "removeTool",	//1595
    "removeTool#",	//1596
    "removeToolBoxAction",	//1597
    "removeToolBoxAction#",	//1598
    "render",	//1599
    "render##",	//1600
    "render##$",	//1601
    "render##$#",	//1602
    "render$#",	//1603
    "render$#$",	//1604
    "render$#$#",	//1605
    "renderCompleted",	//1606
    "renderCompleted#",	//1607
    "renderHintsChanged",	//1608
    "renderingMode",	//1609
    "reorderPlots",	//1610
    "reorderPlots?",	//1611
    "repaintNeeded",	//1612
    "reposition",	//1613
    "requestConfigSync",	//1614
    "requireConfigSync",	//1615
    "requiredDirectories",	//1616
    "requiredFiles",	//1617
    "requiredVersion",	//1618
    "reset",	//1619
    "resize",	//1620
    "resize#",	//1621
    "resize$$",	//1622
    "resizeCorners",	//1623
    "resizeEvent",	//1624
    "resizeEvent#",	//1625
    "resizeFrame",	//1626
    "resizeFrame#",	//1627
    "resizeMethodHint",	//1628
    "restore",	//1629
    "restore#",	//1630
    "restoreContents",	//1631
    "restoreContents#",	//1632
    "returnPressed",	//1633
    "returnToSource",	//1634
    "roleMapping",	//1635
    "roleMapping$",	//1636
    "run",	//1637
    "run#",	//1638
    "run##",	//1639
    "run$",	//1640
    "runAssociatedApplication",	//1641
    "runner",	//1642
    "runner$",	//1643
    "runnerName",	//1644
    "runnerName$",	//1645
    "runners",	//1646
    "save",	//1647
    "save#",	//1648
    "saveContents",	//1649
    "saveContents#",	//1650
    "saveLayout",	//1651
    "saveLayout$",	//1652
    "saveState",	//1653
    "saveState#",	//1654
    "scale",	//1655
    "scale$",	//1656
    "scaledBy",	//1657
    "scalingFactor",	//1658
    "scalingFactor$",	//1659
    "sceneEvent",	//1660
    "sceneEventFilter",	//1661
    "sceneEventFilter##",	//1662
    "sceneRectAboutToChange",	//1663
    "sceneRectChanged",	//1664
    "scheduleSourcesUpdated",	//1665
    "screen",	//1666
    "screenChanged",	//1667
    "screenChanged$$#",	//1668
    "screenGeometry",	//1669
    "screenGeometry$",	//1670
    "screenOwnerChanged",	//1671
    "screenOwnerChanged$$#",	//1672
    "screenRect",	//1673
    "scrollContentsBy",	//1674
    "scrollPosition",	//1675
    "scrollStateChanged",	//1676
    "scrollStateChanged#$$",	//1677
    "scrollStateChanged$$",	//1678
    "searchContext",	//1679
    "searchPath",	//1680
    "searchPath$",	//1681
    "searchTermDescription",	//1682
    "seek",	//1683
    "seek$",	//1684
    "selectedAction",	//1685
    "self",	//1686
    "service",	//1687
    "serviceForSource",	//1688
    "serviceForSource$",	//1689
    "serviceName",	//1690
    "servicePrefix",	//1691
    "serviceQuery",	//1692
    "serviceQuery$",	//1693
    "serviceQuery$$",	//1694
    "serviceReady",	//1695
    "serviceReady#",	//1696
    "serviceType",	//1697
    "setAction",	//1698
    "setAction#",	//1699
    "setActivity",	//1700
    "setActivity$",	//1701
    "setAlignment",	//1702
    "setAlignment$",	//1703
    "setAllowExternalPaths",	//1704
    "setAllowExternalPaths$",	//1705
    "setAllowedRunners",	//1706
    "setAllowedRunners?",	//1707
    "setAppearance",	//1708
    "setAppearance$",	//1709
    "setApplet",	//1710
    "setApplet#",	//1711
    "setAppletMimeType",	//1712
    "setAppletMimeType$",	//1713
    "setApplication",	//1714
    "setApplication$",	//1715
    "setAspectRatioMode",	//1716
    "setAspectRatioMode$",	//1717
    "setAssociatedApplication",	//1718
    "setAssociatedApplication$",	//1719
    "setAssociatedApplicationUrls",	//1720
    "setAssociatedApplicationUrls?",	//1721
    "setAuthor",	//1722
    "setAuthor$",	//1723
    "setAuthorizationInterface",	//1724
    "setAuthorizationInterface#",	//1725
    "setAuthorizationPolicy",	//1726
    "setAuthorizationPolicy$",	//1727
    "setAutoCollapse",	//1728
    "setAutoCollapse$",	//1729
    "setAutoExpireDelay",	//1730
    "setAutoExpireDelay$",	//1731
    "setAutoHide",	//1732
    "setAutoHide$",	//1733
    "setAutoRaise",	//1734
    "setAutoRaise$",	//1735
    "setAutohide",	//1736
    "setAutohide$",	//1737
    "setBackgroundColor",	//1738
    "setBackgroundColor#",	//1739
    "setBackgroundHints",	//1740
    "setBackgroundHints$",	//1741
    "setBoundingRect",	//1742
    "setBoundingRect#",	//1743
    "setBusy",	//1744
    "setBusy$",	//1745
    "setCacheAllRenderedFrames",	//1746
    "setCacheAllRenderedFrames$",	//1747
    "setCacheLimit",	//1748
    "setCacheLimit$",	//1749
    "setCategory",	//1750
    "setCategory$",	//1751
    "setCheckable",	//1752
    "setCheckable$",	//1753
    "setChecked",	//1754
    "setChecked$",	//1755
    "setClearButtonShown",	//1756
    "setClearButtonShown$",	//1757
    "setClickMessage",	//1758
    "setClickMessage$",	//1759
    "setClickable",	//1760
    "setClickable$",	//1761
    "setCollapsed",	//1762
    "setCollapsed$",	//1763
    "setColor",	//1764
    "setColor#",	//1765
    "setConfigurationRequired",	//1766
    "setConfigurationRequired$",	//1767
    "setConfigurationRequired$$",	//1768
    "setContainment",	//1769
    "setContainment#",	//1770
    "setContainmentActions",	//1771
    "setContainmentActions$$",	//1772
    "setContainmentActionsDefaults",	//1773
    "setContainmentActionsDefaults$#",	//1774
    "setContainmentType",	//1775
    "setContainmentType$",	//1776
    "setContainsMultipleImages",	//1777
    "setContainsMultipleImages$",	//1778
    "setContent",	//1779
    "setContent##",	//1780
    "setContentsPrefix",	//1781
    "setContentsPrefix$",	//1782
    "setContentsPrefixPaths",	//1783
    "setContentsPrefixPaths?",	//1784
    "setContextActions",	//1785
    "setContextActions?",	//1786
    "setContextualActions",	//1787
    "setContextualActions?",	//1788
    "setControlsVisible",	//1789
    "setControlsVisible$",	//1790
    "setCurrentActivity",	//1791
    "setCurrentActivity$",	//1792
    "setCurrentActivityId",	//1793
    "setCurrentActivityId$",	//1794
    "setCurrentIndex",	//1795
    "setCurrentIndex$",	//1796
    "setCustomCategories",	//1797
    "setCustomCategories?",	//1798
    "setDarkColor",	//1799
    "setDarkColor#",	//1800
    "setData",	//1801
    "setData#",	//1802
    "setData$#",	//1803
    "setData$$#",	//1804
    "setData$?",	//1805
    "setDataEngine",	//1806
    "setDataEngine#",	//1807
    "setDefaultContainmentPlugin",	//1808
    "setDefaultContainmentPlugin$",	//1809
    "setDefaultMimetypes",	//1810
    "setDefaultMimetypes?",	//1811
    "setDefaultPackageRoot",	//1812
    "setDefaultPackageRoot$",	//1813
    "setDefaultService",	//1814
    "setDefaultService$",	//1815
    "setDefaultSyntax",	//1816
    "setDefaultSyntax#",	//1817
    "setDefaults",	//1818
    "setDescription",	//1819
    "setDescription$",	//1820
    "setDestination",	//1821
    "setDestination$",	//1822
    "setDialogManager",	//1823
    "setDialogManager#",	//1824
    "setDown",	//1825
    "setDown$",	//1826
    "setDragToScroll",	//1827
    "setDragToScroll$",	//1828
    "setDrawBackground",	//1829
    "setDrawBackground$",	//1830
    "setDrawWallpaper",	//1831
    "setDrawWallpaper$",	//1832
    "setDuration",	//1833
    "setDuration$",	//1834
    "setEasingCurve",	//1835
    "setEasingCurve#",	//1836
    "setEditorData",	//1837
    "setElementID",	//1838
    "setElementID$",	//1839
    "setElementPrefix",	//1840
    "setElementPrefix$",	//1841
    "setEmail",	//1842
    "setEmail$",	//1843
    "setEmptyExtenderMessage",	//1844
    "setEmptyExtenderMessage$",	//1845
    "setEnabled",	//1846
    "setEnabled$",	//1847
    "setEnabledBorders",	//1848
    "setEnabledBorders$",	//1849
    "setExtender",	//1850
    "setExtender#",	//1851
    "setExtender##",	//1852
    "setExtension",	//1853
    "setFailedToLaunch",	//1854
    "setFailedToLaunch$",	//1855
    "setFailedToLaunch$$",	//1856
    "setFirstPositionWidget",	//1857
    "setFirstPositionWidget#",	//1858
    "setFont",	//1859
    "setFont#",	//1860
    "setFont#$",	//1861
    "setFontColor",	//1862
    "setFontColor#",	//1863
    "setFormFactor",	//1864
    "setFormFactor$",	//1865
    "setFrameShadow",	//1866
    "setFrameShadow$",	//1867
    "setGeometry",	//1868
    "setGeometry#",	//1869
    "setGlobalShortcut",	//1870
    "setGlobalShortcut#",	//1871
    "setGraphicsWidget",	//1872
    "setGraphicsWidget#",	//1873
    "setGroup",	//1874
    "setGroup#",	//1875
    "setGroup##",	//1876
    "setGroupCollapsed",	//1877
    "setGroupCollapsed$",	//1878
    "setHasConfigurationInterface",	//1879
    "setHasConfigurationInterface$",	//1880
    "setHasRunOptions",	//1881
    "setHasRunOptions$",	//1882
    "setHighlightWindows",	//1883
    "setHighlightWindows$",	//1884
    "setHorizontalLinesColor",	//1885
    "setHorizontalLinesColor#",	//1886
    "setHorizontalLinesCount",	//1887
    "setHorizontalLinesCount$",	//1888
    "setHorizontalScale",	//1889
    "setHorizontalScale$",	//1890
    "setHorizontalScrollBarPolicy",	//1891
    "setHorizontalScrollBarPolicy$",	//1892
    "setHtml",	//1893
    "setHtml#",	//1894
    "setHtml##",	//1895
    "setHtml$",	//1896
    "setHtml$#",	//1897
    "setIcon",	//1898
    "setIcon#",	//1899
    "setIcon$",	//1900
    "setId",	//1901
    "setId$",	//1902
    "setIgnoredTypes",	//1903
    "setIgnoredTypes$",	//1904
    "setImage",	//1905
    "setImage#",	//1906
    "setImage$",	//1907
    "setImage$$",	//1908
    "setImagePath",	//1909
    "setImagePath$",	//1910
    "setImmutability",	//1911
    "setImmutability$",	//1912
    "setImplementationApi",	//1913
    "setImplementationApi$",	//1914
    "setInfoText",	//1915
    "setInfoText$",	//1916
    "setInitialPixmap",	//1917
    "setInitialPixmap$#",	//1918
    "setInstantPopup",	//1919
    "setInstantPopup$",	//1920
    "setKeywords",	//1921
    "setKeywords?",	//1922
    "setLabel",	//1923
    "setLabel$",	//1924
    "setLabel$$",	//1925
    "setLabelAlignment",	//1926
    "setLabelAlignment$$",	//1927
    "setLabelColor",	//1928
    "setLabelColor$#",	//1929
    "setLabelFont",	//1930
    "setLabelFont$#",	//1931
    "setLastPositionWidget",	//1932
    "setLastPositionWidget#",	//1933
    "setLicense",	//1934
    "setLicense$",	//1935
    "setLocation",	//1936
    "setLocation$",	//1937
    "setMainText",	//1938
    "setMainText$",	//1939
    "setMaxSourceCount",	//1940
    "setMaxSourceCount$",	//1941
    "setMaximum",	//1942
    "setMaximum$",	//1943
    "setMaximumIconSize",	//1944
    "setMaximumIconSize#",	//1945
    "setMeterType",	//1946
    "setMeterType$",	//1947
    "setMimetypes",	//1948
    "setMimetypes$?",	//1949
    "setMinimum",	//1950
    "setMinimum$",	//1951
    "setMinimumIconSize",	//1952
    "setMinimumIconSize#",	//1953
    "setMinimumPollingInterval",	//1954
    "setMinimumPollingInterval$",	//1955
    "setMinimumResizeLimits",	//1956
    "setMinimumResizeLimits$$$$",	//1957
    "setModel",	//1958
    "setModel#",	//1959
    "setModelData",	//1960
    "setName",	//1961
    "setName$",	//1962
    "setNativeWidget",	//1963
    "setNativeWidget#",	//1964
    "setNeedsToBeStored",	//1965
    "setNeedsToBeStored$",	//1966
    "setNeedsUpdate",	//1967
    "setNeedsUpdate$",	//1968
    "setNumDisplayLines",	//1969
    "setNumDisplayLines$",	//1970
    "setOperationEnabled",	//1971
    "setOperationEnabled$$",	//1972
    "setOperationsScheme",	//1973
    "setOperationsScheme#",	//1974
    "setOrientation",	//1975
    "setOrientation$",	//1976
    "setOverShoot",	//1977
    "setOverShoot$",	//1978
    "setOverflowBordersVisible",	//1979
    "setOverflowBordersVisible$",	//1980
    "setPage",	//1981
    "setPage#",	//1982
    "setPageStep",	//1983
    "setPageStep$",	//1984
    "setPassivePopup",	//1985
    "setPassivePopup$",	//1986
    "setPath",	//1987
    "setPath$",	//1988
    "setPersistence",	//1989
    "setPersistence$",	//1990
    "setPin",	//1991
    "setPin$",	//1992
    "setPluginName",	//1993
    "setPluginName$",	//1994
    "setPolicy",	//1995
    "setPolicy$",	//1996
    "setPollingInterval",	//1997
    "setPollingInterval$",	//1998
    "setPopupAlignment",	//1999
    "setPopupAlignment$",	//2000
    "setPopupIcon",	//2001
    "setPopupIcon#",	//2002
    "setPopupIcon$",	//2003
    "setPreferredIconSize",	//2004
    "setPreferredIconSize#",	//2005
    "setPreferredToolBoxPlugin",	//2006
    "setPreferredToolBoxPlugin$$",	//2007
    "setPressed",	//2008
    "setPressed$",	//2009
    "setPreviewDuringConfiguration",	//2010
    "setPreviewDuringConfiguration$",	//2011
    "setPreviewing",	//2012
    "setPreviewing$",	//2013
    "setPriority",	//2014
    "setPriority$",	//2015
    "setQuery",	//2016
    "setQuery$",	//2017
    "setRange",	//2018
    "setRange$$",	//2019
    "setReadOnly",	//2020
    "setReadOnly$",	//2021
    "setRelevance",	//2022
    "setRelevance$",	//2023
    "setRemoteLocation",	//2024
    "setRemoteLocation#",	//2025
    "setRenderingMode",	//2026
    "setRenderingMode$",	//2027
    "setRequired",	//2028
    "setRequired$$",	//2029
    "setRequiredVersion",	//2030
    "setRequiredVersion$",	//2031
    "setResizeHandleCorners",	//2032
    "setResizeHandleCorners$",	//2033
    "setResizeMethodHint",	//2034
    "setResizeMethodHint$",	//2035
    "setRoleMapping",	//2036
    "setRoleMapping$$",	//2037
    "setRunner",	//2038
    "setRunner#",	//2039
    "setRunning",	//2040
    "setRunning$",	//2041
    "setScaledContents",	//2042
    "setScaledContents$",	//2043
    "setScreen",	//2044
    "setScreen$",	//2045
    "setScreen$$",	//2046
    "setScrollPosition",	//2047
    "setScrollPosition#",	//2048
    "setSearchTermDescription",	//2049
    "setSearchTermDescription$",	//2050
    "setSelectedAction",	//2051
    "setSelectedAction#",	//2052
    "setServicePrefix",	//2053
    "setServicePrefix$",	//2054
    "setServiceType",	//2055
    "setServiceType$",	//2056
    "setShowHorizontalLines",	//2057
    "setShowHorizontalLines$",	//2058
    "setShowLabels",	//2059
    "setShowLabels$",	//2060
    "setShowTopBar",	//2061
    "setShowTopBar$",	//2062
    "setShowVerticalLines",	//2063
    "setShowVerticalLines$",	//2064
    "setShowing",	//2065
    "setShowing$",	//2066
    "setSingleMode",	//2067
    "setSingleMode$",	//2068
    "setSingleModeRunnerId",	//2069
    "setSingleModeRunnerId$",	//2070
    "setSingleRunnerQueryMode",	//2071
    "setSingleRunnerQueryMode$",	//2072
    "setSingleStep",	//2073
    "setSingleStep$",	//2074
    "setSnapSize",	//2075
    "setSnapSize#",	//2076
    "setSpeed",	//2077
    "setSpeed$",	//2078
    "setStackPlots",	//2079
    "setStackPlots$",	//2080
    "setState",	//2081
    "setState$",	//2082
    "setStatus",	//2083
    "setStatus$",	//2084
    "setStorageEnabled",	//2085
    "setStorageEnabled$",	//2086
    "setStorageEnabled$$",	//2087
    "setStyleSheet",	//2088
    "setStyleSheet$",	//2089
    "setSubText",	//2090
    "setSubText$",	//2091
    "setSubtext",	//2092
    "setSubtext$",	//2093
    "setSvg",	//2094
    "setSvg#",	//2095
    "setSvg$",	//2096
    "setSvg$$",	//2097
    "setSvgBackground",	//2098
    "setSvgBackground$",	//2099
    "setSyntaxes",	//2100
    "setSyntaxes?",	//2101
    "setTabBarShown",	//2102
    "setTabBarShown$",	//2103
    "setTabHighlighted",	//2104
    "setTabHighlighted$$",	//2105
    "setTabIcon",	//2106
    "setTabIcon$#",	//2107
    "setTabText",	//2108
    "setTabText$$",	//2109
    "setTarget",	//2110
    "setTarget#",	//2111
    "setTargetItem",	//2112
    "setTargetItem#",	//2113
    "setTargetSizeHint",	//2114
    "setTargetSizeHint#",	//2115
    "setTargetWidget",	//2116
    "setTargetWidget#",	//2117
    "setTargets",	//2118
    "setTargets$",	//2119
    "setText",	//2120
    "setText$",	//2121
    "setTextBackgroundColor",	//2122
    "setTextBackgroundColor#",	//2123
    "setTextSelectable",	//2124
    "setTextSelectable$",	//2125
    "setTheme",	//2126
    "setTheme#",	//2127
    "setThemeName",	//2128
    "setThemeName$",	//2129
    "setThinFrame",	//2130
    "setThinFrame$",	//2131
    "setTickInterval",	//2132
    "setTickInterval$",	//2133
    "setTitle",	//2134
    "setTitle$",	//2135
    "setToolBox",	//2136
    "setToolBox#",	//2137
    "setToolBoxOpen",	//2138
    "setToolBoxOpen$",	//2139
    "setTrackContainmentChanges",	//2140
    "setTrackContainmentChanges$",	//2141
    "setTransient",	//2142
    "setTransient$",	//2143
    "setType",	//2144
    "setType$",	//2145
    "setUnit",	//2146
    "setUnit$",	//2147
    "setUnpressed",	//2148
    "setUrl",	//2149
    "setUrl#",	//2150
    "setUrl$",	//2151
    "setUrls",	//2152
    "setUrls?",	//2153
    "setUseAutoRange",	//2154
    "setUseAutoRange$",	//2155
    "setUseGlobalSettings",	//2156
    "setUseGlobalSettings$",	//2157
    "setUsedControls",	//2158
    "setUsedControls$",	//2159
    "setUsingRenderingCache",	//2160
    "setUsingRenderingCache$",	//2161
    "setValid",	//2162
    "setValid$",	//2163
    "setValue",	//2164
    "setValue$",	//2165
    "setVersion",	//2166
    "setVersion$",	//2167
    "setVerticalLinesColor",	//2168
    "setVerticalLinesColor#",	//2169
    "setVerticalLinesDistance",	//2170
    "setVerticalLinesDistance$",	//2171
    "setVerticalLinesScroll",	//2172
    "setVerticalLinesScroll$",	//2173
    "setVerticalRange",	//2174
    "setVerticalRange$$",	//2175
    "setVerticalScrollBarPolicy",	//2176
    "setVerticalScrollBarPolicy$",	//2177
    "setView",	//2178
    "setView#",	//2179
    "setVisible",	//2180
    "setWallpaper",	//2181
    "setWallpaper#",	//2182
    "setWallpaper$",	//2183
    "setWallpaper$$",	//2184
    "setWallpaperEnabled",	//2185
    "setWallpaperEnabled$",	//2186
    "setWebsite",	//2187
    "setWebsite$",	//2188
    "setWidget",	//2189
    "setWidget#",	//2190
    "setWindowToPreview",	//2191
    "setWindowToPreview$",	//2192
    "setWindowsToPreview",	//2193
    "setWindowsToPreview?",	//2194
    "setWordWrap",	//2195
    "setWordWrap$",	//2196
    "setZoomFactor",	//2197
    "setZoomFactor$",	//2198
    "settingsChanged",	//2199
    "setupMatchSession",	//2200
    "shape",	//2201
    "shortcutsChanged",	//2202
    "shouldConserveResources",	//2203
    "show",	//2204
    "show#",	//2205
    "showAddWidgetsInterface",	//2206
    "showAddWidgetsInterface#",	//2207
    "showCloseButton",	//2208
    "showConfigurationInterface",	//2209
    "showConfigurationInterface#",	//2210
    "showContextMenu",	//2211
    "showContextMenu##",	//2212
    "showDialog",	//2213
    "showDialog##",	//2214
    "showDropZone",	//2215
    "showDropZone#",	//2216
    "showEvent",	//2217
    "showEvent#",	//2218
    "showHorizontalLines",	//2219
    "showLabels",	//2220
    "showMessage",	//2221
    "showMessage#$$",	//2222
    "showPopup",	//2223
    "showPopup$",	//2224
    "showToolTip",	//2225
    "showTopBar",	//2226
    "showVerticalLines",	//2227
    "singleMode",	//2228
    "singleModeAdvertisedRunnerIds",	//2229
    "singleModeRunner",	//2230
    "singleModeRunnerId",	//2231
    "singleRunnerQueryMode",	//2232
    "singleStep",	//2233
    "size",	//2234
    "sizeChanged",	//2235
    "sizeFromIconSize",	//2236
    "sizeFromIconSize$",	//2237
    "sizeHint",	//2238
    "sizeHint##",	//2239
    "sizeHint$",	//2240
    "sizeHint$#",	//2241
    "sizeHintChanged",	//2242
    "sizeHintChanged$",	//2243
    "sliderMoved",	//2244
    "sliderMoved$",	//2245
    "snapSize",	//2246
    "sourceAdded",	//2247
    "sourceAdded$",	//2248
    "sourceRemoved",	//2249
    "sourceRemoved$",	//2250
    "sourceRequestEvent",	//2251
    "sourceRequestEvent$",	//2252
    "sources",	//2253
    "speed",	//2254
    "stackPlots",	//2255
    "standardConfigurationDialog",	//2256
    "start",	//2257
    "startOperationCall",	//2258
    "startOperationCall#",	//2259
    "startOperationCall##",	//2260
    "startupArguments",	//2261
    "state",	//2262
    "staticMetaObject",	//2263
    "status",	//2264
    "stop",	//2265
    "stopCustomAnimation",	//2266
    "stopCustomAnimation$",	//2267
    "stopElementAnimation",	//2268
    "stopElementAnimation$",	//2269
    "stopItemAnimation",	//2270
    "stopItemAnimation$",	//2271
    "stopItemMovement",	//2272
    "stopItemMovement$",	//2273
    "structure",	//2274
    "styleChange",	//2275
    "styleSheet",	//2276
    "styleSheet$",	//2277
    "subText",	//2278
    "subtext",	//2279
    "supportedProtocols",	//2280
    "supportsExtension",	//2281
    "supportsMimetype",	//2282
    "supportsMimetype$",	//2283
    "suspendMatching",	//2284
    "suspendMatching$",	//2285
    "svg",	//2286
    "svgBackground",	//2287
    "swapContainment",	//2288
    "swapContainment#$",	//2289
    "swapContainment#$?",	//2290
    "swapContainment$",	//2291
    "swapContainment$?",	//2292
    "syncToGraphicsWidget",	//2293
    "syntaxes",	//2294
    "tabAt",	//2295
    "tabAt$",	//2296
    "tabIcon",	//2297
    "tabIcon$",	//2298
    "tabText",	//2299
    "tabText$",	//2300
    "tabletEvent",	//2301
    "takeTab",	//2302
    "takeTab$",	//2303
    "target",	//2304
    "targetItem",	//2305
    "targetItemReached",	//2306
    "targetItemReached#",	//2307
    "targetReached",	//2308
    "targetReached#",	//2309
    "targetSizeHint",	//2310
    "targetWidget",	//2311
    "targets",	//2312
    "teardown",	//2313
    "text",	//2314
    "textBackgroundColor",	//2315
    "textChanged",	//2316
    "textChanged$",	//2317
    "textEdited",	//2318
    "textEdited$",	//2319
    "textSelectable",	//2320
    "theme",	//2321
    "themeChanged",	//2322
    "themeName",	//2323
    "thinFrame",	//2324
    "tick",	//2325
    "tick$",	//2326
    "tickInterval",	//2327
    "timeSinceLastUpdate",	//2328
    "timerEvent",	//2329
    "timerEvent#",	//2330
    "title",	//2331
    "togglePopup",	//2332
    "toggled",	//2333
    "toggled$",	//2334
    "toolBox",	//2335
    "toolBoxItem",	//2336
    "toolBoxToggled",	//2337
    "toolBoxVisibilityChanged",	//2338
    "toolBoxVisibilityChanged$",	//2339
    "toolTipDelay",	//2340
    "topLevelViewAt",	//2341
    "topLevelViewAt#",	//2342
    "totalTime",	//2343
    "tr",	//2344
    "tr$",	//2345
    "tr$$",	//2346
    "tr$$$",	//2347
    "trUtf8",	//2348
    "trUtf8$",	//2349
    "trUtf8$$",	//2350
    "trUtf8$$$",	//2351
    "trackContainmentChanges",	//2352
    "type",	//2353
    "ungrabKeyboardEvent",	//2354
    "ungrabMouseEvent",	//2355
    "uninstallPackage",	//2356
    "uninstallPackage$$",	//2357
    "uninstallPackage$$$",	//2358
    "unit",	//2359
    "unloadEngine",	//2360
    "unloadEngine$",	//2361
    "unpublish",	//2362
    "unregisterAsDragHandle",	//2363
    "unregisterAsDragHandle#",	//2364
    "unregisterScrollingManager",	//2365
    "unregisterScrollingManager#",	//2366
    "unregisterWidget",	//2367
    "unregisterWidget#",	//2368
    "update",	//2369
    "update#",	//2370
    "updateAllSources",	//2371
    "updateConstraints",	//2372
    "updateConstraints$",	//2373
    "updateCurrentTime",	//2374
    "updateCurrentTime$",	//2375
    "updateDataBuffers",	//2376
    "updateDirection",	//2377
    "updateEditorGeometry",	//2378
    "updateGeometry",	//2379
    "updateRequested",	//2380
    "updateRequested#",	//2381
    "updateShortcuts",	//2382
    "updateSourceEvent",	//2383
    "updateSourceEvent$",	//2384
    "updateState",	//2385
    "url",	//2386
    "urlChanged",	//2387
    "urlChanged#",	//2388
    "urlDropped",	//2389
    "urlDropped#",	//2390
    "useAutoRange",	//2391
    "useDefaults",	//2392
    "useGlobalSettings",	//2393
    "useNativeWidgetStyle",	//2394
    "usedControls",	//2395
    "usrReadConfig",	//2396
    "usrSetDefaults",	//2397
    "usrUseDefaults",	//2398
    "usrWriteConfig",	//2399
    "value",	//2400
    "valueChanged",	//2401
    "valueChanged$",	//2402
    "version",	//2403
    "versionMajor",	//2404
    "versionMinor",	//2405
    "versionRelease",	//2406
    "versionString",	//2407
    "verticalLinesColor",	//2408
    "verticalLinesDistance",	//2409
    "verticalLinesScroll",	//2410
    "verticalMaxValue",	//2411
    "verticalMinValue",	//2412
    "verticalScrollBarPolicy",	//2413
    "view",	//2414
    "viewFor",	//2415
    "viewFor#",	//2416
    "viewportEvent",	//2417
    "viewportGeometry",	//2418
    "viewportGeometryChanged",	//2419
    "viewportGeometryChanged#",	//2420
    "visibilityChanged",	//2421
    "visibilityChanged$",	//2422
    "visualizationIsConnected",	//2423
    "visualizationIsConnected#",	//2424
    "wallpaper",	//2425
    "wallpaperPath",	//2426
    "wallpaperPath#",	//2427
    "website",	//2428
    "wheelEvent",	//2429
    "wheelEvent#",	//2430
    "widget",	//2431
    "windowActivationChange",	//2432
    "windowFrameEvent",	//2433
    "windowFrameSectionAt",	//2434
    "windowPreviewActivated",	//2435
    "windowPreviewActivated$$$#",	//2436
    "windowToPreview",	//2437
    "windowTranslucencyEnabled",	//2438
    "windowsToPreview",	//2439
    "wordWrap",	//2440
    "write",	//2441
    "write#",	//2442
    "write$",	//2443
    "writeConfig",	//2444
    "x11Event",	//2445
    "zoomFactor",	//2446
    "zoomRequested",	//2447
    "zoomRequested#$",	//2448
    "~AbstractDialogManager",	//2449
    "~AbstractRunner",	//2450
    "~AbstractToolBox",	//2451
    "~AccessAppletJob",	//2452
    "~Animation",	//2453
    "~AnimationDriver",	//2454
    "~Applet",	//2455
    "~AppletScript",	//2456
    "~AuthorizationInterface",	//2457
    "~AuthorizationRule",	//2458
    "~BusyWidget",	//2459
    "~CheckBox",	//2460
    "~ComboBox",	//2461
    "~ConfigLoader",	//2462
    "~Containment",	//2463
    "~ContainmentActions",	//2464
    "~ContainmentActionsPluginsConfig",	//2465
    "~Context",	//2466
    "~Corona",	//2467
    "~DataContainer",	//2468
    "~DataEngine",	//2469
    "~DataEngineScript",	//2470
    "~Delegate",	//2471
    "~Dialog",	//2472
    "~Extender",	//2473
    "~ExtenderGroup",	//2474
    "~ExtenderItem",	//2475
    "~FlashingLabel",	//2476
    "~Frame",	//2477
    "~FrameSvg",	//2478
    "~GLApplet",	//2479
    "~GroupBox",	//2480
    "~IconWidget",	//2481
    "~ItemBackground",	//2482
    "~Label",	//2483
    "~LineEdit",	//2484
    "~Meter",	//2485
    "~Package",	//2486
    "~PackageMetadata",	//2487
    "~PackageStructure",	//2488
    "~PlotColor",	//2489
    "~PopupApplet",	//2490
    "~PushButton",	//2491
    "~QueryMatch",	//2492
    "~RadioButton",	//2493
    "~RunnerContext",	//2494
    "~RunnerManager",	//2495
    "~RunnerScript",	//2496
    "~RunnerSyntax",	//2497
    "~ScriptEngine",	//2498
    "~ScrollBar",	//2499
    "~ScrollWidget",	//2500
    "~Separator",	//2501
    "~Service",	//2502
    "~ServiceAccessJob",	//2503
    "~SignalPlotter",	//2504
    "~Slider",	//2505
    "~SpinBox",	//2506
    "~StyleOption",	//2507
    "~Svg",	//2508
    "~SvgWidget",	//2509
    "~TabBar",	//2510
    "~TextBrowser",	//2511
    "~TextEdit",	//2512
    "~Theme",	//2513
    "~ToolButton",	//2514
    "~ToolTipContent",	//2515
    "~TreeView",	//2516
    "~VideoWidget",	//2517
    "~View",	//2518
    "~Wallpaper",	//2519
    "~WallpaperScript",	//2520
    "~WebView",	//2521
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 0},	//1 KConfigSkeleton::metaObject() const
    {9, 1528, 1, 1, Smoke::mf_virtual, 509, 0},	//2 KConfigSkeleton::qt_metacast(const char*)
    {9, 1526, 3, 3, Smoke::mf_virtual, 499, 0},	//3 KConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {11, 1818, 0, 0, Smoke::mf_virtual, 0, 0},	//4 KCoreConfigSkeleton::setDefaults()
    {11, 1537, 0, 0, Smoke::mf_virtual, 0, 0},	//5 KCoreConfigSkeleton::readConfig()
    {11, 2444, 0, 0, Smoke::mf_virtual, 0, 0},	//6 KCoreConfigSkeleton::writeConfig()
    {11, 2392, 7, 1, Smoke::mf_virtual, 406, 0},	//7 KCoreConfigSkeleton::useDefaults(bool)
    {11, 2398, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//8 KCoreConfigSkeleton::usrUseDefaults(bool)
    {11, 2397, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KCoreConfigSkeleton::usrSetDefaults()
    {11, 2396, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KCoreConfigSkeleton::usrReadConfig()
    {14, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//11 KJob::doKill()
    {14, 917, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//12 KJob::doSuspend()
    {14, 916, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//13 KJob::doResume()
    {14, 994, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 293, 0},	//14 KJob::errorString() const
    {14, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 5},	//15 KJob::NoError (enum)
    {14, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 6},	//16 KJob::KilledJobError (enum)
    {14, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 7},	//17 KJob::UserDefinedError (enum)
    {29, 1355, 9, 2, Smoke::mf_static, 142, 1},	//18 Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    {29, 2404, 0, 0, Smoke::mf_static, 507, 2},	//19 Plasma::versionMajor()
    {29, 1456, 12, 2, Smoke::mf_static, 22, 3},	//20 Plasma::packageStructure(const QString&, Plasma::ComponentType)
    {29, 1247, 15, 1, Smoke::mf_static, 294, 4},	//21 Plasma::knownLanguages(QFlags<Plasma::ComponentType>)
    {29, 2406, 0, 0, Smoke::mf_static, 507, 5},	//22 Plasma::versionRelease()
    {29, 2407, 0, 0, Smoke::mf_static, 491, 6},	//23 Plasma::versionString()
    {29, 1186, 17, 1, Smoke::mf_static, 406, 7},	//24 Plasma::isPluginVersionCompatible(unsigned int)
    {29, 1355, 19, 2, Smoke::mf_static, 55, 8},	//25 Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    {29, 1355, 22, 2, Smoke::mf_static, 88, 9},	//26 Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    {29, 2405, 0, 0, Smoke::mf_static, 507, 10},	//27 Plasma::versionMinor()
    {29, 1360, 25, 1, Smoke::mf_static, 94, 11},	//28 Plasma::locationToDirection(Plasma::Location)
    {29, 1362, 25, 1, Smoke::mf_static, 94, 12},	//29 Plasma::locationToInverseDirection(Plasma::Location)
    {29, 2403, 0, 0, Smoke::mf_static, 507, 13},	//30 Plasma::version()
    {29, 1658, 27, 1, Smoke::mf_static, 496, 14},	//31 Plasma::scalingFactor(Plasma::ZoomLevel)
    {29, 2415, 29, 1, Smoke::mf_static, 228, 15},	//32 Plasma::viewFor(const QGraphicsItem*)
    {29, 1355, 31, 2, Smoke::mf_static, 176, 16},	//33 Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    {29, 611, 34, 3, Smoke::mf_static, 255, 17},	//34 Plasma::actionsFromMenu(QMenu*, const QString&, QObject*)
    {29, 611, 38, 1, Smoke::mf_static, 255, 18},	//35 Plasma::actionsFromMenu(QMenu*)
    {29, 611, 40, 2, Smoke::mf_static, 255, 19},	//36 Plasma::actionsFromMenu(QMenu*, const QString&)
    {29, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 20},	//37 Plasma::ZoomIn (enum)
    {29, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 21},	//38 Plasma::ZoomOut (enum)
    {29, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 22},	//39 Plasma::Planar (enum)
    {29, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 23},	//40 Plasma::MediaCenter (enum)
    {29, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 24},	//41 Plasma::Horizontal (enum)
    {29, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 25},	//42 Plasma::Vertical (enum)
    {29, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 26},	//43 Plasma::ButtonNone (enum)
    {29, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 27},	//44 Plasma::ButtonOk (enum)
    {29, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 28},	//45 Plasma::ButtonYes (enum)
    {29, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 29},	//46 Plasma::ButtonNo (enum)
    {29, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 30},	//47 Plasma::ButtonCancel (enum)
    {29, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 31},	//48 Plasma::NoAlignment (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 32},	//49 Plasma::AlignToMinute (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 33},	//50 Plasma::AlignToHour (enum)
    {29, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 34},	//51 Plasma::TopMargin (enum)
    {29, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 35},	//52 Plasma::BottomMargin (enum)
    {29, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 36},	//53 Plasma::LeftMargin (enum)
    {29, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 37},	//54 Plasma::RightMargin (enum)
    {29, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 38},	//55 Plasma::InvalidAspectRatioMode (enum)
    {29, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 39},	//56 Plasma::IgnoreAspectRatio (enum)
    {29, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 40},	//57 Plasma::KeepAspectRatio (enum)
    {29, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 41},	//58 Plasma::Square (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 42},	//59 Plasma::ConstrainedSquare (enum)
    {29, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 43},	//60 Plasma::FixedSize (enum)
    {29, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 44},	//61 Plasma::LeftPositioned (enum)
    {29, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 45},	//62 Plasma::RightPositioned (enum)
    {29, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 46},	//63 Plasma::TopPositioned (enum)
    {29, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 47},	//64 Plasma::BottomPositioned (enum)
    {29, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 48},	//65 Plasma::CenterPositioned (enum)
    {29, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 49},	//66 Plasma::Down (enum)
    {29, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 50},	//67 Plasma::Up (enum)
    {29, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 51},	//68 Plasma::Left (enum)
    {29, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 52},	//69 Plasma::Right (enum)
    {29, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 53},	//70 Plasma::NoAnnouncement (enum)
    {29, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 54},	//71 Plasma::ZeroconfAnnouncement (enum)
    {29, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 55},	//72 Plasma::InvalidCredentials (enum)
    {29, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 56},	//73 Plasma::UnknownCredentials (enum)
    {29, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 57},	//74 Plasma::ValidCredentials (enum)
    {29, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 58},	//75 Plasma::TrustedCredentials (enum)
    {29, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 59},	//76 Plasma::UltimateCredentials (enum)
    {29, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 60},	//77 Plasma::Mutable (enum)
    {29, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 61},	//78 Plasma::UserImmutable (enum)
    {29, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 62},	//79 Plasma::SystemImmutable (enum)
    {29, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 63},	//80 Plasma::FloatingPopup (enum)
    {29, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 64},	//81 Plasma::TopPosedLeftAlignedPopup (enum)
    {29, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 65},	//82 Plasma::TopPosedRightAlignedPopup (enum)
    {29, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 66},	//83 Plasma::LeftPosedTopAlignedPopup (enum)
    {29, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 67},	//84 Plasma::LeftPosedBottomAlignedPopup (enum)
    {29, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 68},	//85 Plasma::BottomPosedLeftAlignedPopup (enum)
    {29, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 69},	//86 Plasma::BottomPosedRightAlignedPopup (enum)
    {29, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 70},	//87 Plasma::RightPosedTopAlignedPopup (enum)
    {29, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 71},	//88 Plasma::RightPosedBottomAlignedPopup (enum)
    {29, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 72},	//89 Plasma::AppletType (enum)
    {29, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 73},	//90 Plasma::LineEditType (enum)
    {29, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 74},	//91 Plasma::NoConstraint (enum)
    {29, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 75},	//92 Plasma::FormFactorConstraint (enum)
    {29, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 76},	//93 Plasma::LocationConstraint (enum)
    {29, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 77},	//94 Plasma::ScreenConstraint (enum)
    {29, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 78},	//95 Plasma::SizeConstraint (enum)
    {29, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 79},	//96 Plasma::ImmutableConstraint (enum)
    {29, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 80},	//97 Plasma::StartupCompletedConstraint (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 81},	//98 Plasma::ContextConstraint (enum)
    {29, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 82},	//99 Plasma::PopupConstraint (enum)
    {29, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 83},	//100 Plasma::AllConstraints (enum)
    {29, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 84},	//101 Plasma::NoFlip (enum)
    {29, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 85},	//102 Plasma::HorizontalFlip (enum)
    {29, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 86},	//103 Plasma::VerticalFlip (enum)
    {29, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 87},	//104 Plasma::UnknownStatus (enum)
    {29, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 88},	//105 Plasma::PassiveStatus (enum)
    {29, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 89},	//106 Plasma::ActiveStatus (enum)
    {29, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 90},	//107 Plasma::NeedsAttentionStatus (enum)
    {29, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 91},	//108 Plasma::AcceptingInputStatus (enum)
    {29, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 92},	//109 Plasma::DesktopZoom (enum)
    {29, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 93},	//110 Plasma::GroupZoom (enum)
    {29, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 94},	//111 Plasma::OverviewZoom (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 95},	//112 Plasma::AppletComponent (enum)
    {29, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 96},	//113 Plasma::DataEngineComponent (enum)
    {29, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 97},	//114 Plasma::RunnerComponent (enum)
    {29, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 98},	//115 Plasma::AnimatorComponent (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 99},	//116 Plasma::ContainmentComponent (enum)
    {29, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 100},	//117 Plasma::WallpaperComponent (enum)
    {29, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 101},	//118 Plasma::GenericComponent (enum)
    {29, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 102},	//119 Plasma::Floating (enum)
    {29, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 103},	//120 Plasma::Desktop (enum)
    {29, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 104},	//121 Plasma::FullScreen (enum)
    {29, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 105},	//122 Plasma::TopEdge (enum)
    {29, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 106},	//123 Plasma::BottomEdge (enum)
    {29, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 107},	//124 Plasma::LeftEdge (enum)
    {29, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 108},	//125 Plasma::RightEdge (enum)
    {30, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//126 Plasma::AbstractDialogManager::metaObject() const
    {30, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//127 Plasma::AbstractDialogManager::qt_metacast(const char*)
    {30, 2344, 43, 2, Smoke::mf_static, 293, 3},	//128 Plasma::AbstractDialogManager::tr(const char*, const char*)
    {30, 2348, 43, 2, Smoke::mf_static, 293, 4},	//129 Plasma::AbstractDialogManager::trUtf8(const char*, const char*)
    {30, 2344, 46, 3, Smoke::mf_static, 293, 5},	//130 Plasma::AbstractDialogManager::tr(const char*, const char*, int)
    {30, 2348, 46, 3, Smoke::mf_static, 293, 6},	//131 Plasma::AbstractDialogManager::trUtf8(const char*, const char*, int)
    {30, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//132 Plasma::AbstractDialogManager::qt_metacall(QMetaObject::Call, int, void**)
    {30, 1, 50, 1, Smoke::mf_ctor, 35, 8},	//133 Plasma::AbstractDialogManager::AbstractDialogManager(Plasma::Corona*)
    {30, 2213, 52, 2, Smoke::mf_slot, 0, 9},	//134 Plasma::AbstractDialogManager::showDialog(QWidget*, Plasma::Applet*)
    {30, 2344, 1, 1, Smoke::mf_static, 293, 10},	//135 Plasma::AbstractDialogManager::tr(const char*)
    {30, 2348, 1, 1, Smoke::mf_static, 293, 11},	//136 Plasma::AbstractDialogManager::trUtf8(const char*)
    {30, 1, 0, 0, Smoke::mf_ctor, 35, 12},	//137 Plasma::AbstractDialogManager::AbstractDialogManager()
    {30, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 13},	//138 Plasma::AbstractDialogManager::staticMetaObject() const
    {30, 2449, 0, 0, Smoke::mf_dtor, 0, 14 },	//139 Plasma::AbstractDialogManager::~AbstractDialogManager()
    {31, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//140 Plasma::AbstractRunner::metaObject() const
    {31, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//141 Plasma::AbstractRunner::qt_metacast(const char*)
    {31, 2344, 43, 2, Smoke::mf_static, 293, 3},	//142 Plasma::AbstractRunner::tr(const char*, const char*)
    {31, 2348, 43, 2, Smoke::mf_static, 293, 4},	//143 Plasma::AbstractRunner::trUtf8(const char*, const char*)
    {31, 2344, 46, 3, Smoke::mf_static, 293, 5},	//144 Plasma::AbstractRunner::tr(const char*, const char*, int)
    {31, 2348, 46, 3, Smoke::mf_static, 293, 6},	//145 Plasma::AbstractRunner::trUtf8(const char*, const char*, int)
    {31, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//146 Plasma::AbstractRunner::qt_metacall(QMetaObject::Call, int, void**)
    {31, 1379, 55, 1, Smoke::mf_virtual, 0, 8},	//147 Plasma::AbstractRunner::match(Plasma::RunnerContext&)
    {31, 1491, 55, 1, 0, 0, 9},	//148 Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&)
    {31, 1094, 0, 0, 0, 406, 10},	//149 Plasma::AbstractRunner::hasRunOptions()
    {31, 862, 57, 1, Smoke::mf_virtual, 0, 11},	//150 Plasma::AbstractRunner::createRunOptions(QWidget*)
    {31, 1637, 59, 2, Smoke::mf_virtual, 0, 12},	//151 Plasma::AbstractRunner::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {31, 2254, 0, 0, Smoke::mf_const, 38, 13},	//152 Plasma::AbstractRunner::speed() const
    {31, 1520, 0, 0, Smoke::mf_const, 37, 14},	//153 Plasma::AbstractRunner::priority() const
    {31, 1121, 0, 0, Smoke::mf_const, 206, 15},	//154 Plasma::AbstractRunner::ignoredTypes() const
    {31, 1903, 62, 1, 0, 0, 16},	//155 Plasma::AbstractRunner::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {31, 1429, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 17},	//156 Plasma::AbstractRunner::name() const
    {31, 1120, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 18},	//157 Plasma::AbstractRunner::id() const
    {31, 894, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 19},	//158 Plasma::AbstractRunner::description() const
    {31, 1118, 0, 0, Smoke::mf_const|Smoke::mf_property, 236, 20},	//159 Plasma::AbstractRunner::icon() const
    {31, 1455, 0, 0, Smoke::mf_const, 430, 21},	//160 Plasma::AbstractRunner::package() const
    {31, 1560, 0, 0, Smoke::mf_virtual, 0, 22},	//161 Plasma::AbstractRunner::reloadConfiguration()
    {31, 2294, 0, 0, Smoke::mf_const, 254, 23},	//162 Plasma::AbstractRunner::syntaxes() const
    {31, 745, 0, 0, Smoke::mf_static, 269, 24},	//163 Plasma::AbstractRunner::bigLock()
    {31, 890, 0, 0, Smoke::mf_const, 144, 25},	//164 Plasma::AbstractRunner::defaultSyntax() const
    {31, 1181, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 26},	//165 Plasma::AbstractRunner::isMatchingSuspended() const
    {31, 1516, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//166 Plasma::AbstractRunner::prepare()
    {31, 2313, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//167 Plasma::AbstractRunner::teardown()
    {31, 1386, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//168 Plasma::AbstractRunner::matchingSuspended(bool)
    {31, 3, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 36, 30},	//169 Plasma::AbstractRunner::AbstractRunner(QObject*, const QString&)
    {31, 3, 67, 2, Smoke::mf_ctor|Smoke::mf_protected, 36, 31},	//170 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>, QObject*)
    {31, 3, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 36, 32},	//171 Plasma::AbstractRunner::AbstractRunner(QObject*, const QList<QVariant>&)
    {31, 2284, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 33},	//172 Plasma::AbstractRunner::suspendMatching(bool)
    {31, 783, 0, 0, Smoke::mf_const|Smoke::mf_protected, 10, 34},	//173 Plasma::AbstractRunner::config() const
    {31, 1881, 7, 1, Smoke::mf_protected, 0, 35},	//174 Plasma::AbstractRunner::setHasRunOptions(bool)
    {31, 2077, 73, 1, Smoke::mf_protected, 0, 36},	//175 Plasma::AbstractRunner::setSpeed(Plasma::AbstractRunner::Speed)
    {31, 2014, 75, 1, Smoke::mf_protected, 0, 37},	//176 Plasma::AbstractRunner::setPriority(Plasma::AbstractRunner::Priority)
    {31, 1692, 77, 2, Smoke::mf_const|Smoke::mf_protected, 244, 38},	//177 Plasma::AbstractRunner::serviceQuery(const QString&, const QString&) const
    {31, 608, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 255, 39},	//178 Plasma::AbstractRunner::actionsForMatch(const Plasma::QueryMatch&)
    {31, 621, 82, 3, Smoke::mf_protected, 184, 40},	//179 Plasma::AbstractRunner::addAction(const QString&, const QIcon&, const QString&)
    {31, 621, 86, 2, Smoke::mf_protected, 0, 41},	//180 Plasma::AbstractRunner::addAction(const QString&, QAction*)
    {31, 1570, 89, 1, Smoke::mf_protected, 0, 42},	//181 Plasma::AbstractRunner::removeAction(const QString&)
    {31, 604, 89, 1, Smoke::mf_const|Smoke::mf_protected, 184, 43},	//182 Plasma::AbstractRunner::action(const QString&) const
    {31, 607, 0, 0, Smoke::mf_const|Smoke::mf_protected, 232, 44},	//183 Plasma::AbstractRunner::actions() const
    {31, 763, 0, 0, Smoke::mf_protected, 0, 45},	//184 Plasma::AbstractRunner::clearActions()
    {31, 673, 91, 1, Smoke::mf_protected, 0, 46},	//185 Plasma::AbstractRunner::addSyntax(const Plasma::RunnerSyntax&)
    {31, 1816, 91, 1, Smoke::mf_protected, 0, 47},	//186 Plasma::AbstractRunner::setDefaultSyntax(const Plasma::RunnerSyntax&)
    {31, 2100, 93, 1, Smoke::mf_protected, 0, 48},	//187 Plasma::AbstractRunner::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {31, 884, 89, 1, Smoke::mf_const|Smoke::mf_protected, 85, 49},	//188 Plasma::AbstractRunner::dataEngine(const QString&) const
    {31, 1134, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//189 Plasma::AbstractRunner::init()
    {31, 1398, 95, 1, Smoke::mf_protected|Smoke::mf_slot, 266, 51},	//190 Plasma::AbstractRunner::mimeDataForMatch(const Plasma::QueryMatch*)
    {31, 2344, 1, 1, Smoke::mf_static, 293, 52},	//191 Plasma::AbstractRunner::tr(const char*)
    {31, 2348, 1, 1, Smoke::mf_static, 293, 53},	//192 Plasma::AbstractRunner::trUtf8(const char*)
    {31, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 36, 54},	//193 Plasma::AbstractRunner::AbstractRunner()
    {31, 3, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 36, 55},	//194 Plasma::AbstractRunner::AbstractRunner(QObject*)
    {31, 3, 99, 1, Smoke::mf_ctor|Smoke::mf_protected, 36, 56},	//195 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>)
    {31, 1692, 89, 1, Smoke::mf_const|Smoke::mf_protected, 244, 57},	//196 Plasma::AbstractRunner::serviceQuery(const QString&) const
    {31, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 58},	//197 Plasma::AbstractRunner::staticMetaObject() const
    {31, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 59},	//198 Plasma::AbstractRunner::SlowSpeed (enum)
    {31, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 60},	//199 Plasma::AbstractRunner::NormalSpeed (enum)
    {31, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 61},	//200 Plasma::AbstractRunner::LowestPriority (enum)
    {31, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 62},	//201 Plasma::AbstractRunner::LowPriority (enum)
    {31, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 63},	//202 Plasma::AbstractRunner::NormalPriority (enum)
    {31, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 64},	//203 Plasma::AbstractRunner::HighPriority (enum)
    {31, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 65},	//204 Plasma::AbstractRunner::HighestPriority (enum)
    {31, 2450, 0, 0, Smoke::mf_dtor, 0, 66 },	//205 Plasma::AbstractRunner::~AbstractRunner()
    {32, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//206 Plasma::AbstractToolBox::metaObject() const
    {32, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//207 Plasma::AbstractToolBox::qt_metacast(const char*)
    {32, 2344, 43, 2, Smoke::mf_static, 293, 3},	//208 Plasma::AbstractToolBox::tr(const char*, const char*)
    {32, 2348, 43, 2, Smoke::mf_static, 293, 4},	//209 Plasma::AbstractToolBox::trUtf8(const char*, const char*)
    {32, 2344, 46, 3, Smoke::mf_static, 293, 5},	//210 Plasma::AbstractToolBox::tr(const char*, const char*, int)
    {32, 2348, 46, 3, Smoke::mf_static, 293, 6},	//211 Plasma::AbstractToolBox::trUtf8(const char*, const char*, int)
    {32, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//212 Plasma::AbstractToolBox::qt_metacall(QMetaObject::Call, int, void**)
    {32, 9, 101, 1, Smoke::mf_ctor, 39, 8},	//213 Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    {32, 9, 70, 2, Smoke::mf_ctor, 39, 9},	//214 Plasma::AbstractToolBox::AbstractToolBox(QObject*, const QList<QVariant>&)
    {32, 1324, 103, 3, Smoke::mf_static, 39, 10},	//215 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&, Plasma::Containment*)
    {32, 1317, 89, 1, Smoke::mf_static, 242, 11},	//216 Plasma::AbstractToolBox::listToolBoxInfo(const QString&)
    {32, 680, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//217 Plasma::AbstractToolBox::addTool(QAction*) [pure virtual]
    {32, 1595, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//218 Plasma::AbstractToolBox::removeTool(QAction*) [pure virtual]
    {32, 1197, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 14},	//219 Plasma::AbstractToolBox::isShowing() const [pure virtual]
    {32, 2065, 109, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//220 Plasma::AbstractToolBox::setShowing(const bool) [pure virtual]
    {32, 1629, 111, 1, Smoke::mf_slot, 0, 16},	//221 Plasma::AbstractToolBox::restore(const KConfigGroup&)
    {32, 1647, 111, 1, Smoke::mf_slot, 0, 17},	//222 Plasma::AbstractToolBox::save(const KConfigGroup&)
    {32, 1613, 0, 0, Smoke::mf_slot, 0, 18},	//223 Plasma::AbstractToolBox::reposition()
    {32, 2333, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//224 Plasma::AbstractToolBox::toggled()
    {32, 2421, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//225 Plasma::AbstractToolBox::visibilityChanged(bool)
    {32, 810, 0, 0, Smoke::mf_const|Smoke::mf_protected, 73, 21},	//226 Plasma::AbstractToolBox::containment() const
    {32, 2344, 1, 1, Smoke::mf_static, 293, 22},	//227 Plasma::AbstractToolBox::tr(const char*)
    {32, 2348, 1, 1, Smoke::mf_static, 293, 23},	//228 Plasma::AbstractToolBox::trUtf8(const char*)
    {32, 9, 0, 0, Smoke::mf_ctor, 39, 24},	//229 Plasma::AbstractToolBox::AbstractToolBox()
    {32, 9, 97, 1, Smoke::mf_ctor, 39, 25},	//230 Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    {32, 1324, 89, 1, Smoke::mf_static, 39, 26},	//231 Plasma::AbstractToolBox::load(const QString&)
    {32, 1324, 113, 2, Smoke::mf_static, 39, 27},	//232 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&)
    {32, 1317, 0, 0, Smoke::mf_static, 242, 28},	//233 Plasma::AbstractToolBox::listToolBoxInfo()
    {32, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 29},	//234 Plasma::AbstractToolBox::staticMetaObject() const
    {32, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 30},	//235 Plasma::AbstractToolBox::AddTool (enum)
    {32, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 31},	//236 Plasma::AbstractToolBox::ConfigureTool (enum)
    {32, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 32},	//237 Plasma::AbstractToolBox::ControlTool (enum)
    {32, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 33},	//238 Plasma::AbstractToolBox::MiscTool (enum)
    {32, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 34},	//239 Plasma::AbstractToolBox::DestructiveTool (enum)
    {32, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 35},	//240 Plasma::AbstractToolBox::UserToolType (enum)
    {32, 2451, 0, 0, Smoke::mf_dtor, 0, 36 },	//241 Plasma::AbstractToolBox::~AbstractToolBox()
    {33, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//242 Plasma::AccessAppletJob::metaObject() const
    {33, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//243 Plasma::AccessAppletJob::qt_metacast(const char*)
    {33, 2344, 43, 2, Smoke::mf_static, 293, 3},	//244 Plasma::AccessAppletJob::tr(const char*, const char*)
    {33, 2348, 43, 2, Smoke::mf_static, 293, 4},	//245 Plasma::AccessAppletJob::trUtf8(const char*, const char*)
    {33, 2344, 46, 3, Smoke::mf_static, 293, 5},	//246 Plasma::AccessAppletJob::tr(const char*, const char*, int)
    {33, 2348, 46, 3, Smoke::mf_static, 293, 6},	//247 Plasma::AccessAppletJob::trUtf8(const char*, const char*, int)
    {33, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//248 Plasma::AccessAppletJob::qt_metacall(QMetaObject::Call, int, void**)
    {33, 711, 0, 0, Smoke::mf_const, 53, 8},	//249 Plasma::AccessAppletJob::applet() const
    {33, 13, 116, 2, Smoke::mf_ctor|Smoke::mf_protected, 41, 9},	//250 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&, QObject*)
    {33, 2257, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//251 Plasma::AccessAppletJob::start()
    {33, 2344, 1, 1, Smoke::mf_static, 293, 11},	//252 Plasma::AccessAppletJob::tr(const char*)
    {33, 2348, 1, 1, Smoke::mf_static, 293, 12},	//253 Plasma::AccessAppletJob::trUtf8(const char*)
    {33, 13, 119, 1, Smoke::mf_ctor|Smoke::mf_protected, 41, 13},	//254 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&)
    {33, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 14},	//255 Plasma::AccessAppletJob::staticMetaObject() const
    {33, 2452, 0, 0, Smoke::mf_dtor, 0, 15 },	//256 Plasma::AccessAppletJob::~AccessAppletJob()
    {34, 1394, 0, 0, Smoke::mf_const, 463, 1},	//257 Plasma::AccessManager::metaObject() const
    {34, 1528, 1, 1, 0, 509, 2},	//258 Plasma::AccessManager::qt_metacast(const char*)
    {34, 2344, 43, 2, Smoke::mf_static, 293, 3},	//259 Plasma::AccessManager::tr(const char*, const char*)
    {34, 2348, 43, 2, Smoke::mf_static, 293, 4},	//260 Plasma::AccessManager::trUtf8(const char*, const char*)
    {34, 2344, 46, 3, Smoke::mf_static, 293, 5},	//261 Plasma::AccessManager::tr(const char*, const char*, int)
    {34, 2348, 46, 3, Smoke::mf_static, 293, 6},	//262 Plasma::AccessManager::trUtf8(const char*, const char*, int)
    {34, 1526, 3, 3, 0, 499, 7},	//263 Plasma::AccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {34, 1686, 0, 0, Smoke::mf_static, 42, 8},	//264 Plasma::AccessManager::self()
    {34, 602, 119, 1, Smoke::mf_const, 41, 9},	//265 Plasma::AccessManager::accessRemoteApplet(const KUrl&) const
    {34, 1566, 0, 0, Smoke::mf_const, 251, 10},	//266 Plasma::AccessManager::remoteApplets() const
    {34, 2280, 0, 0, Smoke::mf_static, 294, 11},	//267 Plasma::AccessManager::supportedProtocols()
    {34, 1028, 121, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//268 Plasma::AccessManager::finished(Plasma::AccessAppletJob*)
    {34, 1562, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//269 Plasma::AccessManager::remoteAppletAnnounced(Plasma::PackageMetadata)
    {34, 1564, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//270 Plasma::AccessManager::remoteAppletUnannounced(Plasma::PackageMetadata)
    {34, 2344, 1, 1, Smoke::mf_static, 293, 15},	//271 Plasma::AccessManager::tr(const char*)
    {34, 2348, 1, 1, Smoke::mf_static, 293, 16},	//272 Plasma::AccessManager::trUtf8(const char*)
    {34, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 17},	//273 Plasma::AccessManager::staticMetaObject() const
    {35, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//274 Plasma::Animation::metaObject() const
    {35, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//275 Plasma::Animation::qt_metacast(const char*)
    {35, 2344, 43, 2, Smoke::mf_static, 293, 3},	//276 Plasma::Animation::tr(const char*, const char*)
    {35, 2348, 43, 2, Smoke::mf_static, 293, 4},	//277 Plasma::Animation::trUtf8(const char*, const char*)
    {35, 2344, 46, 3, Smoke::mf_static, 293, 5},	//278 Plasma::Animation::tr(const char*, const char*, int)
    {35, 2348, 46, 3, Smoke::mf_static, 293, 6},	//279 Plasma::Animation::trUtf8(const char*, const char*, int)
    {35, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//280 Plasma::Animation::qt_metacall(QMetaObject::Call, int, void**)
    {35, 951, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 499, 8},	//281 Plasma::Animation::duration() const
    {35, 32, 97, 1, Smoke::mf_ctor, 43, 9},	//282 Plasma::Animation::Animation(QObject*)
    {35, 2116, 125, 1, 0, 0, 10},	//283 Plasma::Animation::setTargetWidget(QGraphicsWidget*)
    {35, 2311, 0, 0, Smoke::mf_const, 229, 11},	//284 Plasma::Animation::targetWidget() const
    {35, 1835, 127, 1, Smoke::mf_property, 0, 12},	//285 Plasma::Animation::setEasingCurve(const QEasingCurve&)
    {35, 952, 0, 0, Smoke::mf_const|Smoke::mf_property, 198, 13},	//286 Plasma::Animation::easingCurve() const
    {35, 1833, 129, 1, Smoke::mf_protected|Smoke::mf_property|Smoke::mf_virtual, 0, 14},	//287 Plasma::Animation::setDuration(int)
    {35, 2374, 129, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//288 Plasma::Animation::updateCurrentTime(int)
    {35, 2344, 1, 1, Smoke::mf_static, 293, 16},	//289 Plasma::Animation::tr(const char*)
    {35, 2348, 1, 1, Smoke::mf_static, 293, 17},	//290 Plasma::Animation::trUtf8(const char*)
    {35, 32, 0, 0, Smoke::mf_ctor, 43, 18},	//291 Plasma::Animation::Animation()
    {35, 1833, 0, 0, Smoke::mf_protected|Smoke::mf_property, 0, 19},	//292 Plasma::Animation::setDuration()
    {35, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 20},	//293 Plasma::Animation::staticMetaObject() const
    {35, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 21},	//294 Plasma::Animation::Center (enum)
    {35, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 22},	//295 Plasma::Animation::Up (enum)
    {35, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 23},	//296 Plasma::Animation::Down (enum)
    {35, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 24},	//297 Plasma::Animation::Left (enum)
    {35, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 25},	//298 Plasma::Animation::Right (enum)
    {35, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 26},	//299 Plasma::Animation::MoveAny (enum)
    {35, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 27},	//300 Plasma::Animation::MoveUp (enum)
    {35, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 28},	//301 Plasma::Animation::MoveRight (enum)
    {35, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 29},	//302 Plasma::Animation::MoveDown (enum)
    {35, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 30},	//303 Plasma::Animation::MoveLeft (enum)
    {35, 2453, 0, 0, Smoke::mf_dtor, 0, 31 },	//304 Plasma::Animation::~Animation()
    {36, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//305 Plasma::AnimationDriver::metaObject() const
    {36, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//306 Plasma::AnimationDriver::qt_metacast(const char*)
    {36, 2344, 43, 2, Smoke::mf_static, 293, 3},	//307 Plasma::AnimationDriver::tr(const char*, const char*)
    {36, 2348, 43, 2, Smoke::mf_static, 293, 4},	//308 Plasma::AnimationDriver::trUtf8(const char*, const char*)
    {36, 2344, 46, 3, Smoke::mf_static, 293, 5},	//309 Plasma::AnimationDriver::tr(const char*, const char*, int)
    {36, 2348, 46, 3, Smoke::mf_static, 293, 6},	//310 Plasma::AnimationDriver::trUtf8(const char*, const char*, int)
    {36, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//311 Plasma::AnimationDriver::qt_metacall(QMetaObject::Call, int, void**)
    {36, 34, 97, 1, Smoke::mf_ctor, 46, 8},	//312 Plasma::AnimationDriver::AnimationDriver(QObject*)
    {36, 701, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 9},	//313 Plasma::AnimationDriver::animationFps(Plasma::Animator::Animation) const
    {36, 1425, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 10},	//314 Plasma::AnimationDriver::movementAnimationFps(Plasma::Animator::Movement) const
    {36, 962, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 11},	//315 Plasma::AnimationDriver::elementAnimationFps(Plasma::Animator::Animation) const
    {36, 697, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 12},	//316 Plasma::AnimationDriver::animationDuration(Plasma::Animator::Animation) const
    {36, 1423, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 13},	//317 Plasma::AnimationDriver::movementAnimationDuration(Plasma::Animator::Movement) const
    {36, 958, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 14},	//318 Plasma::AnimationDriver::elementAnimationDuration(Plasma::Animator::Animation) const
    {36, 695, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 49, 15},	//319 Plasma::AnimationDriver::animationCurve(Plasma::Animator::Animation) const
    {36, 1421, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 49, 16},	//320 Plasma::AnimationDriver::movementAnimationCurve(Plasma::Animator::Movement) const
    {36, 956, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 49, 17},	//321 Plasma::AnimationDriver::elementAnimationCurve(Plasma::Animator::Animation) const
    {36, 964, 135, 2, Smoke::mf_virtual, 277, 18},	//322 Plasma::AnimationDriver::elementAppear(double, const QPixmap&)
    {36, 968, 135, 2, Smoke::mf_virtual, 277, 19},	//323 Plasma::AnimationDriver::elementDisappear(double, const QPixmap&)
    {36, 1218, 138, 2, Smoke::mf_virtual, 0, 20},	//324 Plasma::AnimationDriver::itemAppear(double, QGraphicsItem*)
    {36, 1226, 138, 2, Smoke::mf_virtual, 0, 21},	//325 Plasma::AnimationDriver::itemDisappear(double, QGraphicsItem*)
    {36, 1213, 138, 2, Smoke::mf_virtual, 0, 22},	//326 Plasma::AnimationDriver::itemActivated(double, QGraphicsItem*)
    {36, 1236, 141, 4, Smoke::mf_virtual, 0, 23},	//327 Plasma::AnimationDriver::itemSlideIn(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 1238, 141, 4, Smoke::mf_virtual, 0, 24},	//328 Plasma::AnimationDriver::itemSlideOut(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 2344, 1, 1, Smoke::mf_static, 293, 25},	//329 Plasma::AnimationDriver::tr(const char*)
    {36, 2348, 1, 1, Smoke::mf_static, 293, 26},	//330 Plasma::AnimationDriver::trUtf8(const char*)
    {36, 34, 0, 0, Smoke::mf_ctor, 46, 27},	//331 Plasma::AnimationDriver::AnimationDriver()
    {36, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 28},	//332 Plasma::AnimationDriver::staticMetaObject() const
    {36, 2454, 0, 0, Smoke::mf_dtor, 0, 29 },	//333 Plasma::AnimationDriver::~AnimationDriver()
    {37, 1394, 0, 0, Smoke::mf_const, 463, 1},	//334 Plasma::Animator::metaObject() const
    {37, 1528, 1, 1, 0, 509, 2},	//335 Plasma::Animator::qt_metacast(const char*)
    {37, 2344, 43, 2, Smoke::mf_static, 293, 3},	//336 Plasma::Animator::tr(const char*, const char*)
    {37, 2348, 43, 2, Smoke::mf_static, 293, 4},	//337 Plasma::Animator::trUtf8(const char*, const char*)
    {37, 2344, 46, 3, Smoke::mf_static, 293, 5},	//338 Plasma::Animator::tr(const char*, const char*, int)
    {37, 2348, 46, 3, Smoke::mf_static, 293, 6},	//339 Plasma::Animator::trUtf8(const char*, const char*, int)
    {37, 1526, 3, 3, 0, 499, 7},	//340 Plasma::Animator::qt_metacall(QMetaObject::Call, int, void**)
    {37, 1686, 0, 0, Smoke::mf_static, 47, 8},	//341 Plasma::Animator::self()
    {37, 845, 146, 2, Smoke::mf_static, 43, 9},	//342 Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    {37, 845, 149, 2, Smoke::mf_static, 43, 10},	//343 Plasma::Animator::create(const QString&, QObject*)
    {37, 845, 152, 1, Smoke::mf_static, 198, 11},	//344 Plasma::Animator::create(Plasma::Animator::CurveShape)
    {37, 2270, 129, 1, 0, 0, 12},	//345 Plasma::Animator::stopItemAnimation(int)
    {37, 1419, 154, 3, 0, 499, 13},	//346 Plasma::Animator::moveItem(QGraphicsItem*, Plasma::Animator::Movement, const QPoint&)
    {37, 2272, 129, 1, 0, 0, 14},	//347 Plasma::Animator::stopItemMovement(int)
    {37, 876, 158, 5, 0, 499, 15},	//348 Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)
    {37, 2266, 129, 1, 0, 0, 16},	//349 Plasma::Animator::stopCustomAnimation(int)
    {37, 2268, 129, 1, 0, 0, 17},	//350 Plasma::Animator::stopElementAnimation(int)
    {37, 1917, 164, 2, 0, 0, 18},	//351 Plasma::Animator::setInitialPixmap(int, const QPixmap&)
    {37, 871, 129, 1, 0, 277, 19},	//352 Plasma::Animator::currentPixmap(int)
    {37, 1163, 0, 0, Smoke::mf_const, 406, 20},	//353 Plasma::Animator::isAnimating() const
    {37, 1550, 125, 1, 0, 0, 21},	//354 Plasma::Animator::registerScrollingManager(QGraphicsWidget*)
    {37, 2365, 125, 1, 0, 0, 22},	//355 Plasma::Animator::unregisterScrollingManager(QGraphicsWidget*)
    {37, 699, 167, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//356 Plasma::Animator::animationFinished(QGraphicsItem*, Plasma::Animator::Animation)
    {37, 1427, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//357 Plasma::Animator::movementFinished(QGraphicsItem*)
    {37, 960, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//358 Plasma::Animator::elementAnimationFinished(int)
    {37, 878, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//359 Plasma::Animator::customAnimationFinished(int)
    {37, 1676, 172, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//360 Plasma::Animator::scrollStateChanged(QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State)
    {37, 2329, 176, 1, Smoke::mf_protected, 0, 28},	//361 Plasma::Animator::timerEvent(QTimerEvent*)
    {37, 2344, 1, 1, Smoke::mf_static, 293, 29},	//362 Plasma::Animator::tr(const char*)
    {37, 2348, 1, 1, Smoke::mf_static, 293, 30},	//363 Plasma::Animator::trUtf8(const char*)
    {37, 845, 131, 1, Smoke::mf_static, 43, 31},	//364 Plasma::Animator::create(Plasma::Animator::Animation)
    {37, 845, 89, 1, Smoke::mf_static, 43, 32},	//365 Plasma::Animator::create(const QString&)
    {37, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 33},	//366 Plasma::Animator::staticMetaObject() const
    {37, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 34},	//367 Plasma::Animator::AppearAnimation (enum)
    {37, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 35},	//368 Plasma::Animator::DisappearAnimation (enum)
    {37, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 36},	//369 Plasma::Animator::ActivateAnimation (enum)
    {37, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 37},	//370 Plasma::Animator::FadeAnimation (enum)
    {37, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 38},	//371 Plasma::Animator::GrowAnimation (enum)
    {37, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 39},	//372 Plasma::Animator::PulseAnimation (enum)
    {37, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 40},	//373 Plasma::Animator::RotationAnimation (enum)
    {37, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 41},	//374 Plasma::Animator::RotationStackedAnimation (enum)
    {37, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 42},	//375 Plasma::Animator::SlideAnimation (enum)
    {37, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 43},	//376 Plasma::Animator::GeometryAnimation (enum)
    {37, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 44},	//377 Plasma::Animator::ZoomAnimation (enum)
    {37, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 45},	//378 Plasma::Animator::PixmapTransitionAnimation (enum)
    {37, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 46},	//379 Plasma::Animator::WaterAnimation (enum)
    {37, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 47},	//380 Plasma::Animator::LastAnimation (enum)
    {37, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 48},	//381 Plasma::Animator::EaseInCurve (enum)
    {37, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 49},	//382 Plasma::Animator::EaseOutCurve (enum)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 50},	//383 Plasma::Animator::EaseInOutCurve (enum)
    {37, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 51},	//384 Plasma::Animator::LinearCurve (enum)
    {37, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 52},	//385 Plasma::Animator::PendularCurve (enum)
    {37, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 53},	//386 Plasma::Animator::SlideInMovement (enum)
    {37, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 54},	//387 Plasma::Animator::SlideOutMovement (enum)
    {37, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 55},	//388 Plasma::Animator::FastSlideInMovement (enum)
    {37, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 56},	//389 Plasma::Animator::FastSlideOutMovement (enum)
    {38, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//390 Plasma::Applet::metaObject() const
    {38, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//391 Plasma::Applet::qt_metacast(const char*)
    {38, 2344, 43, 2, Smoke::mf_static, 293, 3},	//392 Plasma::Applet::tr(const char*, const char*)
    {38, 2348, 43, 2, Smoke::mf_static, 293, 4},	//393 Plasma::Applet::trUtf8(const char*, const char*)
    {38, 2344, 46, 3, Smoke::mf_static, 293, 5},	//394 Plasma::Applet::tr(const char*, const char*, int)
    {38, 2348, 46, 3, Smoke::mf_static, 293, 6},	//395 Plasma::Applet::trUtf8(const char*, const char*, int)
    {38, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//396 Plasma::Applet::qt_metacall(QMetaObject::Call, int, void**)
    {38, 1456, 0, 0, Smoke::mf_static, 22, 8},	//397 Plasma::Applet::packageStructure()
    {38, 1120, 0, 0, Smoke::mf_const, 507, 9},	//398 Plasma::Applet::id() const
    {38, 783, 0, 0, Smoke::mf_const, 10, 10},	//399 Plasma::Applet::config() const
    {38, 783, 89, 1, Smoke::mf_const, 10, 11},	//400 Plasma::Applet::config(const QString&) const
    {38, 1647, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 12},	//401 Plasma::Applet::save(KConfigGroup&) const
    {38, 1629, 178, 1, Smoke::mf_virtual, 0, 13},	//402 Plasma::Applet::restore(KConfigGroup&)
    {38, 1072, 0, 0, Smoke::mf_const, 10, 14},	//403 Plasma::Applet::globalConfig() const
    {38, 787, 0, 0, Smoke::mf_const, 71, 15},	//404 Plasma::Applet::configScheme() const
    {38, 884, 89, 1, Smoke::mf_const, 85, 16},	//405 Plasma::Applet::dataEngine(const QString&) const
    {38, 1455, 0, 0, Smoke::mf_const, 430, 17},	//406 Plasma::Applet::package() const
    {38, 2414, 0, 0, Smoke::mf_const, 228, 18},	//407 Plasma::Applet::view() const
    {38, 1372, 180, 2, Smoke::mf_const, 283, 19},	//408 Plasma::Applet::mapFromView(const QGraphicsView*, const QRect&) const
    {38, 1374, 183, 2, Smoke::mf_const, 282, 20},	//409 Plasma::Applet::mapToView(const QGraphicsView*, const QRectF&) const
    {38, 1507, 186, 1, Smoke::mf_const, 279, 21},	//410 Plasma::Applet::popupPosition(const QSize&) const
    {38, 1507, 188, 2, Smoke::mf_const, 279, 22},	//411 Plasma::Applet::popupPosition(const QSize&, Qt::AlignmentFlag) const
    {38, 2372, 191, 1, 0, 0, 23},	//412 Plasma::Applet::updateConstraints(QFlags<Plasma::Constraint>)
    {38, 1055, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 101, 24},	//413 Plasma::Applet::formFactor() const
    {38, 1357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 116, 25},	//414 Plasma::Applet::location() const
    {38, 833, 0, 0, Smoke::mf_const, 82, 26},	//415 Plasma::Applet::context() const
    {38, 723, 0, 0, Smoke::mf_const, 56, 27},	//416 Plasma::Applet::aspectRatioMode() const
    {38, 1716, 193, 1, 0, 0, 28},	//417 Plasma::Applet::setAspectRatioMode(Plasma::AspectRatioMode)
    {38, 1281, 77, 2, Smoke::mf_static, 242, 29},	//418 Plasma::Applet::listAppletInfo(const QString&, const QString&)
    {38, 1284, 89, 1, Smoke::mf_static, 242, 30},	//419 Plasma::Applet::listAppletInfoForMimetype(const QString&)
    {38, 1286, 195, 1, Smoke::mf_static, 242, 31},	//420 Plasma::Applet::listAppletInfoForUrl(const QUrl&)
    {38, 1290, 197, 2, Smoke::mf_static, 294, 32},	//421 Plasma::Applet::listCategories(const QString&, bool)
    {38, 1797, 200, 1, 0, 0, 33},	//422 Plasma::Applet::setCustomCategories(const QStringList&)
    {38, 880, 0, 0, 0, 294, 34},	//423 Plasma::Applet::customCategories()
    {38, 1346, 202, 3, Smoke::mf_static, 53, 35},	//424 Plasma::Applet::loadPlasmoid(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1324, 202, 3, Smoke::mf_static, 53, 36},	//425 Plasma::Applet::load(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1324, 206, 3, Smoke::mf_static, 53, 37},	//426 Plasma::Applet::load(const KPluginInfo&, unsigned int, const QList<QVariant>&)
    {38, 752, 210, 1, Smoke::mf_static, 293, 38},	//427 Plasma::Applet::category(const KPluginInfo&)
    {38, 752, 89, 1, Smoke::mf_static, 293, 39},	//428 Plasma::Applet::category(const QString&)
    {38, 1478, 212, 3, Smoke::mf_virtual, 0, 40},	//429 Plasma::Applet::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {38, 1429, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 41},	//430 Plasma::Applet::name() const
    {38, 1048, 0, 0, Smoke::mf_const, 212, 42},	//431 Plasma::Applet::font() const
    {38, 1499, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 43},	//432 Plasma::Applet::pluginName() const
    {38, 2203, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 44},	//433 Plasma::Applet::shouldConserveResources() const
    {38, 1118, 0, 0, Smoke::mf_const, 293, 45},	//434 Plasma::Applet::icon() const
    {38, 752, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 46},	//435 Plasma::Applet::category() const
    {38, 1125, 0, 0, Smoke::mf_const|Smoke::mf_property, 109, 47},	//436 Plasma::Applet::immutability() const
    {38, 1480, 216, 3, Smoke::mf_virtual, 0, 48},	//437 Plasma::Applet::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {38, 1088, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 49},	//438 Plasma::Applet::hasFailedToLaunch() const
    {38, 1165, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 50},	//439 Plasma::Applet::isBusy() const
    {38, 790, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 51},	//440 Plasma::Applet::configurationRequired() const
    {38, 1083, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 52},	//441 Plasma::Applet::hasConfigurationInterface() const
    {38, 841, 0, 0, Smoke::mf_virtual, 255, 53},	//442 Plasma::Applet::contextualActions()
    {38, 604, 220, 1, Smoke::mf_const, 184, 54},	//443 Plasma::Applet::action(QString) const
    {38, 621, 222, 2, 0, 0, 55},	//444 Plasma::Applet::addAction(QString, QAction*)
    {38, 1740, 225, 1, 0, 0, 56},	//445 Plasma::Applet::setBackgroundHints(const QFlags<Plasma::Applet::BackgroundHint>)
    {38, 742, 0, 0, Smoke::mf_const, 200, 57},	//446 Plasma::Applet::backgroundHints() const
    {38, 1171, 0, 0, Smoke::mf_const, 406, 58},	//447 Plasma::Applet::isContainment() const
    {38, 1673, 0, 0, Smoke::mf_const, 282, 59},	//448 Plasma::Applet::screenRect() const
    {38, 2353, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 60},	//449 Plasma::Applet::type() const
    {38, 810, 0, 0, Smoke::mf_const, 73, 61},	//450 Plasma::Applet::containment() const
    {38, 1870, 227, 1, 0, 0, 62},	//451 Plasma::Applet::setGlobalShortcut(const KShortcut&)
    {38, 1073, 0, 0, Smoke::mf_const, 23, 63},	//452 Plasma::Applet::globalShortcut() const
    {38, 1188, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 64},	//453 Plasma::Applet::isPopupShowing() const
    {38, 632, 57, 1, Smoke::mf_virtual, 0, 65},	//454 Plasma::Applet::addAssociatedWidget(QWidget*)
    {38, 1575, 57, 1, Smoke::mf_virtual, 0, 66},	//455 Plasma::Applet::removeAssociatedWidget(QWidget*)
    {38, 1136, 229, 1, Smoke::mf_virtual, 0, 67},	//456 Plasma::Applet::initExtenderItem(Plasma::ExtenderItem*)
    {38, 38, 231, 3, Smoke::mf_ctor, 53, 68},	//457 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int)
    {38, 38, 235, 3, Smoke::mf_ctor, 53, 69},	//458 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*, unsigned int)
    {38, 38, 239, 4, Smoke::mf_ctor, 53, 70},	//459 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&)
    {38, 899, 0, 0, Smoke::mf_const, 406, 71},	//460 Plasma::Applet::destroyed() const
    {38, 850, 244, 1, Smoke::mf_virtual, 0, 72},	//461 Plasma::Applet::createConfigurationInterface(KConfigDialog*)
    {38, 1081, 89, 1, Smoke::mf_const, 406, 73},	//462 Plasma::Applet::hasAuthorization(const QString&) const
    {38, 1718, 89, 1, 0, 0, 74},	//463 Plasma::Applet::setAssociatedApplication(const QString&)
    {38, 1720, 246, 1, 0, 0, 75},	//464 Plasma::Applet::setAssociatedApplicationUrls(const KUrl::List&)
    {38, 726, 0, 0, Smoke::mf_const, 293, 76},	//465 Plasma::Applet::associatedApplication() const
    {38, 727, 0, 0, Smoke::mf_const, 31, 77},	//466 Plasma::Applet::associatedApplicationUrls() const
    {38, 1096, 0, 0, Smoke::mf_const, 406, 78},	//467 Plasma::Applet::hasValidAssociatedApplication() const
    {38, 1556, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//468 Plasma::Applet::releaseVisualFocus()
    {38, 1063, 0, 0, Smoke::mf_protected, 0, 80},	//469 Plasma::Applet::geometryChanged()
    {38, 719, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//470 Plasma::Applet::appletTransformedByUser()
    {38, 720, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//471 Plasma::Applet::appletTransformedItself()
    {38, 2242, 248, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//472 Plasma::Applet::sizeHintChanged(Qt::SizeHint)
    {38, 786, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//473 Plasma::Applet::configNeedsSaving()
    {38, 615, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 85},	//474 Plasma::Applet::activate()
    {38, 1392, 250, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 86},	//475 Plasma::Applet::messageButtonPressed(const Plasma::MessageButton)
    {38, 714, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 87},	//476 Plasma::Applet::appletDestroyed(Plasma::Applet*)
    {38, 1434, 254, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 88},	//477 Plasma::Applet::newStatus(Plasma::ItemStatus)
    {38, 1010, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 89},	//478 Plasma::Applet::extenderItemRestored(Plasma::ExtenderItem*)
    {38, 1126, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 90},	//479 Plasma::Applet::immutabilityChanged(Plasma::ImmutabilityType)
    {38, 1911, 258, 1, Smoke::mf_property|Smoke::mf_slot, 0, 91},	//480 Plasma::Applet::setImmutability(const Plasma::ImmutabilityType)
    {38, 897, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//481 Plasma::Applet::destroy()
    {38, 2209, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 93},	//482 Plasma::Applet::showConfigurationInterface()
    {38, 2209, 57, 1, Smoke::mf_slot, 0, 94},	//483 Plasma::Applet::showConfigurationInterface(QWidget*)
    {38, 1204, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 406, 95},	//484 Plasma::Applet::isUserConfiguring() const
    {38, 1533, 0, 0, Smoke::mf_slot, 0, 96},	//485 Plasma::Applet::raise()
    {38, 1365, 0, 0, Smoke::mf_slot, 0, 97},	//486 Plasma::Applet::lower()
    {38, 1038, 0, 0, Smoke::mf_slot, 0, 98},	//487 Plasma::Applet::flushPendingConstraintsEvents()
    {38, 1134, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 99},	//488 Plasma::Applet::init()
    {38, 785, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 100},	//489 Plasma::Applet::configChanged()
    {38, 1744, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 101},	//490 Plasma::Applet::setBusy(bool)
    {38, 2261, 0, 0, Smoke::mf_const|Smoke::mf_slot, 305, 102},	//491 Plasma::Applet::startupArguments() const
    {38, 2264, 0, 0, Smoke::mf_const|Smoke::mf_slot, 112, 103},	//492 Plasma::Applet::status() const
    {38, 2083, 260, 1, Smoke::mf_slot, 0, 104},	//493 Plasma::Applet::setStatus(const Plasma::ItemStatus)
    {38, 1524, 262, 2, Smoke::mf_slot, 0, 105},	//494 Plasma::Applet::publish(Plasma::AnnouncementMethods, const QString&)
    {38, 2362, 0, 0, Smoke::mf_slot, 0, 106},	//495 Plasma::Applet::unpublish()
    {38, 1190, 0, 0, Smoke::mf_const|Smoke::mf_slot, 406, 107},	//496 Plasma::Applet::isPublished() const
    {38, 1641, 0, 0, Smoke::mf_slot, 0, 108},	//497 Plasma::Applet::runAssociatedApplication()
    {38, 38, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 53, 109},	//498 Plasma::Applet::Applet(QObject*, const QList<QVariant>&)
    {38, 1854, 265, 2, Smoke::mf_protected, 0, 110},	//499 Plasma::Applet::setFailedToLaunch(bool, const QString&)
    {38, 1653, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 111},	//500 Plasma::Applet::saveState(KConfigGroup&) const
    {38, 1879, 7, 1, Smoke::mf_protected, 0, 112},	//501 Plasma::Applet::setHasConfigurationInterface(bool)
    {38, 1766, 265, 2, Smoke::mf_protected, 0, 113},	//502 Plasma::Applet::setConfigurationRequired(bool, const QString&)
    {38, 2221, 268, 3, Smoke::mf_protected, 0, 114},	//503 Plasma::Applet::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {38, 805, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 115},	//504 Plasma::Applet::constraintsEvent(QFlags<Plasma::Constraint>)
    {38, 1543, 170, 1, Smoke::mf_protected, 0, 116},	//505 Plasma::Applet::registerAsDragHandle(QGraphicsItem*)
    {38, 2363, 170, 1, Smoke::mf_protected, 0, 117},	//506 Plasma::Applet::unregisterAsDragHandle(QGraphicsItem*)
    {38, 1192, 170, 1, Smoke::mf_protected, 406, 118},	//507 Plasma::Applet::isRegisteredAsDragHandle(QGraphicsItem*)
    {38, 1009, 0, 0, Smoke::mf_const|Smoke::mf_protected, 95, 119},	//508 Plasma::Applet::extender() const
    {38, 997, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 120},	//509 Plasma::Applet::eventFilter(QObject*, QEvent*)
    {38, 1661, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 121},	//510 Plasma::Applet::sceneEventFilter(QGraphicsItem*, QEvent*)
    {38, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 122},	//511 Plasma::Applet::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {38, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 123},	//512 Plasma::Applet::focusInEvent(QFocusEvent*)
    {38, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 124},	//513 Plasma::Applet::resizeEvent(QGraphicsSceneResizeEvent*)
    {38, 1222, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 125},	//514 Plasma::Applet::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {38, 2201, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 276, 126},	//515 Plasma::Applet::shape() const
    {38, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 127},	//516 Plasma::Applet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {38, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 128},	//517 Plasma::Applet::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {38, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 129},	//518 Plasma::Applet::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {38, 2329, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 130},	//519 Plasma::Applet::timerEvent(QTimerEvent*)
    {38, 2344, 1, 1, Smoke::mf_static, 293, 131},	//520 Plasma::Applet::tr(const char*)
    {38, 2348, 1, 1, Smoke::mf_static, 293, 132},	//521 Plasma::Applet::trUtf8(const char*)
    {38, 2372, 0, 0, 0, 0, 133},	//522 Plasma::Applet::updateConstraints()
    {38, 1281, 0, 0, Smoke::mf_static, 242, 134},	//523 Plasma::Applet::listAppletInfo()
    {38, 1281, 89, 1, Smoke::mf_static, 242, 135},	//524 Plasma::Applet::listAppletInfo(const QString&)
    {38, 1290, 0, 0, Smoke::mf_static, 294, 136},	//525 Plasma::Applet::listCategories()
    {38, 1290, 89, 1, Smoke::mf_static, 294, 137},	//526 Plasma::Applet::listCategories(const QString&)
    {38, 1346, 89, 1, Smoke::mf_static, 53, 138},	//527 Plasma::Applet::loadPlasmoid(const QString&)
    {38, 1346, 292, 2, Smoke::mf_static, 53, 139},	//528 Plasma::Applet::loadPlasmoid(const QString&, unsigned int)
    {38, 1324, 89, 1, Smoke::mf_static, 53, 140},	//529 Plasma::Applet::load(const QString&)
    {38, 1324, 292, 2, Smoke::mf_static, 53, 141},	//530 Plasma::Applet::load(const QString&, unsigned int)
    {38, 1324, 210, 1, Smoke::mf_static, 53, 142},	//531 Plasma::Applet::load(const KPluginInfo&)
    {38, 1324, 295, 2, Smoke::mf_static, 53, 143},	//532 Plasma::Applet::load(const KPluginInfo&, unsigned int)
    {38, 38, 0, 0, Smoke::mf_ctor, 53, 144},	//533 Plasma::Applet::Applet()
    {38, 38, 170, 1, Smoke::mf_ctor, 53, 145},	//534 Plasma::Applet::Applet(QGraphicsItem*)
    {38, 38, 298, 2, Smoke::mf_ctor, 53, 146},	//535 Plasma::Applet::Applet(QGraphicsItem*, const QString&)
    {38, 38, 210, 1, Smoke::mf_ctor, 53, 147},	//536 Plasma::Applet::Applet(const KPluginInfo&)
    {38, 38, 301, 2, Smoke::mf_ctor, 53, 148},	//537 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*)
    {38, 1854, 7, 1, Smoke::mf_protected, 0, 149},	//538 Plasma::Applet::setFailedToLaunch(bool)
    {38, 1766, 7, 1, Smoke::mf_protected, 0, 150},	//539 Plasma::Applet::setConfigurationRequired(bool)
    {38, 2238, 248, 1, Smoke::mf_const|Smoke::mf_protected, 291, 151},	//540 Plasma::Applet::sizeHint(Qt::SizeHint) const
    {38, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 152},	//541 Plasma::Applet::staticMetaObject() const
    {38, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 153},	//542 Plasma::Applet::NoBackground (enum)
    {38, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 154},	//543 Plasma::Applet::StandardBackground (enum)
    {38, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 155},	//544 Plasma::Applet::TranslucentBackground (enum)
    {38, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 156},	//545 Plasma::Applet::DefaultBackground (enum)
    {38, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 157},	//546 Plasma::Applet::Type (enum)
    {38, 2455, 0, 0, Smoke::mf_dtor, 0, 158 },	//547 Plasma::Applet::~Applet()
    {39, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//548 Plasma::AppletScript::metaObject() const
    {39, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//549 Plasma::AppletScript::qt_metacast(const char*)
    {39, 2344, 43, 2, Smoke::mf_static, 293, 3},	//550 Plasma::AppletScript::tr(const char*, const char*)
    {39, 2348, 43, 2, Smoke::mf_static, 293, 4},	//551 Plasma::AppletScript::trUtf8(const char*, const char*)
    {39, 2344, 46, 3, Smoke::mf_static, 293, 5},	//552 Plasma::AppletScript::tr(const char*, const char*, int)
    {39, 2348, 46, 3, Smoke::mf_static, 293, 6},	//553 Plasma::AppletScript::trUtf8(const char*, const char*, int)
    {39, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//554 Plasma::AppletScript::qt_metacall(QMetaObject::Call, int, void**)
    {39, 47, 97, 1, Smoke::mf_ctor, 55, 8},	//555 Plasma::AppletScript::AppletScript(QObject*)
    {39, 1710, 252, 1, 0, 0, 9},	//556 Plasma::AppletScript::setApplet(Plasma::Applet*)
    {39, 711, 0, 0, Smoke::mf_const, 53, 10},	//557 Plasma::AppletScript::applet() const
    {39, 1478, 212, 3, Smoke::mf_virtual, 0, 11},	//558 Plasma::AppletScript::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {39, 2234, 0, 0, Smoke::mf_const, 291, 12},	//559 Plasma::AppletScript::size() const
    {39, 805, 191, 1, Smoke::mf_virtual, 0, 13},	//560 Plasma::AppletScript::constraintsEvent(QFlags<Plasma::Constraint>)
    {39, 841, 0, 0, Smoke::mf_virtual, 255, 14},	//561 Plasma::AppletScript::contextualActions()
    {39, 2201, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 15},	//562 Plasma::AppletScript::shape() const
    {39, 1879, 7, 1, 0, 0, 16},	//563 Plasma::AppletScript::setHasConfigurationInterface(bool)
    {39, 1766, 265, 2, 0, 0, 17},	//564 Plasma::AppletScript::setConfigurationRequired(bool, const QString&)
    {39, 1854, 265, 2, 0, 0, 18},	//565 Plasma::AppletScript::setFailedToLaunch(bool, const QString&)
    {39, 786, 0, 0, Smoke::mf_const, 0, 19},	//566 Plasma::AppletScript::configNeedsSaving() const
    {39, 1009, 0, 0, Smoke::mf_const, 95, 20},	//567 Plasma::AppletScript::extender() const
    {39, 946, 0, 0, Smoke::mf_const, 406, 21},	//568 Plasma::AppletScript::drawWallpaper() const
    {39, 1831, 7, 1, 0, 0, 22},	//569 Plasma::AppletScript::setDrawWallpaper(bool)
    {39, 824, 0, 0, Smoke::mf_const, 77, 23},	//570 Plasma::AppletScript::containmentType() const
    {39, 1775, 304, 1, 0, 0, 24},	//571 Plasma::AppletScript::setContainmentType(Plasma::Containment::Type)
    {39, 1653, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//572 Plasma::AppletScript::saveState(KConfigGroup&) const
    {39, 1503, 7, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//573 Plasma::AppletScript::popupEvent(bool) const
    {39, 2209, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//574 Plasma::AppletScript::showConfigurationInterface()
    {39, 785, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//575 Plasma::AppletScript::configChanged()
    {39, 884, 89, 1, Smoke::mf_const|Smoke::mf_protected, 85, 29},	//576 Plasma::AppletScript::dataEngine(const QString&) const
    {39, 1367, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 293, 30},	//577 Plasma::AppletScript::mainScript() const
    {39, 1455, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 31},	//578 Plasma::AppletScript::package() const
    {39, 894, 0, 0, Smoke::mf_const|Smoke::mf_protected, 17, 32},	//579 Plasma::AppletScript::description() const
    {39, 2256, 0, 0, Smoke::mf_protected, 9, 33},	//580 Plasma::AppletScript::standardConfigurationDialog()
    {39, 671, 244, 1, Smoke::mf_protected, 0, 34},	//581 Plasma::AppletScript::addStandardConfigurationPages(KConfigDialog*)
    {39, 2221, 268, 3, Smoke::mf_protected, 0, 35},	//582 Plasma::AppletScript::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {39, 1543, 170, 1, Smoke::mf_protected, 0, 36},	//583 Plasma::AppletScript::registerAsDragHandle(QGraphicsItem*)
    {39, 2363, 170, 1, Smoke::mf_protected, 0, 37},	//584 Plasma::AppletScript::unregisterAsDragHandle(QGraphicsItem*)
    {39, 1192, 170, 1, Smoke::mf_protected, 406, 38},	//585 Plasma::AppletScript::isRegisteredAsDragHandle(QGraphicsItem*)
    {39, 1337, 149, 2, Smoke::mf_protected, 43, 39},	//586 Plasma::AppletScript::loadAnimationFromPackage(const QString&, QObject*)
    {39, 2344, 1, 1, Smoke::mf_static, 293, 40},	//587 Plasma::AppletScript::tr(const char*)
    {39, 2348, 1, 1, Smoke::mf_static, 293, 41},	//588 Plasma::AppletScript::trUtf8(const char*)
    {39, 47, 0, 0, Smoke::mf_ctor, 55, 42},	//589 Plasma::AppletScript::AppletScript()
    {39, 1766, 7, 1, 0, 0, 43},	//590 Plasma::AppletScript::setConfigurationRequired(bool)
    {39, 1854, 7, 1, 0, 0, 44},	//591 Plasma::AppletScript::setFailedToLaunch(bool)
    {39, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 45},	//592 Plasma::AppletScript::staticMetaObject() const
    {39, 2456, 0, 0, Smoke::mf_dtor, 0, 46 },	//593 Plasma::AppletScript::~AppletScript()
    {40, 731, 306, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//594 Plasma::AuthorizationInterface::authorizationRequest(Plasma::AuthorizationRule&) [pure virtual]
    {40, 773, 308, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//595 Plasma::AuthorizationInterface::clientPinRequest(Plasma::ClientPinRequest&) [pure virtual]
    {40, 50, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 57, 3},	//596 Plasma::AuthorizationInterface::AuthorizationInterface()
    {40, 50, 310, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 4},	//597 Plasma::AuthorizationInterface::AuthorizationInterface(const Plasma::AuthorizationInterface&)
    {40, 2457, 0, 0, Smoke::mf_dtor, 0, 5 },	//598 Plasma::AuthorizationInterface::~AuthorizationInterface()
    {41, 1394, 0, 0, Smoke::mf_const, 463, 1},	//599 Plasma::AuthorizationManager::metaObject() const
    {41, 1528, 1, 1, 0, 509, 2},	//600 Plasma::AuthorizationManager::qt_metacast(const char*)
    {41, 2344, 43, 2, Smoke::mf_static, 293, 3},	//601 Plasma::AuthorizationManager::tr(const char*, const char*)
    {41, 2348, 43, 2, Smoke::mf_static, 293, 4},	//602 Plasma::AuthorizationManager::trUtf8(const char*, const char*)
    {41, 2344, 46, 3, Smoke::mf_static, 293, 5},	//603 Plasma::AuthorizationManager::tr(const char*, const char*, int)
    {41, 2348, 46, 3, Smoke::mf_static, 293, 6},	//604 Plasma::AuthorizationManager::trUtf8(const char*, const char*, int)
    {41, 1526, 3, 3, 0, 499, 7},	//605 Plasma::AuthorizationManager::qt_metacall(QMetaObject::Call, int, void**)
    {41, 1686, 0, 0, Smoke::mf_static, 58, 8},	//606 Plasma::AuthorizationManager::self()
    {41, 1726, 312, 1, 0, 0, 9},	//607 Plasma::AuthorizationManager::setAuthorizationPolicy(Plasma::AuthorizationManager::AuthorizationPolicy)
    {41, 1724, 314, 1, 0, 0, 10},	//608 Plasma::AuthorizationManager::setAuthorizationInterface(Plasma::AuthorizationInterface*)
    {41, 1538, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//609 Plasma::AuthorizationManager::readyForRemoteAccess()
    {41, 2344, 1, 1, Smoke::mf_static, 293, 12},	//610 Plasma::AuthorizationManager::tr(const char*)
    {41, 2348, 1, 1, Smoke::mf_static, 293, 13},	//611 Plasma::AuthorizationManager::trUtf8(const char*)
    {41, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 14},	//612 Plasma::AuthorizationManager::staticMetaObject() const
    {41, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 15},	//613 Plasma::AuthorizationManager::DenyAll (enum)
    {41, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 16},	//614 Plasma::AuthorizationManager::TrustedOnly (enum)
    {41, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 17},	//615 Plasma::AuthorizationManager::PinPairing (enum)
    {41, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 18},	//616 Plasma::AuthorizationManager::Custom (enum)
    {42, 1394, 0, 0, Smoke::mf_const, 463, 1},	//617 Plasma::AuthorizationRule::metaObject() const
    {42, 1528, 1, 1, 0, 509, 2},	//618 Plasma::AuthorizationRule::qt_metacast(const char*)
    {42, 2344, 43, 2, Smoke::mf_static, 293, 3},	//619 Plasma::AuthorizationRule::tr(const char*, const char*)
    {42, 2348, 43, 2, Smoke::mf_static, 293, 4},	//620 Plasma::AuthorizationRule::trUtf8(const char*, const char*)
    {42, 2344, 46, 3, Smoke::mf_static, 293, 5},	//621 Plasma::AuthorizationRule::tr(const char*, const char*, int)
    {42, 2348, 46, 3, Smoke::mf_static, 293, 6},	//622 Plasma::AuthorizationRule::trUtf8(const char*, const char*, int)
    {42, 1526, 3, 3, 0, 499, 7},	//623 Plasma::AuthorizationRule::qt_metacall(QMetaObject::Call, int, void**)
    {42, 894, 0, 0, Smoke::mf_const, 293, 8},	//624 Plasma::AuthorizationRule::description() const
    {42, 1995, 316, 1, 0, 0, 9},	//625 Plasma::AuthorizationRule::setPolicy(Plasma::AuthorizationRule::Policy)
    {42, 1500, 0, 0, 0, 63, 10},	//626 Plasma::AuthorizationRule::policy()
    {42, 1989, 318, 1, 0, 0, 11},	//627 Plasma::AuthorizationRule::setPersistence(Plasma::AuthorizationRule::Persistence)
    {42, 1493, 0, 0, 0, 62, 12},	//628 Plasma::AuthorizationRule::persistence()
    {42, 2118, 320, 1, 0, 0, 13},	//629 Plasma::AuthorizationRule::setTargets(QFlags<Plasma::AuthorizationRule::Target>)
    {42, 2312, 0, 0, 0, 201, 14},	//630 Plasma::AuthorizationRule::targets()
    {42, 1991, 89, 1, 0, 0, 15},	//631 Plasma::AuthorizationRule::setPin(const QString&)
    {42, 1494, 0, 0, Smoke::mf_const, 293, 16},	//632 Plasma::AuthorizationRule::pin() const
    {42, 1690, 0, 0, Smoke::mf_const, 293, 17},	//633 Plasma::AuthorizationRule::serviceName() const
    {42, 757, 322, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//634 Plasma::AuthorizationRule::changed(Plasma::AuthorizationRule*)
    {42, 2344, 1, 1, Smoke::mf_static, 293, 19},	//635 Plasma::AuthorizationRule::tr(const char*)
    {42, 2348, 1, 1, Smoke::mf_static, 293, 20},	//636 Plasma::AuthorizationRule::trUtf8(const char*)
    {42, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 21},	//637 Plasma::AuthorizationRule::staticMetaObject() const
    {42, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 63, 22},	//638 Plasma::AuthorizationRule::Deny (enum)
    {42, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 63, 23},	//639 Plasma::AuthorizationRule::Allow (enum)
    {42, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 63, 24},	//640 Plasma::AuthorizationRule::PinRequired (enum)
    {42, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 25},	//641 Plasma::AuthorizationRule::Transient (enum)
    {42, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 26},	//642 Plasma::AuthorizationRule::Persistent (enum)
    {42, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 27},	//643 Plasma::AuthorizationRule::Default (enum)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 28},	//644 Plasma::AuthorizationRule::AllUsers (enum)
    {42, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 29},	//645 Plasma::AuthorizationRule::AllServices (enum)
    {42, 2458, 0, 0, Smoke::mf_dtor, 0, 30 },	//646 Plasma::AuthorizationRule::~AuthorizationRule()
    {43, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//647 Plasma::BusyWidget::metaObject() const
    {43, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//648 Plasma::BusyWidget::qt_metacast(const char*)
    {43, 2344, 43, 2, Smoke::mf_static, 293, 3},	//649 Plasma::BusyWidget::tr(const char*, const char*)
    {43, 2348, 43, 2, Smoke::mf_static, 293, 4},	//650 Plasma::BusyWidget::trUtf8(const char*, const char*)
    {43, 2344, 46, 3, Smoke::mf_static, 293, 5},	//651 Plasma::BusyWidget::tr(const char*, const char*, int)
    {43, 2348, 46, 3, Smoke::mf_static, 293, 6},	//652 Plasma::BusyWidget::trUtf8(const char*, const char*, int)
    {43, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//653 Plasma::BusyWidget::qt_metacall(QMetaObject::Call, int, void**)
    {43, 67, 125, 1, Smoke::mf_ctor, 65, 8},	//654 Plasma::BusyWidget::BusyWidget(QGraphicsWidget*)
    {43, 2040, 7, 1, Smoke::mf_property, 0, 9},	//655 Plasma::BusyWidget::setRunning(bool)
    {43, 1196, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 10},	//656 Plasma::BusyWidget::isRunning() const
    {43, 1923, 89, 1, Smoke::mf_property, 0, 11},	//657 Plasma::BusyWidget::setLabel(const QString&)
    {43, 1249, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 12},	//658 Plasma::BusyWidget::label() const
    {43, 771, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//659 Plasma::BusyWidget::clicked()
    {43, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//660 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {43, 2217, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//661 Plasma::BusyWidget::showEvent(QShowEvent*)
    {43, 1102, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//662 Plasma::BusyWidget::hideEvent(QHideEvent*)
    {43, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//663 Plasma::BusyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {43, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//664 Plasma::BusyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {43, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//665 Plasma::BusyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {43, 2329, 176, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//666 Plasma::BusyWidget::timerEvent(QTimerEvent*)
    {43, 2344, 1, 1, Smoke::mf_static, 293, 21},	//667 Plasma::BusyWidget::tr(const char*)
    {43, 2348, 1, 1, Smoke::mf_static, 293, 22},	//668 Plasma::BusyWidget::trUtf8(const char*)
    {43, 67, 0, 0, Smoke::mf_ctor, 65, 23},	//669 Plasma::BusyWidget::BusyWidget()
    {43, 1461, 328, 2, Smoke::mf_protected, 0, 24},	//670 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {43, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 25},	//671 Plasma::BusyWidget::staticMetaObject() const
    {43, 2459, 0, 0, Smoke::mf_dtor, 0, 26 },	//672 Plasma::BusyWidget::~BusyWidget()
    {44, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//673 Plasma::CheckBox::metaObject() const
    {44, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//674 Plasma::CheckBox::qt_metacast(const char*)
    {44, 2344, 43, 2, Smoke::mf_static, 293, 3},	//675 Plasma::CheckBox::tr(const char*, const char*)
    {44, 2348, 43, 2, Smoke::mf_static, 293, 4},	//676 Plasma::CheckBox::trUtf8(const char*, const char*)
    {44, 2344, 46, 3, Smoke::mf_static, 293, 5},	//677 Plasma::CheckBox::tr(const char*, const char*, int)
    {44, 2348, 46, 3, Smoke::mf_static, 293, 6},	//678 Plasma::CheckBox::trUtf8(const char*, const char*, int)
    {44, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//679 Plasma::CheckBox::qt_metacall(QMetaObject::Call, int, void**)
    {44, 85, 125, 1, Smoke::mf_ctor, 66, 8},	//680 Plasma::CheckBox::CheckBox(QGraphicsWidget*)
    {44, 2120, 89, 1, Smoke::mf_property, 0, 9},	//681 Plasma::CheckBox::setText(const QString&)
    {44, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//682 Plasma::CheckBox::text() const
    {44, 1905, 89, 1, Smoke::mf_property, 0, 11},	//683 Plasma::CheckBox::setImage(const QString&)
    {44, 1122, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 12},	//684 Plasma::CheckBox::image() const
    {44, 2088, 89, 1, Smoke::mf_property, 0, 13},	//685 Plasma::CheckBox::setStyleSheet(const QString&)
    {44, 2276, 0, 0, Smoke::mf_property, 293, 14},	//686 Plasma::CheckBox::styleSheet()
    {44, 1431, 0, 0, Smoke::mf_const, 187, 15},	//687 Plasma::CheckBox::nativeWidget() const
    {44, 1754, 7, 1, Smoke::mf_property, 0, 16},	//688 Plasma::CheckBox::setChecked(bool)
    {44, 1167, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 17},	//689 Plasma::CheckBox::isChecked() const
    {44, 2333, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//690 Plasma::CheckBox::toggled(bool)
    {44, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//691 Plasma::CheckBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {44, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//692 Plasma::CheckBox::changeEvent(QEvent*)
    {44, 2344, 1, 1, Smoke::mf_static, 293, 21},	//693 Plasma::CheckBox::tr(const char*)
    {44, 2348, 1, 1, Smoke::mf_static, 293, 22},	//694 Plasma::CheckBox::trUtf8(const char*)
    {44, 85, 0, 0, Smoke::mf_ctor, 66, 23},	//695 Plasma::CheckBox::CheckBox()
    {44, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 24},	//696 Plasma::CheckBox::staticMetaObject() const
    {44, 2460, 0, 0, Smoke::mf_dtor, 0, 25 },	//697 Plasma::CheckBox::~CheckBox()
    {45, 1394, 0, 0, Smoke::mf_const, 463, 1},	//698 Plasma::ClientPinRequest::metaObject() const
    {45, 1528, 1, 1, 0, 509, 2},	//699 Plasma::ClientPinRequest::qt_metacast(const char*)
    {45, 2344, 43, 2, Smoke::mf_static, 293, 3},	//700 Plasma::ClientPinRequest::tr(const char*, const char*)
    {45, 2348, 43, 2, Smoke::mf_static, 293, 4},	//701 Plasma::ClientPinRequest::trUtf8(const char*, const char*)
    {45, 2344, 46, 3, Smoke::mf_static, 293, 5},	//702 Plasma::ClientPinRequest::tr(const char*, const char*, int)
    {45, 2348, 46, 3, Smoke::mf_static, 293, 6},	//703 Plasma::ClientPinRequest::trUtf8(const char*, const char*, int)
    {45, 1526, 3, 3, 0, 499, 7},	//704 Plasma::ClientPinRequest::qt_metacall(QMetaObject::Call, int, void**)
    {45, 894, 0, 0, Smoke::mf_const, 293, 8},	//705 Plasma::ClientPinRequest::description() const
    {45, 1991, 89, 1, 0, 0, 9},	//706 Plasma::ClientPinRequest::setPin(const QString&)
    {45, 1494, 0, 0, Smoke::mf_const, 293, 10},	//707 Plasma::ClientPinRequest::pin() const
    {45, 757, 333, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//708 Plasma::ClientPinRequest::changed(Plasma::ClientPinRequest*)
    {45, 2344, 1, 1, Smoke::mf_static, 293, 12},	//709 Plasma::ClientPinRequest::tr(const char*)
    {45, 2348, 1, 1, Smoke::mf_static, 293, 13},	//710 Plasma::ClientPinRequest::trUtf8(const char*)
    {45, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 14},	//711 Plasma::ClientPinRequest::staticMetaObject() const
    {46, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//712 Plasma::ComboBox::metaObject() const
    {46, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//713 Plasma::ComboBox::qt_metacast(const char*)
    {46, 2344, 43, 2, Smoke::mf_static, 293, 3},	//714 Plasma::ComboBox::tr(const char*, const char*)
    {46, 2348, 43, 2, Smoke::mf_static, 293, 4},	//715 Plasma::ComboBox::trUtf8(const char*, const char*)
    {46, 2344, 46, 3, Smoke::mf_static, 293, 5},	//716 Plasma::ComboBox::tr(const char*, const char*, int)
    {46, 2348, 46, 3, Smoke::mf_static, 293, 6},	//717 Plasma::ComboBox::trUtf8(const char*, const char*, int)
    {46, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//718 Plasma::ComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {46, 88, 125, 1, Smoke::mf_ctor, 69, 8},	//719 Plasma::ComboBox::ComboBox(QGraphicsWidget*)
    {46, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 9},	//720 Plasma::ComboBox::text() const
    {46, 2088, 89, 1, Smoke::mf_property, 0, 10},	//721 Plasma::ComboBox::setStyleSheet(const QString&)
    {46, 2276, 0, 0, Smoke::mf_property, 293, 11},	//722 Plasma::ComboBox::styleSheet()
    {46, 1963, 335, 1, 0, 0, 12},	//723 Plasma::ComboBox::setNativeWidget(KComboBox*)
    {46, 1431, 0, 0, Smoke::mf_const, 6, 13},	//724 Plasma::ComboBox::nativeWidget() const
    {46, 648, 89, 1, 0, 0, 14},	//725 Plasma::ComboBox::addItem(const QString&)
    {46, 844, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 15},	//726 Plasma::ComboBox::count() const
    {46, 868, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 16},	//727 Plasma::ComboBox::currentIndex() const
    {46, 1795, 129, 1, Smoke::mf_property, 0, 17},	//728 Plasma::ComboBox::setCurrentIndex(int)
    {46, 762, 0, 0, Smoke::mf_slot, 0, 18},	//729 Plasma::ComboBox::clear()
    {46, 616, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//730 Plasma::ComboBox::activated(const QString&)
    {46, 2316, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//731 Plasma::ComboBox::textChanged(const QString&)
    {46, 869, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//732 Plasma::ComboBox::currentIndexChanged(int)
    {46, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//733 Plasma::ComboBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {46, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//734 Plasma::ComboBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {46, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//735 Plasma::ComboBox::focusInEvent(QFocusEvent*)
    {46, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//736 Plasma::ComboBox::focusOutEvent(QFocusEvent*)
    {46, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//737 Plasma::ComboBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {46, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//738 Plasma::ComboBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {46, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//739 Plasma::ComboBox::changeEvent(QEvent*)
    {46, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//740 Plasma::ComboBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {46, 2344, 1, 1, Smoke::mf_static, 293, 30},	//741 Plasma::ComboBox::tr(const char*)
    {46, 2348, 1, 1, Smoke::mf_static, 293, 31},	//742 Plasma::ComboBox::trUtf8(const char*)
    {46, 88, 0, 0, Smoke::mf_ctor, 69, 32},	//743 Plasma::ComboBox::ComboBox()
    {46, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 33},	//744 Plasma::ComboBox::staticMetaObject() const
    {46, 2461, 0, 0, Smoke::mf_dtor, 0, 34 },	//745 Plasma::ComboBox::~ComboBox()
    {47, 91, 337, 3, Smoke::mf_ctor, 71, 1},	//746 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*, QObject*)
    {47, 91, 341, 3, Smoke::mf_ctor, 71, 2},	//747 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*, QObject*)
    {47, 91, 345, 3, Smoke::mf_ctor, 71, 3},	//748 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*, QObject*)
    {47, 1024, 77, 2, 0, 12, 4},	//749 Plasma::ConfigLoader::findItem(const QString&, const QString&)
    {47, 1026, 89, 1, 0, 12, 5},	//750 Plasma::ConfigLoader::findItemByName(const QString&)
    {47, 1521, 89, 1, 0, 304, 6},	//751 Plasma::ConfigLoader::property(const QString&)
    {47, 1089, 89, 1, Smoke::mf_const, 406, 7},	//752 Plasma::ConfigLoader::hasGroup(const QString&) const
    {47, 1079, 0, 0, Smoke::mf_const, 294, 8},	//753 Plasma::ConfigLoader::groupList() const
    {47, 2399, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//754 Plasma::ConfigLoader::usrWriteConfig()
    {47, 91, 349, 2, Smoke::mf_ctor, 71, 10},	//755 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*)
    {47, 91, 352, 2, Smoke::mf_ctor, 71, 11},	//756 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*)
    {47, 91, 355, 2, Smoke::mf_ctor, 71, 12},	//757 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*)
    {47, 2462, 0, 0, Smoke::mf_dtor, 0, 13 },	//758 Plasma::ConfigLoader::~ConfigLoader()
    {48, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//759 Plasma::Containment::metaObject() const
    {48, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//760 Plasma::Containment::qt_metacast(const char*)
    {48, 2344, 43, 2, Smoke::mf_static, 293, 3},	//761 Plasma::Containment::tr(const char*, const char*)
    {48, 2348, 43, 2, Smoke::mf_static, 293, 4},	//762 Plasma::Containment::trUtf8(const char*, const char*)
    {48, 2344, 46, 3, Smoke::mf_static, 293, 5},	//763 Plasma::Containment::tr(const char*, const char*, int)
    {48, 2348, 46, 3, Smoke::mf_static, 293, 6},	//764 Plasma::Containment::trUtf8(const char*, const char*, int)
    {48, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//765 Plasma::Containment::qt_metacall(QMetaObject::Call, int, void**)
    {48, 100, 231, 3, Smoke::mf_ctor, 73, 8},	//766 Plasma::Containment::Containment(QGraphicsItem*, const QString&, unsigned int)
    {48, 100, 70, 2, Smoke::mf_ctor, 73, 9},	//767 Plasma::Containment::Containment(QObject*, const QList<QVariant>&)
    {48, 1134, 0, 0, Smoke::mf_virtual, 0, 10},	//768 Plasma::Containment::init()
    {48, 824, 0, 0, Smoke::mf_const, 77, 11},	//769 Plasma::Containment::containmentType() const
    {48, 843, 0, 0, Smoke::mf_const, 83, 12},	//770 Plasma::Containment::corona() const
    {48, 1295, 77, 2, Smoke::mf_static, 242, 13},	//771 Plasma::Containment::listContainments(const QString&, const QString&)
    {48, 1300, 358, 3, Smoke::mf_static, 242, 14},	//772 Plasma::Containment::listContainmentsOfType(const QString&, const QString&, const QString&)
    {48, 1294, 0, 0, Smoke::mf_static, 294, 15},	//773 Plasma::Containment::listContainmentTypes()
    {48, 1298, 89, 1, Smoke::mf_static, 242, 16},	//774 Plasma::Containment::listContainmentsForMimetype(const QString&)
    {48, 625, 362, 3, 0, 53, 17},	//775 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&, const QRectF&)
    {48, 625, 366, 3, 0, 0, 18},	//776 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&, bool)
    {48, 721, 0, 0, Smoke::mf_const, 246, 19},	//777 Plasma::Containment::applets() const
    {48, 764, 0, 0, 0, 0, 20},	//778 Plasma::Containment::clearApplets()
    {48, 2044, 370, 2, 0, 0, 21},	//779 Plasma::Containment::setScreen(int, int)
    {48, 1666, 0, 0, Smoke::mf_const, 499, 22},	//780 Plasma::Containment::screen() const
    {48, 1262, 0, 0, Smoke::mf_const, 499, 23},	//781 Plasma::Containment::lastScreen() const
    {48, 895, 0, 0, Smoke::mf_const, 499, 24},	//782 Plasma::Containment::desktop() const
    {48, 1260, 0, 0, Smoke::mf_const, 499, 25},	//783 Plasma::Containment::lastDesktop() const
    {48, 1647, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 26},	//784 Plasma::Containment::save(KConfigGroup&) const
    {48, 1629, 178, 1, Smoke::mf_virtual, 0, 27},	//785 Plasma::Containment::restore(KConfigGroup&)
    {48, 979, 197, 2, 0, 0, 28},	//786 Plasma::Containment::enableAction(const QString&, bool)
    {48, 682, 107, 1, 0, 0, 29},	//787 Plasma::Containment::addToolBoxAction(QAction*)
    {48, 1597, 107, 1, 0, 0, 30},	//788 Plasma::Containment::removeToolBoxAction(QAction*)
    {48, 2138, 7, 1, 0, 0, 31},	//789 Plasma::Containment::setToolBoxOpen(bool)
    {48, 1202, 0, 0, Smoke::mf_const, 406, 32},	//790 Plasma::Containment::isToolBoxOpen() const
    {48, 1442, 0, 0, 0, 0, 33},	//791 Plasma::Containment::openToolBox()
    {48, 776, 0, 0, 0, 0, 34},	//792 Plasma::Containment::closeToolBox()
    {48, 632, 57, 1, Smoke::mf_virtual, 0, 35},	//793 Plasma::Containment::addAssociatedWidget(QWidget*)
    {48, 1575, 57, 1, Smoke::mf_virtual, 0, 36},	//794 Plasma::Containment::removeAssociatedWidget(QWidget*)
    {48, 946, 0, 0, 0, 406, 37},	//795 Plasma::Containment::drawWallpaper()
    {48, 2181, 77, 2, 0, 0, 38},	//796 Plasma::Containment::setWallpaper(const QString&, const QString&)
    {48, 2425, 0, 0, Smoke::mf_const, 174, 39},	//797 Plasma::Containment::wallpaper() const
    {48, 1700, 89, 1, 0, 0, 40},	//798 Plasma::Containment::setActivity(const QString&)
    {48, 618, 0, 0, Smoke::mf_const, 293, 41},	//799 Plasma::Containment::activity() const
    {48, 833, 0, 0, Smoke::mf_const, 82, 42},	//800 Plasma::Containment::context() const
    {48, 2211, 373, 2, 0, 0, 43},	//801 Plasma::Containment::showContextMenu(const QPointF&, const QPoint&)
    {48, 2215, 376, 1, Smoke::mf_virtual, 0, 44},	//802 Plasma::Containment::showDropZone(const QPoint)
    {48, 1771, 77, 2, 0, 0, 45},	//803 Plasma::Containment::setContainmentActions(const QString&, const QString&)
    {48, 816, 0, 0, 0, 294, 46},	//804 Plasma::Containment::containmentActionsTriggers()
    {48, 811, 89, 1, 0, 293, 47},	//805 Plasma::Containment::containmentActions(const QString&)
    {48, 813, 0, 0, 0, 10, 48},	//806 Plasma::Containment::containmentActionsConfig()
    {48, 712, 378, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//807 Plasma::Containment::appletAdded(Plasma::Applet*, const QPointF&)
    {48, 717, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//808 Plasma::Containment::appletRemoved(Plasma::Applet*)
    {48, 2447, 381, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//809 Plasma::Containment::zoomRequested(Plasma::Containment*, Plasma::ZoomDirection)
    {48, 2337, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//810 Plasma::Containment::toolBoxToggled()
    {48, 2338, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//811 Plasma::Containment::toolBoxVisibilityChanged(bool)
    {48, 667, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//812 Plasma::Containment::addSiblingContainment(Plasma::Containment*)
    {48, 2206, 384, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//813 Plasma::Containment::showAddWidgetsInterface(const QPointF&)
    {48, 1667, 386, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//814 Plasma::Containment::screenChanged(int, int, Plasma::Containment*)
    {48, 792, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//815 Plasma::Containment::configureRequested(Plasma::Containment*)
    {48, 835, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//816 Plasma::Containment::contextChanged(Plasma::Context*)
    {48, 1936, 25, 1, Smoke::mf_slot, 0, 59},	//817 Plasma::Containment::setLocation(Plasma::Location)
    {48, 1864, 392, 1, Smoke::mf_slot, 0, 60},	//818 Plasma::Containment::setFormFactor(Plasma::FormFactor)
    {48, 667, 0, 0, Smoke::mf_slot, 0, 61},	//819 Plasma::Containment::addSiblingContainment()
    {48, 1043, 0, 0, Smoke::mf_slot, 0, 62},	//820 Plasma::Containment::focusNextApplet()
    {48, 1047, 0, 0, Smoke::mf_slot, 0, 63},	//821 Plasma::Containment::focusPreviousApplet()
    {48, 897, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 64},	//822 Plasma::Containment::destroy()
    {48, 897, 7, 1, Smoke::mf_slot, 0, 65},	//823 Plasma::Containment::destroy(bool)
    {48, 2209, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 66},	//824 Plasma::Containment::showConfigurationInterface()
    {48, 785, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 67},	//825 Plasma::Containment::configChanged()
    {48, 1775, 304, 1, Smoke::mf_protected, 0, 68},	//826 Plasma::Containment::setContainmentType(Plasma::Containment::Type)
    {48, 1831, 7, 1, Smoke::mf_protected, 0, 69},	//827 Plasma::Containment::setDrawWallpaper(bool)
    {48, 1649, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//828 Plasma::Containment::saveContents(KConfigGroup&) const
    {48, 1631, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//829 Plasma::Containment::restoreContents(KConfigGroup&)
    {48, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//830 Plasma::Containment::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {48, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//831 Plasma::Containment::mousePressEvent(QGraphicsSceneMouseEvent*)
    {48, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 74},	//832 Plasma::Containment::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {48, 839, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//833 Plasma::Containment::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {48, 1241, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 76},	//834 Plasma::Containment::keyPressEvent(QKeyEvent*)
    {48, 2429, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//835 Plasma::Containment::wheelEvent(QGraphicsSceneWheelEvent*)
    {48, 1661, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 78},	//836 Plasma::Containment::sceneEventFilter(QGraphicsItem*, QEvent*)
    {48, 1222, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 79},	//837 Plasma::Containment::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {48, 919, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//838 Plasma::Containment::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {48, 921, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//839 Plasma::Containment::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {48, 923, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 82},	//840 Plasma::Containment::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {48, 949, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 83},	//841 Plasma::Containment::dropEvent(QGraphicsSceneDragDropEvent*)
    {48, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 84},	//842 Plasma::Containment::resizeEvent(QGraphicsSceneResizeEvent*)
    {48, 2336, 0, 0, Smoke::mf_const|Smoke::mf_protected, 448, 85},	//843 Plasma::Containment::toolBoxItem() const
    {48, 2136, 402, 1, Smoke::mf_protected, 0, 86},	//844 Plasma::Containment::setToolBox(Plasma::AbstractToolBox*)
    {48, 2335, 0, 0, Smoke::mf_const|Smoke::mf_protected, 39, 87},	//845 Plasma::Containment::toolBox() const
    {48, 2344, 1, 1, Smoke::mf_static, 293, 88},	//846 Plasma::Containment::tr(const char*)
    {48, 2348, 1, 1, Smoke::mf_static, 293, 89},	//847 Plasma::Containment::trUtf8(const char*)
    {48, 100, 0, 0, Smoke::mf_ctor, 73, 90},	//848 Plasma::Containment::Containment()
    {48, 100, 170, 1, Smoke::mf_ctor, 73, 91},	//849 Plasma::Containment::Containment(QGraphicsItem*)
    {48, 100, 298, 2, Smoke::mf_ctor, 73, 92},	//850 Plasma::Containment::Containment(QGraphicsItem*, const QString&)
    {48, 1295, 0, 0, Smoke::mf_static, 242, 93},	//851 Plasma::Containment::listContainments()
    {48, 1295, 89, 1, Smoke::mf_static, 242, 94},	//852 Plasma::Containment::listContainments(const QString&)
    {48, 1300, 89, 1, Smoke::mf_static, 242, 95},	//853 Plasma::Containment::listContainmentsOfType(const QString&)
    {48, 1300, 77, 2, Smoke::mf_static, 242, 96},	//854 Plasma::Containment::listContainmentsOfType(const QString&, const QString&)
    {48, 625, 89, 1, 0, 53, 97},	//855 Plasma::Containment::addApplet(const QString&)
    {48, 625, 113, 2, 0, 53, 98},	//856 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&)
    {48, 625, 252, 1, 0, 0, 99},	//857 Plasma::Containment::addApplet(Plasma::Applet*)
    {48, 625, 378, 2, 0, 0, 100},	//858 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&)
    {48, 2044, 129, 1, 0, 0, 101},	//859 Plasma::Containment::setScreen(int)
    {48, 2181, 89, 1, 0, 0, 102},	//860 Plasma::Containment::setWallpaper(const QString&)
    {48, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 103},	//861 Plasma::Containment::staticMetaObject() const
    {48, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 104},	//862 Plasma::Containment::NoContainmentType (enum)
    {48, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 105},	//863 Plasma::Containment::DesktopContainment (enum)
    {48, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 106},	//864 Plasma::Containment::PanelContainment (enum)
    {48, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 107},	//865 Plasma::Containment::CustomContainment (enum)
    {48, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 108},	//866 Plasma::Containment::CustomPanelContainment (enum)
    {48, 2463, 0, 0, Smoke::mf_dtor, 0, 109 },	//867 Plasma::Containment::~Containment()
    {49, 508, 0, 0, Smoke::mf_ctor, 74, 1},	//868 Plasma::Containment::StyleOption::StyleOption()
    {49, 508, 404, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 2},	//869 Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    {49, 508, 406, 1, Smoke::mf_ctor, 74, 3},	//870 Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    {49, 2414, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 173, 4},	//871 Plasma::Containment::StyleOption::view() const
    {49, 2178, 408, 1, Smoke::mf_attribute, 0, 5},	//872 Plasma::Containment::StyleOption::setView(Plasma::View*)
    {49, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 6},	//873 Plasma::Containment::StyleOption::Type (enum)
    {49, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 7},	//874 Plasma::Containment::StyleOption::Version (enum)
    {49, 2507, 0, 0, Smoke::mf_dtor, 0, 8 },	//875 Plasma::Containment::StyleOption::~StyleOption()
    {50, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//876 Plasma::ContainmentActions::metaObject() const
    {50, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//877 Plasma::ContainmentActions::qt_metacast(const char*)
    {50, 2344, 43, 2, Smoke::mf_static, 293, 3},	//878 Plasma::ContainmentActions::tr(const char*, const char*)
    {50, 2348, 43, 2, Smoke::mf_static, 293, 4},	//879 Plasma::ContainmentActions::trUtf8(const char*, const char*)
    {50, 2344, 46, 3, Smoke::mf_static, 293, 5},	//880 Plasma::ContainmentActions::tr(const char*, const char*, int)
    {50, 2348, 46, 3, Smoke::mf_static, 293, 6},	//881 Plasma::ContainmentActions::trUtf8(const char*, const char*, int)
    {50, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//882 Plasma::ContainmentActions::qt_metacall(QMetaObject::Call, int, void**)
    {50, 105, 97, 1, Smoke::mf_ctor, 78, 8},	//883 Plasma::ContainmentActions::ContainmentActions(QObject*)
    {50, 1293, 0, 0, Smoke::mf_static, 242, 9},	//884 Plasma::ContainmentActions::listContainmentActionsInfo()
    {50, 1324, 410, 3, Smoke::mf_static, 78, 10},	//885 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {50, 1324, 414, 3, Smoke::mf_static, 78, 11},	//886 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&)
    {50, 1456, 0, 0, Smoke::mf_static, 22, 12},	//887 Plasma::ContainmentActions::packageStructure()
    {50, 1429, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 13},	//888 Plasma::ContainmentActions::name() const
    {50, 1499, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 14},	//889 Plasma::ContainmentActions::pluginName() const
    {50, 1118, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 15},	//890 Plasma::ContainmentActions::icon() const
    {50, 1179, 0, 0, Smoke::mf_const, 406, 16},	//891 Plasma::ContainmentActions::isInitialized() const
    {50, 1629, 111, 1, 0, 0, 17},	//892 Plasma::ContainmentActions::restore(const KConfigGroup&)
    {50, 1647, 178, 1, Smoke::mf_virtual, 0, 18},	//893 Plasma::ContainmentActions::save(KConfigGroup&)
    {50, 850, 57, 1, Smoke::mf_virtual, 309, 19},	//894 Plasma::ContainmentActions::createConfigurationInterface(QWidget*)
    {50, 789, 0, 0, Smoke::mf_virtual, 0, 20},	//895 Plasma::ContainmentActions::configurationAccepted()
    {50, 837, 331, 1, Smoke::mf_virtual, 0, 21},	//896 Plasma::ContainmentActions::contextEvent(QEvent*)
    {50, 841, 0, 0, Smoke::mf_virtual, 255, 22},	//897 Plasma::ContainmentActions::contextualActions()
    {50, 884, 89, 1, Smoke::mf_const, 85, 23},	//898 Plasma::ContainmentActions::dataEngine(const QString&) const
    {50, 790, 0, 0, Smoke::mf_const, 406, 24},	//899 Plasma::ContainmentActions::configurationRequired() const
    {50, 999, 331, 1, Smoke::mf_static, 293, 25},	//900 Plasma::ContainmentActions::eventToString(QEvent*)
    {50, 1507, 418, 2, 0, 279, 26},	//901 Plasma::ContainmentActions::popupPosition(const QSize&, QEvent*)
    {50, 995, 331, 1, Smoke::mf_virtual, 406, 27},	//902 Plasma::ContainmentActions::event(QEvent*)
    {50, 1769, 101, 1, 0, 0, 28},	//903 Plasma::ContainmentActions::setContainment(Plasma::Containment*)
    {50, 105, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 78, 29},	//904 Plasma::ContainmentActions::ContainmentActions(QObject*, const QList<QVariant>&)
    {50, 1134, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//905 Plasma::ContainmentActions::init(const KConfigGroup&)
    {50, 1766, 7, 1, Smoke::mf_protected, 0, 31},	//906 Plasma::ContainmentActions::setConfigurationRequired(bool)
    {50, 810, 0, 0, Smoke::mf_protected, 73, 32},	//907 Plasma::ContainmentActions::containment()
    {50, 1485, 421, 2, Smoke::mf_protected, 0, 33},	//908 Plasma::ContainmentActions::paste(QPointF, QPoint)
    {50, 2344, 1, 1, Smoke::mf_static, 293, 34},	//909 Plasma::ContainmentActions::tr(const char*)
    {50, 2348, 1, 1, Smoke::mf_static, 293, 35},	//910 Plasma::ContainmentActions::trUtf8(const char*)
    {50, 105, 0, 0, Smoke::mf_ctor, 78, 36},	//911 Plasma::ContainmentActions::ContainmentActions()
    {50, 1324, 424, 2, Smoke::mf_static, 78, 37},	//912 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&)
    {50, 1324, 427, 2, Smoke::mf_static, 78, 38},	//913 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&)
    {50, 1766, 0, 0, Smoke::mf_protected, 0, 39},	//914 Plasma::ContainmentActions::setConfigurationRequired()
    {50, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 40},	//915 Plasma::ContainmentActions::staticMetaObject() const
    {50, 2464, 0, 0, Smoke::mf_dtor, 0, 41 },	//916 Plasma::ContainmentActions::~ContainmentActions()
    {51, 108, 0, 0, Smoke::mf_ctor, 81, 1},	//917 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig()
    {51, 108, 430, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 2},	//918 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 1449, 430, 1, 0, 80, 3},	//919 Plasma::ContainmentActionsPluginsConfig::operator=(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 762, 0, 0, 0, 0, 4},	//920 Plasma::ContainmentActionsPluginsConfig::clear()
    {51, 1568, 331, 1, 0, 0, 5},	//921 Plasma::ContainmentActionsPluginsConfig::remove(QEvent*)
    {51, 658, 432, 2, 0, 0, 6},	//922 Plasma::ContainmentActionsPluginsConfig::addPlugin(QEvent*, const QString&)
    {51, 658, 435, 3, 0, 0, 7},	//923 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    {51, 658, 439, 3, 0, 0, 8},	//924 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    {51, 2465, 0, 0, Smoke::mf_dtor, 0, 9 },	//925 Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig()
    {52, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//926 Plasma::Context::metaObject() const
    {52, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//927 Plasma::Context::qt_metacast(const char*)
    {52, 2344, 43, 2, Smoke::mf_static, 293, 3},	//928 Plasma::Context::tr(const char*, const char*)
    {52, 2348, 43, 2, Smoke::mf_static, 293, 4},	//929 Plasma::Context::trUtf8(const char*, const char*)
    {52, 2344, 46, 3, Smoke::mf_static, 293, 5},	//930 Plasma::Context::tr(const char*, const char*, int)
    {52, 2348, 46, 3, Smoke::mf_static, 293, 6},	//931 Plasma::Context::trUtf8(const char*, const char*, int)
    {52, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//932 Plasma::Context::qt_metacall(QMetaObject::Call, int, void**)
    {52, 111, 97, 1, Smoke::mf_ctor, 82, 8},	//933 Plasma::Context::Context(QObject*)
    {52, 848, 89, 1, 0, 0, 9},	//934 Plasma::Context::createActivity(const QString&)
    {52, 1278, 0, 0, Smoke::mf_const, 294, 10},	//935 Plasma::Context::listActivities() const
    {52, 1791, 89, 1, 0, 0, 11},	//936 Plasma::Context::setCurrentActivity(const QString&)
    {52, 864, 0, 0, Smoke::mf_const, 293, 12},	//937 Plasma::Context::currentActivity() const
    {52, 1793, 89, 1, 0, 0, 13},	//938 Plasma::Context::setCurrentActivityId(const QString&)
    {52, 865, 0, 0, Smoke::mf_const, 293, 14},	//939 Plasma::Context::currentActivityId() const
    {52, 757, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//940 Plasma::Context::changed(Plasma::Context*)
    {52, 619, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//941 Plasma::Context::activityChanged(Plasma::Context*)
    {52, 1358, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//942 Plasma::Context::locationChanged(Plasma::Context*)
    {52, 2344, 1, 1, Smoke::mf_static, 293, 18},	//943 Plasma::Context::tr(const char*)
    {52, 2348, 1, 1, Smoke::mf_static, 293, 19},	//944 Plasma::Context::trUtf8(const char*)
    {52, 111, 0, 0, Smoke::mf_ctor, 82, 20},	//945 Plasma::Context::Context()
    {52, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 21},	//946 Plasma::Context::staticMetaObject() const
    {52, 2466, 0, 0, Smoke::mf_dtor, 0, 22 },	//947 Plasma::Context::~Context()
    {53, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//948 Plasma::Corona::metaObject() const
    {53, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//949 Plasma::Corona::qt_metacast(const char*)
    {53, 2344, 43, 2, Smoke::mf_static, 293, 3},	//950 Plasma::Corona::tr(const char*, const char*)
    {53, 2348, 43, 2, Smoke::mf_static, 293, 4},	//951 Plasma::Corona::trUtf8(const char*, const char*)
    {53, 2344, 46, 3, Smoke::mf_static, 293, 5},	//952 Plasma::Corona::tr(const char*, const char*, int)
    {53, 2348, 46, 3, Smoke::mf_static, 293, 6},	//953 Plasma::Corona::trUtf8(const char*, const char*, int)
    {53, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//954 Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**)
    {53, 115, 97, 1, Smoke::mf_ctor, 83, 8},	//955 Plasma::Corona::Corona(QObject*)
    {53, 1712, 89, 1, 0, 0, 9},	//956 Plasma::Corona::setAppletMimeType(const QString&)
    {53, 716, 0, 0, 0, 293, 10},	//957 Plasma::Corona::appletMimeType()
    {53, 888, 0, 0, Smoke::mf_const, 293, 11},	//958 Plasma::Corona::defaultContainmentPlugin() const
    {53, 825, 0, 0, Smoke::mf_const, 247, 12},	//959 Plasma::Corona::containments() const
    {53, 766, 0, 0, 0, 0, 13},	//960 Plasma::Corona::clearContainments()
    {53, 783, 0, 0, Smoke::mf_const, 21, 14},	//961 Plasma::Corona::config() const
    {53, 634, 113, 2, 0, 73, 15},	//962 Plasma::Corona::addContainment(const QString&, const QList<QVariant>&)
    {53, 637, 113, 2, 0, 73, 16},	//963 Plasma::Corona::addContainmentDelayed(const QString&, const QList<QVariant>&)
    {53, 819, 370, 2, Smoke::mf_const, 73, 17},	//964 Plasma::Corona::containmentForScreen(int, int) const
    {53, 819, 443, 4, 0, 73, 18},	//965 Plasma::Corona::containmentForScreen(int, int, const QString&, const QList<QVariant>&)
    {53, 654, 125, 1, 0, 0, 19},	//966 Plasma::Corona::addOffscreenWidget(QGraphicsWidget*)
    {53, 1587, 125, 1, 0, 0, 20},	//967 Plasma::Corona::removeOffscreenWidget(QGraphicsWidget*)
    {53, 1440, 0, 0, Smoke::mf_const, 258, 21},	//968 Plasma::Corona::offscreenWidgets() const
    {53, 1439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 22},	//969 Plasma::Corona::numScreens() const
    {53, 1669, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 23},	//970 Plasma::Corona::screenGeometry(int) const
    {53, 737, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 286, 24},	//971 Plasma::Corona::availableScreenRegion(int) const
    {53, 1507, 448, 2, 0, 279, 25},	//972 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&)
    {53, 1507, 451, 3, 0, 279, 26},	//973 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&, Qt::AlignmentFlag)
    {53, 1060, 129, 1, Smoke::mf_const, 250, 27},	//974 Plasma::Corona::freeEdges(int) const
    {53, 604, 220, 1, Smoke::mf_const, 184, 28},	//975 Plasma::Corona::action(QString) const
    {53, 621, 222, 2, 0, 0, 29},	//976 Plasma::Corona::addAction(QString, QAction*)
    {53, 607, 0, 0, Smoke::mf_const, 255, 30},	//977 Plasma::Corona::actions() const
    {53, 979, 197, 2, 0, 0, 31},	//978 Plasma::Corona::enableAction(const QString&, bool)
    {53, 2382, 0, 0, 0, 0, 32},	//979 Plasma::Corona::updateShortcuts()
    {53, 665, 455, 1, 0, 0, 33},	//980 Plasma::Corona::addShortcuts(KActionCollection*)
    {53, 621, 220, 1, 0, 3, 34},	//981 Plasma::Corona::addAction(QString)
    {53, 1773, 457, 2, 0, 0, 35},	//982 Plasma::Corona::setContainmentActionsDefaults(Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&)
    {53, 814, 304, 1, 0, 79, 36},	//983 Plasma::Corona::containmentActionsDefaults(Plasma::Containment::Type)
    {53, 1823, 460, 1, 0, 0, 37},	//984 Plasma::Corona::setDialogManager(Plasma::AbstractDialogManager*)
    {53, 903, 0, 0, 0, 35, 38},	//985 Plasma::Corona::dialogManager()
    {53, 1129, 462, 1, 0, 247, 39},	//986 Plasma::Corona::importLayout(const KConfigBase&)
    {53, 1513, 464, 1, Smoke::mf_const, 293, 40},	//987 Plasma::Corona::preferredToolBoxPlugin(const Plasma::Containment::Type) const
    {53, 1129, 111, 1, 0, 247, 41},	//988 Plasma::Corona::importLayout(const KConfigGroup&)
    {53, 1007, 466, 2, 0, 0, 42},	//989 Plasma::Corona::exportLayout(KConfigGroup&, QList<Plasma::Containment*>)
    {53, 1141, 89, 1, Smoke::mf_slot, 0, 43},	//990 Plasma::Corona::initializeLayout(const QString&)
    {53, 1344, 89, 1, Smoke::mf_slot, 0, 44},	//991 Plasma::Corona::loadLayout(const QString&)
    {53, 1651, 89, 1, Smoke::mf_const|Smoke::mf_slot, 0, 45},	//992 Plasma::Corona::saveLayout(const QString&) const
    {53, 1125, 0, 0, Smoke::mf_const|Smoke::mf_slot, 109, 46},	//993 Plasma::Corona::immutability() const
    {53, 1911, 258, 1, Smoke::mf_slot, 0, 47},	//994 Plasma::Corona::setImmutability(const Plasma::ImmutabilityType)
    {53, 1614, 0, 0, Smoke::mf_slot, 0, 48},	//995 Plasma::Corona::requestConfigSync()
    {53, 1615, 0, 0, Smoke::mf_slot, 0, 49},	//996 Plasma::Corona::requireConfigSync()
    {53, 1270, 0, 0, Smoke::mf_slot, 0, 50},	//997 Plasma::Corona::layoutContainments()
    {53, 817, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//998 Plasma::Corona::containmentAdded(Plasma::Containment*)
    {53, 1671, 386, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//999 Plasma::Corona::screenOwnerChanged(int, int, Plasma::Containment*)
    {53, 1556, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//1000 Plasma::Corona::releaseVisualFocus()
    {53, 788, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//1001 Plasma::Corona::configSynced()
    {53, 739, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//1002 Plasma::Corona::availableScreenRegionChanged()
    {53, 1126, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//1003 Plasma::Corona::immutabilityChanged(Plasma::ImmutabilityType)
    {53, 2202, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//1004 Plasma::Corona::shortcutsChanged()
    {53, 1339, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1005 Plasma::Corona::loadDefaultLayout()
    {53, 1370, 469, 2, Smoke::mf_protected, 0, 59},	//1006 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    {53, 1370, 472, 2, Smoke::mf_protected, 0, 60},	//1007 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    {53, 2006, 475, 2, Smoke::mf_protected, 0, 61},	//1008 Plasma::Corona::setPreferredToolBoxPlugin(const Plasma::Containment::Type, const QString&)
    {53, 1808, 89, 1, Smoke::mf_protected, 0, 62},	//1009 Plasma::Corona::setDefaultContainmentPlugin(const QString&)
    {53, 919, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1010 Plasma::Corona::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {53, 921, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1011 Plasma::Corona::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {53, 923, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1012 Plasma::Corona::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {53, 2344, 1, 1, Smoke::mf_static, 293, 66},	//1013 Plasma::Corona::tr(const char*)
    {53, 2348, 1, 1, Smoke::mf_static, 293, 67},	//1014 Plasma::Corona::trUtf8(const char*)
    {53, 115, 0, 0, Smoke::mf_ctor, 83, 68},	//1015 Plasma::Corona::Corona()
    {53, 634, 89, 1, 0, 73, 69},	//1016 Plasma::Corona::addContainment(const QString&)
    {53, 637, 89, 1, 0, 73, 70},	//1017 Plasma::Corona::addContainmentDelayed(const QString&)
    {53, 819, 129, 1, Smoke::mf_const, 73, 71},	//1018 Plasma::Corona::containmentForScreen(int) const
    {53, 819, 478, 3, 0, 73, 72},	//1019 Plasma::Corona::containmentForScreen(int, int, const QString&)
    {53, 1141, 0, 0, Smoke::mf_slot, 0, 73},	//1020 Plasma::Corona::initializeLayout()
    {53, 1344, 0, 0, Smoke::mf_slot, 0, 74},	//1021 Plasma::Corona::loadLayout()
    {53, 1651, 0, 0, Smoke::mf_const|Smoke::mf_slot, 0, 75},	//1022 Plasma::Corona::saveLayout() const
    {53, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 76},	//1023 Plasma::Corona::staticMetaObject() const
    {53, 2467, 0, 0, Smoke::mf_dtor, 0, 77 },	//1024 Plasma::Corona::~Corona()
    {54, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1025 Plasma::DataContainer::metaObject() const
    {54, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1026 Plasma::DataContainer::qt_metacast(const char*)
    {54, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1027 Plasma::DataContainer::tr(const char*, const char*)
    {54, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1028 Plasma::DataContainer::trUtf8(const char*, const char*)
    {54, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1029 Plasma::DataContainer::tr(const char*, const char*, int)
    {54, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1030 Plasma::DataContainer::trUtf8(const char*, const char*, int)
    {54, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1031 Plasma::DataContainer::qt_metacall(QMetaObject::Call, int, void**)
    {54, 121, 97, 1, Smoke::mf_ctor, 84, 8},	//1032 Plasma::DataContainer::DataContainer(QObject*)
    {54, 883, 0, 0, Smoke::mf_const, 450, 9},	//1033 Plasma::DataContainer::data() const
    {54, 1801, 482, 2, 0, 0, 10},	//1034 Plasma::DataContainer::setData(const QString&, const QVariant&)
    {54, 1572, 0, 0, 0, 0, 11},	//1035 Plasma::DataContainer::removeAllData()
    {54, 2423, 97, 1, Smoke::mf_const, 406, 12},	//1036 Plasma::DataContainer::visualizationIsConnected(QObject*) const
    {54, 803, 485, 3, 0, 0, 13},	//1037 Plasma::DataContainer::connectVisualization(QObject*, unsigned int, Plasma::IntervalAlignment)
    {54, 2085, 7, 1, 0, 0, 14},	//1038 Plasma::DataContainer::setStorageEnabled(bool)
    {54, 1198, 0, 0, Smoke::mf_const, 406, 15},	//1039 Plasma::DataContainer::isStorageEnabled() const
    {54, 1433, 0, 0, Smoke::mf_const, 406, 16},	//1040 Plasma::DataContainer::needsToBeStored() const
    {54, 1965, 7, 1, 0, 0, 17},	//1041 Plasma::DataContainer::setNeedsToBeStored(bool)
    {54, 1065, 0, 0, 0, 85, 18},	//1042 Plasma::DataContainer::getDataEngine()
    {54, 913, 97, 1, Smoke::mf_slot, 0, 19},	//1043 Plasma::DataContainer::disconnectVisualization(QObject*)
    {54, 1053, 0, 0, Smoke::mf_slot, 0, 20},	//1044 Plasma::DataContainer::forceImmediateUpdate()
    {54, 886, 489, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1045 Plasma::DataContainer::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {54, 743, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1046 Plasma::DataContainer::becameUnused(const QString&)
    {54, 2380, 492, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1047 Plasma::DataContainer::updateRequested(Plasma::DataContainer*)
    {54, 759, 0, 0, Smoke::mf_protected, 0, 24},	//1048 Plasma::DataContainer::checkForUpdate()
    {54, 2328, 0, 0, Smoke::mf_const|Smoke::mf_protected, 507, 25},	//1049 Plasma::DataContainer::timeSinceLastUpdate() const
    {54, 1967, 7, 1, Smoke::mf_protected, 0, 26},	//1050 Plasma::DataContainer::setNeedsUpdate(bool)
    {54, 760, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 27},	//1051 Plasma::DataContainer::checkUsage()
    {54, 2329, 176, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1052 Plasma::DataContainer::timerEvent(QTimerEvent*)
    {54, 2344, 1, 1, Smoke::mf_static, 293, 29},	//1053 Plasma::DataContainer::tr(const char*)
    {54, 2348, 1, 1, Smoke::mf_static, 293, 30},	//1054 Plasma::DataContainer::trUtf8(const char*)
    {54, 121, 0, 0, Smoke::mf_ctor, 84, 31},	//1055 Plasma::DataContainer::DataContainer()
    {54, 1967, 0, 0, Smoke::mf_protected, 0, 32},	//1056 Plasma::DataContainer::setNeedsUpdate()
    {54, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 33},	//1057 Plasma::DataContainer::staticMetaObject() const
    {54, 2468, 0, 0, Smoke::mf_dtor, 0, 34 },	//1058 Plasma::DataContainer::~DataContainer()
    {55, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1059 Plasma::DataEngine::metaObject() const
    {55, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1060 Plasma::DataEngine::qt_metacast(const char*)
    {55, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1061 Plasma::DataEngine::tr(const char*, const char*)
    {55, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1062 Plasma::DataEngine::trUtf8(const char*, const char*)
    {55, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1063 Plasma::DataEngine::tr(const char*, const char*, int)
    {55, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1064 Plasma::DataEngine::trUtf8(const char*, const char*, int)
    {55, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1065 Plasma::DataEngine::qt_metacall(QMetaObject::Call, int, void**)
    {55, 123, 494, 2, Smoke::mf_ctor, 85, 8},	//1066 Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    {55, 123, 70, 2, Smoke::mf_ctor, 85, 9},	//1067 Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    {55, 1134, 0, 0, Smoke::mf_virtual, 0, 10},	//1068 Plasma::DataEngine::init()
    {55, 2253, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 294, 11},	//1069 Plasma::DataEngine::sources() const
    {55, 1688, 89, 1, Smoke::mf_virtual, 149, 12},	//1070 Plasma::DataEngine::serviceForSource(const QString&)
    {55, 1429, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 13},	//1071 Plasma::DataEngine::name() const
    {55, 799, 497, 4, Smoke::mf_const, 0, 14},	//1072 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 794, 485, 3, Smoke::mf_const, 0, 15},	//1073 Plasma::DataEngine::connectAllSources(QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 911, 149, 2, Smoke::mf_const, 0, 16},	//1074 Plasma::DataEngine::disconnectSource(const QString&, QObject*) const
    {55, 808, 89, 1, 0, 84, 17},	//1075 Plasma::DataEngine::containerForSource(const QString&)
    {55, 1530, 89, 1, Smoke::mf_const, 233, 18},	//1076 Plasma::DataEngine::query(const QString&) const
    {55, 1207, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 19},	//1077 Plasma::DataEngine::isValid() const
    {55, 1174, 0, 0, Smoke::mf_const, 406, 20},	//1078 Plasma::DataEngine::isEmpty() const
    {55, 1388, 0, 0, Smoke::mf_const, 507, 21},	//1079 Plasma::DataEngine::maxSourceCount() const
    {55, 1118, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 22},	//1080 Plasma::DataEngine::icon() const
    {55, 1455, 0, 0, Smoke::mf_const, 430, 23},	//1081 Plasma::DataEngine::package() const
    {55, 1499, 0, 0, Smoke::mf_const, 293, 24},	//1082 Plasma::DataEngine::pluginName() const
    {55, 852, 97, 1, 0, 149, 25},	//1083 Plasma::DataEngine::createDefaultService(QObject*)
    {55, 2247, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1084 Plasma::DataEngine::sourceAdded(const QString&)
    {55, 2249, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1085 Plasma::DataEngine::sourceRemoved(const QString&)
    {55, 2251, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 28},	//1086 Plasma::DataEngine::sourceRequestEvent(const QString&)
    {55, 2383, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 29},	//1087 Plasma::DataEngine::updateSourceEvent(const QString&)
    {55, 1801, 482, 2, Smoke::mf_protected, 0, 30},	//1088 Plasma::DataEngine::setData(const QString&, const QVariant&)
    {55, 1801, 502, 3, Smoke::mf_protected, 0, 31},	//1089 Plasma::DataEngine::setData(const QString&, const QString&, const QVariant&)
    {55, 1801, 506, 2, Smoke::mf_protected, 0, 32},	//1090 Plasma::DataEngine::setData(const QString&, const QHash<QString,QVariant>&)
    {55, 1572, 89, 1, Smoke::mf_protected, 0, 33},	//1091 Plasma::DataEngine::removeAllData(const QString&)
    {55, 1577, 77, 2, Smoke::mf_protected, 0, 34},	//1092 Plasma::DataEngine::removeData(const QString&, const QString&)
    {55, 669, 492, 1, Smoke::mf_protected, 0, 35},	//1093 Plasma::DataEngine::addSource(Plasma::DataContainer*)
    {55, 1940, 17, 1, Smoke::mf_protected, 0, 36},	//1094 Plasma::DataEngine::setMaxSourceCount(unsigned int)
    {55, 1954, 129, 1, Smoke::mf_protected, 0, 37},	//1095 Plasma::DataEngine::setMinimumPollingInterval(int)
    {55, 1406, 0, 0, Smoke::mf_const|Smoke::mf_protected, 499, 38},	//1096 Plasma::DataEngine::minimumPollingInterval() const
    {55, 1997, 17, 1, Smoke::mf_protected, 0, 39},	//1097 Plasma::DataEngine::setPollingInterval(unsigned int)
    {55, 1574, 0, 0, Smoke::mf_protected, 0, 40},	//1098 Plasma::DataEngine::removeAllSources()
    {55, 2162, 7, 1, Smoke::mf_protected, 0, 41},	//1099 Plasma::DataEngine::setValid(bool)
    {55, 807, 0, 0, Smoke::mf_const|Smoke::mf_protected, 231, 42},	//1100 Plasma::DataEngine::containerDict() const
    {55, 2329, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1101 Plasma::DataEngine::timerEvent(QTimerEvent*)
    {55, 1961, 89, 1, Smoke::mf_protected, 0, 44},	//1102 Plasma::DataEngine::setName(const QString&)
    {55, 1898, 89, 1, Smoke::mf_protected|Smoke::mf_property, 0, 45},	//1103 Plasma::DataEngine::setIcon(const QString&)
    {55, 1814, 89, 1, Smoke::mf_protected, 0, 46},	//1104 Plasma::DataEngine::setDefaultService(const QString&)
    {55, 2085, 197, 2, Smoke::mf_protected, 0, 47},	//1105 Plasma::DataEngine::setStorageEnabled(const QString&, bool)
    {55, 1665, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//1106 Plasma::DataEngine::scheduleSourcesUpdated()
    {55, 1591, 89, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 49},	//1107 Plasma::DataEngine::removeSource(const QString&)
    {55, 2371, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//1108 Plasma::DataEngine::updateAllSources()
    {55, 1054, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 51},	//1109 Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations()
    {55, 2344, 1, 1, Smoke::mf_static, 293, 52},	//1110 Plasma::DataEngine::tr(const char*)
    {55, 2348, 1, 1, Smoke::mf_static, 293, 53},	//1111 Plasma::DataEngine::trUtf8(const char*)
    {55, 123, 0, 0, Smoke::mf_ctor, 85, 54},	//1112 Plasma::DataEngine::DataEngine()
    {55, 123, 97, 1, Smoke::mf_ctor, 85, 55},	//1113 Plasma::DataEngine::DataEngine(QObject*)
    {55, 799, 149, 2, Smoke::mf_const, 0, 56},	//1114 Plasma::DataEngine::connectSource(const QString&, QObject*) const
    {55, 799, 509, 3, Smoke::mf_const, 0, 57},	//1115 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int) const
    {55, 794, 97, 1, Smoke::mf_const, 0, 58},	//1116 Plasma::DataEngine::connectAllSources(QObject*) const
    {55, 794, 513, 2, Smoke::mf_const, 0, 59},	//1117 Plasma::DataEngine::connectAllSources(QObject*, unsigned int) const
    {55, 852, 0, 0, 0, 149, 60},	//1118 Plasma::DataEngine::createDefaultService()
    {55, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 61},	//1119 Plasma::DataEngine::staticMetaObject() const
    {55, 2469, 0, 0, Smoke::mf_dtor, 0, 62 },	//1120 Plasma::DataEngine::~DataEngine()
    {56, 1394, 0, 0, Smoke::mf_const, 463, 1},	//1121 Plasma::DataEngineManager::metaObject() const
    {56, 1528, 1, 1, 0, 509, 2},	//1122 Plasma::DataEngineManager::qt_metacast(const char*)
    {56, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1123 Plasma::DataEngineManager::tr(const char*, const char*)
    {56, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1124 Plasma::DataEngineManager::trUtf8(const char*, const char*)
    {56, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1125 Plasma::DataEngineManager::tr(const char*, const char*, int)
    {56, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1126 Plasma::DataEngineManager::trUtf8(const char*, const char*, int)
    {56, 1526, 3, 3, 0, 499, 7},	//1127 Plasma::DataEngineManager::qt_metacall(QMetaObject::Call, int, void**)
    {56, 1686, 0, 0, Smoke::mf_static, 87, 8},	//1128 Plasma::DataEngineManager::self()
    {56, 985, 89, 1, Smoke::mf_const, 85, 9},	//1129 Plasma::DataEngineManager::engine(const QString&) const
    {56, 1340, 89, 1, 0, 85, 10},	//1130 Plasma::DataEngineManager::loadEngine(const QString&)
    {56, 2360, 89, 1, 0, 0, 11},	//1131 Plasma::DataEngineManager::unloadEngine(const QString&)
    {56, 1279, 89, 1, Smoke::mf_static, 294, 12},	//1132 Plasma::DataEngineManager::listAllEngines(const QString&)
    {56, 1304, 89, 1, Smoke::mf_static, 242, 13},	//1133 Plasma::DataEngineManager::listEngineInfo(const QString&)
    {56, 1306, 77, 2, Smoke::mf_static, 242, 14},	//1134 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&, const QString&)
    {56, 2329, 176, 1, Smoke::mf_protected, 0, 15},	//1135 Plasma::DataEngineManager::timerEvent(QTimerEvent*)
    {56, 2344, 1, 1, Smoke::mf_static, 293, 16},	//1136 Plasma::DataEngineManager::tr(const char*)
    {56, 2348, 1, 1, Smoke::mf_static, 293, 17},	//1137 Plasma::DataEngineManager::trUtf8(const char*)
    {56, 1279, 0, 0, Smoke::mf_static, 294, 18},	//1138 Plasma::DataEngineManager::listAllEngines()
    {56, 1304, 0, 0, Smoke::mf_static, 242, 19},	//1139 Plasma::DataEngineManager::listEngineInfo()
    {56, 1306, 89, 1, Smoke::mf_static, 242, 20},	//1140 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&)
    {56, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 21},	//1141 Plasma::DataEngineManager::staticMetaObject() const
    {57, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1142 Plasma::DataEngineScript::metaObject() const
    {57, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1143 Plasma::DataEngineScript::qt_metacast(const char*)
    {57, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1144 Plasma::DataEngineScript::tr(const char*, const char*)
    {57, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1145 Plasma::DataEngineScript::trUtf8(const char*, const char*)
    {57, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1146 Plasma::DataEngineScript::tr(const char*, const char*, int)
    {57, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1147 Plasma::DataEngineScript::trUtf8(const char*, const char*, int)
    {57, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1148 Plasma::DataEngineScript::qt_metacall(QMetaObject::Call, int, void**)
    {57, 127, 97, 1, Smoke::mf_ctor, 88, 8},	//1149 Plasma::DataEngineScript::DataEngineScript(QObject*)
    {57, 1806, 516, 1, 0, 0, 9},	//1150 Plasma::DataEngineScript::setDataEngine(Plasma::DataEngine*)
    {57, 884, 0, 0, Smoke::mf_const, 85, 10},	//1151 Plasma::DataEngineScript::dataEngine() const
    {57, 2253, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 11},	//1152 Plasma::DataEngineScript::sources() const
    {57, 2251, 89, 1, Smoke::mf_virtual, 406, 12},	//1153 Plasma::DataEngineScript::sourceRequestEvent(const QString&)
    {57, 2383, 89, 1, Smoke::mf_virtual, 406, 13},	//1154 Plasma::DataEngineScript::updateSourceEvent(const QString&)
    {57, 1688, 89, 1, Smoke::mf_virtual, 149, 14},	//1155 Plasma::DataEngineScript::serviceForSource(const QString&)
    {57, 1367, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 293, 15},	//1156 Plasma::DataEngineScript::mainScript() const
    {57, 1455, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 16},	//1157 Plasma::DataEngineScript::package() const
    {57, 894, 0, 0, Smoke::mf_const|Smoke::mf_protected, 17, 17},	//1158 Plasma::DataEngineScript::description() const
    {57, 1801, 502, 3, Smoke::mf_protected, 0, 18},	//1159 Plasma::DataEngineScript::setData(const QString&, const QString&, const QVariant&)
    {57, 1801, 482, 2, Smoke::mf_protected, 0, 19},	//1160 Plasma::DataEngineScript::setData(const QString&, const QVariant&)
    {57, 1801, 506, 2, Smoke::mf_protected, 0, 20},	//1161 Plasma::DataEngineScript::setData(const QString&, const QHash<QString,QVariant>&)
    {57, 1572, 89, 1, Smoke::mf_protected, 0, 21},	//1162 Plasma::DataEngineScript::removeAllData(const QString&)
    {57, 1577, 77, 2, Smoke::mf_protected, 0, 22},	//1163 Plasma::DataEngineScript::removeData(const QString&, const QString&)
    {57, 1940, 17, 1, Smoke::mf_protected, 0, 23},	//1164 Plasma::DataEngineScript::setMaxSourceCount(unsigned int)
    {57, 1954, 129, 1, Smoke::mf_protected, 0, 24},	//1165 Plasma::DataEngineScript::setMinimumPollingInterval(int)
    {57, 1406, 0, 0, Smoke::mf_const|Smoke::mf_protected, 499, 25},	//1166 Plasma::DataEngineScript::minimumPollingInterval() const
    {57, 1997, 17, 1, Smoke::mf_protected, 0, 26},	//1167 Plasma::DataEngineScript::setPollingInterval(unsigned int)
    {57, 1574, 0, 0, Smoke::mf_protected, 0, 27},	//1168 Plasma::DataEngineScript::removeAllSources()
    {57, 669, 492, 1, Smoke::mf_protected, 0, 28},	//1169 Plasma::DataEngineScript::addSource(Plasma::DataContainer*)
    {57, 807, 0, 0, Smoke::mf_const|Smoke::mf_protected, 231, 29},	//1170 Plasma::DataEngineScript::containerDict() const
    {57, 1961, 89, 1, Smoke::mf_protected, 0, 30},	//1171 Plasma::DataEngineScript::setName(const QString&)
    {57, 1898, 89, 1, Smoke::mf_protected, 0, 31},	//1172 Plasma::DataEngineScript::setIcon(const QString&)
    {57, 1665, 0, 0, Smoke::mf_protected, 0, 32},	//1173 Plasma::DataEngineScript::scheduleSourcesUpdated()
    {57, 1591, 89, 1, Smoke::mf_protected, 0, 33},	//1174 Plasma::DataEngineScript::removeSource(const QString&)
    {57, 2371, 0, 0, Smoke::mf_protected, 0, 34},	//1175 Plasma::DataEngineScript::updateAllSources()
    {57, 1054, 0, 0, Smoke::mf_protected, 0, 35},	//1176 Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations()
    {57, 2344, 1, 1, Smoke::mf_static, 293, 36},	//1177 Plasma::DataEngineScript::tr(const char*)
    {57, 2348, 1, 1, Smoke::mf_static, 293, 37},	//1178 Plasma::DataEngineScript::trUtf8(const char*)
    {57, 127, 0, 0, Smoke::mf_ctor, 88, 38},	//1179 Plasma::DataEngineScript::DataEngineScript()
    {57, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 39},	//1180 Plasma::DataEngineScript::staticMetaObject() const
    {57, 2470, 0, 0, Smoke::mf_dtor, 0, 40 },	//1181 Plasma::DataEngineScript::~DataEngineScript()
    {58, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1182 Plasma::Delegate::metaObject() const
    {58, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1183 Plasma::Delegate::qt_metacast(const char*)
    {58, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1184 Plasma::Delegate::tr(const char*, const char*)
    {58, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1185 Plasma::Delegate::trUtf8(const char*, const char*)
    {58, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1186 Plasma::Delegate::tr(const char*, const char*, int)
    {58, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1187 Plasma::Delegate::trUtf8(const char*, const char*, int)
    {58, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1188 Plasma::Delegate::qt_metacall(QMetaObject::Call, int, void**)
    {58, 134, 97, 1, Smoke::mf_ctor, 89, 8},	//1189 Plasma::Delegate::Delegate(QObject*)
    {58, 2036, 518, 2, 0, 0, 9},	//1190 Plasma::Delegate::setRoleMapping(Plasma::Delegate::SpecificRoles, int)
    {58, 1635, 521, 1, Smoke::mf_const, 499, 10},	//1191 Plasma::Delegate::roleMapping(Plasma::Delegate::SpecificRoles) const
    {58, 1461, 523, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//1192 Plasma::Delegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2225, 0, 0, Smoke::mf_const, 406, 12},	//1193 Plasma::Delegate::showToolTip() const
    {58, 1541, 527, 2, Smoke::mf_const|Smoke::mf_protected, 282, 13},	//1194 Plasma::Delegate::rectAfterTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 1539, 527, 2, Smoke::mf_const|Smoke::mf_protected, 282, 14},	//1195 Plasma::Delegate::rectAfterSubTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 977, 527, 2, Smoke::mf_const|Smoke::mf_protected, 282, 15},	//1196 Plasma::Delegate::emptyRect(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2238, 527, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 16},	//1197 Plasma::Delegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2344, 1, 1, Smoke::mf_static, 293, 17},	//1198 Plasma::Delegate::tr(const char*)
    {58, 2348, 1, 1, Smoke::mf_static, 293, 18},	//1199 Plasma::Delegate::trUtf8(const char*)
    {58, 134, 0, 0, Smoke::mf_ctor, 89, 19},	//1200 Plasma::Delegate::Delegate()
    {58, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 20},	//1201 Plasma::Delegate::staticMetaObject() const
    {58, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 21},	//1202 Plasma::Delegate::SubTitleRole (enum)
    {58, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 22},	//1203 Plasma::Delegate::SubTitleMandatoryRole (enum)
    {58, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 23},	//1204 Plasma::Delegate::ColumnTypeRole (enum)
    {58, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 24},	//1205 Plasma::Delegate::MainColumn (enum)
    {58, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 25},	//1206 Plasma::Delegate::SecondaryActionColumn (enum)
    {58, 2471, 0, 0, Smoke::mf_dtor, 0, 26 },	//1207 Plasma::Delegate::~Delegate()
    {59, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1208 Plasma::Dialog::metaObject() const
    {59, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1209 Plasma::Dialog::qt_metacast(const char*)
    {59, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1210 Plasma::Dialog::tr(const char*, const char*)
    {59, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1211 Plasma::Dialog::trUtf8(const char*, const char*)
    {59, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1212 Plasma::Dialog::tr(const char*, const char*, int)
    {59, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1213 Plasma::Dialog::trUtf8(const char*, const char*, int)
    {59, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1214 Plasma::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 145, 530, 2, Smoke::mf_ctor, 92, 8},	//1215 Plasma::Dialog::Dialog(QWidget*, QFlags<Qt::WindowType>)
    {59, 1872, 125, 1, 0, 0, 9},	//1216 Plasma::Dialog::setGraphicsWidget(QGraphicsWidget*)
    {59, 1076, 0, 0, 0, 229, 10},	//1217 Plasma::Dialog::graphicsWidget()
    {59, 2032, 533, 1, 0, 0, 11},	//1218 Plasma::Dialog::setResizeHandleCorners(QFlags<Plasma::Dialog::ResizeCorner>)
    {59, 1623, 0, 0, Smoke::mf_const, 204, 12},	//1219 Plasma::Dialog::resizeCorners() const
    {59, 1205, 0, 0, Smoke::mf_const, 406, 13},	//1220 Plasma::Dialog::isUserResizing() const
    {59, 1956, 535, 4, 0, 0, 14},	//1221 Plasma::Dialog::setMinimumResizeLimits(int, int, int, int)
    {59, 1068, 540, 4, 0, 0, 15},	//1222 Plasma::Dialog::getMinimumResizeLimits(int*, int*, int*, int*)
    {59, 691, 545, 1, 0, 0, 16},	//1223 Plasma::Dialog::animatedHide(Plasma::Direction)
    {59, 693, 545, 1, 0, 0, 17},	//1224 Plasma::Dialog::animatedShow(Plasma::Direction)
    {59, 723, 0, 0, Smoke::mf_const, 56, 18},	//1225 Plasma::Dialog::aspectRatioMode() const
    {59, 1716, 193, 1, 0, 0, 19},	//1226 Plasma::Dialog::setAspectRatioMode(Plasma::AspectRatioMode)
    {59, 904, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1227 Plasma::Dialog::dialogResized()
    {59, 905, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1228 Plasma::Dialog::dialogVisible(bool)
    {59, 2293, 0, 0, Smoke::mf_slot, 0, 22},	//1229 Plasma::Dialog::syncToGraphicsWidget()
    {59, 1470, 547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1230 Plasma::Dialog::paintEvent(QPaintEvent*)
    {59, 995, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 24},	//1231 Plasma::Dialog::event(QEvent*)
    {59, 1624, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1232 Plasma::Dialog::resizeEvent(QResizeEvent*)
    {59, 997, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 26},	//1233 Plasma::Dialog::eventFilter(QObject*, QEvent*)
    {59, 1102, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1234 Plasma::Dialog::hideEvent(QHideEvent*)
    {59, 2217, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1235 Plasma::Dialog::showEvent(QShowEvent*)
    {59, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1236 Plasma::Dialog::focusInEvent(QFocusEvent*)
    {59, 1411, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1237 Plasma::Dialog::mouseMoveEvent(QMouseEvent*)
    {59, 1413, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1238 Plasma::Dialog::mousePressEvent(QMouseEvent*)
    {59, 1415, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1239 Plasma::Dialog::mouseReleaseEvent(QMouseEvent*)
    {59, 1241, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1240 Plasma::Dialog::keyPressEvent(QKeyEvent*)
    {59, 1417, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1241 Plasma::Dialog::moveEvent(QMoveEvent*)
    {59, 1131, 555, 1, Smoke::mf_protected, 406, 35},	//1242 Plasma::Dialog::inControlArea(const QPoint&)
    {59, 2344, 1, 1, Smoke::mf_static, 293, 36},	//1243 Plasma::Dialog::tr(const char*)
    {59, 2348, 1, 1, Smoke::mf_static, 293, 37},	//1244 Plasma::Dialog::trUtf8(const char*)
    {59, 145, 0, 0, Smoke::mf_ctor, 92, 38},	//1245 Plasma::Dialog::Dialog()
    {59, 145, 57, 1, Smoke::mf_ctor, 92, 39},	//1246 Plasma::Dialog::Dialog(QWidget*)
    {59, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 40},	//1247 Plasma::Dialog::staticMetaObject() const
    {59, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 41},	//1248 Plasma::Dialog::NoCorner (enum)
    {59, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 42},	//1249 Plasma::Dialog::NorthEast (enum)
    {59, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 43},	//1250 Plasma::Dialog::SouthEast (enum)
    {59, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 44},	//1251 Plasma::Dialog::NorthWest (enum)
    {59, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 45},	//1252 Plasma::Dialog::SouthWest (enum)
    {59, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 46},	//1253 Plasma::Dialog::All (enum)
    {59, 2472, 0, 0, Smoke::mf_dtor, 0, 47 },	//1254 Plasma::Dialog::~Dialog()
    {60, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1255 Plasma::Extender::metaObject() const
    {60, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1256 Plasma::Extender::qt_metacast(const char*)
    {60, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1257 Plasma::Extender::tr(const char*, const char*)
    {60, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1258 Plasma::Extender::trUtf8(const char*, const char*)
    {60, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1259 Plasma::Extender::tr(const char*, const char*, int)
    {60, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1260 Plasma::Extender::trUtf8(const char*, const char*, int)
    {60, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1261 Plasma::Extender::qt_metacall(QMetaObject::Call, int, void**)
    {60, 165, 252, 1, Smoke::mf_ctor, 95, 8},	//1262 Plasma::Extender::Extender(Plasma::Applet*)
    {60, 1844, 89, 1, Smoke::mf_property, 0, 9},	//1263 Plasma::Extender::setEmptyExtenderMessage(const QString&)
    {60, 976, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//1264 Plasma::Extender::emptyExtenderMessage() const
    {60, 1240, 0, 0, Smoke::mf_const, 249, 11},	//1265 Plasma::Extender::items() const
    {60, 728, 0, 0, Smoke::mf_const, 249, 12},	//1266 Plasma::Extender::attachedItems() const
    {60, 901, 0, 0, Smoke::mf_const, 249, 13},	//1267 Plasma::Extender::detachedItems() const
    {60, 1211, 89, 1, Smoke::mf_const, 98, 14},	//1268 Plasma::Extender::item(const QString&) const
    {60, 1077, 89, 1, Smoke::mf_const, 97, 15},	//1269 Plasma::Extender::group(const QString&) const
    {60, 1091, 89, 1, Smoke::mf_const, 406, 16},	//1270 Plasma::Extender::hasItem(const QString&) const
    {60, 1174, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 17},	//1271 Plasma::Extender::isEmpty() const
    {60, 1708, 557, 1, 0, 0, 18},	//1272 Plasma::Extender::setAppearance(Plasma::Extender::Appearance)
    {60, 707, 0, 0, Smoke::mf_const, 96, 19},	//1273 Plasma::Extender::appearance() const
    {60, 1080, 0, 0, Smoke::mf_const, 248, 20},	//1274 Plasma::Extender::groups() const
    {60, 711, 0, 0, Smoke::mf_const, 53, 21},	//1275 Plasma::Extender::applet() const
    {60, 1215, 559, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1276 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1234, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1277 Plasma::Extender::itemRemovedEvent(Plasma::ExtenderItem*)
    {60, 1228, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1278 Plasma::Extender::itemHoverEnterEvent(Plasma::ExtenderItem*)
    {60, 1232, 559, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1279 Plasma::Extender::itemHoverMoveEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1230, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1280 Plasma::Extender::itemHoverLeaveEvent(Plasma::ExtenderItem*)
    {60, 1653, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1281 Plasma::Extender::saveState()
    {60, 982, 229, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 205, 28},	//1282 Plasma::Extender::enabledBordersForItem(Plasma::ExtenderItem*) const
    {60, 1222, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 29},	//1283 Plasma::Extender::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {60, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1284 Plasma::Extender::resizeEvent(QGraphicsSceneResizeEvent*)
    {60, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1285 Plasma::Extender::mousePressEvent(QGraphicsSceneMouseEvent*)
    {60, 919, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1286 Plasma::Extender::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {60, 923, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1287 Plasma::Extender::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {60, 921, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1288 Plasma::Extender::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {60, 949, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1289 Plasma::Extender::dropEvent(QGraphicsSceneDragDropEvent*)
    {60, 1220, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1290 Plasma::Extender::itemAttached(Plasma::ExtenderItem*)
    {60, 1224, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1291 Plasma::Extender::itemDetached(Plasma::ExtenderItem*)
    {60, 1063, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1292 Plasma::Extender::geometryChanged()
    {60, 2344, 1, 1, Smoke::mf_static, 293, 39},	//1293 Plasma::Extender::tr(const char*)
    {60, 2348, 1, 1, Smoke::mf_static, 293, 40},	//1294 Plasma::Extender::trUtf8(const char*)
    {60, 1215, 229, 1, Smoke::mf_protected, 0, 41},	//1295 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*)
    {60, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 42},	//1296 Plasma::Extender::staticMetaObject() const
    {60, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 43},	//1297 Plasma::Extender::NoBorders (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 44},	//1298 Plasma::Extender::BottomUpStacked (enum)
    {60, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 45},	//1299 Plasma::Extender::TopDownStacked (enum)
    {60, 2473, 0, 0, Smoke::mf_dtor, 0, 46 },	//1300 Plasma::Extender::~Extender()
    {61, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1301 Plasma::ExtenderGroup::metaObject() const
    {61, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1302 Plasma::ExtenderGroup::qt_metacast(const char*)
    {61, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1303 Plasma::ExtenderGroup::tr(const char*, const char*)
    {61, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1304 Plasma::ExtenderGroup::trUtf8(const char*, const char*)
    {61, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1305 Plasma::ExtenderGroup::tr(const char*, const char*, int)
    {61, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1306 Plasma::ExtenderGroup::trUtf8(const char*, const char*, int)
    {61, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1307 Plasma::ExtenderGroup::qt_metacall(QMetaObject::Call, int, void**)
    {61, 167, 562, 2, Smoke::mf_ctor, 97, 8},	//1308 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*, unsigned int)
    {61, 1240, 0, 0, Smoke::mf_const, 249, 9},	//1309 Plasma::ExtenderGroup::items() const
    {61, 734, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 10},	//1310 Plasma::ExtenderGroup::autoHide() const
    {61, 1732, 7, 1, Smoke::mf_property, 0, 11},	//1311 Plasma::ExtenderGroup::setAutoHide(bool)
    {61, 1177, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 12},	//1312 Plasma::ExtenderGroup::isGroupCollapsed() const
    {61, 1164, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 13},	//1313 Plasma::ExtenderGroup::isAutoCollapse() const
    {61, 1728, 7, 1, Smoke::mf_property, 0, 14},	//1314 Plasma::ExtenderGroup::setAutoCollapse(bool)
    {61, 1877, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//1315 Plasma::ExtenderGroup::setGroupCollapsed(bool)
    {61, 1006, 0, 0, Smoke::mf_slot, 0, 16},	//1316 Plasma::ExtenderGroup::expandGroup()
    {61, 777, 0, 0, Smoke::mf_slot, 0, 17},	//1317 Plasma::ExtenderGroup::collapseGroup()
    {61, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1318 Plasma::ExtenderGroup::resizeEvent(QGraphicsSceneResizeEvent*)
    {61, 997, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 19},	//1319 Plasma::ExtenderGroup::eventFilter(QObject*, QEvent*)
    {61, 919, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1320 Plasma::ExtenderGroup::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {61, 923, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1321 Plasma::ExtenderGroup::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {61, 921, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1322 Plasma::ExtenderGroup::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {61, 949, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1323 Plasma::ExtenderGroup::dropEvent(QGraphicsSceneDragDropEvent*)
    {61, 2344, 1, 1, Smoke::mf_static, 293, 24},	//1324 Plasma::ExtenderGroup::tr(const char*)
    {61, 2348, 1, 1, Smoke::mf_static, 293, 25},	//1325 Plasma::ExtenderGroup::trUtf8(const char*)
    {61, 167, 565, 1, Smoke::mf_ctor, 97, 26},	//1326 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*)
    {61, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 27},	//1327 Plasma::ExtenderGroup::staticMetaObject() const
    {61, 2474, 0, 0, Smoke::mf_dtor, 0, 28 },	//1328 Plasma::ExtenderGroup::~ExtenderGroup()
    {62, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1329 Plasma::ExtenderItem::metaObject() const
    {62, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1330 Plasma::ExtenderItem::qt_metacast(const char*)
    {62, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1331 Plasma::ExtenderItem::tr(const char*, const char*)
    {62, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1332 Plasma::ExtenderItem::trUtf8(const char*, const char*)
    {62, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1333 Plasma::ExtenderItem::tr(const char*, const char*, int)
    {62, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1334 Plasma::ExtenderItem::trUtf8(const char*, const char*, int)
    {62, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1335 Plasma::ExtenderItem::qt_metacall(QMetaObject::Call, int, void**)
    {62, 170, 562, 2, Smoke::mf_ctor, 98, 8},	//1336 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*, unsigned int)
    {62, 783, 0, 0, Smoke::mf_const, 10, 9},	//1337 Plasma::ExtenderItem::config() const
    {62, 2189, 170, 1, 0, 0, 10},	//1338 Plasma::ExtenderItem::setWidget(QGraphicsItem*)
    {62, 2431, 0, 0, Smoke::mf_const, 215, 11},	//1339 Plasma::ExtenderItem::widget() const
    {62, 2134, 89, 1, Smoke::mf_property, 0, 12},	//1340 Plasma::ExtenderItem::setTitle(const QString&)
    {62, 2331, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 13},	//1341 Plasma::ExtenderItem::title() const
    {62, 1961, 89, 1, Smoke::mf_property, 0, 14},	//1342 Plasma::ExtenderItem::setName(const QString&)
    {62, 1429, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 15},	//1343 Plasma::ExtenderItem::name() const
    {62, 1898, 89, 1, 0, 0, 16},	//1344 Plasma::ExtenderItem::setIcon(const QString&)
    {62, 1898, 567, 1, Smoke::mf_property, 0, 17},	//1345 Plasma::ExtenderItem::setIcon(const QIcon&)
    {62, 1118, 0, 0, Smoke::mf_const|Smoke::mf_property, 236, 18},	//1346 Plasma::ExtenderItem::icon() const
    {62, 1850, 569, 2, 0, 0, 19},	//1347 Plasma::ExtenderItem::setExtender(Plasma::Extender*, const QPointF&)
    {62, 1009, 0, 0, Smoke::mf_const, 95, 20},	//1348 Plasma::ExtenderItem::extender() const
    {62, 1874, 572, 1, 0, 0, 21},	//1349 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*)
    {62, 1874, 574, 2, 0, 0, 22},	//1350 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*, const QPointF&)
    {62, 1077, 0, 0, Smoke::mf_const, 97, 23},	//1351 Plasma::ExtenderItem::group() const
    {62, 1176, 0, 0, Smoke::mf_const, 406, 24},	//1352 Plasma::ExtenderItem::isGroup() const
    {62, 1730, 17, 1, 0, 0, 25},	//1353 Plasma::ExtenderItem::setAutoExpireDelay(unsigned int)
    {62, 733, 0, 0, Smoke::mf_const, 507, 26},	//1354 Plasma::ExtenderItem::autoExpireDelay() const
    {62, 1172, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 27},	//1355 Plasma::ExtenderItem::isDetached() const
    {62, 1170, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 28},	//1356 Plasma::ExtenderItem::isCollapsed() const
    {62, 621, 86, 2, 0, 0, 29},	//1357 Plasma::ExtenderItem::addAction(const QString&, QAction*)
    {62, 604, 89, 1, Smoke::mf_const, 184, 30},	//1358 Plasma::ExtenderItem::action(const QString&) const
    {62, 2142, 109, 1, 0, 0, 31},	//1359 Plasma::ExtenderItem::setTransient(const bool)
    {62, 1203, 0, 0, Smoke::mf_const, 406, 32},	//1360 Plasma::ExtenderItem::isTransient() const
    {62, 897, 0, 0, Smoke::mf_slot, 0, 33},	//1361 Plasma::ExtenderItem::destroy()
    {62, 1762, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//1362 Plasma::ExtenderItem::setCollapsed(bool)
    {62, 1634, 0, 0, Smoke::mf_slot, 0, 35},	//1363 Plasma::ExtenderItem::returnToSource()
    {62, 2208, 0, 0, Smoke::mf_slot, 0, 36},	//1364 Plasma::ExtenderItem::showCloseButton()
    {62, 1101, 0, 0, Smoke::mf_slot, 0, 37},	//1365 Plasma::ExtenderItem::hideCloseButton()
    {62, 899, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1366 Plasma::ExtenderItem::destroyed(Plasma::ExtenderItem*)
    {62, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//1367 Plasma::ExtenderItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {62, 1417, 577, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//1368 Plasma::ExtenderItem::moveEvent(QGraphicsSceneMoveEvent*)
    {62, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//1369 Plasma::ExtenderItem::resizeEvent(QGraphicsSceneResizeEvent*)
    {62, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//1370 Plasma::ExtenderItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {62, 1409, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1371 Plasma::ExtenderItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {62, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//1372 Plasma::ExtenderItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {62, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1373 Plasma::ExtenderItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {62, 1115, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1374 Plasma::ExtenderItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {62, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1375 Plasma::ExtenderItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {62, 1661, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 48},	//1376 Plasma::ExtenderItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {62, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 49},	//1377 Plasma::ExtenderItem::sizeHint(Qt::SizeHint, const QSizeF&) const
    {62, 2344, 1, 1, Smoke::mf_static, 293, 50},	//1378 Plasma::ExtenderItem::tr(const char*)
    {62, 2348, 1, 1, Smoke::mf_static, 293, 51},	//1379 Plasma::ExtenderItem::trUtf8(const char*)
    {62, 170, 565, 1, Smoke::mf_ctor, 98, 52},	//1380 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*)
    {62, 1850, 565, 1, 0, 0, 53},	//1381 Plasma::ExtenderItem::setExtender(Plasma::Extender*)
    {62, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 54},	//1382 Plasma::ExtenderItem::staticMetaObject() const
    {62, 2475, 0, 0, Smoke::mf_dtor, 0, 55 },	//1383 Plasma::ExtenderItem::~ExtenderItem()
    {63, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1384 Plasma::FlashingLabel::metaObject() const
    {63, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1385 Plasma::FlashingLabel::qt_metacast(const char*)
    {63, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1386 Plasma::FlashingLabel::tr(const char*, const char*)
    {63, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1387 Plasma::FlashingLabel::trUtf8(const char*, const char*)
    {63, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1388 Plasma::FlashingLabel::tr(const char*, const char*, int)
    {63, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1389 Plasma::FlashingLabel::trUtf8(const char*, const char*, int)
    {63, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1390 Plasma::FlashingLabel::qt_metacall(QMetaObject::Call, int, void**)
    {63, 180, 170, 1, Smoke::mf_ctor, 99, 8},	//1391 Plasma::FlashingLabel::FlashingLabel(QGraphicsItem*)
    {63, 1461, 216, 3, Smoke::mf_virtual, 0, 9},	//1392 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {63, 1048, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 10},	//1393 Plasma::FlashingLabel::font() const
    {63, 1859, 579, 1, Smoke::mf_property, 0, 11},	//1394 Plasma::FlashingLabel::setFont(const QFont&)
    {63, 780, 0, 0, Smoke::mf_const|Smoke::mf_property, 190, 12},	//1395 Plasma::FlashingLabel::color() const
    {63, 1764, 581, 1, Smoke::mf_property, 0, 13},	//1396 Plasma::FlashingLabel::setColor(const QColor&)
    {63, 951, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 14},	//1397 Plasma::FlashingLabel::duration() const
    {63, 1833, 129, 1, Smoke::mf_property, 0, 15},	//1398 Plasma::FlashingLabel::setDuration(int)
    {63, 1031, 583, 3, 0, 0, 16},	//1399 Plasma::FlashingLabel::flash(const QString&, int, const QTextOption&)
    {63, 1031, 587, 3, 0, 0, 17},	//1400 Plasma::FlashingLabel::flash(const QPixmap&, int, QFlags<Qt::AlignmentFlag>)
    {63, 1736, 7, 1, Smoke::mf_property, 0, 18},	//1401 Plasma::FlashingLabel::setAutohide(bool)
    {63, 736, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 19},	//1402 Plasma::FlashingLabel::autohide() const
    {63, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 20},	//1403 Plasma::FlashingLabel::sizeHint(Qt::SizeHint, const QSizeF&) const
    {63, 1246, 0, 0, Smoke::mf_slot, 0, 21},	//1404 Plasma::FlashingLabel::kill()
    {63, 1013, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 22},	//1405 Plasma::FlashingLabel::fadeIn()
    {63, 1014, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 23},	//1406 Plasma::FlashingLabel::fadeOut()
    {63, 2344, 1, 1, Smoke::mf_static, 293, 24},	//1407 Plasma::FlashingLabel::tr(const char*)
    {63, 2348, 1, 1, Smoke::mf_static, 293, 25},	//1408 Plasma::FlashingLabel::trUtf8(const char*)
    {63, 180, 0, 0, Smoke::mf_ctor, 99, 26},	//1409 Plasma::FlashingLabel::FlashingLabel()
    {63, 1461, 328, 2, 0, 0, 27},	//1410 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {63, 1031, 89, 1, 0, 0, 28},	//1411 Plasma::FlashingLabel::flash(const QString&)
    {63, 1031, 591, 2, 0, 0, 29},	//1412 Plasma::FlashingLabel::flash(const QString&, int)
    {63, 1031, 594, 1, 0, 0, 30},	//1413 Plasma::FlashingLabel::flash(const QPixmap&)
    {63, 1031, 596, 2, 0, 0, 31},	//1414 Plasma::FlashingLabel::flash(const QPixmap&, int)
    {63, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 32},	//1415 Plasma::FlashingLabel::staticMetaObject() const
    {63, 2476, 0, 0, Smoke::mf_dtor, 0, 33 },	//1416 Plasma::FlashingLabel::~FlashingLabel()
    {64, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1417 Plasma::Frame::metaObject() const
    {64, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1418 Plasma::Frame::qt_metacast(const char*)
    {64, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1419 Plasma::Frame::tr(const char*, const char*)
    {64, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1420 Plasma::Frame::trUtf8(const char*, const char*)
    {64, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1421 Plasma::Frame::tr(const char*, const char*, int)
    {64, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1422 Plasma::Frame::trUtf8(const char*, const char*, int)
    {64, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1423 Plasma::Frame::qt_metacall(QMetaObject::Call, int, void**)
    {64, 187, 125, 1, Smoke::mf_ctor, 102, 8},	//1424 Plasma::Frame::Frame(QGraphicsWidget*)
    {64, 1866, 599, 1, Smoke::mf_property, 0, 9},	//1425 Plasma::Frame::setFrameShadow(Plasma::Frame::Shadow)
    {64, 1058, 0, 0, Smoke::mf_const|Smoke::mf_property, 103, 10},	//1426 Plasma::Frame::frameShadow() const
    {64, 1848, 601, 1, 0, 0, 11},	//1427 Plasma::Frame::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {64, 981, 0, 0, Smoke::mf_const, 205, 12},	//1428 Plasma::Frame::enabledBorders() const
    {64, 2120, 220, 1, Smoke::mf_property, 0, 13},	//1429 Plasma::Frame::setText(QString)
    {64, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 14},	//1430 Plasma::Frame::text() const
    {64, 1905, 89, 1, Smoke::mf_property, 0, 15},	//1431 Plasma::Frame::setImage(const QString&)
    {64, 1122, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 16},	//1432 Plasma::Frame::image() const
    {64, 2088, 89, 1, Smoke::mf_property, 0, 17},	//1433 Plasma::Frame::setStyleSheet(const QString&)
    {64, 2276, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 18},	//1434 Plasma::Frame::styleSheet() const
    {64, 1431, 0, 0, Smoke::mf_const, 309, 19},	//1435 Plasma::Frame::nativeWidget() const
    {64, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1436 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {64, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1437 Plasma::Frame::resizeEvent(QGraphicsSceneResizeEvent*)
    {64, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 22},	//1438 Plasma::Frame::sizeHint(Qt::SizeHint, const QSizeF&) const
    {64, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1439 Plasma::Frame::changeEvent(QEvent*)
    {64, 2344, 1, 1, Smoke::mf_static, 293, 24},	//1440 Plasma::Frame::tr(const char*)
    {64, 2348, 1, 1, Smoke::mf_static, 293, 25},	//1441 Plasma::Frame::trUtf8(const char*)
    {64, 187, 0, 0, Smoke::mf_ctor, 102, 26},	//1442 Plasma::Frame::Frame()
    {64, 1461, 328, 2, Smoke::mf_protected, 0, 27},	//1443 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {64, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 28},	//1444 Plasma::Frame::staticMetaObject() const
    {64, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 29},	//1445 Plasma::Frame::Plain (enum)
    {64, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 30},	//1446 Plasma::Frame::Raised (enum)
    {64, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 31},	//1447 Plasma::Frame::Sunken (enum)
    {64, 2477, 0, 0, Smoke::mf_dtor, 0, 32 },	//1448 Plasma::Frame::~Frame()
    {65, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1449 Plasma::FrameSvg::metaObject() const
    {65, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1450 Plasma::FrameSvg::qt_metacast(const char*)
    {65, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1451 Plasma::FrameSvg::tr(const char*, const char*)
    {65, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1452 Plasma::FrameSvg::trUtf8(const char*, const char*)
    {65, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1453 Plasma::FrameSvg::tr(const char*, const char*, int)
    {65, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1454 Plasma::FrameSvg::trUtf8(const char*, const char*, int)
    {65, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1455 Plasma::FrameSvg::qt_metacall(QMetaObject::Call, int, void**)
    {65, 189, 97, 1, Smoke::mf_ctor, 104, 8},	//1456 Plasma::FrameSvg::FrameSvg(QObject*)
    {65, 1909, 89, 1, 0, 0, 9},	//1457 Plasma::FrameSvg::setImagePath(const QString&)
    {65, 1848, 601, 1, 0, 0, 10},	//1458 Plasma::FrameSvg::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {65, 981, 0, 0, Smoke::mf_const, 205, 11},	//1459 Plasma::FrameSvg::enabledBorders() const
    {65, 1626, 603, 1, 0, 0, 12},	//1460 Plasma::FrameSvg::resizeFrame(const QSizeF&)
    {65, 1059, 0, 0, Smoke::mf_const, 291, 13},	//1461 Plasma::FrameSvg::frameSize() const
    {65, 1376, 605, 1, Smoke::mf_const, 496, 14},	//1462 Plasma::FrameSvg::marginSize(const Plasma::MarginEdge) const
    {65, 1066, 607, 4, Smoke::mf_const, 0, 15},	//1463 Plasma::FrameSvg::getMargins(double&, double&, double&, double&) const
    {65, 831, 0, 0, Smoke::mf_const, 283, 16},	//1464 Plasma::FrameSvg::contentsRect() const
    {65, 1840, 25, 1, 0, 0, 17},	//1465 Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    {65, 1840, 89, 1, 0, 0, 18},	//1466 Plasma::FrameSvg::setElementPrefix(const QString&)
    {65, 1086, 89, 1, Smoke::mf_const, 406, 19},	//1467 Plasma::FrameSvg::hasElementPrefix(const QString&) const
    {65, 1086, 25, 1, Smoke::mf_const, 406, 20},	//1468 Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    {65, 1515, 0, 0, 0, 293, 21},	//1469 Plasma::FrameSvg::prefix()
    {65, 1378, 0, 0, Smoke::mf_const, 286, 22},	//1470 Plasma::FrameSvg::mask() const
    {65, 690, 0, 0, Smoke::mf_const, 277, 23},	//1471 Plasma::FrameSvg::alphaMask() const
    {65, 1746, 7, 1, 0, 0, 24},	//1472 Plasma::FrameSvg::setCacheAllRenderedFrames(bool)
    {65, 750, 0, 0, Smoke::mf_const, 406, 25},	//1473 Plasma::FrameSvg::cacheAllRenderedFrames() const
    {65, 765, 0, 0, 0, 0, 26},	//1474 Plasma::FrameSvg::clearCache()
    {65, 1057, 0, 0, 0, 277, 27},	//1475 Plasma::FrameSvg::framePixmap()
    {65, 1472, 612, 3, 0, 0, 28},	//1476 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&, const QRectF&)
    {65, 1472, 616, 2, 0, 0, 29},	//1477 Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    {65, 2344, 1, 1, Smoke::mf_static, 293, 30},	//1478 Plasma::FrameSvg::tr(const char*)
    {65, 2348, 1, 1, Smoke::mf_static, 293, 31},	//1479 Plasma::FrameSvg::trUtf8(const char*)
    {65, 189, 0, 0, Smoke::mf_ctor, 104, 32},	//1480 Plasma::FrameSvg::FrameSvg()
    {65, 1472, 619, 2, 0, 0, 33},	//1481 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    {65, 1472, 622, 1, 0, 0, 34},	//1482 Plasma::FrameSvg::paintFrame(QPainter*)
    {65, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 35},	//1483 Plasma::FrameSvg::staticMetaObject() const
    {65, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 36},	//1484 Plasma::FrameSvg::NoBorder (enum)
    {65, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 37},	//1485 Plasma::FrameSvg::TopBorder (enum)
    {65, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 38},	//1486 Plasma::FrameSvg::BottomBorder (enum)
    {65, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 39},	//1487 Plasma::FrameSvg::LeftBorder (enum)
    {65, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 40},	//1488 Plasma::FrameSvg::RightBorder (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 41},	//1489 Plasma::FrameSvg::AllBorders (enum)
    {65, 2478, 0, 0, Smoke::mf_dtor, 0, 42 },	//1490 Plasma::FrameSvg::~FrameSvg()
    {66, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1491 Plasma::GLApplet::metaObject() const
    {66, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1492 Plasma::GLApplet::qt_metacast(const char*)
    {66, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1493 Plasma::GLApplet::tr(const char*, const char*)
    {66, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1494 Plasma::GLApplet::trUtf8(const char*, const char*)
    {66, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1495 Plasma::GLApplet::tr(const char*, const char*, int)
    {66, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1496 Plasma::GLApplet::trUtf8(const char*, const char*, int)
    {66, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1497 Plasma::GLApplet::qt_metacall(QMetaObject::Call, int, void**)
    {66, 193, 624, 3, Smoke::mf_ctor, 106, 8},	//1498 Plasma::GLApplet::GLApplet(QGraphicsItem*, const QString&, int)
    {66, 193, 70, 2, Smoke::mf_ctor, 106, 9},	//1499 Plasma::GLApplet::GLApplet(QObject*, const QList<QVariant>&)
    {66, 746, 628, 2, 0, 2, 10},	//1500 Plasma::GLApplet::bindTexture(const QImage&, GLenum)
    {66, 892, 631, 1, 0, 0, 11},	//1501 Plasma::GLApplet::deleteTexture(GLuint)
    {66, 1476, 328, 2, Smoke::mf_virtual, 0, 12},	//1502 Plasma::GLApplet::paintGLInterface(QPainter*, const QStyleOptionGraphicsItem*)
    {66, 1369, 0, 0, 0, 0, 13},	//1503 Plasma::GLApplet::makeCurrent()
    {66, 2344, 1, 1, Smoke::mf_static, 293, 14},	//1504 Plasma::GLApplet::tr(const char*)
    {66, 2348, 1, 1, Smoke::mf_static, 293, 15},	//1505 Plasma::GLApplet::trUtf8(const char*)
    {66, 746, 633, 1, 0, 2, 16},	//1506 Plasma::GLApplet::bindTexture(const QImage&)
    {66, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 17},	//1507 Plasma::GLApplet::staticMetaObject() const
    {66, 2479, 0, 0, Smoke::mf_dtor, 0, 18 },	//1508 Plasma::GLApplet::~GLApplet()
    {67, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1509 Plasma::GroupBox::metaObject() const
    {67, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1510 Plasma::GroupBox::qt_metacast(const char*)
    {67, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1511 Plasma::GroupBox::tr(const char*, const char*)
    {67, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1512 Plasma::GroupBox::trUtf8(const char*, const char*)
    {67, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1513 Plasma::GroupBox::tr(const char*, const char*, int)
    {67, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1514 Plasma::GroupBox::trUtf8(const char*, const char*, int)
    {67, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1515 Plasma::GroupBox::qt_metacall(QMetaObject::Call, int, void**)
    {67, 198, 125, 1, Smoke::mf_ctor, 107, 8},	//1516 Plasma::GroupBox::GroupBox(QGraphicsWidget*)
    {67, 2120, 89, 1, Smoke::mf_property, 0, 9},	//1517 Plasma::GroupBox::setText(const QString&)
    {67, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//1518 Plasma::GroupBox::text() const
    {67, 2088, 89, 1, Smoke::mf_property, 0, 11},	//1519 Plasma::GroupBox::setStyleSheet(const QString&)
    {67, 2276, 0, 0, Smoke::mf_property, 293, 12},	//1520 Plasma::GroupBox::styleSheet()
    {67, 1431, 0, 0, Smoke::mf_const, 230, 13},	//1521 Plasma::GroupBox::nativeWidget() const
    {67, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1522 Plasma::GroupBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {67, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1523 Plasma::GroupBox::changeEvent(QEvent*)
    {67, 2344, 1, 1, Smoke::mf_static, 293, 16},	//1524 Plasma::GroupBox::tr(const char*)
    {67, 2348, 1, 1, Smoke::mf_static, 293, 17},	//1525 Plasma::GroupBox::trUtf8(const char*)
    {67, 198, 0, 0, Smoke::mf_ctor, 107, 18},	//1526 Plasma::GroupBox::GroupBox()
    {67, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 19},	//1527 Plasma::GroupBox::staticMetaObject() const
    {67, 2480, 0, 0, Smoke::mf_dtor, 0, 20 },	//1528 Plasma::GroupBox::~GroupBox()
    {68, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1529 Plasma::IconWidget::metaObject() const
    {68, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1530 Plasma::IconWidget::qt_metacast(const char*)
    {68, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1531 Plasma::IconWidget::tr(const char*, const char*)
    {68, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1532 Plasma::IconWidget::trUtf8(const char*, const char*)
    {68, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1533 Plasma::IconWidget::tr(const char*, const char*, int)
    {68, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1534 Plasma::IconWidget::trUtf8(const char*, const char*, int)
    {68, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1535 Plasma::IconWidget::qt_metacall(QMetaObject::Call, int, void**)
    {68, 211, 170, 1, Smoke::mf_ctor, 108, 8},	//1536 Plasma::IconWidget::IconWidget(QGraphicsItem*)
    {68, 211, 635, 2, Smoke::mf_ctor, 108, 9},	//1537 Plasma::IconWidget::IconWidget(const QString&, QGraphicsItem*)
    {68, 211, 638, 3, Smoke::mf_ctor, 108, 10},	//1538 Plasma::IconWidget::IconWidget(const QIcon&, const QString&, QGraphicsItem*)
    {68, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 11},	//1539 Plasma::IconWidget::text() const
    {68, 2120, 89, 1, Smoke::mf_property, 0, 12},	//1540 Plasma::IconWidget::setText(const QString&)
    {68, 2094, 77, 2, 0, 0, 13},	//1541 Plasma::IconWidget::setSvg(const QString&, const QString&)
    {68, 2286, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 14},	//1542 Plasma::IconWidget::svg() const
    {68, 1133, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 15},	//1543 Plasma::IconWidget::infoText() const
    {68, 1915, 89, 1, Smoke::mf_property, 0, 16},	//1544 Plasma::IconWidget::setInfoText(const QString&)
    {68, 1118, 0, 0, Smoke::mf_const|Smoke::mf_property, 236, 17},	//1545 Plasma::IconWidget::icon() const
    {68, 1898, 567, 1, Smoke::mf_property, 0, 18},	//1546 Plasma::IconWidget::setIcon(const QIcon&)
    {68, 2315, 0, 0, Smoke::mf_const|Smoke::mf_property, 190, 19},	//1547 Plasma::IconWidget::textBackgroundColor() const
    {68, 2122, 581, 1, Smoke::mf_property, 0, 20},	//1548 Plasma::IconWidget::setTextBackgroundColor(const QColor&)
    {68, 1898, 89, 1, 0, 0, 21},	//1549 Plasma::IconWidget::setIcon(const QString&)
    {68, 1119, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 22},	//1550 Plasma::IconWidget::iconSize() const
    {68, 2004, 603, 1, Smoke::mf_property, 0, 23},	//1551 Plasma::IconWidget::setPreferredIconSize(const QSizeF&)
    {68, 1512, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 24},	//1552 Plasma::IconWidget::preferredIconSize() const
    {68, 1952, 603, 1, Smoke::mf_property, 0, 25},	//1553 Plasma::IconWidget::setMinimumIconSize(const QSizeF&)
    {68, 1405, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 26},	//1554 Plasma::IconWidget::minimumIconSize() const
    {68, 1944, 603, 1, Smoke::mf_property, 0, 27},	//1555 Plasma::IconWidget::setMaximumIconSize(const QSizeF&)
    {68, 1390, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 28},	//1556 Plasma::IconWidget::maximumIconSize() const
    {68, 646, 107, 1, 0, 0, 29},	//1557 Plasma::IconWidget::addIconAction(QAction*)
    {68, 1581, 107, 1, 0, 0, 30},	//1558 Plasma::IconWidget::removeIconAction(QAction*)
    {68, 1698, 107, 1, 0, 0, 31},	//1559 Plasma::IconWidget::setAction(QAction*)
    {68, 604, 0, 0, Smoke::mf_const, 184, 32},	//1560 Plasma::IconWidget::action() const
    {68, 1975, 642, 1, Smoke::mf_property, 0, 33},	//1561 Plasma::IconWidget::setOrientation(Qt::Orientation)
    {68, 1453, 0, 0, Smoke::mf_const|Smoke::mf_property, 358, 34},	//1562 Plasma::IconWidget::orientation() const
    {68, 1160, 7, 1, 0, 0, 35},	//1563 Plasma::IconWidget::invertLayout(bool)
    {68, 1162, 0, 0, Smoke::mf_const, 406, 36},	//1564 Plasma::IconWidget::invertedLayout() const
    {68, 2236, 644, 1, Smoke::mf_const, 291, 37},	//1565 Plasma::IconWidget::sizeFromIconSize(const double) const
    {68, 1438, 0, 0, Smoke::mf_property, 499, 38},	//1566 Plasma::IconWidget::numDisplayLines()
    {68, 1969, 129, 1, Smoke::mf_property, 0, 39},	//1567 Plasma::IconWidget::setNumDisplayLines(int)
    {68, 1829, 7, 1, Smoke::mf_property, 0, 40},	//1568 Plasma::IconWidget::setDrawBackground(bool)
    {68, 930, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 41},	//1569 Plasma::IconWidget::drawBackground() const
    {68, 2201, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 42},	//1570 Plasma::IconWidget::shape() const
    {68, 2008, 7, 1, Smoke::mf_slot, 0, 43},	//1571 Plasma::IconWidget::setPressed(bool)
    {68, 2148, 0, 0, Smoke::mf_slot, 0, 44},	//1572 Plasma::IconWidget::setUnpressed()
    {68, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1573 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {68, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 46},	//1574 Plasma::IconWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {68, 1517, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1575 Plasma::IconWidget::pressed(bool)
    {68, 771, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1576 Plasma::IconWidget::clicked()
    {68, 918, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1577 Plasma::IconWidget::doubleClicked()
    {68, 616, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//1578 Plasma::IconWidget::activated()
    {68, 757, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//1579 Plasma::IconWidget::changed()
    {68, 1173, 0, 0, Smoke::mf_protected, 406, 52},	//1580 Plasma::IconWidget::isDown()
    {68, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1581 Plasma::IconWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {68, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1582 Plasma::IconWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {68, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1583 Plasma::IconWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {68, 1409, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1584 Plasma::IconWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {68, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1585 Plasma::IconWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {68, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1586 Plasma::IconWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {68, 1661, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 59},	//1587 Plasma::IconWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {68, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1588 Plasma::IconWidget::changeEvent(QEvent*)
    {68, 926, 646, 3, 0, 0, 61},	//1589 Plasma::IconWidget::drawActionButtonBase(QPainter*, const QSize&, int)
    {68, 2344, 1, 1, Smoke::mf_static, 293, 62},	//1590 Plasma::IconWidget::tr(const char*)
    {68, 2348, 1, 1, Smoke::mf_static, 293, 63},	//1591 Plasma::IconWidget::trUtf8(const char*)
    {68, 211, 0, 0, Smoke::mf_ctor, 108, 64},	//1592 Plasma::IconWidget::IconWidget()
    {68, 211, 89, 1, Smoke::mf_ctor, 108, 65},	//1593 Plasma::IconWidget::IconWidget(const QString&)
    {68, 211, 650, 2, Smoke::mf_ctor, 108, 66},	//1594 Plasma::IconWidget::IconWidget(const QIcon&, const QString&)
    {68, 2094, 89, 1, 0, 0, 67},	//1595 Plasma::IconWidget::setSvg(const QString&)
    {68, 2008, 0, 0, Smoke::mf_slot, 0, 68},	//1596 Plasma::IconWidget::setPressed()
    {68, 1461, 328, 2, Smoke::mf_protected, 0, 69},	//1597 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {68, 2238, 248, 1, Smoke::mf_const|Smoke::mf_protected, 291, 70},	//1598 Plasma::IconWidget::sizeHint(Qt::SizeHint) const
    {68, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 71},	//1599 Plasma::IconWidget::staticMetaObject() const
    {68, 2481, 0, 0, Smoke::mf_dtor, 0, 72 },	//1600 Plasma::IconWidget::~IconWidget()
    {69, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1601 Plasma::ItemBackground::metaObject() const
    {69, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1602 Plasma::ItemBackground::qt_metacast(const char*)
    {69, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1603 Plasma::ItemBackground::tr(const char*, const char*)
    {69, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1604 Plasma::ItemBackground::trUtf8(const char*, const char*)
    {69, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1605 Plasma::ItemBackground::tr(const char*, const char*, int)
    {69, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1606 Plasma::ItemBackground::trUtf8(const char*, const char*, int)
    {69, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1607 Plasma::ItemBackground::qt_metacall(QMetaObject::Call, int, void**)
    {69, 227, 125, 1, Smoke::mf_ctor, 111, 8},	//1608 Plasma::ItemBackground::ItemBackground(QGraphicsWidget*)
    {69, 2110, 653, 1, Smoke::mf_property, 0, 9},	//1609 Plasma::ItemBackground::setTarget(const QRectF&)
    {69, 2304, 0, 0, Smoke::mf_const|Smoke::mf_property, 283, 10},	//1610 Plasma::ItemBackground::target() const
    {69, 2112, 170, 1, Smoke::mf_property, 0, 11},	//1611 Plasma::ItemBackground::setTargetItem(QGraphicsItem*)
    {69, 2305, 0, 0, Smoke::mf_const|Smoke::mf_property, 215, 12},	//1612 Plasma::ItemBackground::targetItem() const
    {69, 1461, 216, 3, Smoke::mf_virtual, 0, 13},	//1613 Plasma::ItemBackground::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {69, 708, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1614 Plasma::ItemBackground::appearanceChanged()
    {69, 705, 655, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1615 Plasma::ItemBackground::animationStep(qreal)
    {69, 2308, 657, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1616 Plasma::ItemBackground::targetReached(QRectF)
    {69, 2306, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1617 Plasma::ItemBackground::targetItemReached(QGraphicsItem*)
    {69, 1222, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 18},	//1618 Plasma::ItemBackground::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {69, 997, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 19},	//1619 Plasma::ItemBackground::eventFilter(QObject*, QEvent*)
    {69, 1661, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 20},	//1620 Plasma::ItemBackground::sceneEventFilter(QGraphicsItem*, QEvent*)
    {69, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1621 Plasma::ItemBackground::resizeEvent(QGraphicsSceneResizeEvent*)
    {69, 2344, 1, 1, Smoke::mf_static, 293, 22},	//1622 Plasma::ItemBackground::tr(const char*)
    {69, 2348, 1, 1, Smoke::mf_static, 293, 23},	//1623 Plasma::ItemBackground::trUtf8(const char*)
    {69, 227, 0, 0, Smoke::mf_ctor, 111, 24},	//1624 Plasma::ItemBackground::ItemBackground()
    {69, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 25},	//1625 Plasma::ItemBackground::staticMetaObject() const
    {69, 2482, 0, 0, Smoke::mf_dtor, 0, 26 },	//1626 Plasma::ItemBackground::~ItemBackground()
    {70, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1627 Plasma::Label::metaObject() const
    {70, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1628 Plasma::Label::qt_metacast(const char*)
    {70, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1629 Plasma::Label::tr(const char*, const char*)
    {70, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1630 Plasma::Label::trUtf8(const char*, const char*)
    {70, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1631 Plasma::Label::tr(const char*, const char*, int)
    {70, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1632 Plasma::Label::trUtf8(const char*, const char*, int)
    {70, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1633 Plasma::Label::qt_metacall(QMetaObject::Call, int, void**)
    {70, 306, 125, 1, Smoke::mf_ctor, 114, 8},	//1634 Plasma::Label::Label(QGraphicsWidget*)
    {70, 2120, 89, 1, Smoke::mf_property, 0, 9},	//1635 Plasma::Label::setText(const QString&)
    {70, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//1636 Plasma::Label::text() const
    {70, 1905, 89, 1, Smoke::mf_property, 0, 11},	//1637 Plasma::Label::setImage(const QString&)
    {70, 1122, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 12},	//1638 Plasma::Label::image() const
    {70, 1702, 659, 1, 0, 0, 13},	//1639 Plasma::Label::setAlignment(QFlags<Qt::AlignmentFlag>)
    {70, 687, 0, 0, Smoke::mf_const, 208, 14},	//1640 Plasma::Label::alignment() const
    {70, 2042, 7, 1, Smoke::mf_property, 0, 15},	//1641 Plasma::Label::setScaledContents(bool)
    {70, 1095, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 16},	//1642 Plasma::Label::hasScaledContents() const
    {70, 2124, 7, 1, Smoke::mf_property, 0, 17},	//1643 Plasma::Label::setTextSelectable(bool)
    {70, 2320, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 18},	//1644 Plasma::Label::textSelectable() const
    {70, 2195, 7, 1, Smoke::mf_property, 0, 19},	//1645 Plasma::Label::setWordWrap(bool)
    {70, 2440, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 20},	//1646 Plasma::Label::wordWrap() const
    {70, 2088, 89, 1, Smoke::mf_property, 0, 21},	//1647 Plasma::Label::setStyleSheet(const QString&)
    {70, 2276, 0, 0, Smoke::mf_property, 293, 22},	//1648 Plasma::Label::styleSheet()
    {70, 1431, 0, 0, Smoke::mf_const, 241, 23},	//1649 Plasma::Label::nativeWidget() const
    {70, 1273, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1650 Plasma::Label::linkActivated(const QString&)
    {70, 1276, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1651 Plasma::Label::linkHovered(const QString&)
    {70, 886, 489, 2, Smoke::mf_slot, 0, 26},	//1652 Plasma::Label::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {70, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1653 Plasma::Label::resizeEvent(QGraphicsSceneResizeEvent*)
    {70, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1654 Plasma::Label::mousePressEvent(QGraphicsSceneMouseEvent*)
    {70, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1655 Plasma::Label::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {70, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1656 Plasma::Label::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {70, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1657 Plasma::Label::changeEvent(QEvent*)
    {70, 995, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 32},	//1658 Plasma::Label::event(QEvent*)
    {70, 1222, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 33},	//1659 Plasma::Label::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {70, 839, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1660 Plasma::Label::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {70, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 35},	//1661 Plasma::Label::sizeHint(Qt::SizeHint, const QSizeF&) const
    {70, 2344, 1, 1, Smoke::mf_static, 293, 36},	//1662 Plasma::Label::tr(const char*)
    {70, 2348, 1, 1, Smoke::mf_static, 293, 37},	//1663 Plasma::Label::trUtf8(const char*)
    {70, 306, 0, 0, Smoke::mf_ctor, 114, 38},	//1664 Plasma::Label::Label()
    {70, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 39},	//1665 Plasma::Label::staticMetaObject() const
    {70, 2483, 0, 0, Smoke::mf_dtor, 0, 40 },	//1666 Plasma::Label::~Label()
    {71, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1667 Plasma::LineEdit::metaObject() const
    {71, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1668 Plasma::LineEdit::qt_metacast(const char*)
    {71, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1669 Plasma::LineEdit::tr(const char*, const char*)
    {71, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1670 Plasma::LineEdit::trUtf8(const char*, const char*)
    {71, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1671 Plasma::LineEdit::tr(const char*, const char*, int)
    {71, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1672 Plasma::LineEdit::trUtf8(const char*, const char*, int)
    {71, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1673 Plasma::LineEdit::qt_metacall(QMetaObject::Call, int, void**)
    {71, 336, 125, 1, Smoke::mf_ctor, 115, 8},	//1674 Plasma::LineEdit::LineEdit(QGraphicsWidget*)
    {71, 2120, 89, 1, Smoke::mf_property, 0, 9},	//1675 Plasma::LineEdit::setText(const QString&)
    {71, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//1676 Plasma::LineEdit::text() const
    {71, 1756, 7, 1, Smoke::mf_property, 0, 11},	//1677 Plasma::LineEdit::setClearButtonShown(bool)
    {71, 1168, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 12},	//1678 Plasma::LineEdit::isClearButtonShown() const
    {71, 1758, 89, 1, Smoke::mf_property, 0, 13},	//1679 Plasma::LineEdit::setClickMessage(const QString&)
    {71, 770, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 14},	//1680 Plasma::LineEdit::clickMessage() const
    {71, 2088, 89, 1, Smoke::mf_property, 0, 15},	//1681 Plasma::LineEdit::setStyleSheet(const QString&)
    {71, 2276, 0, 0, Smoke::mf_property, 293, 16},	//1682 Plasma::LineEdit::styleSheet()
    {71, 1963, 661, 1, 0, 0, 17},	//1683 Plasma::LineEdit::setNativeWidget(KLineEdit*)
    {71, 1431, 0, 0, Smoke::mf_const, 15, 18},	//1684 Plasma::LineEdit::nativeWidget() const
    {71, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1685 Plasma::LineEdit::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {71, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1686 Plasma::LineEdit::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {71, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1687 Plasma::LineEdit::changeEvent(QEvent*)
    {71, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1688 Plasma::LineEdit::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {71, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1689 Plasma::LineEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {71, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1690 Plasma::LineEdit::focusInEvent(QFocusEvent*)
    {71, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1691 Plasma::LineEdit::focusOutEvent(QFocusEvent*)
    {71, 953, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1692 Plasma::LineEdit::editingFinished()
    {71, 1633, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1693 Plasma::LineEdit::returnPressed()
    {71, 2318, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1694 Plasma::LineEdit::textEdited(const QString&)
    {71, 2316, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1695 Plasma::LineEdit::textChanged(const QString&)
    {71, 1039, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1696 Plasma::LineEdit::focusChanged(bool)
    {71, 2344, 1, 1, Smoke::mf_static, 293, 31},	//1697 Plasma::LineEdit::tr(const char*)
    {71, 2348, 1, 1, Smoke::mf_static, 293, 32},	//1698 Plasma::LineEdit::trUtf8(const char*)
    {71, 336, 0, 0, Smoke::mf_ctor, 115, 33},	//1699 Plasma::LineEdit::LineEdit()
    {71, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 34},	//1700 Plasma::LineEdit::staticMetaObject() const
    {71, 2484, 0, 0, Smoke::mf_dtor, 0, 35 },	//1701 Plasma::LineEdit::~LineEdit()
    {72, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1702 Plasma::Meter::metaObject() const
    {72, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1703 Plasma::Meter::qt_metacast(const char*)
    {72, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1704 Plasma::Meter::tr(const char*, const char*)
    {72, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1705 Plasma::Meter::trUtf8(const char*, const char*)
    {72, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1706 Plasma::Meter::tr(const char*, const char*, int)
    {72, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1707 Plasma::Meter::trUtf8(const char*, const char*, int)
    {72, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1708 Plasma::Meter::qt_metacall(QMetaObject::Call, int, void**)
    {72, 347, 170, 1, Smoke::mf_ctor, 119, 8},	//1709 Plasma::Meter::Meter(QGraphicsItem*)
    {72, 1389, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 9},	//1710 Plasma::Meter::maximum() const
    {72, 1404, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 10},	//1711 Plasma::Meter::minimum() const
    {72, 2400, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 11},	//1712 Plasma::Meter::value() const
    {72, 2094, 89, 1, Smoke::mf_property, 0, 12},	//1713 Plasma::Meter::setSvg(const QString&)
    {72, 2286, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 13},	//1714 Plasma::Meter::svg() const
    {72, 1946, 663, 1, Smoke::mf_property, 0, 14},	//1715 Plasma::Meter::setMeterType(Plasma::Meter::MeterType)
    {72, 1396, 0, 0, Smoke::mf_const|Smoke::mf_property, 120, 15},	//1716 Plasma::Meter::meterType() const
    {72, 1923, 665, 2, 0, 0, 16},	//1717 Plasma::Meter::setLabel(int, const QString&)
    {72, 1249, 129, 1, Smoke::mf_const, 293, 17},	//1718 Plasma::Meter::label(int) const
    {72, 1928, 668, 2, 0, 0, 18},	//1719 Plasma::Meter::setLabelColor(int, const QColor&)
    {72, 1253, 129, 1, Smoke::mf_const, 190, 19},	//1720 Plasma::Meter::labelColor(int) const
    {72, 1930, 671, 2, 0, 0, 20},	//1721 Plasma::Meter::setLabelFont(int, const QFont&)
    {72, 1255, 129, 1, Smoke::mf_const, 212, 21},	//1722 Plasma::Meter::labelFont(int) const
    {72, 1926, 674, 2, 0, 0, 22},	//1723 Plasma::Meter::setLabelAlignment(int, const QFlags<Qt::AlignmentFlag>)
    {72, 1251, 129, 1, Smoke::mf_const, 208, 23},	//1724 Plasma::Meter::labelAlignment(int) const
    {72, 1257, 129, 1, Smoke::mf_const, 283, 24},	//1725 Plasma::Meter::labelRect(int) const
    {72, 886, 489, 2, Smoke::mf_slot, 0, 25},	//1726 Plasma::Meter::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {72, 1942, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 26},	//1727 Plasma::Meter::setMaximum(int)
    {72, 1950, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 27},	//1728 Plasma::Meter::setMinimum(int)
    {72, 2164, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 28},	//1729 Plasma::Meter::setValue(int)
    {72, 2401, 677, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1730 Plasma::Meter::valueChanged(const int&)
    {72, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1731 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {72, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 31},	//1732 Plasma::Meter::sizeHint(Qt::SizeHint, const QSizeF&) const
    {72, 2344, 1, 1, Smoke::mf_static, 293, 32},	//1733 Plasma::Meter::tr(const char*)
    {72, 2348, 1, 1, Smoke::mf_static, 293, 33},	//1734 Plasma::Meter::trUtf8(const char*)
    {72, 347, 0, 0, Smoke::mf_ctor, 119, 34},	//1735 Plasma::Meter::Meter()
    {72, 1461, 328, 2, Smoke::mf_protected, 0, 35},	//1736 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {72, 2238, 248, 1, Smoke::mf_const|Smoke::mf_protected, 291, 36},	//1737 Plasma::Meter::sizeHint(Qt::SizeHint) const
    {72, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 37},	//1738 Plasma::Meter::staticMetaObject() const
    {72, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 38},	//1739 Plasma::Meter::BarMeterHorizontal (enum)
    {72, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 39},	//1740 Plasma::Meter::BarMeterVertical (enum)
    {72, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 40},	//1741 Plasma::Meter::AnalogMeter (enum)
    {72, 2485, 0, 0, Smoke::mf_dtor, 0, 41 },	//1742 Plasma::Meter::~Meter()
    {73, 388, 0, 0, Smoke::mf_ctor, 122, 1},	//1743 Plasma::Package::Package()
    {73, 388, 679, 3, Smoke::mf_ctor, 122, 2},	//1744 Plasma::Package::Package(const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 388, 683, 2, Smoke::mf_ctor, 122, 3},	//1745 Plasma::Package::Package(const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 388, 686, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 4},	//1746 Plasma::Package::Package(const Plasma::Package&)
    {73, 1449, 686, 1, 0, 121, 5},	//1747 Plasma::Package::operator=(const Plasma::Package&)
    {73, 1207, 0, 0, Smoke::mf_const, 406, 6},	//1748 Plasma::Package::isValid() const
    {73, 1015, 688, 2, Smoke::mf_const, 293, 7},	//1749 Plasma::Package::filePath(const char*, const QString&) const
    {73, 1015, 1, 1, Smoke::mf_const, 293, 8},	//1750 Plasma::Package::filePath(const char*) const
    {73, 992, 1, 1, Smoke::mf_const, 294, 9},	//1751 Plasma::Package::entryList(const char*) const
    {73, 1395, 0, 0, Smoke::mf_const, 123, 10},	//1752 Plasma::Package::metadata() const
    {73, 1987, 89, 1, 0, 0, 11},	//1753 Plasma::Package::setPath(const QString&)
    {73, 1487, 0, 0, Smoke::mf_const, 478, 12},	//1754 Plasma::Package::path() const
    {73, 2274, 0, 0, Smoke::mf_const, 415, 13},	//1755 Plasma::Package::structure() const
    {73, 828, 0, 0, Smoke::mf_const, 293, 14},	//1756 Plasma::Package::contentsHash() const
    {73, 1309, 89, 1, Smoke::mf_static, 294, 15},	//1757 Plasma::Package::listInstalled(const QString&)
    {73, 1311, 89, 1, Smoke::mf_static, 294, 16},	//1758 Plasma::Package::listInstalledPaths(const QString&)
    {73, 1155, 358, 3, Smoke::mf_static, 406, 17},	//1759 Plasma::Package::installPackage(const QString&, const QString&, const QString&)
    {73, 2356, 358, 3, Smoke::mf_static, 406, 18},	//1760 Plasma::Package::uninstallPackage(const QString&, const QString&, const QString&)
    {73, 1546, 691, 2, Smoke::mf_static, 406, 19},	//1761 Plasma::Package::registerPackage(const Plasma::PackageMetadata&, const QString&)
    {73, 859, 694, 4, Smoke::mf_static, 406, 20},	//1762 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&, const QString&)
    {73, 859, 699, 3, Smoke::mf_static, 406, 21},	//1763 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&)
    {73, 2486, 0, 0, Smoke::mf_dtor, 0, 22 },	//1764 Plasma::Package::~Package()
    {74, 392, 89, 1, Smoke::mf_ctor, 125, 1},	//1765 Plasma::PackageMetadata::PackageMetadata(const QString&)
    {74, 392, 703, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 2},	//1766 Plasma::PackageMetadata::PackageMetadata(const Plasma::PackageMetadata&)
    {74, 1449, 703, 1, 0, 124, 3},	//1767 Plasma::PackageMetadata::operator=(const Plasma::PackageMetadata&)
    {74, 1207, 0, 0, Smoke::mf_const, 406, 4},	//1768 Plasma::PackageMetadata::isValid() const
    {74, 2441, 89, 1, Smoke::mf_const, 0, 5},	//1769 Plasma::PackageMetadata::write(const QString&) const
    {74, 1534, 89, 1, 0, 0, 6},	//1770 Plasma::PackageMetadata::read(const QString&)
    {74, 1429, 0, 0, Smoke::mf_const, 293, 7},	//1771 Plasma::PackageMetadata::name() const
    {74, 894, 0, 0, Smoke::mf_const, 293, 8},	//1772 Plasma::PackageMetadata::description() const
    {74, 1245, 0, 0, Smoke::mf_const, 294, 9},	//1773 Plasma::PackageMetadata::keywords() const
    {74, 1697, 0, 0, Smoke::mf_const, 293, 10},	//1774 Plasma::PackageMetadata::serviceType() const
    {74, 730, 0, 0, Smoke::mf_const, 293, 11},	//1775 Plasma::PackageMetadata::author() const
    {74, 975, 0, 0, Smoke::mf_const, 293, 12},	//1776 Plasma::PackageMetadata::email() const
    {74, 2403, 0, 0, Smoke::mf_const, 293, 13},	//1777 Plasma::PackageMetadata::version() const
    {74, 2428, 0, 0, Smoke::mf_const, 293, 14},	//1778 Plasma::PackageMetadata::website() const
    {74, 1272, 0, 0, Smoke::mf_const, 293, 15},	//1779 Plasma::PackageMetadata::license() const
    {74, 722, 0, 0, Smoke::mf_const, 293, 16},	//1780 Plasma::PackageMetadata::application() const
    {74, 752, 0, 0, Smoke::mf_const, 293, 17},	//1781 Plasma::PackageMetadata::category() const
    {74, 1618, 0, 0, Smoke::mf_const, 293, 18},	//1782 Plasma::PackageMetadata::requiredVersion() const
    {74, 1499, 0, 0, Smoke::mf_const, 293, 19},	//1783 Plasma::PackageMetadata::pluginName() const
    {74, 1128, 0, 0, Smoke::mf_const, 293, 20},	//1784 Plasma::PackageMetadata::implementationApi() const
    {74, 1567, 0, 0, Smoke::mf_const, 30, 21},	//1785 Plasma::PackageMetadata::remoteLocation() const
    {74, 2353, 0, 0, Smoke::mf_const, 293, 22},	//1786 Plasma::PackageMetadata::type() const
    {74, 1961, 89, 1, 0, 0, 23},	//1787 Plasma::PackageMetadata::setName(const QString&)
    {74, 1819, 89, 1, 0, 0, 24},	//1788 Plasma::PackageMetadata::setDescription(const QString&)
    {74, 1118, 0, 0, Smoke::mf_const, 293, 25},	//1789 Plasma::PackageMetadata::icon() const
    {74, 1898, 89, 1, 0, 0, 26},	//1790 Plasma::PackageMetadata::setIcon(const QString&)
    {74, 1921, 200, 1, 0, 0, 27},	//1791 Plasma::PackageMetadata::setKeywords(const QStringList&)
    {74, 2055, 89, 1, 0, 0, 28},	//1792 Plasma::PackageMetadata::setServiceType(const QString&)
    {74, 1722, 89, 1, 0, 0, 29},	//1793 Plasma::PackageMetadata::setAuthor(const QString&)
    {74, 1842, 89, 1, 0, 0, 30},	//1794 Plasma::PackageMetadata::setEmail(const QString&)
    {74, 2166, 89, 1, 0, 0, 31},	//1795 Plasma::PackageMetadata::setVersion(const QString&)
    {74, 2187, 89, 1, 0, 0, 32},	//1796 Plasma::PackageMetadata::setWebsite(const QString&)
    {74, 1934, 89, 1, 0, 0, 33},	//1797 Plasma::PackageMetadata::setLicense(const QString&)
    {74, 1714, 89, 1, 0, 0, 34},	//1798 Plasma::PackageMetadata::setApplication(const QString&)
    {74, 1750, 89, 1, 0, 0, 35},	//1799 Plasma::PackageMetadata::setCategory(const QString&)
    {74, 2030, 89, 1, 0, 0, 36},	//1800 Plasma::PackageMetadata::setRequiredVersion(const QString&)
    {74, 2024, 119, 1, 0, 0, 37},	//1801 Plasma::PackageMetadata::setRemoteLocation(const KUrl&)
    {74, 2144, 89, 1, 0, 0, 38},	//1802 Plasma::PackageMetadata::setType(const QString&)
    {74, 1993, 89, 1, 0, 0, 39},	//1803 Plasma::PackageMetadata::setPluginName(const QString&)
    {74, 1913, 89, 1, 0, 0, 40},	//1804 Plasma::PackageMetadata::setImplementationApi(const QString&)
    {74, 392, 0, 0, Smoke::mf_ctor, 125, 41},	//1805 Plasma::PackageMetadata::PackageMetadata()
    {74, 2487, 0, 0, Smoke::mf_dtor, 0, 42 },	//1806 Plasma::PackageMetadata::~PackageMetadata()
    {75, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1807 Plasma::PackageStructure::metaObject() const
    {75, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1808 Plasma::PackageStructure::qt_metacast(const char*)
    {75, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1809 Plasma::PackageStructure::tr(const char*, const char*)
    {75, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1810 Plasma::PackageStructure::trUtf8(const char*, const char*)
    {75, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1811 Plasma::PackageStructure::tr(const char*, const char*, int)
    {75, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1812 Plasma::PackageStructure::trUtf8(const char*, const char*, int)
    {75, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1813 Plasma::PackageStructure::qt_metacall(QMetaObject::Call, int, void**)
    {75, 395, 64, 2, Smoke::mf_ctor, 127, 8},	//1814 Plasma::PackageStructure::PackageStructure(QObject*, const QString&)
    {75, 1449, 705, 1, 0, 126, 9},	//1815 Plasma::PackageStructure::operator=(const Plasma::PackageStructure&)
    {75, 1324, 89, 1, Smoke::mf_static, 22, 10},	//1816 Plasma::PackageStructure::load(const QString&)
    {75, 2353, 0, 0, Smoke::mf_const, 293, 11},	//1817 Plasma::PackageStructure::type() const
    {75, 907, 0, 0, Smoke::mf_const, 260, 12},	//1818 Plasma::PackageStructure::directories() const
    {75, 1616, 0, 0, Smoke::mf_const, 260, 13},	//1819 Plasma::PackageStructure::requiredDirectories() const
    {75, 1018, 0, 0, Smoke::mf_const, 260, 14},	//1820 Plasma::PackageStructure::files() const
    {75, 1617, 0, 0, Smoke::mf_const, 260, 15},	//1821 Plasma::PackageStructure::requiredFiles() const
    {75, 640, 707, 3, 0, 0, 16},	//1822 Plasma::PackageStructure::addDirectoryDefinition(const char*, const QString&, const QString&)
    {75, 644, 707, 3, 0, 0, 17},	//1823 Plasma::PackageStructure::addFileDefinition(const char*, const QString&, const QString&)
    {75, 1579, 1, 1, 0, 0, 18},	//1824 Plasma::PackageStructure::removeDefinition(const char*)
    {75, 1487, 1, 1, Smoke::mf_const, 293, 19},	//1825 Plasma::PackageStructure::path(const char*) const
    {75, 1680, 1, 1, Smoke::mf_const, 294, 20},	//1826 Plasma::PackageStructure::searchPath(const char*) const
    {75, 992, 1, 1, 0, 294, 21},	//1827 Plasma::PackageStructure::entryList(const char*)
    {75, 1429, 1, 1, Smoke::mf_const, 293, 22},	//1828 Plasma::PackageStructure::name(const char*) const
    {75, 2028, 711, 2, 0, 0, 23},	//1829 Plasma::PackageStructure::setRequired(const char*, bool)
    {75, 1194, 1, 1, Smoke::mf_const, 406, 24},	//1830 Plasma::PackageStructure::isRequired(const char*) const
    {75, 1810, 714, 1, 0, 0, 25},	//1831 Plasma::PackageStructure::setDefaultMimetypes(QStringList)
    {75, 1948, 716, 2, 0, 0, 26},	//1832 Plasma::PackageStructure::setMimetypes(const char*, QStringList)
    {75, 1402, 1, 1, Smoke::mf_const, 294, 27},	//1833 Plasma::PackageStructure::mimetypes(const char*) const
    {75, 1987, 89, 1, 0, 0, 28},	//1834 Plasma::PackageStructure::setPath(const QString&)
    {75, 1487, 0, 0, Smoke::mf_const, 293, 29},	//1835 Plasma::PackageStructure::path() const
    {75, 1534, 719, 1, 0, 0, 30},	//1836 Plasma::PackageStructure::read(const KConfigBase*)
    {75, 2441, 721, 1, Smoke::mf_const, 0, 31},	//1837 Plasma::PackageStructure::write(KConfigBase*) const
    {75, 1155, 77, 2, Smoke::mf_virtual, 406, 32},	//1838 Plasma::PackageStructure::installPackage(const QString&, const QString&)
    {75, 2356, 77, 2, Smoke::mf_virtual, 406, 33},	//1839 Plasma::PackageStructure::uninstallPackage(const QString&, const QString&)
    {75, 857, 57, 1, Smoke::mf_virtual, 0, 34},	//1840 Plasma::PackageStructure::createNewWidgetBrowser(QWidget*)
    {75, 829, 0, 0, Smoke::mf_const, 293, 35},	//1841 Plasma::PackageStructure::contentsPrefix() const
    {75, 830, 0, 0, Smoke::mf_const, 294, 36},	//1842 Plasma::PackageStructure::contentsPrefixPaths() const
    {75, 889, 0, 0, Smoke::mf_const, 293, 37},	//1843 Plasma::PackageStructure::defaultPackageRoot() const
    {75, 1691, 0, 0, Smoke::mf_const, 293, 38},	//1844 Plasma::PackageStructure::servicePrefix() const
    {75, 2053, 89, 1, 0, 0, 39},	//1845 Plasma::PackageStructure::setServicePrefix(const QString&)
    {75, 1395, 0, 0, Smoke::mf_virtual, 123, 40},	//1846 Plasma::PackageStructure::metadata()
    {75, 688, 0, 0, Smoke::mf_const, 406, 41},	//1847 Plasma::PackageStructure::allowExternalPaths() const
    {75, 1436, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1848 Plasma::PackageStructure::newWidgetBrowserFinished()
    {75, 1704, 7, 1, Smoke::mf_protected, 0, 43},	//1849 Plasma::PackageStructure::setAllowExternalPaths(bool)
    {75, 1781, 89, 1, Smoke::mf_protected, 0, 44},	//1850 Plasma::PackageStructure::setContentsPrefix(const QString&)
    {75, 1783, 200, 1, Smoke::mf_protected, 0, 45},	//1851 Plasma::PackageStructure::setContentsPrefixPaths(const QStringList&)
    {75, 1812, 89, 1, Smoke::mf_protected, 0, 46},	//1852 Plasma::PackageStructure::setDefaultPackageRoot(const QString&)
    {75, 1489, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1853 Plasma::PackageStructure::pathChanged()
    {75, 2344, 1, 1, Smoke::mf_static, 293, 48},	//1854 Plasma::PackageStructure::tr(const char*)
    {75, 2348, 1, 1, Smoke::mf_static, 293, 49},	//1855 Plasma::PackageStructure::trUtf8(const char*)
    {75, 395, 0, 0, Smoke::mf_ctor, 127, 50},	//1856 Plasma::PackageStructure::PackageStructure()
    {75, 395, 97, 1, Smoke::mf_ctor, 127, 51},	//1857 Plasma::PackageStructure::PackageStructure(QObject*)
    {75, 857, 0, 0, 0, 0, 52},	//1858 Plasma::PackageStructure::createNewWidgetBrowser()
    {75, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 53},	//1859 Plasma::PackageStructure::staticMetaObject() const
    {75, 2488, 0, 0, Smoke::mf_dtor, 0, 54 },	//1860 Plasma::PackageStructure::~PackageStructure()
    {76, 413, 0, 0, Smoke::mf_ctor, 128, 1},	//1861 Plasma::PlotColor::PlotColor()
    {76, 413, 723, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 128, 2},	//1862 Plasma::PlotColor::PlotColor(const Plasma::PlotColor&)
    {76, 780, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 191, 3},	//1863 Plasma::PlotColor::color() const
    {76, 1764, 581, 1, Smoke::mf_attribute, 0, 4},	//1864 Plasma::PlotColor::setColor(const QColor&)
    {76, 882, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 191, 5},	//1865 Plasma::PlotColor::darkColor() const
    {76, 1799, 581, 1, Smoke::mf_attribute, 0, 6},	//1866 Plasma::PlotColor::setDarkColor(const QColor&)
    {76, 2489, 0, 0, Smoke::mf_dtor, 0, 7 },	//1867 Plasma::PlotColor::~PlotColor()
    {77, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1868 Plasma::PopupApplet::metaObject() const
    {77, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1869 Plasma::PopupApplet::qt_metacast(const char*)
    {77, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1870 Plasma::PopupApplet::tr(const char*, const char*)
    {77, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1871 Plasma::PopupApplet::trUtf8(const char*, const char*)
    {77, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1872 Plasma::PopupApplet::tr(const char*, const char*, int)
    {77, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1873 Plasma::PopupApplet::trUtf8(const char*, const char*, int)
    {77, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1874 Plasma::PopupApplet::qt_metacall(QMetaObject::Call, int, void**)
    {77, 415, 70, 2, Smoke::mf_ctor, 129, 8},	//1875 Plasma::PopupApplet::PopupApplet(QObject*, const QList<QVariant>&)
    {77, 2001, 567, 1, 0, 0, 9},	//1876 Plasma::PopupApplet::setPopupIcon(const QIcon&)
    {77, 2001, 89, 1, 0, 0, 10},	//1877 Plasma::PopupApplet::setPopupIcon(const QString&)
    {77, 1505, 0, 0, Smoke::mf_const, 236, 11},	//1878 Plasma::PopupApplet::popupIcon() const
    {77, 2431, 0, 0, Smoke::mf_virtual, 309, 12},	//1879 Plasma::PopupApplet::widget()
    {77, 2189, 57, 1, 0, 0, 13},	//1880 Plasma::PopupApplet::setWidget(QWidget*)
    {77, 1076, 0, 0, Smoke::mf_virtual, 229, 14},	//1881 Plasma::PopupApplet::graphicsWidget()
    {77, 1872, 125, 1, 0, 0, 15},	//1882 Plasma::PopupApplet::setGraphicsWidget(QGraphicsWidget*)
    {77, 1506, 0, 0, Smoke::mf_const, 130, 16},	//1883 Plasma::PopupApplet::popupPlacement() const
    {77, 1999, 725, 1, Smoke::mf_property, 0, 17},	//1884 Plasma::PopupApplet::setPopupAlignment(Qt::AlignmentFlag)
    {77, 1502, 0, 0, Smoke::mf_const|Smoke::mf_property, 310, 18},	//1885 Plasma::PopupApplet::popupAlignment() const
    {77, 1985, 7, 1, 0, 0, 19},	//1886 Plasma::PopupApplet::setPassivePopup(bool)
    {77, 1185, 0, 0, Smoke::mf_const, 406, 20},	//1887 Plasma::PopupApplet::isPassivePopup() const
    {77, 1188, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 21},	//1888 Plasma::PopupApplet::isPopupShowing() const
    {77, 1178, 0, 0, Smoke::mf_const, 406, 22},	//1889 Plasma::PopupApplet::isIconified() const
    {77, 1104, 0, 0, Smoke::mf_slot, 0, 23},	//1890 Plasma::PopupApplet::hidePopup()
    {77, 2223, 727, 1, Smoke::mf_slot, 0, 24},	//1891 Plasma::PopupApplet::showPopup(uint)
    {77, 2332, 0, 0, Smoke::mf_slot, 0, 25},	//1892 Plasma::PopupApplet::togglePopup()
    {77, 1503, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1893 Plasma::PopupApplet::popupEvent(bool)
    {77, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 27},	//1894 Plasma::PopupApplet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {77, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1895 Plasma::PopupApplet::mousePressEvent(QGraphicsSceneMouseEvent*)
    {77, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1896 Plasma::PopupApplet::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {77, 997, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 30},	//1897 Plasma::PopupApplet::eventFilter(QObject*, QEvent*)
    {77, 919, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1898 Plasma::PopupApplet::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {77, 921, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1899 Plasma::PopupApplet::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {77, 949, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1900 Plasma::PopupApplet::dropEvent(QGraphicsSceneDragDropEvent*)
    {77, 2329, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1901 Plasma::PopupApplet::timerEvent(QTimerEvent*)
    {77, 2344, 1, 1, Smoke::mf_static, 293, 35},	//1902 Plasma::PopupApplet::tr(const char*)
    {77, 2348, 1, 1, Smoke::mf_static, 293, 36},	//1903 Plasma::PopupApplet::trUtf8(const char*)
    {77, 2223, 0, 0, Smoke::mf_slot, 0, 37},	//1904 Plasma::PopupApplet::showPopup()
    {77, 2238, 248, 1, Smoke::mf_const|Smoke::mf_protected, 291, 38},	//1905 Plasma::PopupApplet::sizeHint(Qt::SizeHint) const
    {77, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 39},	//1906 Plasma::PopupApplet::staticMetaObject() const
    {77, 2490, 0, 0, Smoke::mf_dtor, 0, 40 },	//1907 Plasma::PopupApplet::~PopupApplet()
    {78, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1908 Plasma::PushButton::metaObject() const
    {78, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1909 Plasma::PushButton::qt_metacast(const char*)
    {78, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1910 Plasma::PushButton::tr(const char*, const char*)
    {78, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1911 Plasma::PushButton::trUtf8(const char*, const char*)
    {78, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1912 Plasma::PushButton::tr(const char*, const char*, int)
    {78, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1913 Plasma::PushButton::trUtf8(const char*, const char*, int)
    {78, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1914 Plasma::PushButton::qt_metacall(QMetaObject::Call, int, void**)
    {78, 422, 125, 1, Smoke::mf_ctor, 132, 8},	//1915 Plasma::PushButton::PushButton(QGraphicsWidget*)
    {78, 2120, 89, 1, Smoke::mf_property, 0, 9},	//1916 Plasma::PushButton::setText(const QString&)
    {78, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//1917 Plasma::PushButton::text() const
    {78, 1905, 89, 1, Smoke::mf_property, 0, 11},	//1918 Plasma::PushButton::setImage(const QString&)
    {78, 1905, 77, 2, 0, 0, 12},	//1919 Plasma::PushButton::setImage(const QString&, const QString&)
    {78, 1122, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 13},	//1920 Plasma::PushButton::image() const
    {78, 2088, 89, 1, Smoke::mf_property, 0, 14},	//1921 Plasma::PushButton::setStyleSheet(const QString&)
    {78, 2276, 0, 0, Smoke::mf_property, 293, 15},	//1922 Plasma::PushButton::styleSheet()
    {78, 1698, 107, 1, 0, 0, 16},	//1923 Plasma::PushButton::setAction(QAction*)
    {78, 604, 0, 0, Smoke::mf_const, 184, 17},	//1924 Plasma::PushButton::action() const
    {78, 1898, 567, 1, Smoke::mf_property, 0, 18},	//1925 Plasma::PushButton::setIcon(const QIcon&)
    {78, 1898, 729, 1, 0, 0, 19},	//1926 Plasma::PushButton::setIcon(const KIcon&)
    {78, 1118, 0, 0, Smoke::mf_const|Smoke::mf_property, 236, 20},	//1927 Plasma::PushButton::icon() const
    {78, 1752, 7, 1, Smoke::mf_property, 0, 21},	//1928 Plasma::PushButton::setCheckable(bool)
    {78, 1166, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 22},	//1929 Plasma::PushButton::isCheckable() const
    {78, 1167, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 23},	//1930 Plasma::PushButton::isChecked() const
    {78, 1173, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 24},	//1931 Plasma::PushButton::isDown() const
    {78, 1431, 0, 0, Smoke::mf_const, 18, 25},	//1932 Plasma::PushButton::nativeWidget() const
    {78, 1517, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1933 Plasma::PushButton::pressed()
    {78, 1557, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1934 Plasma::PushButton::released()
    {78, 771, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1935 Plasma::PushButton::clicked()
    {78, 2333, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1936 Plasma::PushButton::toggled(bool)
    {78, 769, 0, 0, Smoke::mf_slot, 0, 30},	//1937 Plasma::PushButton::click()
    {78, 1754, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 31},	//1938 Plasma::PushButton::setChecked(bool)
    {78, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1939 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {78, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1940 Plasma::PushButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {78, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1941 Plasma::PushButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {78, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1942 Plasma::PushButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {78, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1943 Plasma::PushButton::changeEvent(QEvent*)
    {78, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 37},	//1944 Plasma::PushButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {78, 2344, 1, 1, Smoke::mf_static, 293, 38},	//1945 Plasma::PushButton::tr(const char*)
    {78, 2348, 1, 1, Smoke::mf_static, 293, 39},	//1946 Plasma::PushButton::trUtf8(const char*)
    {78, 422, 0, 0, Smoke::mf_ctor, 132, 40},	//1947 Plasma::PushButton::PushButton()
    {78, 1461, 328, 2, Smoke::mf_protected, 0, 41},	//1948 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {78, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 42},	//1949 Plasma::PushButton::staticMetaObject() const
    {78, 2491, 0, 0, Smoke::mf_dtor, 0, 43 },	//1950 Plasma::PushButton::~PushButton()
    {79, 434, 731, 1, Smoke::mf_ctor, 135, 1},	//1951 Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    {79, 434, 80, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 2},	//1952 Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    {79, 1449, 80, 1, 0, 134, 3},	//1953 Plasma::QueryMatch::operator=(const Plasma::QueryMatch&)
    {79, 1451, 80, 1, Smoke::mf_const, 406, 4},	//1954 Plasma::QueryMatch::operator==(const Plasma::QueryMatch&) const
    {79, 1447, 80, 1, Smoke::mf_const, 406, 5},	//1955 Plasma::QueryMatch::operator<(const Plasma::QueryMatch&) const
    {79, 1642, 0, 0, Smoke::mf_const, 36, 6},	//1956 Plasma::QueryMatch::runner() const
    {79, 1207, 0, 0, Smoke::mf_const, 406, 7},	//1957 Plasma::QueryMatch::isValid() const
    {79, 2144, 733, 1, 0, 0, 8},	//1958 Plasma::QueryMatch::setType(Plasma::QueryMatch::Type)
    {79, 2353, 0, 0, Smoke::mf_const, 136, 9},	//1959 Plasma::QueryMatch::type() const
    {79, 2022, 735, 1, 0, 0, 10},	//1960 Plasma::QueryMatch::setRelevance(double)
    {79, 1558, 0, 0, Smoke::mf_const, 496, 11},	//1961 Plasma::QueryMatch::relevance() const
    {79, 1637, 737, 1, Smoke::mf_const, 0, 12},	//1962 Plasma::QueryMatch::run(const Plasma::RunnerContext&) const
    {79, 1801, 739, 1, 0, 0, 13},	//1963 Plasma::QueryMatch::setData(const QVariant&)
    {79, 883, 0, 0, Smoke::mf_const, 304, 14},	//1964 Plasma::QueryMatch::data() const
    {79, 1901, 89, 1, 0, 0, 15},	//1965 Plasma::QueryMatch::setId(const QString&)
    {79, 1120, 0, 0, Smoke::mf_const, 293, 16},	//1966 Plasma::QueryMatch::id() const
    {79, 2120, 89, 1, 0, 0, 17},	//1967 Plasma::QueryMatch::setText(const QString&)
    {79, 2314, 0, 0, Smoke::mf_const, 293, 18},	//1968 Plasma::QueryMatch::text() const
    {79, 2092, 89, 1, 0, 0, 19},	//1969 Plasma::QueryMatch::setSubtext(const QString&)
    {79, 2279, 0, 0, Smoke::mf_const, 293, 20},	//1970 Plasma::QueryMatch::subtext() const
    {79, 1898, 567, 1, 0, 0, 21},	//1971 Plasma::QueryMatch::setIcon(const QIcon&)
    {79, 1118, 0, 0, Smoke::mf_const, 236, 22},	//1972 Plasma::QueryMatch::icon() const
    {79, 1846, 7, 1, 0, 0, 23},	//1973 Plasma::QueryMatch::setEnabled(bool)
    {79, 1175, 0, 0, Smoke::mf_const, 406, 24},	//1974 Plasma::QueryMatch::isEnabled() const
    {79, 1685, 0, 0, Smoke::mf_const, 184, 25},	//1975 Plasma::QueryMatch::selectedAction() const
    {79, 2051, 107, 1, 0, 0, 26},	//1976 Plasma::QueryMatch::setSelectedAction(QAction*)
    {79, 1083, 0, 0, Smoke::mf_const, 406, 27},	//1977 Plasma::QueryMatch::hasConfigurationInterface() const
    {79, 850, 57, 1, 0, 0, 28},	//1978 Plasma::QueryMatch::createConfigurationInterface(QWidget*)
    {79, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 29},	//1979 Plasma::QueryMatch::NoMatch (enum)
    {79, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 30},	//1980 Plasma::QueryMatch::CompletionMatch (enum)
    {79, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 31},	//1981 Plasma::QueryMatch::PossibleMatch (enum)
    {79, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 32},	//1982 Plasma::QueryMatch::InformationalMatch (enum)
    {79, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 33},	//1983 Plasma::QueryMatch::HelperMatch (enum)
    {79, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 34},	//1984 Plasma::QueryMatch::ExactMatch (enum)
    {79, 2492, 0, 0, Smoke::mf_dtor, 0, 35 },	//1985 Plasma::QueryMatch::~QueryMatch()
    {80, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//1986 Plasma::RadioButton::metaObject() const
    {80, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//1987 Plasma::RadioButton::qt_metacast(const char*)
    {80, 2344, 43, 2, Smoke::mf_static, 293, 3},	//1988 Plasma::RadioButton::tr(const char*, const char*)
    {80, 2348, 43, 2, Smoke::mf_static, 293, 4},	//1989 Plasma::RadioButton::trUtf8(const char*, const char*)
    {80, 2344, 46, 3, Smoke::mf_static, 293, 5},	//1990 Plasma::RadioButton::tr(const char*, const char*, int)
    {80, 2348, 46, 3, Smoke::mf_static, 293, 6},	//1991 Plasma::RadioButton::trUtf8(const char*, const char*, int)
    {80, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//1992 Plasma::RadioButton::qt_metacall(QMetaObject::Call, int, void**)
    {80, 437, 125, 1, Smoke::mf_ctor, 137, 8},	//1993 Plasma::RadioButton::RadioButton(QGraphicsWidget*)
    {80, 2120, 89, 1, Smoke::mf_property, 0, 9},	//1994 Plasma::RadioButton::setText(const QString&)
    {80, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//1995 Plasma::RadioButton::text() const
    {80, 1905, 89, 1, Smoke::mf_property, 0, 11},	//1996 Plasma::RadioButton::setImage(const QString&)
    {80, 1122, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 12},	//1997 Plasma::RadioButton::image() const
    {80, 2088, 89, 1, Smoke::mf_property, 0, 13},	//1998 Plasma::RadioButton::setStyleSheet(const QString&)
    {80, 2276, 0, 0, Smoke::mf_property, 293, 14},	//1999 Plasma::RadioButton::styleSheet()
    {80, 1431, 0, 0, Smoke::mf_const, 281, 15},	//2000 Plasma::RadioButton::nativeWidget() const
    {80, 1754, 7, 1, Smoke::mf_property, 0, 16},	//2001 Plasma::RadioButton::setChecked(bool)
    {80, 1167, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 17},	//2002 Plasma::RadioButton::isChecked() const
    {80, 2333, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2003 Plasma::RadioButton::toggled(bool)
    {80, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2004 Plasma::RadioButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {80, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2005 Plasma::RadioButton::changeEvent(QEvent*)
    {80, 2344, 1, 1, Smoke::mf_static, 293, 21},	//2006 Plasma::RadioButton::tr(const char*)
    {80, 2348, 1, 1, Smoke::mf_static, 293, 22},	//2007 Plasma::RadioButton::trUtf8(const char*)
    {80, 437, 0, 0, Smoke::mf_ctor, 137, 23},	//2008 Plasma::RadioButton::RadioButton()
    {80, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 24},	//2009 Plasma::RadioButton::staticMetaObject() const
    {80, 2493, 0, 0, Smoke::mf_dtor, 0, 25 },	//2010 Plasma::RadioButton::~RadioButton()
    {81, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2011 Plasma::RunnerContext::metaObject() const
    {81, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2012 Plasma::RunnerContext::qt_metacast(const char*)
    {81, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2013 Plasma::RunnerContext::tr(const char*, const char*)
    {81, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2014 Plasma::RunnerContext::trUtf8(const char*, const char*)
    {81, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2015 Plasma::RunnerContext::tr(const char*, const char*, int)
    {81, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2016 Plasma::RunnerContext::trUtf8(const char*, const char*, int)
    {81, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2017 Plasma::RunnerContext::qt_metacall(QMetaObject::Call, int, void**)
    {81, 452, 97, 1, Smoke::mf_ctor, 139, 8},	//2018 Plasma::RunnerContext::RunnerContext(QObject*)
    {81, 452, 741, 2, Smoke::mf_ctor, 139, 9},	//2019 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&, QObject*)
    {81, 1449, 737, 1, 0, 138, 10},	//2020 Plasma::RunnerContext::operator=(const Plasma::RunnerContext&)
    {81, 1619, 0, 0, 0, 0, 11},	//2021 Plasma::RunnerContext::reset()
    {81, 2016, 89, 1, 0, 0, 12},	//2022 Plasma::RunnerContext::setQuery(const QString&)
    {81, 1530, 0, 0, Smoke::mf_const, 293, 13},	//2023 Plasma::RunnerContext::query() const
    {81, 2353, 0, 0, Smoke::mf_const, 140, 14},	//2024 Plasma::RunnerContext::type() const
    {81, 1401, 0, 0, Smoke::mf_const, 293, 15},	//2025 Plasma::RunnerContext::mimeType() const
    {81, 1207, 0, 0, Smoke::mf_const, 406, 16},	//2026 Plasma::RunnerContext::isValid() const
    {81, 652, 744, 2, 0, 406, 17},	//2027 Plasma::RunnerContext::addMatches(const QString&, const QList<Plasma::QueryMatch>&)
    {81, 650, 747, 2, 0, 406, 18},	//2028 Plasma::RunnerContext::addMatch(const QString&, const Plasma::QueryMatch&)
    {81, 1583, 750, 1, 0, 406, 19},	//2029 Plasma::RunnerContext::removeMatch(const QString)
    {81, 1585, 752, 1, 0, 406, 20},	//2030 Plasma::RunnerContext::removeMatches(const QStringList)
    {81, 1383, 0, 0, Smoke::mf_const, 253, 21},	//2031 Plasma::RunnerContext::matches() const
    {81, 1379, 89, 1, Smoke::mf_const, 133, 22},	//2032 Plasma::RunnerContext::match(const QString&) const
    {81, 2071, 7, 1, 0, 0, 23},	//2033 Plasma::RunnerContext::setSingleRunnerQueryMode(bool)
    {81, 2232, 0, 0, Smoke::mf_const, 406, 24},	//2034 Plasma::RunnerContext::singleRunnerQueryMode() const
    {81, 1629, 111, 1, 0, 0, 25},	//2035 Plasma::RunnerContext::restore(const KConfigGroup&)
    {81, 1647, 178, 1, 0, 0, 26},	//2036 Plasma::RunnerContext::save(KConfigGroup&)
    {81, 1637, 80, 1, 0, 0, 27},	//2037 Plasma::RunnerContext::run(const Plasma::QueryMatch&)
    {81, 1384, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2038 Plasma::RunnerContext::matchesChanged()
    {81, 2344, 1, 1, Smoke::mf_static, 293, 29},	//2039 Plasma::RunnerContext::tr(const char*)
    {81, 2348, 1, 1, Smoke::mf_static, 293, 30},	//2040 Plasma::RunnerContext::trUtf8(const char*)
    {81, 452, 0, 0, Smoke::mf_ctor, 139, 31},	//2041 Plasma::RunnerContext::RunnerContext()
    {81, 452, 55, 1, Smoke::mf_ctor, 139, 32},	//2042 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    {81, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 33},	//2043 Plasma::RunnerContext::staticMetaObject() const
    {81, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 34},	//2044 Plasma::RunnerContext::None (enum)
    {81, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 35},	//2045 Plasma::RunnerContext::UnknownType (enum)
    {81, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 36},	//2046 Plasma::RunnerContext::Directory (enum)
    {81, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 37},	//2047 Plasma::RunnerContext::File (enum)
    {81, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 38},	//2048 Plasma::RunnerContext::NetworkLocation (enum)
    {81, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 39},	//2049 Plasma::RunnerContext::Executable (enum)
    {81, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 40},	//2050 Plasma::RunnerContext::ShellCommand (enum)
    {81, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 41},	//2051 Plasma::RunnerContext::Help (enum)
    {81, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 42},	//2052 Plasma::RunnerContext::FileSystem (enum)
    {81, 2494, 0, 0, Smoke::mf_dtor, 0, 43 },	//2053 Plasma::RunnerContext::~RunnerContext()
    {82, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2054 Plasma::RunnerManager::metaObject() const
    {82, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2055 Plasma::RunnerManager::qt_metacast(const char*)
    {82, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2056 Plasma::RunnerManager::tr(const char*, const char*)
    {82, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2057 Plasma::RunnerManager::trUtf8(const char*, const char*)
    {82, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2058 Plasma::RunnerManager::tr(const char*, const char*, int)
    {82, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2059 Plasma::RunnerManager::trUtf8(const char*, const char*, int)
    {82, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2060 Plasma::RunnerManager::qt_metacall(QMetaObject::Call, int, void**)
    {82, 455, 97, 1, Smoke::mf_ctor, 141, 8},	//2061 Plasma::RunnerManager::RunnerManager(QObject*)
    {82, 455, 754, 2, Smoke::mf_ctor, 141, 9},	//2062 Plasma::RunnerManager::RunnerManager(KConfigGroup&, QObject*)
    {82, 1642, 89, 1, Smoke::mf_const, 36, 10},	//2063 Plasma::RunnerManager::runner(const QString&) const
    {82, 2230, 0, 0, Smoke::mf_const, 36, 11},	//2064 Plasma::RunnerManager::singleModeRunner() const
    {82, 2069, 89, 1, 0, 0, 12},	//2065 Plasma::RunnerManager::setSingleModeRunnerId(const QString&)
    {82, 2231, 0, 0, Smoke::mf_const, 293, 13},	//2066 Plasma::RunnerManager::singleModeRunnerId() const
    {82, 2228, 0, 0, Smoke::mf_const, 406, 14},	//2067 Plasma::RunnerManager::singleMode() const
    {82, 2067, 7, 1, 0, 0, 15},	//2068 Plasma::RunnerManager::setSingleMode(bool)
    {82, 1644, 89, 1, Smoke::mf_const, 293, 16},	//2069 Plasma::RunnerManager::runnerName(const QString&) const
    {82, 1646, 0, 0, Smoke::mf_const, 245, 17},	//2070 Plasma::RunnerManager::runners() const
    {82, 2229, 0, 0, Smoke::mf_const, 294, 18},	//2071 Plasma::RunnerManager::singleModeAdvertisedRunnerIds() const
    {82, 1679, 0, 0, Smoke::mf_const, 139, 19},	//2072 Plasma::RunnerManager::searchContext() const
    {82, 1383, 0, 0, Smoke::mf_const, 253, 20},	//2073 Plasma::RunnerManager::matches() const
    {82, 1637, 80, 1, 0, 0, 21},	//2074 Plasma::RunnerManager::run(const Plasma::QueryMatch&)
    {82, 1637, 89, 1, 0, 0, 22},	//2075 Plasma::RunnerManager::run(const QString&)
    {82, 608, 80, 1, 0, 255, 23},	//2076 Plasma::RunnerManager::actionsForMatch(const Plasma::QueryMatch&)
    {82, 1530, 0, 0, Smoke::mf_const, 293, 24},	//2077 Plasma::RunnerManager::query() const
    {82, 1560, 0, 0, 0, 0, 25},	//2078 Plasma::RunnerManager::reloadConfiguration()
    {82, 1706, 200, 1, 0, 0, 26},	//2079 Plasma::RunnerManager::setAllowedRunners(const QStringList&)
    {82, 1352, 99, 1, 0, 0, 27},	//2080 Plasma::RunnerManager::loadRunner(const KSharedPtr<KService>)
    {82, 1352, 89, 1, 0, 0, 28},	//2081 Plasma::RunnerManager::loadRunner(const QString&)
    {82, 689, 0, 0, Smoke::mf_const, 294, 29},	//2082 Plasma::RunnerManager::allowedRunners() const
    {82, 1398, 80, 1, Smoke::mf_const, 266, 30},	//2083 Plasma::RunnerManager::mimeDataForMatch(const Plasma::QueryMatch&) const
    {82, 1398, 89, 1, Smoke::mf_const, 266, 31},	//2084 Plasma::RunnerManager::mimeDataForMatch(const QString&) const
    {82, 1314, 89, 1, Smoke::mf_static, 242, 32},	//2085 Plasma::RunnerManager::listRunnerInfo(const QString&)
    {82, 2200, 0, 0, Smoke::mf_slot, 0, 33},	//2086 Plasma::RunnerManager::setupMatchSession()
    {82, 1382, 0, 0, Smoke::mf_slot, 0, 34},	//2087 Plasma::RunnerManager::matchSessionComplete()
    {82, 1267, 77, 2, Smoke::mf_slot, 0, 35},	//2088 Plasma::RunnerManager::launchQuery(const QString&, const QString&)
    {82, 1267, 89, 1, Smoke::mf_slot, 0, 36},	//2089 Plasma::RunnerManager::launchQuery(const QString&)
    {82, 1003, 77, 2, Smoke::mf_slot, 406, 37},	//2090 Plasma::RunnerManager::execQuery(const QString&, const QString&)
    {82, 1003, 89, 1, Smoke::mf_slot, 406, 38},	//2091 Plasma::RunnerManager::execQuery(const QString&)
    {82, 1619, 0, 0, Smoke::mf_slot, 0, 39},	//2092 Plasma::RunnerManager::reset()
    {82, 1384, 757, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2093 Plasma::RunnerManager::matchesChanged(const QList<Plasma::QueryMatch>&)
    {82, 1532, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2094 Plasma::RunnerManager::queryFinished()
    {82, 2344, 1, 1, Smoke::mf_static, 293, 42},	//2095 Plasma::RunnerManager::tr(const char*)
    {82, 2348, 1, 1, Smoke::mf_static, 293, 43},	//2096 Plasma::RunnerManager::trUtf8(const char*)
    {82, 455, 0, 0, Smoke::mf_ctor, 141, 44},	//2097 Plasma::RunnerManager::RunnerManager()
    {82, 455, 178, 1, Smoke::mf_ctor, 141, 45},	//2098 Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    {82, 1314, 0, 0, Smoke::mf_static, 242, 46},	//2099 Plasma::RunnerManager::listRunnerInfo()
    {82, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 47},	//2100 Plasma::RunnerManager::staticMetaObject() const
    {82, 2495, 0, 0, Smoke::mf_dtor, 0, 48 },	//2101 Plasma::RunnerManager::~RunnerManager()
    {83, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2102 Plasma::RunnerScript::metaObject() const
    {83, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2103 Plasma::RunnerScript::qt_metacast(const char*)
    {83, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2104 Plasma::RunnerScript::tr(const char*, const char*)
    {83, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2105 Plasma::RunnerScript::trUtf8(const char*, const char*)
    {83, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2106 Plasma::RunnerScript::tr(const char*, const char*, int)
    {83, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2107 Plasma::RunnerScript::trUtf8(const char*, const char*, int)
    {83, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2108 Plasma::RunnerScript::qt_metacall(QMetaObject::Call, int, void**)
    {83, 458, 97, 1, Smoke::mf_ctor, 142, 8},	//2109 Plasma::RunnerScript::RunnerScript(QObject*)
    {83, 2038, 731, 1, 0, 0, 9},	//2110 Plasma::RunnerScript::setRunner(Plasma::AbstractRunner*)
    {83, 1642, 0, 0, Smoke::mf_const, 36, 10},	//2111 Plasma::RunnerScript::runner() const
    {83, 1379, 55, 1, Smoke::mf_virtual, 0, 11},	//2112 Plasma::RunnerScript::match(Plasma::RunnerContext&)
    {83, 1637, 59, 2, Smoke::mf_virtual, 0, 12},	//2113 Plasma::RunnerScript::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {83, 1516, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//2114 Plasma::RunnerScript::prepare()
    {83, 2313, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2115 Plasma::RunnerScript::teardown()
    {83, 862, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2116 Plasma::RunnerScript::createRunOptions(QWidget*)
    {83, 1560, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2117 Plasma::RunnerScript::reloadConfiguration()
    {83, 608, 759, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//2118 Plasma::RunnerScript::actionsForMatch(const Plasma::QueryMatch&, QList<QAction*>*)
    {83, 1367, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 293, 18},	//2119 Plasma::RunnerScript::mainScript() const
    {83, 1455, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 19},	//2120 Plasma::RunnerScript::package() const
    {83, 894, 0, 0, Smoke::mf_const|Smoke::mf_protected, 17, 20},	//2121 Plasma::RunnerScript::description() const
    {83, 884, 89, 1, Smoke::mf_protected, 85, 21},	//2122 Plasma::RunnerScript::dataEngine(const QString&)
    {83, 783, 0, 0, Smoke::mf_const|Smoke::mf_protected, 10, 22},	//2123 Plasma::RunnerScript::config() const
    {83, 1903, 62, 1, Smoke::mf_protected, 0, 23},	//2124 Plasma::RunnerScript::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {83, 1881, 7, 1, Smoke::mf_protected, 0, 24},	//2125 Plasma::RunnerScript::setHasRunOptions(bool)
    {83, 2077, 73, 1, Smoke::mf_protected, 0, 25},	//2126 Plasma::RunnerScript::setSpeed(Plasma::AbstractRunner::Speed)
    {83, 2014, 75, 1, Smoke::mf_protected, 0, 26},	//2127 Plasma::RunnerScript::setPriority(Plasma::AbstractRunner::Priority)
    {83, 1692, 77, 2, Smoke::mf_const|Smoke::mf_protected, 244, 27},	//2128 Plasma::RunnerScript::serviceQuery(const QString&, const QString&) const
    {83, 621, 82, 3, Smoke::mf_protected, 184, 28},	//2129 Plasma::RunnerScript::addAction(const QString&, const QIcon&, const QString&)
    {83, 621, 86, 2, Smoke::mf_protected, 0, 29},	//2130 Plasma::RunnerScript::addAction(const QString&, QAction*)
    {83, 1570, 89, 1, Smoke::mf_protected, 0, 30},	//2131 Plasma::RunnerScript::removeAction(const QString&)
    {83, 604, 89, 1, Smoke::mf_const|Smoke::mf_protected, 184, 31},	//2132 Plasma::RunnerScript::action(const QString&) const
    {83, 607, 0, 0, Smoke::mf_const|Smoke::mf_protected, 232, 32},	//2133 Plasma::RunnerScript::actions() const
    {83, 763, 0, 0, Smoke::mf_protected, 0, 33},	//2134 Plasma::RunnerScript::clearActions()
    {83, 673, 91, 1, Smoke::mf_protected, 0, 34},	//2135 Plasma::RunnerScript::addSyntax(const Plasma::RunnerSyntax&)
    {83, 2100, 93, 1, Smoke::mf_protected, 0, 35},	//2136 Plasma::RunnerScript::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {83, 2344, 1, 1, Smoke::mf_static, 293, 36},	//2137 Plasma::RunnerScript::tr(const char*)
    {83, 2348, 1, 1, Smoke::mf_static, 293, 37},	//2138 Plasma::RunnerScript::trUtf8(const char*)
    {83, 458, 0, 0, Smoke::mf_ctor, 142, 38},	//2139 Plasma::RunnerScript::RunnerScript()
    {83, 1692, 89, 1, Smoke::mf_const|Smoke::mf_protected, 244, 39},	//2140 Plasma::RunnerScript::serviceQuery(const QString&) const
    {83, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 40},	//2141 Plasma::RunnerScript::staticMetaObject() const
    {83, 2496, 0, 0, Smoke::mf_dtor, 0, 41 },	//2142 Plasma::RunnerScript::~RunnerScript()
    {84, 460, 77, 2, Smoke::mf_ctor, 144, 1},	//2143 Plasma::RunnerSyntax::RunnerSyntax(const QString&, const QString&)
    {84, 460, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 2},	//2144 Plasma::RunnerSyntax::RunnerSyntax(const Plasma::RunnerSyntax&)
    {84, 1449, 91, 1, 0, 143, 3},	//2145 Plasma::RunnerSyntax::operator=(const Plasma::RunnerSyntax&)
    {84, 642, 89, 1, 0, 0, 4},	//2146 Plasma::RunnerSyntax::addExampleQuery(const QString&)
    {84, 1001, 0, 0, Smoke::mf_const, 294, 5},	//2147 Plasma::RunnerSyntax::exampleQueries() const
    {84, 1002, 0, 0, Smoke::mf_const, 294, 6},	//2148 Plasma::RunnerSyntax::exampleQueriesWithTermDescription() const
    {84, 1819, 89, 1, 0, 0, 7},	//2149 Plasma::RunnerSyntax::setDescription(const QString&)
    {84, 894, 0, 0, Smoke::mf_const, 293, 8},	//2150 Plasma::RunnerSyntax::description() const
    {84, 2049, 89, 1, 0, 0, 9},	//2151 Plasma::RunnerSyntax::setSearchTermDescription(const QString&)
    {84, 1682, 0, 0, Smoke::mf_const, 293, 10},	//2152 Plasma::RunnerSyntax::searchTermDescription() const
    {84, 2497, 0, 0, Smoke::mf_dtor, 0, 11 },	//2153 Plasma::RunnerSyntax::~RunnerSyntax()
    {85, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2154 Plasma::ScriptEngine::metaObject() const
    {85, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2155 Plasma::ScriptEngine::qt_metacast(const char*)
    {85, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2156 Plasma::ScriptEngine::tr(const char*, const char*)
    {85, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2157 Plasma::ScriptEngine::trUtf8(const char*, const char*)
    {85, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2158 Plasma::ScriptEngine::tr(const char*, const char*, int)
    {85, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2159 Plasma::ScriptEngine::trUtf8(const char*, const char*, int)
    {85, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2160 Plasma::ScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {85, 1134, 0, 0, Smoke::mf_virtual, 406, 8},	//2161 Plasma::ScriptEngine::init()
    {85, 468, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 145, 9},	//2162 Plasma::ScriptEngine::ScriptEngine(QObject*)
    {85, 1367, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 293, 10},	//2163 Plasma::ScriptEngine::mainScript() const
    {85, 1455, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 11},	//2164 Plasma::ScriptEngine::package() const
    {85, 2344, 1, 1, Smoke::mf_static, 293, 12},	//2165 Plasma::ScriptEngine::tr(const char*)
    {85, 2348, 1, 1, Smoke::mf_static, 293, 13},	//2166 Plasma::ScriptEngine::trUtf8(const char*)
    {85, 468, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 145, 14},	//2167 Plasma::ScriptEngine::ScriptEngine()
    {85, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 15},	//2168 Plasma::ScriptEngine::staticMetaObject() const
    {85, 2498, 0, 0, Smoke::mf_dtor, 0, 16 },	//2169 Plasma::ScriptEngine::~ScriptEngine()
    {86, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2170 Plasma::ScrollBar::metaObject() const
    {86, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2171 Plasma::ScrollBar::qt_metacast(const char*)
    {86, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2172 Plasma::ScrollBar::tr(const char*, const char*)
    {86, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2173 Plasma::ScrollBar::trUtf8(const char*, const char*)
    {86, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2174 Plasma::ScrollBar::tr(const char*, const char*, int)
    {86, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2175 Plasma::ScrollBar::trUtf8(const char*, const char*, int)
    {86, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2176 Plasma::ScrollBar::qt_metacall(QMetaObject::Call, int, void**)
    {86, 470, 125, 1, Smoke::mf_ctor, 146, 8},	//2177 Plasma::ScrollBar::ScrollBar(QGraphicsWidget*)
    {86, 2018, 370, 2, 0, 0, 9},	//2178 Plasma::ScrollBar::setRange(int, int)
    {86, 2073, 129, 1, Smoke::mf_property, 0, 10},	//2179 Plasma::ScrollBar::setSingleStep(int)
    {86, 2233, 0, 0, Smoke::mf_property, 499, 11},	//2180 Plasma::ScrollBar::singleStep()
    {86, 1983, 129, 1, Smoke::mf_property, 0, 12},	//2181 Plasma::ScrollBar::setPageStep(int)
    {86, 1460, 0, 0, Smoke::mf_property, 499, 13},	//2182 Plasma::ScrollBar::pageStep()
    {86, 2400, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 14},	//2183 Plasma::ScrollBar::value() const
    {86, 1404, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 15},	//2184 Plasma::ScrollBar::minimum() const
    {86, 1389, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 16},	//2185 Plasma::ScrollBar::maximum() const
    {86, 1950, 762, 1, Smoke::mf_const|Smoke::mf_property, 0, 17},	//2186 Plasma::ScrollBar::setMinimum(const int) const
    {86, 1942, 762, 1, Smoke::mf_const|Smoke::mf_property, 0, 18},	//2187 Plasma::ScrollBar::setMaximum(const int) const
    {86, 2088, 89, 1, Smoke::mf_property, 0, 19},	//2188 Plasma::ScrollBar::setStyleSheet(const QString&)
    {86, 2276, 0, 0, Smoke::mf_property, 293, 20},	//2189 Plasma::ScrollBar::styleSheet()
    {86, 1431, 0, 0, Smoke::mf_const, 288, 21},	//2190 Plasma::ScrollBar::nativeWidget() const
    {86, 1453, 0, 0, Smoke::mf_const|Smoke::mf_property, 358, 22},	//2191 Plasma::ScrollBar::orientation() const
    {86, 839, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2192 Plasma::ScrollBar::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {86, 2164, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//2193 Plasma::ScrollBar::setValue(int)
    {86, 1975, 642, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2194 Plasma::ScrollBar::setOrientation(Qt::Orientation)
    {86, 2401, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2195 Plasma::ScrollBar::valueChanged(int)
    {86, 2244, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2196 Plasma::ScrollBar::sliderMoved(int)
    {86, 2344, 1, 1, Smoke::mf_static, 293, 28},	//2197 Plasma::ScrollBar::tr(const char*)
    {86, 2348, 1, 1, Smoke::mf_static, 293, 29},	//2198 Plasma::ScrollBar::trUtf8(const char*)
    {86, 470, 0, 0, Smoke::mf_ctor, 146, 30},	//2199 Plasma::ScrollBar::ScrollBar()
    {86, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 31},	//2200 Plasma::ScrollBar::staticMetaObject() const
    {86, 2499, 0, 0, Smoke::mf_dtor, 0, 32 },	//2201 Plasma::ScrollBar::~ScrollBar()
    {87, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2202 Plasma::ScrollWidget::metaObject() const
    {87, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2203 Plasma::ScrollWidget::qt_metacast(const char*)
    {87, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2204 Plasma::ScrollWidget::tr(const char*, const char*)
    {87, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2205 Plasma::ScrollWidget::trUtf8(const char*, const char*)
    {87, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2206 Plasma::ScrollWidget::tr(const char*, const char*, int)
    {87, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2207 Plasma::ScrollWidget::trUtf8(const char*, const char*, int)
    {87, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2208 Plasma::ScrollWidget::qt_metacall(QMetaObject::Call, int, void**)
    {87, 473, 125, 1, Smoke::mf_ctor, 147, 8},	//2209 Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    {87, 473, 170, 1, Smoke::mf_ctor, 147, 9},	//2210 Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    {87, 2189, 125, 1, 0, 0, 10},	//2211 Plasma::ScrollWidget::setWidget(QGraphicsWidget*)
    {87, 2431, 0, 0, Smoke::mf_const, 229, 11},	//2212 Plasma::ScrollWidget::widget() const
    {87, 1702, 659, 1, 0, 0, 12},	//2213 Plasma::ScrollWidget::setAlignment(QFlags<Qt::AlignmentFlag>)
    {87, 687, 0, 0, Smoke::mf_const, 208, 13},	//2214 Plasma::ScrollWidget::alignment() const
    {87, 1977, 7, 1, Smoke::mf_property, 0, 14},	//2215 Plasma::ScrollWidget::setOverShoot(bool)
    {87, 1093, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 15},	//2216 Plasma::ScrollWidget::hasOverShoot() const
    {87, 1891, 764, 1, Smoke::mf_property, 0, 16},	//2217 Plasma::ScrollWidget::setHorizontalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 1110, 0, 0, Smoke::mf_const|Smoke::mf_property, 362, 17},	//2218 Plasma::ScrollWidget::horizontalScrollBarPolicy() const
    {87, 2176, 764, 1, Smoke::mf_property, 0, 18},	//2219 Plasma::ScrollWidget::setVerticalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 2413, 0, 0, Smoke::mf_const|Smoke::mf_property, 362, 19},	//2220 Plasma::ScrollWidget::verticalScrollBarPolicy() const
    {87, 1454, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 20},	//2221 Plasma::ScrollWidget::overflowBordersVisible() const
    {87, 1979, 109, 1, Smoke::mf_property, 0, 21},	//2222 Plasma::ScrollWidget::setOverflowBordersVisible(const bool)
    {87, 989, 653, 1, 0, 0, 22},	//2223 Plasma::ScrollWidget::ensureRectVisible(const QRectF&)
    {87, 987, 170, 1, 0, 0, 23},	//2224 Plasma::ScrollWidget::ensureItemVisible(QGraphicsItem*)
    {87, 1543, 125, 1, 0, 0, 24},	//2225 Plasma::ScrollWidget::registerAsDragHandle(QGraphicsWidget*)
    {87, 2363, 125, 1, 0, 0, 25},	//2226 Plasma::ScrollWidget::unregisterAsDragHandle(QGraphicsWidget*)
    {87, 2418, 0, 0, Smoke::mf_const|Smoke::mf_property, 283, 26},	//2227 Plasma::ScrollWidget::viewportGeometry() const
    {87, 832, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 27},	//2228 Plasma::ScrollWidget::contentsSize() const
    {87, 2047, 384, 1, Smoke::mf_property, 0, 28},	//2229 Plasma::ScrollWidget::setScrollPosition(const QPointF&)
    {87, 1675, 0, 0, Smoke::mf_const|Smoke::mf_property, 280, 29},	//2230 Plasma::ScrollWidget::scrollPosition() const
    {87, 2075, 603, 1, Smoke::mf_property, 0, 30},	//2231 Plasma::ScrollWidget::setSnapSize(const QSizeF&)
    {87, 2246, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 31},	//2232 Plasma::ScrollWidget::snapSize() const
    {87, 2088, 89, 1, Smoke::mf_property, 0, 32},	//2233 Plasma::ScrollWidget::setStyleSheet(const QString&)
    {87, 2276, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 33},	//2234 Plasma::ScrollWidget::styleSheet() const
    {87, 1431, 0, 0, Smoke::mf_const, 309, 34},	//2235 Plasma::ScrollWidget::nativeWidget() const
    {87, 1676, 766, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2236 Plasma::ScrollWidget::scrollStateChanged(QAbstractAnimation::State, QAbstractAnimation::State)
    {87, 2419, 653, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2237 Plasma::ScrollWidget::viewportGeometryChanged(const QRectF&)
    {87, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2238 Plasma::ScrollWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {87, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//2239 Plasma::ScrollWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {87, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//2240 Plasma::ScrollWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {87, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//2241 Plasma::ScrollWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {87, 1241, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//2242 Plasma::ScrollWidget::keyPressEvent(QKeyEvent*)
    {87, 2429, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2243 Plasma::ScrollWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {87, 997, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 43},	//2244 Plasma::ScrollWidget::eventFilter(QObject*, QEvent*)
    {87, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//2245 Plasma::ScrollWidget::focusInEvent(QFocusEvent*)
    {87, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 45},	//2246 Plasma::ScrollWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {87, 1661, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 46},	//2247 Plasma::ScrollWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {87, 2344, 1, 1, Smoke::mf_static, 293, 47},	//2248 Plasma::ScrollWidget::tr(const char*)
    {87, 2348, 1, 1, Smoke::mf_static, 293, 48},	//2249 Plasma::ScrollWidget::trUtf8(const char*)
    {87, 473, 0, 0, Smoke::mf_ctor, 147, 49},	//2250 Plasma::ScrollWidget::ScrollWidget()
    {87, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 50},	//2251 Plasma::ScrollWidget::staticMetaObject() const
    {87, 2500, 0, 0, Smoke::mf_dtor, 0, 51 },	//2252 Plasma::ScrollWidget::~ScrollWidget()
    {88, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2253 Plasma::Separator::metaObject() const
    {88, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2254 Plasma::Separator::qt_metacast(const char*)
    {88, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2255 Plasma::Separator::tr(const char*, const char*)
    {88, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2256 Plasma::Separator::trUtf8(const char*, const char*)
    {88, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2257 Plasma::Separator::tr(const char*, const char*, int)
    {88, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2258 Plasma::Separator::trUtf8(const char*, const char*, int)
    {88, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2259 Plasma::Separator::qt_metacall(QMetaObject::Call, int, void**)
    {88, 476, 769, 2, Smoke::mf_ctor, 148, 8},	//2260 Plasma::Separator::Separator(QGraphicsItem*, QFlags<Qt::WindowType>)
    {88, 1975, 642, 1, Smoke::mf_property, 0, 9},	//2261 Plasma::Separator::setOrientation(Qt::Orientation)
    {88, 1453, 0, 0, Smoke::mf_property, 358, 10},	//2262 Plasma::Separator::orientation()
    {88, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2263 Plasma::Separator::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {88, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 12},	//2264 Plasma::Separator::sizeHint(Qt::SizeHint, const QSizeF&) const
    {88, 2344, 1, 1, Smoke::mf_static, 293, 13},	//2265 Plasma::Separator::tr(const char*)
    {88, 2348, 1, 1, Smoke::mf_static, 293, 14},	//2266 Plasma::Separator::trUtf8(const char*)
    {88, 476, 0, 0, Smoke::mf_ctor, 148, 15},	//2267 Plasma::Separator::Separator()
    {88, 476, 170, 1, Smoke::mf_ctor, 148, 16},	//2268 Plasma::Separator::Separator(QGraphicsItem*)
    {88, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 17},	//2269 Plasma::Separator::staticMetaObject() const
    {88, 2501, 0, 0, Smoke::mf_dtor, 0, 18 },	//2270 Plasma::Separator::~Separator()
    {89, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2271 Plasma::Service::metaObject() const
    {89, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2272 Plasma::Service::qt_metacast(const char*)
    {89, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2273 Plasma::Service::tr(const char*, const char*)
    {89, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2274 Plasma::Service::trUtf8(const char*, const char*)
    {89, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2275 Plasma::Service::tr(const char*, const char*, int)
    {89, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2276 Plasma::Service::trUtf8(const char*, const char*, int)
    {89, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2277 Plasma::Service::qt_metacall(QMetaObject::Call, int, void**)
    {89, 1324, 772, 3, Smoke::mf_static, 149, 8},	//2278 Plasma::Service::load(const QString&, const QList<QVariant>&, QObject*)
    {89, 1324, 149, 2, Smoke::mf_static, 149, 9},	//2279 Plasma::Service::load(const QString&, QObject*)
    {89, 599, 116, 2, Smoke::mf_static, 149, 10},	//2280 Plasma::Service::access(const KUrl&, QObject*)
    {89, 1821, 89, 1, Smoke::mf_property, 0, 11},	//2281 Plasma::Service::setDestination(const QString&)
    {89, 896, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 12},	//2282 Plasma::Service::destination() const
    {89, 1445, 0, 0, Smoke::mf_const|Smoke::mf_property, 294, 13},	//2283 Plasma::Service::operationNames() const
    {89, 1443, 89, 1, 0, 10, 14},	//2284 Plasma::Service::operationDescription(const QString&)
    {89, 2258, 776, 2, 0, 151, 15},	//2285 Plasma::Service::startOperationCall(const KConfigGroup&, QObject*)
    {89, 1183, 89, 1, Smoke::mf_const, 406, 16},	//2286 Plasma::Service::isOperationEnabled(const QString&) const
    {89, 1429, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 17},	//2287 Plasma::Service::name() const
    {89, 724, 779, 2, 0, 0, 18},	//2288 Plasma::Service::associateWidget(QWidget*, const QString&)
    {89, 908, 57, 1, 0, 0, 19},	//2289 Plasma::Service::disassociateWidget(QWidget*)
    {89, 724, 782, 2, 0, 0, 20},	//2290 Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    {89, 908, 125, 1, 0, 0, 21},	//2291 Plasma::Service::disassociateWidget(QGraphicsWidget*)
    {89, 1483, 111, 1, 0, 262, 22},	//2292 Plasma::Service::parametersFromDescription(const KConfigGroup&)
    {89, 1028, 785, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2293 Plasma::Service::finished(Plasma::ServiceJob*)
    {89, 1446, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2294 Plasma::Service::operationsChanged()
    {89, 1695, 787, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2295 Plasma::Service::serviceReady(Plasma::Service*)
    {89, 479, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 149, 26},	//2296 Plasma::Service::Service(QObject*)
    {89, 479, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 149, 27},	//2297 Plasma::Service::Service(QObject*, const QList<QVariant>&)
    {89, 855, 789, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 151, 28},	//2298 Plasma::Service::createJob(const QString&, QMap<QString,QVariant>&) [pure virtual]
    {89, 1545, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2299 Plasma::Service::registerOperationsScheme()
    {89, 1973, 792, 1, Smoke::mf_protected, 0, 30},	//2300 Plasma::Service::setOperationsScheme(QIODevice*)
    {89, 1961, 89, 1, Smoke::mf_protected, 0, 31},	//2301 Plasma::Service::setName(const QString&)
    {89, 1971, 197, 2, Smoke::mf_protected, 0, 32},	//2302 Plasma::Service::setOperationEnabled(const QString&, bool)
    {89, 2344, 1, 1, Smoke::mf_static, 293, 33},	//2303 Plasma::Service::tr(const char*)
    {89, 2348, 1, 1, Smoke::mf_static, 293, 34},	//2304 Plasma::Service::trUtf8(const char*)
    {89, 1324, 113, 2, Smoke::mf_static, 149, 35},	//2305 Plasma::Service::load(const QString&, const QList<QVariant>&)
    {89, 1324, 89, 1, Smoke::mf_static, 149, 36},	//2306 Plasma::Service::load(const QString&)
    {89, 599, 119, 1, Smoke::mf_static, 149, 37},	//2307 Plasma::Service::access(const KUrl&)
    {89, 2258, 111, 1, 0, 151, 38},	//2308 Plasma::Service::startOperationCall(const KConfigGroup&)
    {89, 479, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 149, 39},	//2309 Plasma::Service::Service()
    {89, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 40},	//2310 Plasma::Service::staticMetaObject() const
    {89, 2502, 0, 0, Smoke::mf_dtor, 0, 41 },	//2311 Plasma::Service::~Service()
    {90, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2312 Plasma::ServiceAccessJob::metaObject() const
    {90, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2313 Plasma::ServiceAccessJob::qt_metacast(const char*)
    {90, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2314 Plasma::ServiceAccessJob::tr(const char*, const char*)
    {90, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2315 Plasma::ServiceAccessJob::trUtf8(const char*, const char*)
    {90, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2316 Plasma::ServiceAccessJob::tr(const char*, const char*, int)
    {90, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2317 Plasma::ServiceAccessJob::trUtf8(const char*, const char*, int)
    {90, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2318 Plasma::ServiceAccessJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 1687, 0, 0, Smoke::mf_const, 149, 8},	//2319 Plasma::ServiceAccessJob::service() const
    {90, 482, 794, 2, Smoke::mf_ctor|Smoke::mf_protected, 150, 9},	//2320 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl, QObject*)
    {90, 2257, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//2321 Plasma::ServiceAccessJob::start()
    {90, 2344, 1, 1, Smoke::mf_static, 293, 11},	//2322 Plasma::ServiceAccessJob::tr(const char*)
    {90, 2348, 1, 1, Smoke::mf_static, 293, 12},	//2323 Plasma::ServiceAccessJob::trUtf8(const char*)
    {90, 482, 797, 1, Smoke::mf_ctor|Smoke::mf_protected, 150, 13},	//2324 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl)
    {90, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 14},	//2325 Plasma::ServiceAccessJob::staticMetaObject() const
    {90, 2503, 0, 0, Smoke::mf_dtor, 0, 15 },	//2326 Plasma::ServiceAccessJob::~ServiceAccessJob()
    {92, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2327 Plasma::SignalPlotter::metaObject() const
    {92, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2328 Plasma::SignalPlotter::qt_metacast(const char*)
    {92, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2329 Plasma::SignalPlotter::tr(const char*, const char*)
    {92, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2330 Plasma::SignalPlotter::trUtf8(const char*, const char*)
    {92, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2331 Plasma::SignalPlotter::tr(const char*, const char*, int)
    {92, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2332 Plasma::SignalPlotter::trUtf8(const char*, const char*, int)
    {92, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2333 Plasma::SignalPlotter::qt_metacall(QMetaObject::Call, int, void**)
    {92, 488, 170, 1, Smoke::mf_ctor, 152, 8},	//2334 Plasma::SignalPlotter::SignalPlotter(QGraphicsItem*)
    {92, 656, 581, 1, 0, 0, 9},	//2335 Plasma::SignalPlotter::addPlot(const QColor&)
    {92, 663, 799, 1, 0, 0, 10},	//2336 Plasma::SignalPlotter::addSample(const QList<double>&)
    {92, 1610, 801, 1, 0, 0, 11},	//2337 Plasma::SignalPlotter::reorderPlots(const QList<unsigned int>&)
    {92, 1589, 17, 1, 0, 0, 12},	//2338 Plasma::SignalPlotter::removePlot(unsigned int)
    {92, 1498, 0, 0, 0, 252, 13},	//2339 Plasma::SignalPlotter::plotColors()
    {92, 2134, 89, 1, Smoke::mf_property, 0, 14},	//2340 Plasma::SignalPlotter::setTitle(const QString&)
    {92, 2331, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 15},	//2341 Plasma::SignalPlotter::title() const
    {92, 2146, 89, 1, Smoke::mf_property, 0, 16},	//2342 Plasma::SignalPlotter::setUnit(const QString&)
    {92, 2359, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 17},	//2343 Plasma::SignalPlotter::unit() const
    {92, 1655, 735, 1, 0, 0, 18},	//2344 Plasma::SignalPlotter::scale(double)
    {92, 1657, 0, 0, Smoke::mf_const, 496, 19},	//2345 Plasma::SignalPlotter::scaledBy() const
    {92, 2154, 7, 1, Smoke::mf_property, 0, 20},	//2346 Plasma::SignalPlotter::setUseAutoRange(bool)
    {92, 2391, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 21},	//2347 Plasma::SignalPlotter::useAutoRange() const
    {92, 2174, 803, 2, 0, 0, 22},	//2348 Plasma::SignalPlotter::setVerticalRange(double, double)
    {92, 2412, 0, 0, Smoke::mf_const, 496, 23},	//2349 Plasma::SignalPlotter::verticalMinValue() const
    {92, 2411, 0, 0, Smoke::mf_const, 496, 24},	//2350 Plasma::SignalPlotter::verticalMaxValue() const
    {92, 1889, 17, 1, 0, 0, 25},	//2351 Plasma::SignalPlotter::setHorizontalScale(unsigned int)
    {92, 1109, 0, 0, Smoke::mf_const, 507, 26},	//2352 Plasma::SignalPlotter::horizontalScale() const
    {92, 2063, 7, 1, Smoke::mf_property, 0, 27},	//2353 Plasma::SignalPlotter::setShowVerticalLines(bool)
    {92, 2227, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 28},	//2354 Plasma::SignalPlotter::showVerticalLines() const
    {92, 2168, 581, 1, Smoke::mf_property, 0, 29},	//2355 Plasma::SignalPlotter::setVerticalLinesColor(const QColor&)
    {92, 2408, 0, 0, Smoke::mf_const|Smoke::mf_property, 190, 30},	//2356 Plasma::SignalPlotter::verticalLinesColor() const
    {92, 2170, 17, 1, 0, 0, 31},	//2357 Plasma::SignalPlotter::setVerticalLinesDistance(unsigned int)
    {92, 2409, 0, 0, Smoke::mf_const, 507, 32},	//2358 Plasma::SignalPlotter::verticalLinesDistance() const
    {92, 2172, 7, 1, Smoke::mf_property, 0, 33},	//2359 Plasma::SignalPlotter::setVerticalLinesScroll(bool)
    {92, 2410, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 34},	//2360 Plasma::SignalPlotter::verticalLinesScroll() const
    {92, 2057, 7, 1, Smoke::mf_property, 0, 35},	//2361 Plasma::SignalPlotter::setShowHorizontalLines(bool)
    {92, 2219, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 36},	//2362 Plasma::SignalPlotter::showHorizontalLines() const
    {92, 1885, 581, 1, Smoke::mf_property, 0, 37},	//2363 Plasma::SignalPlotter::setHorizontalLinesColor(const QColor&)
    {92, 1107, 0, 0, Smoke::mf_const|Smoke::mf_property, 190, 38},	//2364 Plasma::SignalPlotter::horizontalLinesColor() const
    {92, 1862, 581, 1, Smoke::mf_property, 0, 39},	//2365 Plasma::SignalPlotter::setFontColor(const QColor&)
    {92, 1051, 0, 0, Smoke::mf_const|Smoke::mf_property, 190, 40},	//2366 Plasma::SignalPlotter::fontColor() const
    {92, 1859, 579, 1, Smoke::mf_property, 0, 41},	//2367 Plasma::SignalPlotter::setFont(const QFont&)
    {92, 1048, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 42},	//2368 Plasma::SignalPlotter::font() const
    {92, 1887, 17, 1, 0, 0, 43},	//2369 Plasma::SignalPlotter::setHorizontalLinesCount(unsigned int)
    {92, 1108, 0, 0, Smoke::mf_const, 507, 44},	//2370 Plasma::SignalPlotter::horizontalLinesCount() const
    {92, 2059, 7, 1, Smoke::mf_property, 0, 45},	//2371 Plasma::SignalPlotter::setShowLabels(bool)
    {92, 2220, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 46},	//2372 Plasma::SignalPlotter::showLabels() const
    {92, 2061, 7, 1, Smoke::mf_property, 0, 47},	//2373 Plasma::SignalPlotter::setShowTopBar(bool)
    {92, 2226, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 48},	//2374 Plasma::SignalPlotter::showTopBar() const
    {92, 1738, 581, 1, Smoke::mf_property, 0, 49},	//2375 Plasma::SignalPlotter::setBackgroundColor(const QColor&)
    {92, 741, 0, 0, Smoke::mf_const|Smoke::mf_property, 190, 50},	//2376 Plasma::SignalPlotter::backgroundColor() const
    {92, 2098, 89, 1, Smoke::mf_property, 0, 51},	//2377 Plasma::SignalPlotter::setSvgBackground(const QString&)
    {92, 2287, 0, 0, Smoke::mf_property, 293, 52},	//2378 Plasma::SignalPlotter::svgBackground()
    {92, 1263, 17, 1, Smoke::mf_const, 496, 53},	//2379 Plasma::SignalPlotter::lastValue(unsigned int) const
    {92, 1265, 17, 1, Smoke::mf_const, 293, 54},	//2380 Plasma::SignalPlotter::lastValueAsString(unsigned int) const
    {92, 2130, 7, 1, Smoke::mf_property, 0, 55},	//2381 Plasma::SignalPlotter::setThinFrame(bool)
    {92, 2324, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 56},	//2382 Plasma::SignalPlotter::thinFrame() const
    {92, 2079, 7, 1, Smoke::mf_property, 0, 57},	//2383 Plasma::SignalPlotter::setStackPlots(bool)
    {92, 2255, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 58},	//2384 Plasma::SignalPlotter::stackPlots() const
    {92, 1070, 806, 2, 0, 277, 59},	//2385 Plasma::SignalPlotter::getSnapshotImage(unsigned int, unsigned int)
    {92, 1868, 653, 1, Smoke::mf_virtual, 0, 60},	//2386 Plasma::SignalPlotter::setGeometry(const QRectF&)
    {92, 2376, 0, 0, Smoke::mf_protected, 0, 61},	//2387 Plasma::SignalPlotter::updateDataBuffers()
    {92, 751, 0, 0, Smoke::mf_protected, 0, 62},	//2388 Plasma::SignalPlotter::calculateNiceRange()
    {92, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2389 Plasma::SignalPlotter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {92, 947, 809, 4, Smoke::mf_protected, 0, 64},	//2390 Plasma::SignalPlotter::drawWidget(QPainter*, unsigned int, unsigned int, int)
    {92, 930, 814, 3, Smoke::mf_protected, 0, 65},	//2391 Plasma::SignalPlotter::drawBackground(QPainter*, int, int)
    {92, 938, 814, 3, Smoke::mf_protected, 0, 66},	//2392 Plasma::SignalPlotter::drawThinFrame(QPainter*, int, int)
    {92, 942, 814, 3, Smoke::mf_protected, 0, 67},	//2393 Plasma::SignalPlotter::drawTopBarFrame(QPainter*, int, int)
    {92, 940, 818, 4, Smoke::mf_protected, 0, 68},	//2394 Plasma::SignalPlotter::drawTopBarContents(QPainter*, int, int, int)
    {92, 944, 818, 4, Smoke::mf_protected, 0, 69},	//2395 Plasma::SignalPlotter::drawVerticalLines(QPainter*, int, int, int)
    {92, 936, 823, 5, Smoke::mf_protected, 0, 70},	//2396 Plasma::SignalPlotter::drawPlots(QPainter*, int, int, int, int)
    {92, 928, 814, 3, Smoke::mf_protected, 0, 71},	//2397 Plasma::SignalPlotter::drawAxisText(QPainter*, int, int)
    {92, 933, 818, 4, Smoke::mf_protected, 0, 72},	//2398 Plasma::SignalPlotter::drawHorizontalLines(QPainter*, int, int, int)
    {92, 2344, 1, 1, Smoke::mf_static, 293, 73},	//2399 Plasma::SignalPlotter::tr(const char*)
    {92, 2348, 1, 1, Smoke::mf_static, 293, 74},	//2400 Plasma::SignalPlotter::trUtf8(const char*)
    {92, 488, 0, 0, Smoke::mf_ctor, 152, 75},	//2401 Plasma::SignalPlotter::SignalPlotter()
    {92, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 76},	//2402 Plasma::SignalPlotter::staticMetaObject() const
    {92, 2504, 0, 0, Smoke::mf_dtor, 0, 77 },	//2403 Plasma::SignalPlotter::~SignalPlotter()
    {93, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2404 Plasma::Slider::metaObject() const
    {93, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2405 Plasma::Slider::qt_metacast(const char*)
    {93, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2406 Plasma::Slider::tr(const char*, const char*)
    {93, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2407 Plasma::Slider::trUtf8(const char*, const char*)
    {93, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2408 Plasma::Slider::tr(const char*, const char*, int)
    {93, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2409 Plasma::Slider::trUtf8(const char*, const char*, int)
    {93, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2410 Plasma::Slider::qt_metacall(QMetaObject::Call, int, void**)
    {93, 494, 125, 1, Smoke::mf_ctor, 153, 8},	//2411 Plasma::Slider::Slider(QGraphicsWidget*)
    {93, 1389, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 9},	//2412 Plasma::Slider::maximum() const
    {93, 1404, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 10},	//2413 Plasma::Slider::minimum() const
    {93, 2400, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 11},	//2414 Plasma::Slider::value() const
    {93, 1453, 0, 0, Smoke::mf_const|Smoke::mf_property, 358, 12},	//2415 Plasma::Slider::orientation() const
    {93, 2088, 89, 1, Smoke::mf_property, 0, 13},	//2416 Plasma::Slider::setStyleSheet(const QString&)
    {93, 2276, 0, 0, Smoke::mf_property, 293, 14},	//2417 Plasma::Slider::styleSheet()
    {93, 1431, 0, 0, Smoke::mf_const, 292, 15},	//2418 Plasma::Slider::nativeWidget() const
    {93, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2419 Plasma::Slider::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {93, 2429, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2420 Plasma::Slider::wheelEvent(QGraphicsSceneWheelEvent*)
    {93, 1942, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 18},	//2421 Plasma::Slider::setMaximum(int)
    {93, 1950, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//2422 Plasma::Slider::setMinimum(int)
    {93, 2018, 370, 2, Smoke::mf_slot, 0, 20},	//2423 Plasma::Slider::setRange(int, int)
    {93, 2164, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//2424 Plasma::Slider::setValue(int)
    {93, 1975, 642, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//2425 Plasma::Slider::setOrientation(Qt::Orientation)
    {93, 2244, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2426 Plasma::Slider::sliderMoved(int)
    {93, 2401, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2427 Plasma::Slider::valueChanged(int)
    {93, 2344, 1, 1, Smoke::mf_static, 293, 25},	//2428 Plasma::Slider::tr(const char*)
    {93, 2348, 1, 1, Smoke::mf_static, 293, 26},	//2429 Plasma::Slider::trUtf8(const char*)
    {93, 494, 0, 0, Smoke::mf_ctor, 153, 27},	//2430 Plasma::Slider::Slider()
    {93, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 28},	//2431 Plasma::Slider::staticMetaObject() const
    {93, 2505, 0, 0, Smoke::mf_dtor, 0, 29 },	//2432 Plasma::Slider::~Slider()
    {94, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2433 Plasma::SpinBox::metaObject() const
    {94, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2434 Plasma::SpinBox::qt_metacast(const char*)
    {94, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2435 Plasma::SpinBox::tr(const char*, const char*)
    {94, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2436 Plasma::SpinBox::trUtf8(const char*, const char*)
    {94, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2437 Plasma::SpinBox::tr(const char*, const char*, int)
    {94, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2438 Plasma::SpinBox::trUtf8(const char*, const char*, int)
    {94, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2439 Plasma::SpinBox::qt_metacall(QMetaObject::Call, int, void**)
    {94, 501, 125, 1, Smoke::mf_ctor, 154, 8},	//2440 Plasma::SpinBox::SpinBox(QGraphicsWidget*)
    {94, 1389, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 9},	//2441 Plasma::SpinBox::maximum() const
    {94, 1404, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 10},	//2442 Plasma::SpinBox::minimum() const
    {94, 2400, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 11},	//2443 Plasma::SpinBox::value() const
    {94, 2088, 89, 1, Smoke::mf_property, 0, 12},	//2444 Plasma::SpinBox::setStyleSheet(const QString&)
    {94, 2276, 0, 0, Smoke::mf_property, 293, 13},	//2445 Plasma::SpinBox::styleSheet()
    {94, 1431, 0, 0, Smoke::mf_const, 14, 14},	//2446 Plasma::SpinBox::nativeWidget() const
    {94, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//2447 Plasma::SpinBox::changeEvent(QEvent*)
    {94, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2448 Plasma::SpinBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {94, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2449 Plasma::SpinBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {94, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2450 Plasma::SpinBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {94, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2451 Plasma::SpinBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {94, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2452 Plasma::SpinBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {94, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2453 Plasma::SpinBox::focusOutEvent(QFocusEvent*)
    {94, 1942, 129, 1, Smoke::mf_slot, 0, 22},	//2454 Plasma::SpinBox::setMaximum(int)
    {94, 1950, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//2455 Plasma::SpinBox::setMinimum(int)
    {94, 2018, 370, 2, Smoke::mf_slot, 0, 24},	//2456 Plasma::SpinBox::setRange(int, int)
    {94, 2164, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2457 Plasma::SpinBox::setValue(int)
    {94, 2244, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2458 Plasma::SpinBox::sliderMoved(int)
    {94, 2401, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2459 Plasma::SpinBox::valueChanged(int)
    {94, 953, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2460 Plasma::SpinBox::editingFinished()
    {94, 2344, 1, 1, Smoke::mf_static, 293, 29},	//2461 Plasma::SpinBox::tr(const char*)
    {94, 2348, 1, 1, Smoke::mf_static, 293, 30},	//2462 Plasma::SpinBox::trUtf8(const char*)
    {94, 501, 0, 0, Smoke::mf_ctor, 154, 31},	//2463 Plasma::SpinBox::SpinBox()
    {94, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 32},	//2464 Plasma::SpinBox::staticMetaObject() const
    {94, 2506, 0, 0, Smoke::mf_dtor, 0, 33 },	//2465 Plasma::SpinBox::~SpinBox()
    {95, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2466 Plasma::Svg::metaObject() const
    {95, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2467 Plasma::Svg::qt_metacast(const char*)
    {95, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2468 Plasma::Svg::tr(const char*, const char*)
    {95, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2469 Plasma::Svg::trUtf8(const char*, const char*)
    {95, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2470 Plasma::Svg::tr(const char*, const char*, int)
    {95, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2471 Plasma::Svg::trUtf8(const char*, const char*, int)
    {95, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2472 Plasma::Svg::qt_metacall(QMetaObject::Call, int, void**)
    {95, 516, 97, 1, Smoke::mf_ctor, 155, 8},	//2473 Plasma::Svg::Svg(QObject*)
    {95, 1495, 89, 1, 0, 277, 9},	//2474 Plasma::Svg::pixmap(const QString&)
    {95, 1461, 829, 3, 0, 0, 10},	//2475 Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    {95, 1461, 833, 4, 0, 0, 11},	//2476 Plasma::Svg::paint(QPainter*, int, int, const QString&)
    {95, 1461, 838, 3, 0, 0, 12},	//2477 Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    {95, 1461, 842, 6, 0, 0, 13},	//2478 Plasma::Svg::paint(QPainter*, int, int, int, int, const QString&)
    {95, 2234, 0, 0, Smoke::mf_const|Smoke::mf_property, 290, 14},	//2479 Plasma::Svg::size() const
    {95, 1620, 803, 2, 0, 0, 15},	//2480 Plasma::Svg::resize(double, double)
    {95, 1620, 603, 1, 0, 0, 16},	//2481 Plasma::Svg::resize(const QSizeF&)
    {95, 1620, 0, 0, 0, 0, 17},	//2482 Plasma::Svg::resize()
    {95, 973, 89, 1, Smoke::mf_const, 290, 18},	//2483 Plasma::Svg::elementSize(const QString&) const
    {95, 971, 89, 1, Smoke::mf_const, 283, 19},	//2484 Plasma::Svg::elementRect(const QString&) const
    {95, 1084, 89, 1, Smoke::mf_const, 406, 20},	//2485 Plasma::Svg::hasElement(const QString&) const
    {95, 966, 555, 1, Smoke::mf_const, 293, 21},	//2486 Plasma::Svg::elementAtPoint(const QPoint&) const
    {95, 1207, 0, 0, Smoke::mf_const, 406, 22},	//2487 Plasma::Svg::isValid() const
    {95, 1777, 7, 1, Smoke::mf_property, 0, 23},	//2488 Plasma::Svg::setContainsMultipleImages(bool)
    {95, 827, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 24},	//2489 Plasma::Svg::containsMultipleImages() const
    {95, 1909, 89, 1, Smoke::mf_property, 0, 25},	//2490 Plasma::Svg::setImagePath(const QString&)
    {95, 1123, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 26},	//2491 Plasma::Svg::imagePath() const
    {95, 2160, 7, 1, Smoke::mf_property, 0, 27},	//2492 Plasma::Svg::setUsingRenderingCache(bool)
    {95, 1206, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 28},	//2493 Plasma::Svg::isUsingRenderingCache() const
    {95, 2126, 849, 1, 0, 0, 29},	//2494 Plasma::Svg::setTheme(Plasma::Theme*)
    {95, 2321, 0, 0, Smoke::mf_const, 160, 30},	//2495 Plasma::Svg::theme() const
    {95, 1612, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2496 Plasma::Svg::repaintNeeded()
    {95, 2235, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2497 Plasma::Svg::sizeChanged()
    {95, 2344, 1, 1, Smoke::mf_static, 293, 33},	//2498 Plasma::Svg::tr(const char*)
    {95, 2348, 1, 1, Smoke::mf_static, 293, 34},	//2499 Plasma::Svg::trUtf8(const char*)
    {95, 516, 0, 0, Smoke::mf_ctor, 155, 35},	//2500 Plasma::Svg::Svg()
    {95, 1495, 0, 0, 0, 277, 36},	//2501 Plasma::Svg::pixmap()
    {95, 1461, 616, 2, 0, 0, 37},	//2502 Plasma::Svg::paint(QPainter*, const QPointF&)
    {95, 1461, 814, 3, 0, 0, 38},	//2503 Plasma::Svg::paint(QPainter*, int, int)
    {95, 1461, 619, 2, 0, 0, 39},	//2504 Plasma::Svg::paint(QPainter*, const QRectF&)
    {95, 1461, 823, 5, 0, 0, 40},	//2505 Plasma::Svg::paint(QPainter*, int, int, int, int)
    {95, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 41},	//2506 Plasma::Svg::staticMetaObject() const
    {95, 2508, 0, 0, Smoke::mf_dtor, 0, 42 },	//2507 Plasma::Svg::~Svg()
    {96, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2508 Plasma::SvgWidget::metaObject() const
    {96, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2509 Plasma::SvgWidget::qt_metacast(const char*)
    {96, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2510 Plasma::SvgWidget::tr(const char*, const char*)
    {96, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2511 Plasma::SvgWidget::trUtf8(const char*, const char*)
    {96, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2512 Plasma::SvgWidget::tr(const char*, const char*, int)
    {96, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2513 Plasma::SvgWidget::trUtf8(const char*, const char*, int)
    {96, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2514 Plasma::SvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {96, 518, 769, 2, Smoke::mf_ctor, 156, 8},	//2515 Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 518, 851, 4, Smoke::mf_ctor, 156, 9},	//2516 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 2094, 856, 1, 0, 0, 10},	//2517 Plasma::SvgWidget::setSvg(Plasma::Svg*)
    {96, 2286, 0, 0, Smoke::mf_const, 155, 11},	//2518 Plasma::SvgWidget::svg() const
    {96, 1838, 89, 1, Smoke::mf_property, 0, 12},	//2519 Plasma::SvgWidget::setElementID(const QString&)
    {96, 970, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 13},	//2520 Plasma::SvgWidget::elementID() const
    {96, 1415, 278, 1, Smoke::mf_virtual, 0, 14},	//2521 Plasma::SvgWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {96, 771, 858, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2522 Plasma::SvgWidget::clicked(Qt::MouseButton)
    {96, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2523 Plasma::SvgWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {96, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 17},	//2524 Plasma::SvgWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {96, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2525 Plasma::SvgWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {96, 2344, 1, 1, Smoke::mf_static, 293, 19},	//2526 Plasma::SvgWidget::tr(const char*)
    {96, 2348, 1, 1, Smoke::mf_static, 293, 20},	//2527 Plasma::SvgWidget::trUtf8(const char*)
    {96, 518, 0, 0, Smoke::mf_ctor, 156, 21},	//2528 Plasma::SvgWidget::SvgWidget()
    {96, 518, 170, 1, Smoke::mf_ctor, 156, 22},	//2529 Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    {96, 518, 856, 1, Smoke::mf_ctor, 156, 23},	//2530 Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    {96, 518, 860, 2, Smoke::mf_ctor, 156, 24},	//2531 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    {96, 518, 863, 3, Smoke::mf_ctor, 156, 25},	//2532 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*)
    {96, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 26},	//2533 Plasma::SvgWidget::staticMetaObject() const
    {96, 2509, 0, 0, Smoke::mf_dtor, 0, 27 },	//2534 Plasma::SvgWidget::~SvgWidget()
    {97, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2535 Plasma::TabBar::metaObject() const
    {97, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2536 Plasma::TabBar::qt_metacast(const char*)
    {97, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2537 Plasma::TabBar::tr(const char*, const char*)
    {97, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2538 Plasma::TabBar::trUtf8(const char*, const char*)
    {97, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2539 Plasma::TabBar::tr(const char*, const char*, int)
    {97, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2540 Plasma::TabBar::trUtf8(const char*, const char*, int)
    {97, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2541 Plasma::TabBar::qt_metacall(QMetaObject::Call, int, void**)
    {97, 524, 125, 1, Smoke::mf_ctor, 157, 8},	//2542 Plasma::TabBar::TabBar(QGraphicsWidget*)
    {97, 1150, 867, 4, 0, 499, 9},	//2543 Plasma::TabBar::insertTab(int, const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 1150, 872, 3, 0, 499, 10},	//2544 Plasma::TabBar::insertTab(int, const QString&, QGraphicsLayoutItem*)
    {97, 675, 876, 3, 0, 499, 11},	//2545 Plasma::TabBar::addTab(const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 675, 880, 2, 0, 499, 12},	//2546 Plasma::TabBar::addTab(const QString&, QGraphicsLayoutItem*)
    {97, 1593, 129, 1, 0, 0, 13},	//2547 Plasma::TabBar::removeTab(int)
    {97, 2302, 129, 1, 0, 219, 14},	//2548 Plasma::TabBar::takeTab(int)
    {97, 2295, 129, 1, 0, 219, 15},	//2549 Plasma::TabBar::tabAt(int)
    {97, 868, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 16},	//2550 Plasma::TabBar::currentIndex() const
    {97, 844, 0, 0, Smoke::mf_const|Smoke::mf_property, 499, 17},	//2551 Plasma::TabBar::count() const
    {97, 2108, 665, 2, 0, 0, 18},	//2552 Plasma::TabBar::setTabText(int, const QString&)
    {97, 2299, 129, 1, Smoke::mf_const, 293, 19},	//2553 Plasma::TabBar::tabText(int) const
    {97, 2106, 883, 2, 0, 0, 20},	//2554 Plasma::TabBar::setTabIcon(int, const QIcon&)
    {97, 2297, 129, 1, Smoke::mf_const, 236, 21},	//2555 Plasma::TabBar::tabIcon(int) const
    {97, 2102, 7, 1, Smoke::mf_property, 0, 22},	//2556 Plasma::TabBar::setTabBarShown(bool)
    {97, 1199, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 23},	//2557 Plasma::TabBar::isTabBarShown() const
    {97, 2088, 89, 1, Smoke::mf_property, 0, 24},	//2558 Plasma::TabBar::setStyleSheet(const QString&)
    {97, 2276, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 25},	//2559 Plasma::TabBar::styleSheet() const
    {97, 2104, 886, 2, 0, 0, 26},	//2560 Plasma::TabBar::setTabHighlighted(int, bool)
    {97, 1200, 129, 1, Smoke::mf_const, 406, 27},	//2561 Plasma::TabBar::isTabHighlighted(int) const
    {97, 1431, 0, 0, Smoke::mf_const, 27, 28},	//2562 Plasma::TabBar::nativeWidget() const
    {97, 1857, 125, 1, 0, 0, 29},	//2563 Plasma::TabBar::setFirstPositionWidget(QGraphicsWidget*)
    {97, 1030, 0, 0, Smoke::mf_const, 229, 30},	//2564 Plasma::TabBar::firstPositionWidget() const
    {97, 1932, 125, 1, 0, 0, 31},	//2565 Plasma::TabBar::setLastPositionWidget(QGraphicsWidget*)
    {97, 1261, 0, 0, Smoke::mf_const, 229, 32},	//2566 Plasma::TabBar::lastPositionWidget() const
    {97, 1795, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 33},	//2567 Plasma::TabBar::setCurrentIndex(int)
    {97, 866, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2568 Plasma::TabBar::currentChanged(int)
    {97, 2429, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2569 Plasma::TabBar::wheelEvent(QGraphicsSceneWheelEvent*)
    {97, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2570 Plasma::TabBar::resizeEvent(QGraphicsSceneResizeEvent*)
    {97, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2571 Plasma::TabBar::changeEvent(QEvent*)
    {97, 2344, 1, 1, Smoke::mf_static, 293, 38},	//2572 Plasma::TabBar::tr(const char*)
    {97, 2348, 1, 1, Smoke::mf_static, 293, 39},	//2573 Plasma::TabBar::trUtf8(const char*)
    {97, 524, 0, 0, Smoke::mf_ctor, 157, 40},	//2574 Plasma::TabBar::TabBar()
    {97, 1150, 889, 3, 0, 499, 41},	//2575 Plasma::TabBar::insertTab(int, const QIcon&, const QString&)
    {97, 1150, 665, 2, 0, 499, 42},	//2576 Plasma::TabBar::insertTab(int, const QString&)
    {97, 675, 650, 2, 0, 499, 43},	//2577 Plasma::TabBar::addTab(const QIcon&, const QString&)
    {97, 675, 89, 1, 0, 499, 44},	//2578 Plasma::TabBar::addTab(const QString&)
    {97, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 45},	//2579 Plasma::TabBar::staticMetaObject() const
    {97, 2510, 0, 0, Smoke::mf_dtor, 0, 46 },	//2580 Plasma::TabBar::~TabBar()
    {98, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2581 Plasma::TextBrowser::metaObject() const
    {98, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2582 Plasma::TextBrowser::qt_metacast(const char*)
    {98, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2583 Plasma::TextBrowser::tr(const char*, const char*)
    {98, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2584 Plasma::TextBrowser::trUtf8(const char*, const char*)
    {98, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2585 Plasma::TextBrowser::tr(const char*, const char*, int)
    {98, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2586 Plasma::TextBrowser::trUtf8(const char*, const char*, int)
    {98, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2587 Plasma::TextBrowser::qt_metacall(QMetaObject::Call, int, void**)
    {98, 526, 125, 1, Smoke::mf_ctor, 158, 8},	//2588 Plasma::TextBrowser::TextBrowser(QGraphicsWidget*)
    {98, 2120, 89, 1, Smoke::mf_property, 0, 9},	//2589 Plasma::TextBrowser::setText(const QString&)
    {98, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//2590 Plasma::TextBrowser::text() const
    {98, 1891, 893, 1, 0, 0, 11},	//2591 Plasma::TextBrowser::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2176, 893, 1, 0, 0, 12},	//2592 Plasma::TextBrowser::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2088, 89, 1, Smoke::mf_property, 0, 13},	//2593 Plasma::TextBrowser::setStyleSheet(const QString&)
    {98, 2276, 0, 0, Smoke::mf_property, 293, 14},	//2594 Plasma::TextBrowser::styleSheet()
    {98, 1431, 0, 0, Smoke::mf_const, 28, 15},	//2595 Plasma::TextBrowser::nativeWidget() const
    {98, 709, 89, 1, Smoke::mf_slot, 0, 16},	//2596 Plasma::TextBrowser::append(const QString&)
    {98, 886, 489, 2, Smoke::mf_slot, 0, 17},	//2597 Plasma::TextBrowser::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {98, 2316, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2598 Plasma::TextBrowser::textChanged()
    {98, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2599 Plasma::TextBrowser::resizeEvent(QGraphicsSceneResizeEvent*)
    {98, 2429, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2600 Plasma::TextBrowser::wheelEvent(QGraphicsSceneWheelEvent*)
    {98, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2601 Plasma::TextBrowser::changeEvent(QEvent*)
    {98, 839, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2602 Plasma::TextBrowser::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {98, 2344, 1, 1, Smoke::mf_static, 293, 23},	//2603 Plasma::TextBrowser::tr(const char*)
    {98, 2348, 1, 1, Smoke::mf_static, 293, 24},	//2604 Plasma::TextBrowser::trUtf8(const char*)
    {98, 526, 0, 0, Smoke::mf_ctor, 158, 25},	//2605 Plasma::TextBrowser::TextBrowser()
    {98, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 26},	//2606 Plasma::TextBrowser::staticMetaObject() const
    {98, 2511, 0, 0, Smoke::mf_dtor, 0, 27 },	//2607 Plasma::TextBrowser::~TextBrowser()
    {99, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2608 Plasma::TextEdit::metaObject() const
    {99, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2609 Plasma::TextEdit::qt_metacast(const char*)
    {99, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2610 Plasma::TextEdit::tr(const char*, const char*)
    {99, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2611 Plasma::TextEdit::trUtf8(const char*, const char*)
    {99, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2612 Plasma::TextEdit::tr(const char*, const char*, int)
    {99, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2613 Plasma::TextEdit::trUtf8(const char*, const char*, int)
    {99, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2614 Plasma::TextEdit::qt_metacall(QMetaObject::Call, int, void**)
    {99, 529, 125, 1, Smoke::mf_ctor, 159, 8},	//2615 Plasma::TextEdit::TextEdit(QGraphicsWidget*)
    {99, 2120, 89, 1, Smoke::mf_property, 0, 9},	//2616 Plasma::TextEdit::setText(const QString&)
    {99, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//2617 Plasma::TextEdit::text() const
    {99, 2020, 7, 1, Smoke::mf_property, 0, 11},	//2618 Plasma::TextEdit::setReadOnly(bool)
    {99, 1191, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 12},	//2619 Plasma::TextEdit::isReadOnly() const
    {99, 2088, 89, 1, Smoke::mf_property, 0, 13},	//2620 Plasma::TextEdit::setStyleSheet(const QString&)
    {99, 2276, 0, 0, Smoke::mf_property, 293, 14},	//2621 Plasma::TextEdit::styleSheet()
    {99, 1963, 895, 1, 0, 0, 15},	//2622 Plasma::TextEdit::setNativeWidget(KTextEdit*)
    {99, 1431, 0, 0, Smoke::mf_const, 29, 16},	//2623 Plasma::TextEdit::nativeWidget() const
    {99, 709, 89, 1, Smoke::mf_slot, 0, 17},	//2624 Plasma::TextEdit::append(const QString&)
    {99, 886, 489, 2, Smoke::mf_slot, 0, 18},	//2625 Plasma::TextEdit::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {99, 2316, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2626 Plasma::TextEdit::textChanged()
    {99, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2627 Plasma::TextEdit::resizeEvent(QGraphicsSceneResizeEvent*)
    {99, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2628 Plasma::TextEdit::changeEvent(QEvent*)
    {99, 839, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2629 Plasma::TextEdit::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {99, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2630 Plasma::TextEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {99, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//2631 Plasma::TextEdit::focusOutEvent(QFocusEvent*)
    {99, 2344, 1, 1, Smoke::mf_static, 293, 25},	//2632 Plasma::TextEdit::tr(const char*)
    {99, 2348, 1, 1, Smoke::mf_static, 293, 26},	//2633 Plasma::TextEdit::trUtf8(const char*)
    {99, 529, 0, 0, Smoke::mf_ctor, 159, 27},	//2634 Plasma::TextEdit::TextEdit()
    {99, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 28},	//2635 Plasma::TextEdit::staticMetaObject() const
    {99, 2512, 0, 0, Smoke::mf_dtor, 0, 29 },	//2636 Plasma::TextEdit::~TextEdit()
    {100, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2637 Plasma::Theme::metaObject() const
    {100, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2638 Plasma::Theme::qt_metacast(const char*)
    {100, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2639 Plasma::Theme::tr(const char*, const char*)
    {100, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2640 Plasma::Theme::trUtf8(const char*, const char*)
    {100, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2641 Plasma::Theme::tr(const char*, const char*, int)
    {100, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2642 Plasma::Theme::trUtf8(const char*, const char*, int)
    {100, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2643 Plasma::Theme::qt_metacall(QMetaObject::Call, int, void**)
    {100, 891, 0, 0, Smoke::mf_static, 160, 8},	//2644 Plasma::Theme::defaultTheme()
    {100, 531, 97, 1, Smoke::mf_ctor, 160, 9},	//2645 Plasma::Theme::Theme(QObject*)
    {100, 531, 149, 2, Smoke::mf_ctor, 160, 10},	//2646 Plasma::Theme::Theme(const QString&, QObject*)
    {100, 1456, 0, 0, Smoke::mf_static, 22, 11},	//2647 Plasma::Theme::packageStructure()
    {100, 1316, 0, 0, Smoke::mf_static, 242, 12},	//2648 Plasma::Theme::listThemeInfo()
    {100, 2128, 89, 1, 0, 0, 13},	//2649 Plasma::Theme::setThemeName(const QString&)
    {100, 2323, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 14},	//2650 Plasma::Theme::themeName() const
    {100, 1123, 89, 1, Smoke::mf_const, 293, 15},	//2651 Plasma::Theme::imagePath(const QString&) const
    {100, 703, 89, 1, Smoke::mf_const, 293, 16},	//2652 Plasma::Theme::animationPath(const QString&) const
    {100, 2426, 186, 1, Smoke::mf_const, 293, 17},	//2653 Plasma::Theme::wallpaperPath(const QSize&) const
    {100, 873, 89, 1, Smoke::mf_const, 406, 18},	//2654 Plasma::Theme::currentThemeHasImage(const QString&) const
    {100, 782, 0, 0, Smoke::mf_const, 21, 19},	//2655 Plasma::Theme::colorScheme() const
    {100, 780, 897, 1, Smoke::mf_const, 190, 20},	//2656 Plasma::Theme::color(Plasma::Theme::ColorRole) const
    {100, 1859, 899, 2, 0, 0, 21},	//2657 Plasma::Theme::setFont(const QFont&, Plasma::Theme::FontRole)
    {100, 1048, 902, 1, Smoke::mf_const, 212, 22},	//2658 Plasma::Theme::font(Plasma::Theme::FontRole) const
    {100, 1052, 0, 0, Smoke::mf_const, 213, 23},	//2659 Plasma::Theme::fontMetrics() const
    {100, 2438, 0, 0, Smoke::mf_const, 406, 24},	//2660 Plasma::Theme::windowTranslucencyEnabled() const
    {100, 2156, 7, 1, 0, 0, 25},	//2661 Plasma::Theme::setUseGlobalSettings(bool)
    {100, 2393, 0, 0, Smoke::mf_const, 406, 26},	//2662 Plasma::Theme::useGlobalSettings() const
    {100, 2394, 0, 0, Smoke::mf_const, 406, 27},	//2663 Plasma::Theme::useNativeWidgetStyle() const
    {100, 2276, 89, 1, Smoke::mf_const, 293, 28},	//2664 Plasma::Theme::styleSheet(const QString&) const
    {100, 1019, 904, 2, 0, 406, 29},	//2665 Plasma::Theme::findInCache(const QString&, QPixmap&)
    {100, 1019, 907, 3, 0, 406, 30},	//2666 Plasma::Theme::findInCache(const QString&, QPixmap&, unsigned int)
    {100, 1145, 911, 2, 0, 0, 31},	//2667 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&)
    {100, 1145, 914, 3, 0, 0, 32},	//2668 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&, const QString&)
    {100, 1748, 129, 1, 0, 0, 33},	//2669 Plasma::Theme::setCacheLimit(int)
    {100, 1022, 918, 3, Smoke::mf_const, 406, 34},	//2670 Plasma::Theme::findInRectsCache(const QString&, const QString&, QRectF&) const
    {100, 1288, 89, 1, Smoke::mf_const, 294, 35},	//2671 Plasma::Theme::listCachedRectKeys(const QString&) const
    {100, 1148, 922, 3, 0, 0, 36},	//2672 Plasma::Theme::insertIntoRectsCache(const QString&, const QString&, const QRectF&)
    {100, 1158, 89, 1, 0, 0, 37},	//2673 Plasma::Theme::invalidateRectsCache(const QString&)
    {100, 1554, 89, 1, 0, 0, 38},	//2674 Plasma::Theme::releaseRectsCache(const QString&)
    {100, 1106, 0, 0, Smoke::mf_const, 30, 39},	//2675 Plasma::Theme::homepage() const
    {100, 2340, 0, 0, Smoke::mf_const, 499, 40},	//2676 Plasma::Theme::toolTipDelay() const
    {100, 2322, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2677 Plasma::Theme::themeChanged()
    {100, 2199, 0, 0, Smoke::mf_slot, 0, 42},	//2678 Plasma::Theme::settingsChanged()
    {100, 2344, 1, 1, Smoke::mf_static, 293, 43},	//2679 Plasma::Theme::tr(const char*)
    {100, 2348, 1, 1, Smoke::mf_static, 293, 44},	//2680 Plasma::Theme::trUtf8(const char*)
    {100, 531, 0, 0, Smoke::mf_ctor, 160, 45},	//2681 Plasma::Theme::Theme()
    {100, 531, 89, 1, Smoke::mf_ctor, 160, 46},	//2682 Plasma::Theme::Theme(const QString&)
    {100, 2426, 0, 0, Smoke::mf_const, 293, 47},	//2683 Plasma::Theme::wallpaperPath() const
    {100, 1859, 579, 1, 0, 0, 48},	//2684 Plasma::Theme::setFont(const QFont&)
    {100, 2276, 0, 0, Smoke::mf_const, 293, 49},	//2685 Plasma::Theme::styleSheet() const
    {100, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 50},	//2686 Plasma::Theme::staticMetaObject() const
    {100, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 51},	//2687 Plasma::Theme::TextColor (enum)
    {100, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 52},	//2688 Plasma::Theme::HighlightColor (enum)
    {100, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 53},	//2689 Plasma::Theme::BackgroundColor (enum)
    {100, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 54},	//2690 Plasma::Theme::ButtonTextColor (enum)
    {100, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 55},	//2691 Plasma::Theme::ButtonBackgroundColor (enum)
    {100, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 56},	//2692 Plasma::Theme::LinkColor (enum)
    {100, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 57},	//2693 Plasma::Theme::VisitedLinkColor (enum)
    {100, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 58},	//2694 Plasma::Theme::ButtonHoverColor (enum)
    {100, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 59},	//2695 Plasma::Theme::ButtonFocusColor (enum)
    {100, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 60},	//2696 Plasma::Theme::ViewTextColor (enum)
    {100, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 61},	//2697 Plasma::Theme::ViewBackgroundColor (enum)
    {100, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 62},	//2698 Plasma::Theme::ViewHoverColor (enum)
    {100, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 63},	//2699 Plasma::Theme::ViewFocusColor (enum)
    {100, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 64},	//2700 Plasma::Theme::DefaultFont (enum)
    {100, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 65},	//2701 Plasma::Theme::DesktopFont (enum)
    {100, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 66},	//2702 Plasma::Theme::SmallestFont (enum)
    {100, 2513, 0, 0, Smoke::mf_dtor, 0, 67 },	//2703 Plasma::Theme::~Theme()
    {101, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2704 Plasma::ToolButton::metaObject() const
    {101, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2705 Plasma::ToolButton::qt_metacast(const char*)
    {101, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2706 Plasma::ToolButton::tr(const char*, const char*)
    {101, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2707 Plasma::ToolButton::trUtf8(const char*, const char*)
    {101, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2708 Plasma::ToolButton::tr(const char*, const char*, int)
    {101, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2709 Plasma::ToolButton::trUtf8(const char*, const char*, int)
    {101, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2710 Plasma::ToolButton::qt_metacall(QMetaObject::Call, int, void**)
    {101, 536, 125, 1, Smoke::mf_ctor, 163, 8},	//2711 Plasma::ToolButton::ToolButton(QGraphicsWidget*)
    {101, 1734, 7, 1, Smoke::mf_property, 0, 9},	//2712 Plasma::ToolButton::setAutoRaise(bool)
    {101, 735, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 10},	//2713 Plasma::ToolButton::autoRaise() const
    {101, 2120, 89, 1, Smoke::mf_property, 0, 11},	//2714 Plasma::ToolButton::setText(const QString&)
    {101, 2314, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 12},	//2715 Plasma::ToolButton::text() const
    {101, 1905, 89, 1, Smoke::mf_property, 0, 13},	//2716 Plasma::ToolButton::setImage(const QString&)
    {101, 1905, 77, 2, 0, 0, 14},	//2717 Plasma::ToolButton::setImage(const QString&, const QString&)
    {101, 1122, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 15},	//2718 Plasma::ToolButton::image() const
    {101, 1825, 7, 1, Smoke::mf_property, 0, 16},	//2719 Plasma::ToolButton::setDown(bool)
    {101, 1173, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 17},	//2720 Plasma::ToolButton::isDown() const
    {101, 2088, 89, 1, Smoke::mf_property, 0, 18},	//2721 Plasma::ToolButton::setStyleSheet(const QString&)
    {101, 2276, 0, 0, Smoke::mf_property, 293, 19},	//2722 Plasma::ToolButton::styleSheet()
    {101, 1698, 107, 1, 0, 0, 20},	//2723 Plasma::ToolButton::setAction(QAction*)
    {101, 604, 0, 0, Smoke::mf_const, 184, 21},	//2724 Plasma::ToolButton::action() const
    {101, 1898, 567, 1, 0, 0, 22},	//2725 Plasma::ToolButton::setIcon(const QIcon&)
    {101, 1118, 0, 0, Smoke::mf_const, 236, 23},	//2726 Plasma::ToolButton::icon() const
    {101, 1431, 0, 0, Smoke::mf_const, 301, 24},	//2727 Plasma::ToolButton::nativeWidget() const
    {101, 771, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2728 Plasma::ToolButton::clicked()
    {101, 1517, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2729 Plasma::ToolButton::pressed()
    {101, 1557, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2730 Plasma::ToolButton::released()
    {101, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//2731 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {101, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2732 Plasma::ToolButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {101, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2733 Plasma::ToolButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {101, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2734 Plasma::ToolButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {101, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2735 Plasma::ToolButton::changeEvent(QEvent*)
    {101, 1222, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 33},	//2736 Plasma::ToolButton::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {101, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 34},	//2737 Plasma::ToolButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {101, 2344, 1, 1, Smoke::mf_static, 293, 35},	//2738 Plasma::ToolButton::tr(const char*)
    {101, 2348, 1, 1, Smoke::mf_static, 293, 36},	//2739 Plasma::ToolButton::trUtf8(const char*)
    {101, 536, 0, 0, Smoke::mf_ctor, 163, 37},	//2740 Plasma::ToolButton::ToolButton()
    {101, 1461, 328, 2, Smoke::mf_protected, 0, 38},	//2741 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {101, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 39},	//2742 Plasma::ToolButton::staticMetaObject() const
    {101, 2514, 0, 0, Smoke::mf_dtor, 0, 40 },	//2743 Plasma::ToolButton::~ToolButton()
    {102, 538, 0, 0, Smoke::mf_ctor, 165, 1},	//2744 Plasma::ToolTipContent::ToolTipContent()
    {102, 538, 926, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 165, 2},	//2745 Plasma::ToolTipContent::ToolTipContent(const Plasma::ToolTipContent&)
    {102, 538, 928, 3, Smoke::mf_ctor, 165, 3},	//2746 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    {102, 538, 932, 3, Smoke::mf_ctor, 165, 4},	//2747 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    {102, 1449, 926, 1, 0, 164, 5},	//2748 Plasma::ToolTipContent::operator=(const Plasma::ToolTipContent&)
    {102, 1174, 0, 0, Smoke::mf_const, 406, 6},	//2749 Plasma::ToolTipContent::isEmpty() const
    {102, 1938, 89, 1, 0, 0, 7},	//2750 Plasma::ToolTipContent::setMainText(const QString&)
    {102, 1368, 0, 0, Smoke::mf_const, 293, 8},	//2751 Plasma::ToolTipContent::mainText() const
    {102, 2090, 89, 1, 0, 0, 9},	//2752 Plasma::ToolTipContent::setSubText(const QString&)
    {102, 2278, 0, 0, Smoke::mf_const, 293, 10},	//2753 Plasma::ToolTipContent::subText() const
    {102, 1905, 594, 1, 0, 0, 11},	//2754 Plasma::ToolTipContent::setImage(const QPixmap&)
    {102, 1905, 567, 1, 0, 0, 12},	//2755 Plasma::ToolTipContent::setImage(const QIcon&)
    {102, 1122, 0, 0, Smoke::mf_const, 277, 13},	//2756 Plasma::ToolTipContent::image() const
    {102, 2191, 936, 1, 0, 0, 14},	//2757 Plasma::ToolTipContent::setWindowToPreview(unsigned long)
    {102, 2437, 0, 0, Smoke::mf_const, 508, 15},	//2758 Plasma::ToolTipContent::windowToPreview() const
    {102, 2193, 938, 1, 0, 0, 16},	//2759 Plasma::ToolTipContent::setWindowsToPreview(const QList<unsigned long>&)
    {102, 2439, 0, 0, Smoke::mf_const, 261, 17},	//2760 Plasma::ToolTipContent::windowsToPreview() const
    {102, 1883, 7, 1, 0, 0, 18},	//2761 Plasma::ToolTipContent::setHighlightWindows(bool)
    {102, 1105, 0, 0, Smoke::mf_const, 406, 19},	//2762 Plasma::ToolTipContent::highlightWindows() const
    {102, 1736, 7, 1, 0, 0, 20},	//2763 Plasma::ToolTipContent::setAutohide(bool)
    {102, 736, 0, 0, Smoke::mf_const, 406, 21},	//2764 Plasma::ToolTipContent::autohide() const
    {102, 1919, 7, 1, 0, 0, 22},	//2765 Plasma::ToolTipContent::setInstantPopup(bool)
    {102, 1180, 0, 0, Smoke::mf_const, 406, 23},	//2766 Plasma::ToolTipContent::isInstantPopup() const
    {102, 661, 940, 3, 0, 0, 24},	//2767 Plasma::ToolTipContent::addResource(Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&)
    {102, 1548, 944, 1, Smoke::mf_const, 0, 25},	//2768 Plasma::ToolTipContent::registerResources(QTextDocument*) const
    {102, 1760, 7, 1, 0, 0, 26},	//2769 Plasma::ToolTipContent::setClickable(bool)
    {102, 1169, 0, 0, Smoke::mf_const, 406, 27},	//2770 Plasma::ToolTipContent::isClickable() const
    {102, 1872, 125, 1, 0, 0, 28},	//2771 Plasma::ToolTipContent::setGraphicsWidget(QGraphicsWidget*)
    {102, 1076, 0, 0, Smoke::mf_const, 229, 29},	//2772 Plasma::ToolTipContent::graphicsWidget() const
    {102, 538, 77, 2, Smoke::mf_ctor, 165, 30},	//2773 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&)
    {102, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 31},	//2774 Plasma::ToolTipContent::ImageResource (enum)
    {102, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 32},	//2775 Plasma::ToolTipContent::HtmlResource (enum)
    {102, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 33},	//2776 Plasma::ToolTipContent::CssResource (enum)
    {102, 2515, 0, 0, Smoke::mf_dtor, 0, 34 },	//2777 Plasma::ToolTipContent::~ToolTipContent()
    {103, 1394, 0, 0, Smoke::mf_const, 463, 1},	//2778 Plasma::ToolTipManager::metaObject() const
    {103, 1528, 1, 1, 0, 509, 2},	//2779 Plasma::ToolTipManager::qt_metacast(const char*)
    {103, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2780 Plasma::ToolTipManager::tr(const char*, const char*)
    {103, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2781 Plasma::ToolTipManager::trUtf8(const char*, const char*)
    {103, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2782 Plasma::ToolTipManager::tr(const char*, const char*, int)
    {103, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2783 Plasma::ToolTipManager::trUtf8(const char*, const char*, int)
    {103, 1526, 3, 3, 0, 499, 7},	//2784 Plasma::ToolTipManager::qt_metacall(QMetaObject::Call, int, void**)
    {103, 1686, 0, 0, Smoke::mf_static, 167, 8},	//2785 Plasma::ToolTipManager::self()
    {103, 2204, 125, 1, 0, 0, 9},	//2786 Plasma::ToolTipManager::show(QGraphicsWidget*)
    {103, 1208, 125, 1, Smoke::mf_const, 406, 10},	//2787 Plasma::ToolTipManager::isVisible(QGraphicsWidget*) const
    {103, 1099, 125, 1, 0, 0, 11},	//2788 Plasma::ToolTipManager::hide(QGraphicsWidget*)
    {103, 1552, 125, 1, 0, 0, 12},	//2789 Plasma::ToolTipManager::registerWidget(QGraphicsWidget*)
    {103, 2367, 125, 1, 0, 0, 13},	//2790 Plasma::ToolTipManager::unregisterWidget(QGraphicsWidget*)
    {103, 1779, 946, 2, 0, 0, 14},	//2791 Plasma::ToolTipManager::setContent(QGraphicsWidget*, const Plasma::ToolTipContent&)
    {103, 767, 125, 1, 0, 0, 15},	//2792 Plasma::ToolTipManager::clearContent(QGraphicsWidget*)
    {103, 2081, 949, 1, 0, 0, 16},	//2793 Plasma::ToolTipManager::setState(Plasma::ToolTipManager::State)
    {103, 2262, 0, 0, Smoke::mf_const, 168, 17},	//2794 Plasma::ToolTipManager::state() const
    {103, 2435, 951, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2795 Plasma::ToolTipManager::windowPreviewActivated(WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 1273, 956, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2796 Plasma::ToolTipManager::linkActivated(const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 2344, 1, 1, Smoke::mf_static, 293, 20},	//2797 Plasma::ToolTipManager::tr(const char*)
    {103, 2348, 1, 1, Smoke::mf_static, 293, 21},	//2798 Plasma::ToolTipManager::trUtf8(const char*)
    {103, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 22},	//2799 Plasma::ToolTipManager::staticMetaObject() const
    {103, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 23},	//2800 Plasma::ToolTipManager::Activated (enum)
    {103, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 24},	//2801 Plasma::ToolTipManager::Inhibited (enum)
    {103, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 25},	//2802 Plasma::ToolTipManager::Deactivated (enum)
    {104, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2803 Plasma::TreeView::metaObject() const
    {104, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2804 Plasma::TreeView::qt_metacast(const char*)
    {104, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2805 Plasma::TreeView::tr(const char*, const char*)
    {104, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2806 Plasma::TreeView::trUtf8(const char*, const char*)
    {104, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2807 Plasma::TreeView::tr(const char*, const char*, int)
    {104, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2808 Plasma::TreeView::trUtf8(const char*, const char*, int)
    {104, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2809 Plasma::TreeView::qt_metacall(QMetaObject::Call, int, void**)
    {104, 551, 125, 1, Smoke::mf_ctor, 169, 8},	//2810 Plasma::TreeView::TreeView(QGraphicsWidget*)
    {104, 1958, 961, 1, 0, 0, 9},	//2811 Plasma::TreeView::setModel(QAbstractItemModel*)
    {104, 1408, 0, 0, 0, 183, 10},	//2812 Plasma::TreeView::model()
    {104, 2088, 89, 1, Smoke::mf_property, 0, 11},	//2813 Plasma::TreeView::setStyleSheet(const QString&)
    {104, 2276, 0, 0, Smoke::mf_property, 293, 12},	//2814 Plasma::TreeView::styleSheet()
    {104, 1431, 0, 0, Smoke::mf_const, 302, 13},	//2815 Plasma::TreeView::nativeWidget() const
    {104, 2344, 1, 1, Smoke::mf_static, 293, 14},	//2816 Plasma::TreeView::tr(const char*)
    {104, 2348, 1, 1, Smoke::mf_static, 293, 15},	//2817 Plasma::TreeView::trUtf8(const char*)
    {104, 551, 0, 0, Smoke::mf_ctor, 169, 16},	//2818 Plasma::TreeView::TreeView()
    {104, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 17},	//2819 Plasma::TreeView::staticMetaObject() const
    {104, 2516, 0, 0, Smoke::mf_dtor, 0, 18 },	//2820 Plasma::TreeView::~TreeView()
    {105, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2821 Plasma::VideoWidget::metaObject() const
    {105, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2822 Plasma::VideoWidget::qt_metacast(const char*)
    {105, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2823 Plasma::VideoWidget::tr(const char*, const char*)
    {105, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2824 Plasma::VideoWidget::trUtf8(const char*, const char*)
    {105, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2825 Plasma::VideoWidget::tr(const char*, const char*, int)
    {105, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2826 Plasma::VideoWidget::trUtf8(const char*, const char*, int)
    {105, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2827 Plasma::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {105, 571, 125, 1, Smoke::mf_ctor, 171, 8},	//2828 Plasma::VideoWidget::VideoWidget(QGraphicsWidget*)
    {105, 2149, 89, 1, Smoke::mf_property, 0, 9},	//2829 Plasma::VideoWidget::setUrl(const QString&)
    {105, 2386, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 10},	//2830 Plasma::VideoWidget::url() const
    {105, 1391, 0, 0, Smoke::mf_const, 33, 11},	//2831 Plasma::VideoWidget::mediaObject() const
    {105, 729, 0, 0, Smoke::mf_const, 32, 12},	//2832 Plasma::VideoWidget::audioOutput() const
    {105, 875, 0, 0, Smoke::mf_const, 502, 13},	//2833 Plasma::VideoWidget::currentTime() const
    {105, 2343, 0, 0, Smoke::mf_const, 502, 14},	//2834 Plasma::VideoWidget::totalTime() const
    {105, 1561, 0, 0, Smoke::mf_const, 502, 15},	//2835 Plasma::VideoWidget::remainingTime() const
    {105, 2158, 963, 1, 0, 0, 16},	//2836 Plasma::VideoWidget::setUsedControls(const QFlags<Plasma::VideoWidget::Control>)
    {105, 2395, 0, 0, Smoke::mf_const, 207, 17},	//2837 Plasma::VideoWidget::usedControls() const
    {105, 1789, 7, 1, Smoke::mf_property, 0, 18},	//2838 Plasma::VideoWidget::setControlsVisible(bool)
    {105, 842, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 19},	//2839 Plasma::VideoWidget::controlsVisible() const
    {105, 2132, 965, 1, 0, 0, 20},	//2840 Plasma::VideoWidget::setTickInterval(long long)
    {105, 2327, 0, 0, Smoke::mf_const, 502, 21},	//2841 Plasma::VideoWidget::tickInterval() const
    {105, 2088, 89, 1, Smoke::mf_property, 0, 22},	//2842 Plasma::VideoWidget::setStyleSheet(const QString&)
    {105, 2276, 0, 0, Smoke::mf_property, 293, 23},	//2843 Plasma::VideoWidget::styleSheet()
    {105, 1431, 0, 0, Smoke::mf_const, 34, 24},	//2844 Plasma::VideoWidget::nativeWidget() const
    {105, 1497, 0, 0, Smoke::mf_slot, 0, 25},	//2845 Plasma::VideoWidget::play()
    {105, 1490, 0, 0, Smoke::mf_slot, 0, 26},	//2846 Plasma::VideoWidget::pause()
    {105, 2265, 0, 0, Smoke::mf_slot, 0, 27},	//2847 Plasma::VideoWidget::stop()
    {105, 1683, 967, 1, Smoke::mf_slot, 0, 28},	//2848 Plasma::VideoWidget::seek(qint64)
    {105, 2325, 967, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2849 Plasma::VideoWidget::tick(qint64)
    {105, 598, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2850 Plasma::VideoWidget::aboutToFinish()
    {105, 1437, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2851 Plasma::VideoWidget::nextRequested()
    {105, 1519, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2852 Plasma::VideoWidget::previousRequested()
    {105, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2853 Plasma::VideoWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {105, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2854 Plasma::VideoWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {105, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2855 Plasma::VideoWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {105, 1115, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2856 Plasma::VideoWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {105, 2344, 1, 1, Smoke::mf_static, 293, 37},	//2857 Plasma::VideoWidget::tr(const char*)
    {105, 2348, 1, 1, Smoke::mf_static, 293, 38},	//2858 Plasma::VideoWidget::trUtf8(const char*)
    {105, 571, 0, 0, Smoke::mf_ctor, 171, 39},	//2859 Plasma::VideoWidget::VideoWidget()
    {105, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 40},	//2860 Plasma::VideoWidget::staticMetaObject() const
    {105, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 41},	//2861 Plasma::VideoWidget::NoControls (enum)
    {105, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 42},	//2862 Plasma::VideoWidget::Play (enum)
    {105, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 43},	//2863 Plasma::VideoWidget::Pause (enum)
    {105, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 44},	//2864 Plasma::VideoWidget::Stop (enum)
    {105, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 45},	//2865 Plasma::VideoWidget::PlayPause (enum)
    {105, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 46},	//2866 Plasma::VideoWidget::Previous (enum)
    {105, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 47},	//2867 Plasma::VideoWidget::Next (enum)
    {105, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 48},	//2868 Plasma::VideoWidget::Progress (enum)
    {105, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 49},	//2869 Plasma::VideoWidget::Volume (enum)
    {105, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 50},	//2870 Plasma::VideoWidget::OpenFile (enum)
    {105, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 51},	//2871 Plasma::VideoWidget::DefaultControls (enum)
    {105, 2517, 0, 0, Smoke::mf_dtor, 0, 52 },	//2872 Plasma::VideoWidget::~VideoWidget()
    {106, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2873 Plasma::View::metaObject() const
    {106, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2874 Plasma::View::qt_metacast(const char*)
    {106, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2875 Plasma::View::tr(const char*, const char*)
    {106, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2876 Plasma::View::trUtf8(const char*, const char*)
    {106, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2877 Plasma::View::tr(const char*, const char*, int)
    {106, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2878 Plasma::View::trUtf8(const char*, const char*, int)
    {106, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2879 Plasma::View::qt_metacall(QMetaObject::Call, int, void**)
    {106, 573, 969, 2, Smoke::mf_ctor, 173, 8},	//2880 Plasma::View::View(Plasma::Containment*, QWidget*)
    {106, 573, 972, 3, Smoke::mf_ctor, 173, 9},	//2881 Plasma::View::View(Plasma::Containment*, int, QWidget*)
    {106, 2185, 7, 1, 0, 0, 10},	//2882 Plasma::View::setWallpaperEnabled(bool)
    {106, 1210, 0, 0, Smoke::mf_const, 406, 11},	//2883 Plasma::View::isWallpaperEnabled() const
    {106, 2044, 370, 2, 0, 0, 12},	//2884 Plasma::View::setScreen(int, int)
    {106, 1666, 0, 0, Smoke::mf_const, 499, 13},	//2885 Plasma::View::screen() const
    {106, 895, 0, 0, Smoke::mf_const, 499, 14},	//2886 Plasma::View::desktop() const
    {106, 955, 0, 0, Smoke::mf_const, 499, 15},	//2887 Plasma::View::effectiveDesktop() const
    {106, 810, 0, 0, Smoke::mf_const, 73, 16},	//2888 Plasma::View::containment() const
    {106, 2288, 410, 3, 0, 73, 17},	//2889 Plasma::View::swapContainment(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {106, 2288, 113, 2, 0, 73, 18},	//2890 Plasma::View::swapContainment(const QString&, const QList<QVariant>&)
    {106, 2140, 7, 1, 0, 0, 19},	//2891 Plasma::View::setTrackContainmentChanges(bool)
    {106, 2352, 0, 0, 0, 406, 20},	//2892 Plasma::View::trackContainmentChanges()
    {106, 2341, 555, 1, Smoke::mf_static, 173, 21},	//2893 Plasma::View::topLevelViewAt(const QPoint&)
    {106, 1120, 0, 0, Smoke::mf_const, 499, 22},	//2894 Plasma::View::id() const
    {106, 1663, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2895 Plasma::View::sceneRectAboutToChange()
    {106, 1664, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2896 Plasma::View::sceneRectChanged()
    {106, 1364, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2897 Plasma::View::lostContainment()
    {106, 1769, 101, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//2898 Plasma::View::setContainment(Plasma::Containment*)
    {106, 783, 0, 0, Smoke::mf_const|Smoke::mf_protected, 10, 27},	//2899 Plasma::View::config() const
    {106, 786, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 28},	//2900 Plasma::View::configNeedsSaving() const
    {106, 2344, 1, 1, Smoke::mf_static, 293, 29},	//2901 Plasma::View::tr(const char*)
    {106, 2348, 1, 1, Smoke::mf_static, 293, 30},	//2902 Plasma::View::trUtf8(const char*)
    {106, 573, 101, 1, Smoke::mf_ctor, 173, 31},	//2903 Plasma::View::View(Plasma::Containment*)
    {106, 573, 976, 2, Smoke::mf_ctor, 173, 32},	//2904 Plasma::View::View(Plasma::Containment*, int)
    {106, 2044, 129, 1, 0, 0, 33},	//2905 Plasma::View::setScreen(int)
    {106, 2288, 424, 2, 0, 73, 34},	//2906 Plasma::View::swapContainment(Plasma::Containment*, const QString&)
    {106, 2288, 89, 1, 0, 73, 35},	//2907 Plasma::View::swapContainment(const QString&)
    {106, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 36},	//2908 Plasma::View::staticMetaObject() const
    {106, 2518, 0, 0, Smoke::mf_dtor, 0, 37 },	//2909 Plasma::View::~View()
    {107, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2910 Plasma::Wallpaper::metaObject() const
    {107, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2911 Plasma::Wallpaper::qt_metacast(const char*)
    {107, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2912 Plasma::Wallpaper::tr(const char*, const char*)
    {107, 2348, 43, 2, Smoke::mf_static, 293, 4},	//2913 Plasma::Wallpaper::trUtf8(const char*, const char*)
    {107, 2344, 46, 3, Smoke::mf_static, 293, 5},	//2914 Plasma::Wallpaper::tr(const char*, const char*, int)
    {107, 2348, 46, 3, Smoke::mf_static, 293, 6},	//2915 Plasma::Wallpaper::trUtf8(const char*, const char*, int)
    {107, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//2916 Plasma::Wallpaper::qt_metacall(QMetaObject::Call, int, void**)
    {107, 584, 97, 1, Smoke::mf_ctor, 174, 8},	//2917 Plasma::Wallpaper::Wallpaper(QObject*)
    {107, 2152, 246, 1, 0, 0, 9},	//2918 Plasma::Wallpaper::setUrls(const KUrl::List&)
    {107, 1319, 89, 1, Smoke::mf_static, 242, 10},	//2919 Plasma::Wallpaper::listWallpaperInfo(const QString&)
    {107, 1321, 77, 2, Smoke::mf_static, 242, 11},	//2920 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&, const QString&)
    {107, 1324, 113, 2, Smoke::mf_static, 174, 12},	//2921 Plasma::Wallpaper::load(const QString&, const QList<QVariant>&)
    {107, 1324, 979, 2, Smoke::mf_static, 174, 13},	//2922 Plasma::Wallpaper::load(const KPluginInfo&, const QList<QVariant>&)
    {107, 1456, 982, 1, Smoke::mf_static, 22, 14},	//2923 Plasma::Wallpaper::packageStructure(Plasma::Wallpaper*)
    {107, 1429, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 15},	//2924 Plasma::Wallpaper::name() const
    {107, 1455, 0, 0, Smoke::mf_const, 430, 16},	//2925 Plasma::Wallpaper::package() const
    {107, 1499, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 17},	//2926 Plasma::Wallpaper::pluginName() const
    {107, 1118, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 18},	//2927 Plasma::Wallpaper::icon() const
    {107, 1609, 0, 0, Smoke::mf_const|Smoke::mf_property, 19, 19},	//2928 Plasma::Wallpaper::renderingMode() const
    {107, 2282, 89, 1, Smoke::mf_const, 406, 20},	//2929 Plasma::Wallpaper::supportsMimetype(const QString&) const
    {107, 2026, 89, 1, 0, 0, 21},	//2930 Plasma::Wallpaper::setRenderingMode(const QString&)
    {107, 1313, 0, 0, Smoke::mf_const|Smoke::mf_property, 243, 22},	//2931 Plasma::Wallpaper::listRenderingModes() const
    {107, 1179, 0, 0, Smoke::mf_const, 406, 23},	//2932 Plasma::Wallpaper::isInitialized() const
    {107, 749, 0, 0, Smoke::mf_const|Smoke::mf_property, 283, 24},	//2933 Plasma::Wallpaper::boundingRect() const
    {107, 1742, 653, 1, Smoke::mf_property, 0, 25},	//2934 Plasma::Wallpaper::setBoundingRect(const QRectF&)
    {107, 1461, 619, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 26},	//2935 Plasma::Wallpaper::paint(QPainter*, const QRectF&) [pure virtual]
    {107, 1629, 111, 1, 0, 0, 27},	//2936 Plasma::Wallpaper::restore(const KConfigGroup&)
    {107, 1647, 178, 1, Smoke::mf_virtual, 0, 28},	//2937 Plasma::Wallpaper::save(KConfigGroup&)
    {107, 850, 57, 1, Smoke::mf_virtual, 309, 29},	//2938 Plasma::Wallpaper::createConfigurationInterface(QWidget*)
    {107, 1411, 278, 1, Smoke::mf_virtual, 0, 30},	//2939 Plasma::Wallpaper::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {107, 1413, 278, 1, Smoke::mf_virtual, 0, 31},	//2940 Plasma::Wallpaper::mousePressEvent(QGraphicsSceneMouseEvent*)
    {107, 1415, 278, 1, Smoke::mf_virtual, 0, 32},	//2941 Plasma::Wallpaper::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {107, 2429, 398, 1, Smoke::mf_virtual, 0, 33},	//2942 Plasma::Wallpaper::wheelEvent(QGraphicsSceneWheelEvent*)
    {107, 884, 89, 1, Smoke::mf_const, 85, 34},	//2943 Plasma::Wallpaper::dataEngine(const QString&) const
    {107, 790, 0, 0, Smoke::mf_const, 406, 35},	//2944 Plasma::Wallpaper::configurationRequired() const
    {107, 1206, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 36},	//2945 Plasma::Wallpaper::isUsingRenderingCache() const
    {107, 2034, 984, 1, Smoke::mf_property, 0, 37},	//2946 Plasma::Wallpaper::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {107, 1628, 0, 0, Smoke::mf_const|Smoke::mf_property, 175, 38},	//2947 Plasma::Wallpaper::resizeMethodHint() const
    {107, 2114, 603, 1, Smoke::mf_property, 0, 39},	//2948 Plasma::Wallpaper::setTargetSizeHint(const QSizeF&)
    {107, 2310, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 40},	//2949 Plasma::Wallpaper::targetSizeHint() const
    {107, 841, 0, 0, Smoke::mf_const, 255, 41},	//2950 Plasma::Wallpaper::contextualActions() const
    {107, 1189, 0, 0, Smoke::mf_const|Smoke::mf_property, 406, 42},	//2951 Plasma::Wallpaper::isPreviewing() const
    {107, 2012, 7, 1, Smoke::mf_property, 0, 43},	//2952 Plasma::Wallpaper::setPreviewing(bool)
    {107, 1432, 0, 0, Smoke::mf_const, 406, 44},	//2953 Plasma::Wallpaper::needsPreviewDuringConfiguration() const
    {107, 2369, 653, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2954 Plasma::Wallpaper::update(const QRectF&)
    {107, 792, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2955 Plasma::Wallpaper::configureRequested()
    {107, 790, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2956 Plasma::Wallpaper::configurationRequired(bool)
    {107, 786, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2957 Plasma::Wallpaper::configNeedsSaving()
    {107, 1606, 633, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2958 Plasma::Wallpaper::renderCompleted(const QImage&)
    {107, 2389, 119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2959 Plasma::Wallpaper::urlDropped(const KUrl&)
    {107, 1608, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//2960 Plasma::Wallpaper::renderHintsChanged()
    {107, 684, 246, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 52},	//2961 Plasma::Wallpaper::addUrls(const KUrl::List&)
    {107, 584, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 174, 53},	//2962 Plasma::Wallpaper::Wallpaper(QObject*, const QList<QVariant>&)
    {107, 1134, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//2963 Plasma::Wallpaper::init(const KConfigGroup&)
    {107, 1766, 265, 2, Smoke::mf_protected, 0, 55},	//2964 Plasma::Wallpaper::setConfigurationRequired(bool, const QString&)
    {107, 1599, 986, 4, Smoke::mf_protected, 0, 56},	//2965 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {107, 1599, 991, 4, Smoke::mf_protected, 0, 57},	//2966 Plasma::Wallpaper::render(const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {107, 2160, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 58},	//2967 Plasma::Wallpaper::setUsingRenderingCache(bool)
    {107, 1019, 996, 3, Smoke::mf_protected, 406, 59},	//2968 Plasma::Wallpaper::findInCache(const QString&, QImage&, unsigned int)
    {107, 1145, 1000, 2, Smoke::mf_protected, 0, 60},	//2969 Plasma::Wallpaper::insertIntoCache(const QString&, const QImage&)
    {107, 1787, 1003, 1, Smoke::mf_protected, 0, 61},	//2970 Plasma::Wallpaper::setContextualActions(const QList<QAction*>&)
    {107, 2010, 109, 1, Smoke::mf_protected, 0, 62},	//2971 Plasma::Wallpaper::setPreviewDuringConfiguration(const bool)
    {107, 2344, 1, 1, Smoke::mf_static, 293, 63},	//2972 Plasma::Wallpaper::tr(const char*)
    {107, 2348, 1, 1, Smoke::mf_static, 293, 64},	//2973 Plasma::Wallpaper::trUtf8(const char*)
    {107, 584, 0, 0, Smoke::mf_ctor, 174, 65},	//2974 Plasma::Wallpaper::Wallpaper()
    {107, 1319, 0, 0, Smoke::mf_static, 242, 66},	//2975 Plasma::Wallpaper::listWallpaperInfo()
    {107, 1321, 89, 1, Smoke::mf_static, 242, 67},	//2976 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&)
    {107, 1324, 89, 1, Smoke::mf_static, 174, 68},	//2977 Plasma::Wallpaper::load(const QString&)
    {107, 1324, 210, 1, Smoke::mf_static, 174, 69},	//2978 Plasma::Wallpaper::load(const KPluginInfo&)
    {107, 1456, 0, 0, Smoke::mf_static, 22, 70},	//2979 Plasma::Wallpaper::packageStructure()
    {107, 1766, 7, 1, Smoke::mf_protected, 0, 71},	//2980 Plasma::Wallpaper::setConfigurationRequired(bool)
    {107, 1599, 1005, 2, Smoke::mf_protected, 0, 72},	//2981 Plasma::Wallpaper::render(const QString&, const QSize&)
    {107, 1599, 1008, 3, Smoke::mf_protected, 0, 73},	//2982 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {107, 1599, 1012, 2, Smoke::mf_protected, 0, 74},	//2983 Plasma::Wallpaper::render(const QImage&, const QSize&)
    {107, 1599, 1015, 3, Smoke::mf_protected, 0, 75},	//2984 Plasma::Wallpaper::render(const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {107, 1019, 1019, 2, Smoke::mf_protected, 406, 76},	//2985 Plasma::Wallpaper::findInCache(const QString&, QImage&)
    {107, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 77},	//2986 Plasma::Wallpaper::staticMetaObject() const
    {107, 834, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 256, 78},	//2987 Plasma::Wallpaper::contextActions() const
    {107, 1785, 1003, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 79},	//2988 Plasma::Wallpaper::setContextActions(const QList<QAction*>&)
    {107, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 80},	//2989 Plasma::Wallpaper::ScaledResize (enum)
    {107, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 81},	//2990 Plasma::Wallpaper::CenteredResize (enum)
    {107, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 82},	//2991 Plasma::Wallpaper::ScaledAndCroppedResize (enum)
    {107, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 83},	//2992 Plasma::Wallpaper::TiledResize (enum)
    {107, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 84},	//2993 Plasma::Wallpaper::CenterTiledResize (enum)
    {107, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 85},	//2994 Plasma::Wallpaper::MaxpectResize (enum)
    {107, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 86},	//2995 Plasma::Wallpaper::LastResizeMethod (enum)
    {107, 2519, 0, 0, Smoke::mf_dtor, 0, 87 },	//2996 Plasma::Wallpaper::~Wallpaper()
    {108, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//2997 Plasma::WallpaperScript::metaObject() const
    {108, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//2998 Plasma::WallpaperScript::qt_metacast(const char*)
    {108, 2344, 43, 2, Smoke::mf_static, 293, 3},	//2999 Plasma::WallpaperScript::tr(const char*, const char*)
    {108, 2348, 43, 2, Smoke::mf_static, 293, 4},	//3000 Plasma::WallpaperScript::trUtf8(const char*, const char*)
    {108, 2344, 46, 3, Smoke::mf_static, 293, 5},	//3001 Plasma::WallpaperScript::tr(const char*, const char*, int)
    {108, 2348, 46, 3, Smoke::mf_static, 293, 6},	//3002 Plasma::WallpaperScript::trUtf8(const char*, const char*, int)
    {108, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//3003 Plasma::WallpaperScript::qt_metacall(QMetaObject::Call, int, void**)
    {108, 588, 97, 1, Smoke::mf_ctor, 176, 8},	//3004 Plasma::WallpaperScript::WallpaperScript(QObject*)
    {108, 2181, 982, 1, 0, 0, 9},	//3005 Plasma::WallpaperScript::setWallpaper(Plasma::Wallpaper*)
    {108, 2425, 0, 0, Smoke::mf_const, 174, 10},	//3006 Plasma::WallpaperScript::wallpaper() const
    {108, 1139, 111, 1, Smoke::mf_virtual, 0, 11},	//3007 Plasma::WallpaperScript::initWallpaper(const KConfigGroup&)
    {108, 1461, 619, 2, Smoke::mf_virtual, 0, 12},	//3008 Plasma::WallpaperScript::paint(QPainter*, const QRectF&)
    {108, 1647, 178, 1, Smoke::mf_virtual, 0, 13},	//3009 Plasma::WallpaperScript::save(KConfigGroup&)
    {108, 850, 57, 1, Smoke::mf_virtual, 309, 14},	//3010 Plasma::WallpaperScript::createConfigurationInterface(QWidget*)
    {108, 1411, 278, 1, Smoke::mf_virtual, 0, 15},	//3011 Plasma::WallpaperScript::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {108, 1413, 278, 1, Smoke::mf_virtual, 0, 16},	//3012 Plasma::WallpaperScript::mousePressEvent(QGraphicsSceneMouseEvent*)
    {108, 1415, 278, 1, Smoke::mf_virtual, 0, 17},	//3013 Plasma::WallpaperScript::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {108, 2429, 398, 1, Smoke::mf_virtual, 0, 18},	//3014 Plasma::WallpaperScript::wheelEvent(QGraphicsSceneWheelEvent*)
    {108, 2152, 1022, 1, 0, 0, 19},	//3015 Plasma::WallpaperScript::setUrls(const KUrl::List)
    {108, 1367, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 293, 20},	//3016 Plasma::WallpaperScript::mainScript() const
    {108, 1455, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 430, 21},	//3017 Plasma::WallpaperScript::package() const
    {108, 894, 0, 0, Smoke::mf_const|Smoke::mf_protected, 17, 22},	//3018 Plasma::WallpaperScript::description() const
    {108, 1179, 0, 0, Smoke::mf_const|Smoke::mf_protected, 406, 23},	//3019 Plasma::WallpaperScript::isInitialized() const
    {108, 749, 0, 0, Smoke::mf_const|Smoke::mf_protected, 283, 24},	//3020 Plasma::WallpaperScript::boundingRect() const
    {108, 884, 89, 1, Smoke::mf_const|Smoke::mf_protected, 85, 25},	//3021 Plasma::WallpaperScript::dataEngine(const QString&) const
    {108, 2034, 984, 1, Smoke::mf_protected, 0, 26},	//3022 Plasma::WallpaperScript::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {108, 2114, 603, 1, Smoke::mf_protected, 0, 27},	//3023 Plasma::WallpaperScript::setTargetSizeHint(const QSizeF&)
    {108, 1766, 265, 2, Smoke::mf_protected, 0, 28},	//3024 Plasma::WallpaperScript::setConfigurationRequired(bool, const QString&)
    {108, 1599, 986, 4, Smoke::mf_protected, 0, 29},	//3025 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {108, 2160, 7, 1, Smoke::mf_protected, 0, 30},	//3026 Plasma::WallpaperScript::setUsingRenderingCache(bool)
    {108, 1019, 996, 3, Smoke::mf_protected, 406, 31},	//3027 Plasma::WallpaperScript::findInCache(const QString&, QImage&, unsigned int)
    {108, 1145, 1000, 2, Smoke::mf_protected, 0, 32},	//3028 Plasma::WallpaperScript::insertIntoCache(const QString&, const QImage&)
    {108, 1787, 1003, 1, Smoke::mf_protected, 0, 33},	//3029 Plasma::WallpaperScript::setContextualActions(const QList<QAction*>&)
    {108, 2369, 653, 1, Smoke::mf_protected, 0, 34},	//3030 Plasma::WallpaperScript::update(const QRectF&)
    {108, 786, 0, 0, Smoke::mf_protected, 0, 35},	//3031 Plasma::WallpaperScript::configNeedsSaving()
    {108, 1606, 633, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//3032 Plasma::WallpaperScript::renderCompleted(const QImage&)
    {108, 2389, 119, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//3033 Plasma::WallpaperScript::urlDropped(const KUrl&)
    {108, 2344, 1, 1, Smoke::mf_static, 293, 38},	//3034 Plasma::WallpaperScript::tr(const char*)
    {108, 2348, 1, 1, Smoke::mf_static, 293, 39},	//3035 Plasma::WallpaperScript::trUtf8(const char*)
    {108, 588, 0, 0, Smoke::mf_ctor, 176, 40},	//3036 Plasma::WallpaperScript::WallpaperScript()
    {108, 1766, 7, 1, Smoke::mf_protected, 0, 41},	//3037 Plasma::WallpaperScript::setConfigurationRequired(bool)
    {108, 1599, 1005, 2, Smoke::mf_protected, 0, 42},	//3038 Plasma::WallpaperScript::render(const QString&, const QSize&)
    {108, 1599, 1008, 3, Smoke::mf_protected, 0, 43},	//3039 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {108, 1019, 1019, 2, Smoke::mf_protected, 406, 44},	//3040 Plasma::WallpaperScript::findInCache(const QString&, QImage&)
    {108, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 45},	//3041 Plasma::WallpaperScript::staticMetaObject() const
    {108, 2520, 0, 0, Smoke::mf_dtor, 0, 46 },	//3042 Plasma::WallpaperScript::~WallpaperScript()
    {109, 1394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 463, 1},	//3043 Plasma::WebView::metaObject() const
    {109, 1528, 1, 1, Smoke::mf_virtual, 509, 2},	//3044 Plasma::WebView::qt_metacast(const char*)
    {109, 2344, 43, 2, Smoke::mf_static, 293, 3},	//3045 Plasma::WebView::tr(const char*, const char*)
    {109, 2348, 43, 2, Smoke::mf_static, 293, 4},	//3046 Plasma::WebView::trUtf8(const char*, const char*)
    {109, 2344, 46, 3, Smoke::mf_static, 293, 5},	//3047 Plasma::WebView::tr(const char*, const char*, int)
    {109, 2348, 46, 3, Smoke::mf_static, 293, 6},	//3048 Plasma::WebView::trUtf8(const char*, const char*, int)
    {109, 1526, 3, 3, Smoke::mf_virtual, 499, 7},	//3049 Plasma::WebView::qt_metacall(QMetaObject::Call, int, void**)
    {109, 591, 170, 1, Smoke::mf_ctor, 177, 8},	//3050 Plasma::WebView::WebView(QGraphicsItem*)
    {109, 2149, 119, 1, Smoke::mf_property, 0, 9},	//3051 Plasma::WebView::setUrl(const KUrl&)
    {109, 2386, 0, 0, Smoke::mf_const|Smoke::mf_property, 30, 10},	//3052 Plasma::WebView::url() const
    {109, 1893, 1024, 2, 0, 0, 11},	//3053 Plasma::WebView::setHtml(const QByteArray&, const KUrl&)
    {109, 1117, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 12},	//3054 Plasma::WebView::html() const
    {109, 1893, 1027, 2, 0, 0, 13},	//3055 Plasma::WebView::setHtml(const QString&, const KUrl&)
    {109, 1062, 0, 0, Smoke::mf_const, 283, 14},	//3056 Plasma::WebView::geometry() const
    {109, 832, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 15},	//3057 Plasma::WebView::contentsSize() const
    {109, 2047, 384, 1, Smoke::mf_property, 0, 16},	//3058 Plasma::WebView::setScrollPosition(const QPointF&)
    {109, 1675, 0, 0, Smoke::mf_const|Smoke::mf_property, 280, 17},	//3059 Plasma::WebView::scrollPosition() const
    {109, 2418, 0, 0, Smoke::mf_const|Smoke::mf_property, 283, 18},	//3060 Plasma::WebView::viewportGeometry() const
    {109, 2446, 0, 0, Smoke::mf_const, 496, 19},	//3061 Plasma::WebView::zoomFactor() const
    {109, 2197, 644, 1, 0, 0, 20},	//3062 Plasma::WebView::setZoomFactor(const double)
    {109, 1981, 1030, 1, 0, 0, 21},	//3063 Plasma::WebView::setPage(QWebPage*)
    {109, 1459, 0, 0, Smoke::mf_const, 307, 22},	//3064 Plasma::WebView::page() const
    {109, 1366, 0, 0, Smoke::mf_const, 306, 23},	//3065 Plasma::WebView::mainFrame() const
    {109, 1827, 7, 1, Smoke::mf_property, 0, 24},	//3066 Plasma::WebView::setDragToScroll(bool)
    {109, 925, 0, 0, Smoke::mf_property, 406, 25},	//3067 Plasma::WebView::dragToScroll()
    {109, 1868, 653, 1, Smoke::mf_virtual, 0, 26},	//3068 Plasma::WebView::setGeometry(const QRectF&)
    {109, 740, 0, 0, Smoke::mf_slot, 0, 27},	//3069 Plasma::WebView::back()
    {109, 1056, 0, 0, Smoke::mf_slot, 0, 28},	//3070 Plasma::WebView::forward()
    {109, 1559, 0, 0, Smoke::mf_slot, 0, 29},	//3071 Plasma::WebView::reload()
    {109, 2265, 0, 0, Smoke::mf_slot, 0, 30},	//3072 Plasma::WebView::stop()
    {109, 1350, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//3073 Plasma::WebView::loadProgress(int)
    {109, 1342, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//3074 Plasma::WebView::loadFinished(bool)
    {109, 2387, 195, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//3075 Plasma::WebView::urlChanged(const QUrl&)
    {109, 1461, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//3076 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {109, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//3077 Plasma::WebView::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {109, 1115, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//3078 Plasma::WebView::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {109, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//3079 Plasma::WebView::mousePressEvent(QGraphicsSceneMouseEvent*)
    {109, 1409, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//3080 Plasma::WebView::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {109, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//3081 Plasma::WebView::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {109, 839, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//3082 Plasma::WebView::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {109, 2429, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//3083 Plasma::WebView::wheelEvent(QGraphicsSceneWheelEvent*)
    {109, 1241, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//3084 Plasma::WebView::keyPressEvent(QKeyEvent*)
    {109, 1243, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//3085 Plasma::WebView::keyReleaseEvent(QKeyEvent*)
    {109, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//3086 Plasma::WebView::focusInEvent(QFocusEvent*)
    {109, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//3087 Plasma::WebView::focusOutEvent(QFocusEvent*)
    {109, 919, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//3088 Plasma::WebView::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {109, 921, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//3089 Plasma::WebView::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {109, 923, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//3090 Plasma::WebView::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {109, 949, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//3091 Plasma::WebView::dropEvent(QGraphicsSceneDragDropEvent*)
    {109, 1222, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 50},	//3092 Plasma::WebView::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {109, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 51},	//3093 Plasma::WebView::sizeHint(Qt::SizeHint, const QSizeF&) const
    {109, 2344, 1, 1, Smoke::mf_static, 293, 52},	//3094 Plasma::WebView::tr(const char*)
    {109, 2348, 1, 1, Smoke::mf_static, 293, 53},	//3095 Plasma::WebView::trUtf8(const char*)
    {109, 591, 0, 0, Smoke::mf_ctor, 177, 54},	//3096 Plasma::WebView::WebView()
    {109, 1893, 1032, 1, 0, 0, 55},	//3097 Plasma::WebView::setHtml(const QByteArray&)
    {109, 1893, 89, 1, 0, 0, 56},	//3098 Plasma::WebView::setHtml(const QString&)
    {109, 1461, 328, 2, Smoke::mf_protected, 0, 57},	//3099 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {109, 2263, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 462, 58},	//3100 Plasma::WebView::staticMetaObject() const
    {109, 2521, 0, 0, Smoke::mf_dtor, 0, 59 },	//3101 Plasma::WebView::~WebView()
    {110, 995, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3102 QAbstractAnimation::event(QEvent*)
    {110, 2385, 766, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3103 QAbstractAnimation::updateState(QAbstractAnimation::State, QAbstractAnimation::State)
    {110, 2377, 1034, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3104 QAbstractAnimation::updateDirection(QAbstractAnimation::Direction)
    {110, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 4},	//3105 QAbstractAnimation::Forward (enum)
    {110, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 5},	//3106 QAbstractAnimation::Backward (enum)
    {110, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 6},	//3107 QAbstractAnimation::Stopped (enum)
    {110, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 7},	//3108 QAbstractAnimation::Paused (enum)
    {110, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 8},	//3109 QAbstractAnimation::Running (enum)
    {111, 854, 1036, 3, Smoke::mf_const|Smoke::mf_virtual, 309, 0},	//3110 QAbstractItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 1837, 1040, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3111 QAbstractItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {111, 1960, 1043, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3112 QAbstractItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {111, 2378, 1036, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3113 QAbstractItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 954, 1047, 4, Smoke::mf_virtual, 406, 0},	//3114 QAbstractItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {113, 1407, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//3115 QAbstractScrollArea::minimumSizeHint() const
    {132, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3116 QFrame::changeEvent(QEvent*)
    {133, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 1},	//3117 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {133, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 2},	//3118 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {133, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 3},	//3119 QGlobalSpace::Q_STATIC_TYPE (enum)
    {133, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 4},	//3120 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {133, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 5},	//3121 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {133, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 402, 6},	//3122 QGlobalSpace::LicensedXml (enum)
    {133, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 7},	//3123 QGlobalSpace::QtDebugMsg (enum)
    {133, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 8},	//3124 QGlobalSpace::QtWarningMsg (enum)
    {133, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 9},	//3125 QGlobalSpace::QtCriticalMsg (enum)
    {133, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 10},	//3126 QGlobalSpace::QtFatalMsg (enum)
    {133, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 11},	//3127 QGlobalSpace::QtSystemMsg (enum)
    {133, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 12},	//3128 QGlobalSpace::LicensedOpenGL (enum)
    {133, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 396, 13},	//3129 QGlobalSpace::LicensedQt3Support (enum)
    {133, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 14},	//3130 QGlobalSpace::LicensedOpenVG (enum)
    {133, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 15},	//3131 QGlobalSpace::LicensedNetwork (enum)
    {133, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 399, 16},	//3132 QGlobalSpace::LicensedSql (enum)
    {133, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 17},	//3133 QGlobalSpace::KST_KSycocaEntry (enum)
    {133, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 18},	//3134 QGlobalSpace::KST_KService (enum)
    {133, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 19},	//3135 QGlobalSpace::KST_KServiceType (enum)
    {133, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 20},	//3136 QGlobalSpace::KST_KMimeType (enum)
    {133, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 21},	//3137 QGlobalSpace::KST_KFolderMimeType (enum)
    {133, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 22},	//3138 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {133, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 23},	//3139 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {133, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 24},	//3140 QGlobalSpace::KST_KServiceGroup (enum)
    {133, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 25},	//3141 QGlobalSpace::KST_KImageIOFormat (enum)
    {133, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 26},	//3142 QGlobalSpace::KST_KProtocolInfo (enum)
    {133, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 27},	//3143 QGlobalSpace::KST_KServiceSeparator (enum)
    {133, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 28},	//3144 QGlobalSpace::KST_KCustom (enum)
    {133, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 29},	//3145 QGlobalSpace::LicensedCore (enum)
    {133, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 30},	//3146 QGlobalSpace::KST_KServiceFactory (enum)
    {133, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 31},	//3147 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {133, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 32},	//3148 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {133, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 33},	//3149 QGlobalSpace::KST_KImageIO (enum)
    {133, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 34},	//3150 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {133, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 35},	//3151 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {133, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 36},	//3152 QGlobalSpace::KST_CTimeInfo (enum)
    {133, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 400, 37},	//3153 QGlobalSpace::LicensedSvg (enum)
    {133, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 403, 38},	//3154 QGlobalSpace::LicensedXmlPatterns (enum)
    {133, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 39},	//3155 QGlobalSpace::LicensedGui (enum)
    {133, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 40},	//3156 QGlobalSpace::LicensedDeclarative (enum)
    {133, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 41},	//3157 QGlobalSpace::LicensedActiveQt (enum)
    {133, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 42},	//3158 QGlobalSpace::LicensedDBus (enum)
    {133, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 43},	//3159 QGlobalSpace::LicensedTest (enum)
    {133, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 44},	//3160 QGlobalSpace::LicensedScriptTools (enum)
    {133, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 45},	//3161 QGlobalSpace::LicensedQt3SupportLight (enum)
    {133, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 397, 46},	//3162 QGlobalSpace::LicensedScript (enum)
    {133, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 391, 47},	//3163 QGlobalSpace::LicensedMultimedia (enum)
    {133, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 48},	//3164 QGlobalSpace::LicensedHelp (enum)
    {134, 686, 129, 1, Smoke::mf_virtual, 0, 0},	//3165 QGraphicsItem::advance(int)
    {134, 826, 384, 1, Smoke::mf_const|Smoke::mf_virtual, 406, 0},	//3166 QGraphicsItem::contains(const QPointF&) const
    {134, 778, 1052, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 0},	//3167 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {134, 779, 1055, 2, Smoke::mf_const|Smoke::mf_virtual, 406, 0},	//3168 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {134, 1182, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 406, 0},	//3169 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {134, 1441, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//3170 QGraphicsItem::opaqueArea() const
    {134, 1661, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3171 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {134, 839, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3172 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {134, 919, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3173 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {134, 921, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3174 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {134, 923, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3175 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {134, 949, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3176 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {134, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3177 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {134, 1241, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3178 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {134, 1243, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3179 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {134, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3180 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {134, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3181 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {134, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3182 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {134, 1409, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3183 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {134, 2429, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3184 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {134, 1143, 1058, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3185 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {134, 1144, 1060, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 304, 0},	//3186 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {134, 2281, 1062, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3187 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {134, 1853, 1064, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3188 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {134, 1012, 739, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 304, 0},	//3189 QGraphicsItem::extension(const QVariant&) const
    {134, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//3190 QGraphicsItem::ItemPositionChange (enum)
    {134, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//3191 QGraphicsItem::ItemMatrixChange (enum)
    {134, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//3192 QGraphicsItem::ItemVisibleChange (enum)
    {134, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//3193 QGraphicsItem::ItemEnabledChange (enum)
    {134, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//3194 QGraphicsItem::ItemSelectedChange (enum)
    {134, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//3195 QGraphicsItem::ItemParentChange (enum)
    {134, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//3196 QGraphicsItem::ItemChildAddedChange (enum)
    {134, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//3197 QGraphicsItem::ItemChildRemovedChange (enum)
    {134, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//3198 QGraphicsItem::ItemTransformChange (enum)
    {134, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//3199 QGraphicsItem::ItemPositionHasChanged (enum)
    {134, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//3200 QGraphicsItem::ItemTransformHasChanged (enum)
    {134, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//3201 QGraphicsItem::ItemSceneChange (enum)
    {134, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//3202 QGraphicsItem::ItemVisibleHasChanged (enum)
    {134, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//3203 QGraphicsItem::ItemEnabledHasChanged (enum)
    {134, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//3204 QGraphicsItem::ItemSelectedHasChanged (enum)
    {134, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//3205 QGraphicsItem::ItemParentHasChanged (enum)
    {134, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//3206 QGraphicsItem::ItemSceneHasChanged (enum)
    {134, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//3207 QGraphicsItem::ItemCursorChange (enum)
    {134, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//3208 QGraphicsItem::ItemCursorHasChanged (enum)
    {134, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//3209 QGraphicsItem::ItemToolTipChange (enum)
    {134, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//3210 QGraphicsItem::ItemToolTipHasChanged (enum)
    {134, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//3211 QGraphicsItem::ItemFlagsChange (enum)
    {134, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//3212 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {134, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//3213 QGraphicsItem::ItemZValueChange (enum)
    {134, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//3214 QGraphicsItem::ItemZValueHasChanged (enum)
    {134, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//3215 QGraphicsItem::ItemOpacityChange (enum)
    {134, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//3216 QGraphicsItem::ItemOpacityHasChanged (enum)
    {134, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//3217 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {134, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//3218 QGraphicsItem::ItemRotationChange (enum)
    {134, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//3219 QGraphicsItem::ItemRotationHasChanged (enum)
    {134, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//3220 QGraphicsItem::ItemScaleChange (enum)
    {134, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//3221 QGraphicsItem::ItemScaleHasChanged (enum)
    {134, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//3222 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {134, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//3223 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {134, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 60},	//3224 QGraphicsItem::Type (enum)
    {134, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 61},	//3225 QGraphicsItem::UserType (enum)
    {134, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 62},	//3226 QGraphicsItem::UserExtension (enum)
    {136, 1868, 653, 1, Smoke::mf_virtual, 0, 0},	//3227 QGraphicsProxyWidget::setGeometry(const QRectF&)
    {136, 1461, 216, 3, Smoke::mf_virtual, 0, 0},	//3228 QGraphicsProxyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {136, 2353, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 0},	//3229 QGraphicsProxyWidget::type() const
    {136, 1222, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 0},	//3230 QGraphicsProxyWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {136, 995, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3231 QGraphicsProxyWidget::event(QEvent*)
    {136, 997, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3232 QGraphicsProxyWidget::eventFilter(QObject*, QEvent*)
    {136, 2217, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3233 QGraphicsProxyWidget::showEvent(QShowEvent*)
    {136, 1102, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3234 QGraphicsProxyWidget::hideEvent(QHideEvent*)
    {136, 839, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3235 QGraphicsProxyWidget::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {136, 919, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3236 QGraphicsProxyWidget::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {136, 921, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3237 QGraphicsProxyWidget::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {136, 923, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3238 QGraphicsProxyWidget::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {136, 949, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3239 QGraphicsProxyWidget::dropEvent(QGraphicsSceneDragDropEvent*)
    {136, 1111, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3240 QGraphicsProxyWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {136, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3241 QGraphicsProxyWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {136, 1115, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3242 QGraphicsProxyWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {136, 1075, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3243 QGraphicsProxyWidget::grabMouseEvent(QEvent*)
    {136, 2355, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3244 QGraphicsProxyWidget::ungrabMouseEvent(QEvent*)
    {136, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3245 QGraphicsProxyWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {136, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3246 QGraphicsProxyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {136, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3247 QGraphicsProxyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {136, 1409, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3248 QGraphicsProxyWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {136, 2429, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3249 QGraphicsProxyWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {136, 1241, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3250 QGraphicsProxyWidget::keyPressEvent(QKeyEvent*)
    {136, 1243, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3251 QGraphicsProxyWidget::keyReleaseEvent(QKeyEvent*)
    {136, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3252 QGraphicsProxyWidget::focusInEvent(QFocusEvent*)
    {136, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3253 QGraphicsProxyWidget::focusOutEvent(QFocusEvent*)
    {136, 1044, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3254 QGraphicsProxyWidget::focusNextPrevChild(bool)
    {136, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 0},	//3255 QGraphicsProxyWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {136, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3256 QGraphicsProxyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {136, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 31},	//3257 QGraphicsProxyWidget::Type (enum)
    {137, 1144, 1060, 1, Smoke::mf_const|Smoke::mf_virtual, 304, 0},	//3258 QGraphicsScene::inputMethodQuery(Qt::InputMethodQuery) const
    {137, 995, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3259 QGraphicsScene::event(QEvent*)
    {137, 997, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3260 QGraphicsScene::eventFilter(QObject*, QEvent*)
    {137, 839, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3261 QGraphicsScene::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {137, 949, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3262 QGraphicsScene::dropEvent(QGraphicsSceneDragDropEvent*)
    {137, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3263 QGraphicsScene::focusInEvent(QFocusEvent*)
    {137, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3264 QGraphicsScene::focusOutEvent(QFocusEvent*)
    {137, 1098, 1067, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3265 QGraphicsScene::helpEvent(QGraphicsSceneHelpEvent*)
    {137, 1241, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3266 QGraphicsScene::keyPressEvent(QKeyEvent*)
    {137, 1243, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3267 QGraphicsScene::keyReleaseEvent(QKeyEvent*)
    {137, 1413, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3268 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*)
    {137, 1411, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3269 QGraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {137, 1415, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3270 QGraphicsScene::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {137, 1409, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3271 QGraphicsScene::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {137, 2429, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3272 QGraphicsScene::wheelEvent(QGraphicsSceneWheelEvent*)
    {137, 1143, 1058, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3273 QGraphicsScene::inputMethodEvent(QInputMethodEvent*)
    {137, 930, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3274 QGraphicsScene::drawBackground(QPainter*, const QRectF&)
    {137, 932, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3275 QGraphicsScene::drawForeground(QPainter*, const QRectF&)
    {137, 935, 1069, 5, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3276 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*)
    {146, 2238, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//3277 QGraphicsView::sizeHint() const
    {146, 1144, 1060, 1, Smoke::mf_const|Smoke::mf_virtual, 304, 0},	//3278 QGraphicsView::inputMethodQuery(Qt::InputMethodQuery) const
    {146, 995, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3279 QGraphicsView::event(QEvent*)
    {146, 2417, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3280 QGraphicsView::viewportEvent(QEvent*)
    {146, 839, 1075, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3281 QGraphicsView::contextMenuEvent(QContextMenuEvent*)
    {146, 919, 1077, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3282 QGraphicsView::dragEnterEvent(QDragEnterEvent*)
    {146, 921, 1079, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3283 QGraphicsView::dragLeaveEvent(QDragLeaveEvent*)
    {146, 923, 1081, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3284 QGraphicsView::dragMoveEvent(QDragMoveEvent*)
    {146, 949, 1083, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3285 QGraphicsView::dropEvent(QDropEvent*)
    {146, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3286 QGraphicsView::focusInEvent(QFocusEvent*)
    {146, 1044, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3287 QGraphicsView::focusNextPrevChild(bool)
    {146, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3288 QGraphicsView::focusOutEvent(QFocusEvent*)
    {146, 1241, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3289 QGraphicsView::keyPressEvent(QKeyEvent*)
    {146, 1243, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3290 QGraphicsView::keyReleaseEvent(QKeyEvent*)
    {146, 1409, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3291 QGraphicsView::mouseDoubleClickEvent(QMouseEvent*)
    {146, 1413, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3292 QGraphicsView::mousePressEvent(QMouseEvent*)
    {146, 1411, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3293 QGraphicsView::mouseMoveEvent(QMouseEvent*)
    {146, 1415, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3294 QGraphicsView::mouseReleaseEvent(QMouseEvent*)
    {146, 2429, 1085, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3295 QGraphicsView::wheelEvent(QWheelEvent*)
    {146, 1470, 547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3296 QGraphicsView::paintEvent(QPaintEvent*)
    {146, 1624, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3297 QGraphicsView::resizeEvent(QResizeEvent*)
    {146, 1674, 370, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3298 QGraphicsView::scrollContentsBy(int, int)
    {146, 2217, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3299 QGraphicsView::showEvent(QShowEvent*)
    {146, 1143, 1058, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3300 QGraphicsView::inputMethodEvent(QInputMethodEvent*)
    {146, 930, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3301 QGraphicsView::drawBackground(QPainter*, const QRectF&)
    {146, 932, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3302 QGraphicsView::drawForeground(QPainter*, const QRectF&)
    {146, 935, 1087, 4, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3303 QGraphicsView::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*)
    {147, 1868, 653, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//3304 QGraphicsWidget::setGeometry(const QRectF&)
    {147, 1064, 1092, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3305 QGraphicsWidget::getContentsMargins(double*, double*, double*, double*) const
    {147, 2353, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 0},	//3306 QGraphicsWidget::type() const
    {147, 1461, 216, 3, Smoke::mf_virtual, 0, 0},	//3307 QGraphicsWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 1480, 216, 3, Smoke::mf_virtual, 0, 0},	//3308 QGraphicsWidget::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 749, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//3309 QGraphicsWidget::boundingRect() const
    {147, 2201, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//3310 QGraphicsWidget::shape() const
    {147, 1138, 1097, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3311 QGraphicsWidget::initStyleOption(QStyleOption*) const
    {147, 2238, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 0},	//3312 QGraphicsWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {147, 2379, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3313 QGraphicsWidget::updateGeometry()
    {147, 1222, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 0},	//3314 QGraphicsWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {147, 1523, 482, 2, Smoke::mf_protected|Smoke::mf_virtual, 304, 0},	//3315 QGraphicsWidget::propertyChange(const QString&, const QVariant&)
    {147, 1660, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3316 QGraphicsWidget::sceneEvent(QEvent*)
    {147, 2433, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3317 QGraphicsWidget::windowFrameEvent(QEvent*)
    {147, 2434, 384, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 380, 0},	//3318 QGraphicsWidget::windowFrameSectionAt(const QPointF&) const
    {147, 995, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3319 QGraphicsWidget::event(QEvent*)
    {147, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3320 QGraphicsWidget::changeEvent(QEvent*)
    {147, 775, 1099, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3321 QGraphicsWidget::closeEvent(QCloseEvent*)
    {147, 1041, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3322 QGraphicsWidget::focusInEvent(QFocusEvent*)
    {147, 1044, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3323 QGraphicsWidget::focusNextPrevChild(bool)
    {147, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3324 QGraphicsWidget::focusOutEvent(QFocusEvent*)
    {147, 1102, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3325 QGraphicsWidget::hideEvent(QHideEvent*)
    {147, 1417, 577, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3326 QGraphicsWidget::moveEvent(QGraphicsSceneMoveEvent*)
    {147, 1501, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3327 QGraphicsWidget::polishEvent()
    {147, 1624, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3328 QGraphicsWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {147, 2217, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3329 QGraphicsWidget::showEvent(QShowEvent*)
    {147, 1115, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3330 QGraphicsWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {147, 1113, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3331 QGraphicsWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {147, 1075, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3332 QGraphicsWidget::grabMouseEvent(QEvent*)
    {147, 2355, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3333 QGraphicsWidget::ungrabMouseEvent(QEvent*)
    {147, 1074, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3334 QGraphicsWidget::grabKeyboardEvent(QEvent*)
    {147, 2354, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3335 QGraphicsWidget::ungrabKeyboardEvent(QEvent*)
    {147, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 501, 33},	//3336 QGraphicsWidget::Type (enum)
    {163, 995, 331, 1, Smoke::mf_virtual, 406, 0},	//3337 QObject::event(QEvent*)
    {163, 997, 272, 2, Smoke::mf_virtual, 406, 0},	//3338 QObject::eventFilter(QObject*, QEvent*)
    {163, 2329, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3339 QObject::timerEvent(QTimerEvent*)
    {163, 761, 1101, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3340 QObject::childEvent(QChildEvent*)
    {163, 881, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3341 QObject::customEvent(QEvent*)
    {163, 798, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3342 QObject::connectNotify(const char*)
    {163, 910, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3343 QObject::disconnectNotify(const char*)
    {199, 902, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 499, 0},	//3344 QWidget::devType() const
    {199, 2180, 7, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3345 QWidget::setVisible(bool)
    {199, 2238, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 290, 0},	//3346 QWidget::sizeHint() const
    {199, 1407, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 290, 0},	//3347 QWidget::minimumSizeHint() const
    {199, 1097, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 499, 0},	//3348 QWidget::heightForWidth(int) const
    {199, 1469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//3349 QWidget::paintEngine() const
    {199, 1409, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3350 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {199, 2429, 1085, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3351 QWidget::wheelEvent(QWheelEvent*)
    {199, 1243, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3352 QWidget::keyReleaseEvent(QKeyEvent*)
    {199, 1045, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3353 QWidget::focusOutEvent(QFocusEvent*)
    {199, 991, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3354 QWidget::enterEvent(QEvent*)
    {199, 1271, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3355 QWidget::leaveEvent(QEvent*)
    {199, 1417, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3356 QWidget::moveEvent(QMoveEvent*)
    {199, 775, 1099, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3357 QWidget::closeEvent(QCloseEvent*)
    {199, 839, 1075, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3358 QWidget::contextMenuEvent(QContextMenuEvent*)
    {199, 2301, 1103, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3359 QWidget::tabletEvent(QTabletEvent*)
    {199, 606, 1105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3360 QWidget::actionEvent(QActionEvent*)
    {199, 919, 1077, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3361 QWidget::dragEnterEvent(QDragEnterEvent*)
    {199, 923, 1081, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3362 QWidget::dragMoveEvent(QDragMoveEvent*)
    {199, 921, 1079, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3363 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {199, 949, 1083, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3364 QWidget::dropEvent(QDropEvent*)
    {199, 1102, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3365 QWidget::hideEvent(QHideEvent*)
    {199, 2445, 1107, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3366 QWidget::x11Event(_XEvent*)
    {199, 755, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3367 QWidget::changeEvent(QEvent*)
    {199, 1397, 1109, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 499, 0},	//3368 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {199, 1143, 1058, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3369 QWidget::inputMethodEvent(QInputMethodEvent*)
    {199, 1144, 1060, 1, Smoke::mf_const|Smoke::mf_virtual, 304, 0},	//3370 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {199, 1044, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 406, 0},	//3371 QWidget::focusNextPrevChild(bool)
    {199, 2275, 1111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3372 QWidget::styleChange(QStyle&)
    {199, 984, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3373 QWidget::enabledChange(bool)
    {199, 1482, 1113, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3374 QWidget::paletteChange(const QPalette&)
    {199, 1050, 579, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3375 QWidget::fontChange(const QFont&)
    {199, 2432, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3376 QWidget::windowActivationChange(bool)
    {199, 1259, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3377 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2018,  // Plasma::RunnerContext::RunnerContext(QObject*)
    2042,  // Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    0,
    2288,  // Plasma::Service::associateWidget(QWidget*, const QString&)
    2290,  // Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    0,
    2289,  // Plasma::Service::disassociateWidget(QWidget*)
    2291,  // Plasma::Service::disassociateWidget(QGraphicsWidget*)
    0,
    923,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    924,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    0,
    2209,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    2210,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    0,
    1951,  // Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    1952,  // Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    0,
    534,  // Plasma::Applet::Applet(QGraphicsItem*)
    536,  // Plasma::Applet::Applet(const KPluginInfo&)
    0,
    1925,  // Plasma::PushButton::setIcon(const QIcon&)
    1926,  // Plasma::PushButton::setIcon(const KIcon&)
    0,
    213,  // Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    230,  // Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    0,
    2502,  // Plasma::Svg::paint(QPainter*, const QPointF&)
    2504,  // Plasma::Svg::paint(QPainter*, const QRectF&)
    0,
    2475,  // Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    2477,  // Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    0,
    2529,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    2530,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    0,
    2515,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    2531,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    0,
    869,  // Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    870,  // Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    0,
    18,  // Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    25,  // Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    26,  // Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    33,  // Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    0,
    2061,  // Plasma::RunnerManager::RunnerManager(QObject*)
    2098,  // Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    0,
    1066,  // Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    1067,  // Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    0,
    1467,  // Plasma::FrameSvg::hasElementPrefix(const QString&) const
    1468,  // Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    0,
    1477,  // Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    1481,  // Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    0,
    1465,  // Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    1466,  // Plasma::FrameSvg::setElementPrefix(const QString&)
    0,
    2746,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    2747,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    0,
    2754,  // Plasma::ToolTipContent::setImage(const QPixmap&)
    2755,  // Plasma::ToolTipContent::setImage(const QIcon&)
    0,
    986,  // Plasma::Corona::importLayout(const KConfigBase&)
    988,  // Plasma::Corona::importLayout(const KConfigGroup&)
    0,
    1006,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    1007,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    0,
    344,  // Plasma::Animator::create(Plasma::Animator::CurveShape)
    364,  // Plasma::Animator::create(Plasma::Animator::Animation)
    365,  // Plasma::Animator::create(const QString&)
    0,
    342,  // Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    343,  // Plasma::Animator::create(const QString&, QObject*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {29, 12, 108},	// Plasma::AcceptingInputStatus
    {29, 18, 106},	// Plasma::ActiveStatus
    {29, 20, 50},	// Plasma::AlignToHour
    {29, 21, 49},	// Plasma::AlignToMinute
    {29, 24, 100},	// Plasma::AllConstraints
    {29, 36, 115},	// Plasma::AnimatorComponent
    {29, 46, 112},	// Plasma::AppletComponent
    {29, 49, 89},	// Plasma::AppletType
    {29, 58, 123},	// Plasma::BottomEdge
    {29, 59, 52},	// Plasma::BottomMargin
    {29, 60, 85},	// Plasma::BottomPosedLeftAlignedPopup
    {29, 61, 86},	// Plasma::BottomPosedRightAlignedPopup
    {29, 62, 64},	// Plasma::BottomPositioned
    {29, 70, 47},	// Plasma::ButtonCancel
    {29, 73, 46},	// Plasma::ButtonNo
    {29, 74, 43},	// Plasma::ButtonNone
    {29, 75, 44},	// Plasma::ButtonOk
    {29, 77, 45},	// Plasma::ButtonYes
    {29, 82, 65},	// Plasma::CenterPositioned
    {29, 99, 59},	// Plasma::ConstrainedSquare
    {29, 110, 116},	// Plasma::ContainmentComponent
    {29, 113, 98},	// Plasma::ContextConstraint
    {29, 126, 113},	// Plasma::DataEngineComponent
    {29, 139, 120},	// Plasma::Desktop
    {29, 142, 109},	// Plasma::DesktopZoom
    {29, 154, 66},	// Plasma::Down
    {29, 179, 60},	// Plasma::FixedSize
    {29, 182, 119},	// Plasma::Floating
    {29, 183, 80},	// Plasma::FloatingPopup
    {29, 185, 92},	// Plasma::FormFactorConstraint
    {29, 191, 121},	// Plasma::FullScreen
    {29, 196, 118},	// Plasma::GenericComponent
    {29, 200, 110},	// Plasma::GroupZoom
    {29, 208, 41},	// Plasma::Horizontal
    {29, 209, 102},	// Plasma::HorizontalFlip
    {29, 217, 56},	// Plasma::IgnoreAspectRatio
    {29, 220, 96},	// Plasma::ImmutableConstraint
    {29, 224, 55},	// Plasma::InvalidAspectRatioMode
    {29, 225, 72},	// Plasma::InvalidCredentials
    {29, 302, 57},	// Plasma::KeepAspectRatio
    {29, 310, 68},	// Plasma::Left
    {29, 312, 124},	// Plasma::LeftEdge
    {29, 313, 53},	// Plasma::LeftMargin
    {29, 314, 84},	// Plasma::LeftPosedBottomAlignedPopup
    {29, 315, 83},	// Plasma::LeftPosedTopAlignedPopup
    {29, 316, 61},	// Plasma::LeftPositioned
    {29, 338, 90},	// Plasma::LineEditType
    {29, 341, 93},	// Plasma::LocationConstraint
    {29, 346, 40},	// Plasma::MediaCenter
    {29, 356, 77},	// Plasma::Mutable
    {29, 357, 107},	// Plasma::NeedsAttentionStatus
    {29, 360, 48},	// Plasma::NoAlignment
    {29, 362, 70},	// Plasma::NoAnnouncement
    {29, 368, 91},	// Plasma::NoConstraint
    {29, 374, 101},	// Plasma::NoFlip
    {29, 387, 111},	// Plasma::OverviewZoom
    {29, 401, 105},	// Plasma::PassiveStatus
    {29, 410, 39},	// Plasma::Planar
    {29, 417, 99},	// Plasma::PopupConstraint
    {29, 441, 69},	// Plasma::Right
    {29, 443, 125},	// Plasma::RightEdge
    {29, 444, 54},	// Plasma::RightMargin
    {29, 445, 88},	// Plasma::RightPosedBottomAlignedPopup
    {29, 446, 87},	// Plasma::RightPosedTopAlignedPopup
    {29, 447, 62},	// Plasma::RightPositioned
    {29, 451, 114},	// Plasma::RunnerComponent
    {29, 467, 94},	// Plasma::ScreenConstraint
    {29, 490, 95},	// Plasma::SizeConstraint
    {29, 503, 58},	// Plasma::Square
    {29, 505, 97},	// Plasma::StartupCompletedConstraint
    {29, 523, 79},	// Plasma::SystemImmutable
    {29, 544, 122},	// Plasma::TopEdge
    {29, 545, 51},	// Plasma::TopMargin
    {29, 546, 81},	// Plasma::TopPosedLeftAlignedPopup
    {29, 547, 82},	// Plasma::TopPosedRightAlignedPopup
    {29, 548, 63},	// Plasma::TopPositioned
    {29, 553, 75},	// Plasma::TrustedCredentials
    {29, 556, 76},	// Plasma::UltimateCredentials
    {29, 557, 73},	// Plasma::UnknownCredentials
    {29, 558, 104},	// Plasma::UnknownStatus
    {29, 560, 67},	// Plasma::Up
    {29, 563, 78},	// Plasma::UserImmutable
    {29, 567, 74},	// Plasma::ValidCredentials
    {29, 569, 42},	// Plasma::Vertical
    {29, 570, 103},	// Plasma::VerticalFlip
    {29, 587, 117},	// Plasma::WallpaperComponent
    {29, 594, 71},	// Plasma::ZeroconfAnnouncement
    {29, 596, 37},	// Plasma::ZoomIn
    {29, 597, 38},	// Plasma::ZoomOut
    {29, 612, 35},	// Plasma::actionsFromMenu#
    {29, 613, 36},	// Plasma::actionsFromMenu#$
    {29, 614, 34},	// Plasma::actionsFromMenu#$#
    {29, 1187, 24},	// Plasma::isPluginVersionCompatible$
    {29, 1248, 21},	// Plasma::knownLanguages$
    {29, 1356, -43},	// Plasma::loadScriptEngine$#
    {29, 1361, 28},	// Plasma::locationToDirection$
    {29, 1363, 29},	// Plasma::locationToInverseDirection$
    {29, 1458, 20},	// Plasma::packageStructure$$
    {29, 1659, 31},	// Plasma::scalingFactor$
    {29, 2403, 30},	// Plasma::version
    {29, 2404, 19},	// Plasma::versionMajor
    {29, 2405, 27},	// Plasma::versionMinor
    {29, 2406, 22},	// Plasma::versionRelease
    {29, 2407, 23},	// Plasma::versionString
    {29, 2416, 32},	// Plasma::viewFor#
    {30, 1, 137},	// Plasma::AbstractDialogManager::AbstractDialogManager
    {30, 2, 133},	// Plasma::AbstractDialogManager::AbstractDialogManager#
    {30, 1394, 126},	// Plasma::AbstractDialogManager::metaObject
    {30, 1527, 132},	// Plasma::AbstractDialogManager::qt_metacall$$?
    {30, 1529, 127},	// Plasma::AbstractDialogManager::qt_metacast$
    {30, 2214, 134},	// Plasma::AbstractDialogManager::showDialog##
    {30, 2263, 138},	// Plasma::AbstractDialogManager::staticMetaObject
    {30, 2345, 135},	// Plasma::AbstractDialogManager::tr$
    {30, 2346, 128},	// Plasma::AbstractDialogManager::tr$$
    {30, 2347, 130},	// Plasma::AbstractDialogManager::tr$$$
    {30, 2349, 136},	// Plasma::AbstractDialogManager::trUtf8$
    {30, 2350, 129},	// Plasma::AbstractDialogManager::trUtf8$$
    {30, 2351, 131},	// Plasma::AbstractDialogManager::trUtf8$$$
    {30, 2449, 139},	// Plasma::AbstractDialogManager::~AbstractDialogManager
    {31, 3, 193},	// Plasma::AbstractRunner::AbstractRunner
    {31, 4, 194},	// Plasma::AbstractRunner::AbstractRunner#
    {31, 5, 169},	// Plasma::AbstractRunner::AbstractRunner#$
    {31, 6, 171},	// Plasma::AbstractRunner::AbstractRunner#?
    {31, 7, 195},	// Plasma::AbstractRunner::AbstractRunner?
    {31, 8, 170},	// Plasma::AbstractRunner::AbstractRunner?#
    {31, 205, 203},	// Plasma::AbstractRunner::HighPriority
    {31, 206, 204},	// Plasma::AbstractRunner::HighestPriority
    {31, 342, 201},	// Plasma::AbstractRunner::LowPriority
    {31, 343, 200},	// Plasma::AbstractRunner::LowestPriority
    {31, 382, 202},	// Plasma::AbstractRunner::NormalPriority
    {31, 383, 199},	// Plasma::AbstractRunner::NormalSpeed
    {31, 496, 198},	// Plasma::AbstractRunner::SlowSpeed
    {31, 605, 182},	// Plasma::AbstractRunner::action$
    {31, 607, 183},	// Plasma::AbstractRunner::actions
    {31, 609, 178},	// Plasma::AbstractRunner::actionsForMatch#
    {31, 623, 180},	// Plasma::AbstractRunner::addAction$#
    {31, 624, 179},	// Plasma::AbstractRunner::addAction$#$
    {31, 674, 185},	// Plasma::AbstractRunner::addSyntax#
    {31, 745, 163},	// Plasma::AbstractRunner::bigLock
    {31, 763, 184},	// Plasma::AbstractRunner::clearActions
    {31, 783, 173},	// Plasma::AbstractRunner::config
    {31, 863, 150},	// Plasma::AbstractRunner::createRunOptions#
    {31, 885, 188},	// Plasma::AbstractRunner::dataEngine$
    {31, 890, 164},	// Plasma::AbstractRunner::defaultSyntax
    {31, 894, 158},	// Plasma::AbstractRunner::description
    {31, 1094, 149},	// Plasma::AbstractRunner::hasRunOptions
    {31, 1118, 159},	// Plasma::AbstractRunner::icon
    {31, 1120, 157},	// Plasma::AbstractRunner::id
    {31, 1121, 154},	// Plasma::AbstractRunner::ignoredTypes
    {31, 1134, 189},	// Plasma::AbstractRunner::init
    {31, 1181, 165},	// Plasma::AbstractRunner::isMatchingSuspended
    {31, 1380, 147},	// Plasma::AbstractRunner::match#
    {31, 1387, 168},	// Plasma::AbstractRunner::matchingSuspended$
    {31, 1394, 140},	// Plasma::AbstractRunner::metaObject
    {31, 1399, 190},	// Plasma::AbstractRunner::mimeDataForMatch#
    {31, 1429, 156},	// Plasma::AbstractRunner::name
    {31, 1455, 160},	// Plasma::AbstractRunner::package
    {31, 1492, 148},	// Plasma::AbstractRunner::performMatch#
    {31, 1516, 166},	// Plasma::AbstractRunner::prepare
    {31, 1520, 153},	// Plasma::AbstractRunner::priority
    {31, 1527, 146},	// Plasma::AbstractRunner::qt_metacall$$?
    {31, 1529, 141},	// Plasma::AbstractRunner::qt_metacast$
    {31, 1560, 161},	// Plasma::AbstractRunner::reloadConfiguration
    {31, 1571, 181},	// Plasma::AbstractRunner::removeAction$
    {31, 1639, 151},	// Plasma::AbstractRunner::run##
    {31, 1693, 196},	// Plasma::AbstractRunner::serviceQuery$
    {31, 1694, 177},	// Plasma::AbstractRunner::serviceQuery$$
    {31, 1817, 186},	// Plasma::AbstractRunner::setDefaultSyntax#
    {31, 1882, 174},	// Plasma::AbstractRunner::setHasRunOptions$
    {31, 1904, 155},	// Plasma::AbstractRunner::setIgnoredTypes$
    {31, 2015, 176},	// Plasma::AbstractRunner::setPriority$
    {31, 2078, 175},	// Plasma::AbstractRunner::setSpeed$
    {31, 2101, 187},	// Plasma::AbstractRunner::setSyntaxes?
    {31, 2254, 152},	// Plasma::AbstractRunner::speed
    {31, 2263, 197},	// Plasma::AbstractRunner::staticMetaObject
    {31, 2285, 172},	// Plasma::AbstractRunner::suspendMatching$
    {31, 2294, 162},	// Plasma::AbstractRunner::syntaxes
    {31, 2313, 167},	// Plasma::AbstractRunner::teardown
    {31, 2345, 191},	// Plasma::AbstractRunner::tr$
    {31, 2346, 142},	// Plasma::AbstractRunner::tr$$
    {31, 2347, 144},	// Plasma::AbstractRunner::tr$$$
    {31, 2349, 192},	// Plasma::AbstractRunner::trUtf8$
    {31, 2350, 143},	// Plasma::AbstractRunner::trUtf8$$
    {31, 2351, 145},	// Plasma::AbstractRunner::trUtf8$$$
    {31, 2450, 205},	// Plasma::AbstractRunner::~AbstractRunner
    {32, 9, 229},	// Plasma::AbstractToolBox::AbstractToolBox
    {32, 10, -25},	// Plasma::AbstractToolBox::AbstractToolBox#
    {32, 11, 214},	// Plasma::AbstractToolBox::AbstractToolBox#?
    {32, 19, 235},	// Plasma::AbstractToolBox::AddTool
    {32, 98, 236},	// Plasma::AbstractToolBox::ConfigureTool
    {32, 114, 237},	// Plasma::AbstractToolBox::ControlTool
    {32, 143, 239},	// Plasma::AbstractToolBox::DestructiveTool
    {32, 350, 238},	// Plasma::AbstractToolBox::MiscTool
    {32, 564, 240},	// Plasma::AbstractToolBox::UserToolType
    {32, 681, 217},	// Plasma::AbstractToolBox::addTool#
    {32, 810, 226},	// Plasma::AbstractToolBox::containment
    {32, 1197, 219},	// Plasma::AbstractToolBox::isShowing
    {32, 1317, 233},	// Plasma::AbstractToolBox::listToolBoxInfo
    {32, 1318, 216},	// Plasma::AbstractToolBox::listToolBoxInfo$
    {32, 1331, 231},	// Plasma::AbstractToolBox::load$
    {32, 1335, 232},	// Plasma::AbstractToolBox::load$?
    {32, 1336, 215},	// Plasma::AbstractToolBox::load$?#
    {32, 1394, 206},	// Plasma::AbstractToolBox::metaObject
    {32, 1527, 212},	// Plasma::AbstractToolBox::qt_metacall$$?
    {32, 1529, 207},	// Plasma::AbstractToolBox::qt_metacast$
    {32, 1596, 218},	// Plasma::AbstractToolBox::removeTool#
    {32, 1613, 223},	// Plasma::AbstractToolBox::reposition
    {32, 1630, 221},	// Plasma::AbstractToolBox::restore#
    {32, 1648, 222},	// Plasma::AbstractToolBox::save#
    {32, 2066, 220},	// Plasma::AbstractToolBox::setShowing$
    {32, 2263, 234},	// Plasma::AbstractToolBox::staticMetaObject
    {32, 2333, 224},	// Plasma::AbstractToolBox::toggled
    {32, 2345, 227},	// Plasma::AbstractToolBox::tr$
    {32, 2346, 208},	// Plasma::AbstractToolBox::tr$$
    {32, 2347, 210},	// Plasma::AbstractToolBox::tr$$$
    {32, 2349, 228},	// Plasma::AbstractToolBox::trUtf8$
    {32, 2350, 209},	// Plasma::AbstractToolBox::trUtf8$$
    {32, 2351, 211},	// Plasma::AbstractToolBox::trUtf8$$$
    {32, 2422, 225},	// Plasma::AbstractToolBox::visibilityChanged$
    {32, 2451, 241},	// Plasma::AbstractToolBox::~AbstractToolBox
    {33, 14, 254},	// Plasma::AccessAppletJob::AccessAppletJob#
    {33, 15, 250},	// Plasma::AccessAppletJob::AccessAppletJob##
    {33, 711, 249},	// Plasma::AccessAppletJob::applet
    {33, 1394, 242},	// Plasma::AccessAppletJob::metaObject
    {33, 1527, 248},	// Plasma::AccessAppletJob::qt_metacall$$?
    {33, 1529, 243},	// Plasma::AccessAppletJob::qt_metacast$
    {33, 2257, 251},	// Plasma::AccessAppletJob::start
    {33, 2263, 255},	// Plasma::AccessAppletJob::staticMetaObject
    {33, 2345, 252},	// Plasma::AccessAppletJob::tr$
    {33, 2346, 244},	// Plasma::AccessAppletJob::tr$$
    {33, 2347, 246},	// Plasma::AccessAppletJob::tr$$$
    {33, 2349, 253},	// Plasma::AccessAppletJob::trUtf8$
    {33, 2350, 245},	// Plasma::AccessAppletJob::trUtf8$$
    {33, 2351, 247},	// Plasma::AccessAppletJob::trUtf8$$$
    {33, 2452, 256},	// Plasma::AccessAppletJob::~AccessAppletJob
    {34, 603, 265},	// Plasma::AccessManager::accessRemoteApplet#
    {34, 1029, 268},	// Plasma::AccessManager::finished#
    {34, 1394, 257},	// Plasma::AccessManager::metaObject
    {34, 1527, 263},	// Plasma::AccessManager::qt_metacall$$?
    {34, 1529, 258},	// Plasma::AccessManager::qt_metacast$
    {34, 1563, 269},	// Plasma::AccessManager::remoteAppletAnnounced#
    {34, 1565, 270},	// Plasma::AccessManager::remoteAppletUnannounced#
    {34, 1566, 266},	// Plasma::AccessManager::remoteApplets
    {34, 1686, 264},	// Plasma::AccessManager::self
    {34, 2263, 273},	// Plasma::AccessManager::staticMetaObject
    {34, 2280, 267},	// Plasma::AccessManager::supportedProtocols
    {34, 2345, 271},	// Plasma::AccessManager::tr$
    {34, 2346, 259},	// Plasma::AccessManager::tr$$
    {34, 2347, 261},	// Plasma::AccessManager::tr$$$
    {34, 2349, 272},	// Plasma::AccessManager::trUtf8$
    {34, 2350, 260},	// Plasma::AccessManager::trUtf8$$
    {34, 2351, 262},	// Plasma::AccessManager::trUtf8$$$
    {35, 32, 291},	// Plasma::Animation::Animation
    {35, 33, 282},	// Plasma::Animation::Animation#
    {35, 81, 294},	// Plasma::Animation::Center
    {35, 154, 296},	// Plasma::Animation::Down
    {35, 310, 297},	// Plasma::Animation::Left
    {35, 351, 299},	// Plasma::Animation::MoveAny
    {35, 352, 302},	// Plasma::Animation::MoveDown
    {35, 353, 303},	// Plasma::Animation::MoveLeft
    {35, 354, 301},	// Plasma::Animation::MoveRight
    {35, 355, 300},	// Plasma::Animation::MoveUp
    {35, 441, 298},	// Plasma::Animation::Right
    {35, 560, 295},	// Plasma::Animation::Up
    {35, 951, 281},	// Plasma::Animation::duration
    {35, 952, 286},	// Plasma::Animation::easingCurve
    {35, 1394, 274},	// Plasma::Animation::metaObject
    {35, 1527, 280},	// Plasma::Animation::qt_metacall$$?
    {35, 1529, 275},	// Plasma::Animation::qt_metacast$
    {35, 1833, 292},	// Plasma::Animation::setDuration
    {35, 1834, 287},	// Plasma::Animation::setDuration$
    {35, 1836, 285},	// Plasma::Animation::setEasingCurve#
    {35, 2117, 283},	// Plasma::Animation::setTargetWidget#
    {35, 2263, 293},	// Plasma::Animation::staticMetaObject
    {35, 2311, 284},	// Plasma::Animation::targetWidget
    {35, 2345, 289},	// Plasma::Animation::tr$
    {35, 2346, 276},	// Plasma::Animation::tr$$
    {35, 2347, 278},	// Plasma::Animation::tr$$$
    {35, 2349, 290},	// Plasma::Animation::trUtf8$
    {35, 2350, 277},	// Plasma::Animation::trUtf8$$
    {35, 2351, 279},	// Plasma::Animation::trUtf8$$$
    {35, 2375, 288},	// Plasma::Animation::updateCurrentTime$
    {35, 2453, 304},	// Plasma::Animation::~Animation
    {36, 34, 331},	// Plasma::AnimationDriver::AnimationDriver
    {36, 35, 312},	// Plasma::AnimationDriver::AnimationDriver#
    {36, 696, 319},	// Plasma::AnimationDriver::animationCurve$
    {36, 698, 316},	// Plasma::AnimationDriver::animationDuration$
    {36, 702, 313},	// Plasma::AnimationDriver::animationFps$
    {36, 957, 321},	// Plasma::AnimationDriver::elementAnimationCurve$
    {36, 959, 318},	// Plasma::AnimationDriver::elementAnimationDuration$
    {36, 963, 315},	// Plasma::AnimationDriver::elementAnimationFps$
    {36, 965, 322},	// Plasma::AnimationDriver::elementAppear$#
    {36, 969, 323},	// Plasma::AnimationDriver::elementDisappear$#
    {36, 1214, 326},	// Plasma::AnimationDriver::itemActivated$#
    {36, 1219, 324},	// Plasma::AnimationDriver::itemAppear$#
    {36, 1227, 325},	// Plasma::AnimationDriver::itemDisappear$#
    {36, 1237, 327},	// Plasma::AnimationDriver::itemSlideIn$###
    {36, 1239, 328},	// Plasma::AnimationDriver::itemSlideOut$###
    {36, 1394, 305},	// Plasma::AnimationDriver::metaObject
    {36, 1422, 320},	// Plasma::AnimationDriver::movementAnimationCurve$
    {36, 1424, 317},	// Plasma::AnimationDriver::movementAnimationDuration$
    {36, 1426, 314},	// Plasma::AnimationDriver::movementAnimationFps$
    {36, 1527, 311},	// Plasma::AnimationDriver::qt_metacall$$?
    {36, 1529, 306},	// Plasma::AnimationDriver::qt_metacast$
    {36, 2263, 332},	// Plasma::AnimationDriver::staticMetaObject
    {36, 2345, 329},	// Plasma::AnimationDriver::tr$
    {36, 2346, 307},	// Plasma::AnimationDriver::tr$$
    {36, 2347, 309},	// Plasma::AnimationDriver::tr$$$
    {36, 2349, 330},	// Plasma::AnimationDriver::trUtf8$
    {36, 2350, 308},	// Plasma::AnimationDriver::trUtf8$$
    {36, 2351, 310},	// Plasma::AnimationDriver::trUtf8$$$
    {36, 2454, 333},	// Plasma::AnimationDriver::~AnimationDriver
    {37, 16, 369},	// Plasma::Animator::ActivateAnimation
    {37, 37, 367},	// Plasma::Animator::AppearAnimation
    {37, 150, 368},	// Plasma::Animator::DisappearAnimation
    {37, 157, 381},	// Plasma::Animator::EaseInCurve
    {37, 158, 383},	// Plasma::Animator::EaseInOutCurve
    {37, 159, 382},	// Plasma::Animator::EaseOutCurve
    {37, 173, 370},	// Plasma::Animator::FadeAnimation
    {37, 174, 388},	// Plasma::Animator::FastSlideInMovement
    {37, 175, 389},	// Plasma::Animator::FastSlideOutMovement
    {37, 197, 376},	// Plasma::Animator::GeometryAnimation
    {37, 201, 371},	// Plasma::Animator::GrowAnimation
    {37, 308, 380},	// Plasma::Animator::LastAnimation
    {37, 339, 384},	// Plasma::Animator::LinearCurve
    {37, 404, 385},	// Plasma::Animator::PendularCurve
    {37, 408, 378},	// Plasma::Animator::PixmapTransitionAnimation
    {37, 421, 372},	// Plasma::Animator::PulseAnimation
    {37, 448, 373},	// Plasma::Animator::RotationAnimation
    {37, 449, 374},	// Plasma::Animator::RotationStackedAnimation
    {37, 491, 375},	// Plasma::Animator::SlideAnimation
    {37, 492, 386},	// Plasma::Animator::SlideInMovement
    {37, 493, 387},	// Plasma::Animator::SlideOutMovement
    {37, 590, 379},	// Plasma::Animator::WaterAnimation
    {37, 595, 377},	// Plasma::Animator::ZoomAnimation
    {37, 700, 356},	// Plasma::Animator::animationFinished#$
    {37, 846, -75},	// Plasma::Animator::create$
    {37, 847, -79},	// Plasma::Animator::create$#
    {37, 872, 352},	// Plasma::Animator::currentPixmap$
    {37, 877, 348},	// Plasma::Animator::customAnimation$$$#$
    {37, 879, 359},	// Plasma::Animator::customAnimationFinished$
    {37, 961, 358},	// Plasma::Animator::elementAnimationFinished$
    {37, 1163, 353},	// Plasma::Animator::isAnimating
    {37, 1394, 334},	// Plasma::Animator::metaObject
    {37, 1420, 346},	// Plasma::Animator::moveItem#$#
    {37, 1428, 357},	// Plasma::Animator::movementFinished#
    {37, 1527, 340},	// Plasma::Animator::qt_metacall$$?
    {37, 1529, 335},	// Plasma::Animator::qt_metacast$
    {37, 1551, 354},	// Plasma::Animator::registerScrollingManager#
    {37, 1677, 360},	// Plasma::Animator::scrollStateChanged#$$
    {37, 1686, 341},	// Plasma::Animator::self
    {37, 1918, 351},	// Plasma::Animator::setInitialPixmap$#
    {37, 2263, 366},	// Plasma::Animator::staticMetaObject
    {37, 2267, 349},	// Plasma::Animator::stopCustomAnimation$
    {37, 2269, 350},	// Plasma::Animator::stopElementAnimation$
    {37, 2271, 345},	// Plasma::Animator::stopItemAnimation$
    {37, 2273, 347},	// Plasma::Animator::stopItemMovement$
    {37, 2330, 361},	// Plasma::Animator::timerEvent#
    {37, 2345, 362},	// Plasma::Animator::tr$
    {37, 2346, 336},	// Plasma::Animator::tr$$
    {37, 2347, 338},	// Plasma::Animator::tr$$$
    {37, 2349, 363},	// Plasma::Animator::trUtf8$
    {37, 2350, 337},	// Plasma::Animator::trUtf8$$
    {37, 2351, 339},	// Plasma::Animator::trUtf8$$$
    {37, 2366, 355},	// Plasma::Animator::unregisterScrollingManager#
    {38, 38, 533},	// Plasma::Applet::Applet
    {38, 39, -19},	// Plasma::Applet::Applet#
    {38, 40, 537},	// Plasma::Applet::Applet##
    {38, 41, 458},	// Plasma::Applet::Applet##$
    {38, 42, 535},	// Plasma::Applet::Applet#$
    {38, 43, 457},	// Plasma::Applet::Applet#$$
    {38, 44, 459},	// Plasma::Applet::Applet#$$?
    {38, 45, 498},	// Plasma::Applet::Applet#?
    {38, 131, 545},	// Plasma::Applet::DefaultBackground
    {38, 363, 542},	// Plasma::Applet::NoBackground
    {38, 504, 543},	// Plasma::Applet::StandardBackground
    {38, 550, 544},	// Plasma::Applet::TranslucentBackground
    {38, 555, 546},	// Plasma::Applet::Type
    {38, 605, 443},	// Plasma::Applet::action$
    {38, 615, 474},	// Plasma::Applet::activate
    {38, 623, 444},	// Plasma::Applet::addAction$#
    {38, 633, 454},	// Plasma::Applet::addAssociatedWidget#
    {38, 715, 476},	// Plasma::Applet::appletDestroyed#
    {38, 719, 470},	// Plasma::Applet::appletTransformedByUser
    {38, 720, 471},	// Plasma::Applet::appletTransformedItself
    {38, 723, 416},	// Plasma::Applet::aspectRatioMode
    {38, 726, 465},	// Plasma::Applet::associatedApplication
    {38, 727, 466},	// Plasma::Applet::associatedApplicationUrls
    {38, 742, 446},	// Plasma::Applet::backgroundHints
    {38, 752, 435},	// Plasma::Applet::category
    {38, 753, 427},	// Plasma::Applet::category#
    {38, 754, 428},	// Plasma::Applet::category$
    {38, 783, 399},	// Plasma::Applet::config
    {38, 784, 400},	// Plasma::Applet::config$
    {38, 785, 489},	// Plasma::Applet::configChanged
    {38, 786, 473},	// Plasma::Applet::configNeedsSaving
    {38, 787, 404},	// Plasma::Applet::configScheme
    {38, 790, 440},	// Plasma::Applet::configurationRequired
    {38, 806, 504},	// Plasma::Applet::constraintsEvent$
    {38, 810, 450},	// Plasma::Applet::containment
    {38, 833, 415},	// Plasma::Applet::context
    {38, 841, 442},	// Plasma::Applet::contextualActions
    {38, 851, 461},	// Plasma::Applet::createConfigurationInterface#
    {38, 880, 423},	// Plasma::Applet::customCategories
    {38, 885, 405},	// Plasma::Applet::dataEngine$
    {38, 897, 481},	// Plasma::Applet::destroy
    {38, 899, 460},	// Plasma::Applet::destroyed
    {38, 998, 509},	// Plasma::Applet::eventFilter##
    {38, 1009, 508},	// Plasma::Applet::extender
    {38, 1011, 478},	// Plasma::Applet::extenderItemRestored#
    {38, 1038, 487},	// Plasma::Applet::flushPendingConstraintsEvents
    {38, 1042, 512},	// Plasma::Applet::focusInEvent#
    {38, 1048, 431},	// Plasma::Applet::font
    {38, 1055, 413},	// Plasma::Applet::formFactor
    {38, 1063, 469},	// Plasma::Applet::geometryChanged
    {38, 1072, 403},	// Plasma::Applet::globalConfig
    {38, 1073, 452},	// Plasma::Applet::globalShortcut
    {38, 1082, 462},	// Plasma::Applet::hasAuthorization$
    {38, 1083, 441},	// Plasma::Applet::hasConfigurationInterface
    {38, 1088, 438},	// Plasma::Applet::hasFailedToLaunch
    {38, 1096, 467},	// Plasma::Applet::hasValidAssociatedApplication
    {38, 1112, 517},	// Plasma::Applet::hoverEnterEvent#
    {38, 1114, 518},	// Plasma::Applet::hoverLeaveEvent#
    {38, 1118, 434},	// Plasma::Applet::icon
    {38, 1120, 398},	// Plasma::Applet::id
    {38, 1125, 436},	// Plasma::Applet::immutability
    {38, 1127, 479},	// Plasma::Applet::immutabilityChanged$
    {38, 1134, 488},	// Plasma::Applet::init
    {38, 1137, 456},	// Plasma::Applet::initExtenderItem#
    {38, 1165, 439},	// Plasma::Applet::isBusy
    {38, 1171, 447},	// Plasma::Applet::isContainment
    {38, 1188, 453},	// Plasma::Applet::isPopupShowing
    {38, 1190, 496},	// Plasma::Applet::isPublished
    {38, 1193, 507},	// Plasma::Applet::isRegisteredAsDragHandle#
    {38, 1204, 484},	// Plasma::Applet::isUserConfiguring
    {38, 1223, 514},	// Plasma::Applet::itemChange$#
    {38, 1281, 523},	// Plasma::Applet::listAppletInfo
    {38, 1282, 524},	// Plasma::Applet::listAppletInfo$
    {38, 1283, 418},	// Plasma::Applet::listAppletInfo$$
    {38, 1285, 419},	// Plasma::Applet::listAppletInfoForMimetype$
    {38, 1287, 420},	// Plasma::Applet::listAppletInfoForUrl#
    {38, 1290, 525},	// Plasma::Applet::listCategories
    {38, 1291, 526},	// Plasma::Applet::listCategories$
    {38, 1292, 421},	// Plasma::Applet::listCategories$$
    {38, 1325, 531},	// Plasma::Applet::load#
    {38, 1328, 532},	// Plasma::Applet::load#$
    {38, 1329, 426},	// Plasma::Applet::load#$?
    {38, 1331, 529},	// Plasma::Applet::load$
    {38, 1333, 530},	// Plasma::Applet::load$$
    {38, 1334, 425},	// Plasma::Applet::load$$?
    {38, 1347, 527},	// Plasma::Applet::loadPlasmoid$
    {38, 1348, 528},	// Plasma::Applet::loadPlasmoid$$
    {38, 1349, 424},	// Plasma::Applet::loadPlasmoid$$?
    {38, 1357, 414},	// Plasma::Applet::location
    {38, 1365, 486},	// Plasma::Applet::lower
    {38, 1373, 408},	// Plasma::Applet::mapFromView##
    {38, 1375, 409},	// Plasma::Applet::mapToView##
    {38, 1393, 475},	// Plasma::Applet::messageButtonPressed$
    {38, 1394, 390},	// Plasma::Applet::metaObject
    {38, 1412, 511},	// Plasma::Applet::mouseMoveEvent#
    {38, 1429, 430},	// Plasma::Applet::name
    {38, 1435, 477},	// Plasma::Applet::newStatus$
    {38, 1455, 406},	// Plasma::Applet::package
    {38, 1456, 397},	// Plasma::Applet::packageStructure
    {38, 1479, 429},	// Plasma::Applet::paintInterface###
    {38, 1481, 437},	// Plasma::Applet::paintWindowFrame###
    {38, 1499, 432},	// Plasma::Applet::pluginName
    {38, 1508, 410},	// Plasma::Applet::popupPosition#
    {38, 1511, 411},	// Plasma::Applet::popupPosition#$
    {38, 1525, 494},	// Plasma::Applet::publish$$
    {38, 1527, 396},	// Plasma::Applet::qt_metacall$$?
    {38, 1529, 391},	// Plasma::Applet::qt_metacast$
    {38, 1533, 485},	// Plasma::Applet::raise
    {38, 1544, 505},	// Plasma::Applet::registerAsDragHandle#
    {38, 1556, 468},	// Plasma::Applet::releaseVisualFocus
    {38, 1576, 455},	// Plasma::Applet::removeAssociatedWidget#
    {38, 1625, 513},	// Plasma::Applet::resizeEvent#
    {38, 1630, 402},	// Plasma::Applet::restore#
    {38, 1641, 497},	// Plasma::Applet::runAssociatedApplication
    {38, 1648, 401},	// Plasma::Applet::save#
    {38, 1654, 500},	// Plasma::Applet::saveState#
    {38, 1662, 510},	// Plasma::Applet::sceneEventFilter##
    {38, 1673, 448},	// Plasma::Applet::screenRect
    {38, 1717, 417},	// Plasma::Applet::setAspectRatioMode$
    {38, 1719, 463},	// Plasma::Applet::setAssociatedApplication$
    {38, 1721, 464},	// Plasma::Applet::setAssociatedApplicationUrls?
    {38, 1741, 445},	// Plasma::Applet::setBackgroundHints$
    {38, 1745, 490},	// Plasma::Applet::setBusy$
    {38, 1767, 539},	// Plasma::Applet::setConfigurationRequired$
    {38, 1768, 502},	// Plasma::Applet::setConfigurationRequired$$
    {38, 1798, 422},	// Plasma::Applet::setCustomCategories?
    {38, 1855, 538},	// Plasma::Applet::setFailedToLaunch$
    {38, 1856, 499},	// Plasma::Applet::setFailedToLaunch$$
    {38, 1871, 451},	// Plasma::Applet::setGlobalShortcut#
    {38, 1880, 501},	// Plasma::Applet::setHasConfigurationInterface$
    {38, 1912, 480},	// Plasma::Applet::setImmutability$
    {38, 2084, 493},	// Plasma::Applet::setStatus$
    {38, 2201, 515},	// Plasma::Applet::shape
    {38, 2203, 433},	// Plasma::Applet::shouldConserveResources
    {38, 2209, 482},	// Plasma::Applet::showConfigurationInterface
    {38, 2210, 483},	// Plasma::Applet::showConfigurationInterface#
    {38, 2222, 503},	// Plasma::Applet::showMessage#$$
    {38, 2240, 540},	// Plasma::Applet::sizeHint$
    {38, 2241, 516},	// Plasma::Applet::sizeHint$#
    {38, 2243, 472},	// Plasma::Applet::sizeHintChanged$
    {38, 2261, 491},	// Plasma::Applet::startupArguments
    {38, 2263, 541},	// Plasma::Applet::staticMetaObject
    {38, 2264, 492},	// Plasma::Applet::status
    {38, 2330, 519},	// Plasma::Applet::timerEvent#
    {38, 2345, 520},	// Plasma::Applet::tr$
    {38, 2346, 392},	// Plasma::Applet::tr$$
    {38, 2347, 394},	// Plasma::Applet::tr$$$
    {38, 2349, 521},	// Plasma::Applet::trUtf8$
    {38, 2350, 393},	// Plasma::Applet::trUtf8$$
    {38, 2351, 395},	// Plasma::Applet::trUtf8$$$
    {38, 2353, 449},	// Plasma::Applet::type
    {38, 2362, 495},	// Plasma::Applet::unpublish
    {38, 2364, 506},	// Plasma::Applet::unregisterAsDragHandle#
    {38, 2372, 522},	// Plasma::Applet::updateConstraints
    {38, 2373, 412},	// Plasma::Applet::updateConstraints$
    {38, 2414, 407},	// Plasma::Applet::view
    {38, 2455, 547},	// Plasma::Applet::~Applet
    {39, 47, 589},	// Plasma::AppletScript::AppletScript
    {39, 48, 555},	// Plasma::AppletScript::AppletScript#
    {39, 672, 581},	// Plasma::AppletScript::addStandardConfigurationPages#
    {39, 711, 557},	// Plasma::AppletScript::applet
    {39, 785, 575},	// Plasma::AppletScript::configChanged
    {39, 786, 566},	// Plasma::AppletScript::configNeedsSaving
    {39, 806, 560},	// Plasma::AppletScript::constraintsEvent$
    {39, 824, 570},	// Plasma::AppletScript::containmentType
    {39, 841, 561},	// Plasma::AppletScript::contextualActions
    {39, 885, 576},	// Plasma::AppletScript::dataEngine$
    {39, 894, 579},	// Plasma::AppletScript::description
    {39, 946, 568},	// Plasma::AppletScript::drawWallpaper
    {39, 1009, 567},	// Plasma::AppletScript::extender
    {39, 1193, 585},	// Plasma::AppletScript::isRegisteredAsDragHandle#
    {39, 1338, 586},	// Plasma::AppletScript::loadAnimationFromPackage$#
    {39, 1367, 577},	// Plasma::AppletScript::mainScript
    {39, 1394, 548},	// Plasma::AppletScript::metaObject
    {39, 1455, 578},	// Plasma::AppletScript::package
    {39, 1479, 558},	// Plasma::AppletScript::paintInterface###
    {39, 1504, 573},	// Plasma::AppletScript::popupEvent$
    {39, 1527, 554},	// Plasma::AppletScript::qt_metacall$$?
    {39, 1529, 549},	// Plasma::AppletScript::qt_metacast$
    {39, 1544, 583},	// Plasma::AppletScript::registerAsDragHandle#
    {39, 1654, 572},	// Plasma::AppletScript::saveState#
    {39, 1711, 556},	// Plasma::AppletScript::setApplet#
    {39, 1767, 590},	// Plasma::AppletScript::setConfigurationRequired$
    {39, 1768, 564},	// Plasma::AppletScript::setConfigurationRequired$$
    {39, 1776, 571},	// Plasma::AppletScript::setContainmentType$
    {39, 1832, 569},	// Plasma::AppletScript::setDrawWallpaper$
    {39, 1855, 591},	// Plasma::AppletScript::setFailedToLaunch$
    {39, 1856, 565},	// Plasma::AppletScript::setFailedToLaunch$$
    {39, 1880, 563},	// Plasma::AppletScript::setHasConfigurationInterface$
    {39, 2201, 562},	// Plasma::AppletScript::shape
    {39, 2209, 574},	// Plasma::AppletScript::showConfigurationInterface
    {39, 2222, 582},	// Plasma::AppletScript::showMessage#$$
    {39, 2234, 559},	// Plasma::AppletScript::size
    {39, 2256, 580},	// Plasma::AppletScript::standardConfigurationDialog
    {39, 2263, 592},	// Plasma::AppletScript::staticMetaObject
    {39, 2345, 587},	// Plasma::AppletScript::tr$
    {39, 2346, 550},	// Plasma::AppletScript::tr$$
    {39, 2347, 552},	// Plasma::AppletScript::tr$$$
    {39, 2349, 588},	// Plasma::AppletScript::trUtf8$
    {39, 2350, 551},	// Plasma::AppletScript::trUtf8$$
    {39, 2351, 553},	// Plasma::AppletScript::trUtf8$$$
    {39, 2364, 584},	// Plasma::AppletScript::unregisterAsDragHandle#
    {39, 2456, 593},	// Plasma::AppletScript::~AppletScript
    {40, 50, 596},	// Plasma::AuthorizationInterface::AuthorizationInterface
    {40, 51, 597},	// Plasma::AuthorizationInterface::AuthorizationInterface#
    {40, 732, 594},	// Plasma::AuthorizationInterface::authorizationRequest#
    {40, 774, 595},	// Plasma::AuthorizationInterface::clientPinRequest#
    {40, 2457, 598},	// Plasma::AuthorizationInterface::~AuthorizationInterface
    {41, 118, 616},	// Plasma::AuthorizationManager::Custom
    {41, 138, 613},	// Plasma::AuthorizationManager::DenyAll
    {41, 406, 615},	// Plasma::AuthorizationManager::PinPairing
    {41, 554, 614},	// Plasma::AuthorizationManager::TrustedOnly
    {41, 1394, 599},	// Plasma::AuthorizationManager::metaObject
    {41, 1527, 605},	// Plasma::AuthorizationManager::qt_metacall$$?
    {41, 1529, 600},	// Plasma::AuthorizationManager::qt_metacast$
    {41, 1538, 609},	// Plasma::AuthorizationManager::readyForRemoteAccess
    {41, 1686, 606},	// Plasma::AuthorizationManager::self
    {41, 1725, 608},	// Plasma::AuthorizationManager::setAuthorizationInterface#
    {41, 1727, 607},	// Plasma::AuthorizationManager::setAuthorizationPolicy$
    {41, 2263, 612},	// Plasma::AuthorizationManager::staticMetaObject
    {41, 2345, 610},	// Plasma::AuthorizationManager::tr$
    {41, 2346, 601},	// Plasma::AuthorizationManager::tr$$
    {41, 2347, 603},	// Plasma::AuthorizationManager::tr$$$
    {41, 2349, 611},	// Plasma::AuthorizationManager::trUtf8$
    {41, 2350, 602},	// Plasma::AuthorizationManager::trUtf8$$
    {41, 2351, 604},	// Plasma::AuthorizationManager::trUtf8$$$
    {42, 26, 645},	// Plasma::AuthorizationRule::AllServices
    {42, 27, 644},	// Plasma::AuthorizationRule::AllUsers
    {42, 28, 639},	// Plasma::AuthorizationRule::Allow
    {42, 130, 643},	// Plasma::AuthorizationRule::Default
    {42, 137, 638},	// Plasma::AuthorizationRule::Deny
    {42, 405, 642},	// Plasma::AuthorizationRule::Persistent
    {42, 407, 640},	// Plasma::AuthorizationRule::PinRequired
    {42, 549, 641},	// Plasma::AuthorizationRule::Transient
    {42, 758, 634},	// Plasma::AuthorizationRule::changed#
    {42, 894, 624},	// Plasma::AuthorizationRule::description
    {42, 1394, 617},	// Plasma::AuthorizationRule::metaObject
    {42, 1493, 628},	// Plasma::AuthorizationRule::persistence
    {42, 1494, 632},	// Plasma::AuthorizationRule::pin
    {42, 1500, 626},	// Plasma::AuthorizationRule::policy
    {42, 1527, 623},	// Plasma::AuthorizationRule::qt_metacall$$?
    {42, 1529, 618},	// Plasma::AuthorizationRule::qt_metacast$
    {42, 1690, 633},	// Plasma::AuthorizationRule::serviceName
    {42, 1990, 627},	// Plasma::AuthorizationRule::setPersistence$
    {42, 1992, 631},	// Plasma::AuthorizationRule::setPin$
    {42, 1996, 625},	// Plasma::AuthorizationRule::setPolicy$
    {42, 2119, 629},	// Plasma::AuthorizationRule::setTargets$
    {42, 2263, 637},	// Plasma::AuthorizationRule::staticMetaObject
    {42, 2312, 630},	// Plasma::AuthorizationRule::targets
    {42, 2345, 635},	// Plasma::AuthorizationRule::tr$
    {42, 2346, 619},	// Plasma::AuthorizationRule::tr$$
    {42, 2347, 621},	// Plasma::AuthorizationRule::tr$$$
    {42, 2349, 636},	// Plasma::AuthorizationRule::trUtf8$
    {42, 2350, 620},	// Plasma::AuthorizationRule::trUtf8$$
    {42, 2351, 622},	// Plasma::AuthorizationRule::trUtf8$$$
    {42, 2458, 646},	// Plasma::AuthorizationRule::~AuthorizationRule
    {43, 67, 669},	// Plasma::BusyWidget::BusyWidget
    {43, 68, 654},	// Plasma::BusyWidget::BusyWidget#
    {43, 771, 659},	// Plasma::BusyWidget::clicked
    {43, 1103, 662},	// Plasma::BusyWidget::hideEvent#
    {43, 1196, 656},	// Plasma::BusyWidget::isRunning
    {43, 1249, 658},	// Plasma::BusyWidget::label
    {43, 1394, 647},	// Plasma::BusyWidget::metaObject
    {43, 1414, 664},	// Plasma::BusyWidget::mousePressEvent#
    {43, 1416, 665},	// Plasma::BusyWidget::mouseReleaseEvent#
    {43, 1462, 670},	// Plasma::BusyWidget::paint##
    {43, 1463, 660},	// Plasma::BusyWidget::paint###
    {43, 1527, 653},	// Plasma::BusyWidget::qt_metacall$$?
    {43, 1529, 648},	// Plasma::BusyWidget::qt_metacast$
    {43, 1625, 663},	// Plasma::BusyWidget::resizeEvent#
    {43, 1924, 657},	// Plasma::BusyWidget::setLabel$
    {43, 2041, 655},	// Plasma::BusyWidget::setRunning$
    {43, 2218, 661},	// Plasma::BusyWidget::showEvent#
    {43, 2263, 671},	// Plasma::BusyWidget::staticMetaObject
    {43, 2330, 666},	// Plasma::BusyWidget::timerEvent#
    {43, 2345, 667},	// Plasma::BusyWidget::tr$
    {43, 2346, 649},	// Plasma::BusyWidget::tr$$
    {43, 2347, 651},	// Plasma::BusyWidget::tr$$$
    {43, 2349, 668},	// Plasma::BusyWidget::trUtf8$
    {43, 2350, 650},	// Plasma::BusyWidget::trUtf8$$
    {43, 2351, 652},	// Plasma::BusyWidget::trUtf8$$$
    {43, 2459, 672},	// Plasma::BusyWidget::~BusyWidget
    {44, 85, 695},	// Plasma::CheckBox::CheckBox
    {44, 86, 680},	// Plasma::CheckBox::CheckBox#
    {44, 756, 692},	// Plasma::CheckBox::changeEvent#
    {44, 1122, 684},	// Plasma::CheckBox::image
    {44, 1167, 689},	// Plasma::CheckBox::isChecked
    {44, 1394, 673},	// Plasma::CheckBox::metaObject
    {44, 1431, 687},	// Plasma::CheckBox::nativeWidget
    {44, 1527, 679},	// Plasma::CheckBox::qt_metacall$$?
    {44, 1529, 674},	// Plasma::CheckBox::qt_metacast$
    {44, 1625, 691},	// Plasma::CheckBox::resizeEvent#
    {44, 1755, 688},	// Plasma::CheckBox::setChecked$
    {44, 1907, 683},	// Plasma::CheckBox::setImage$
    {44, 2089, 685},	// Plasma::CheckBox::setStyleSheet$
    {44, 2121, 681},	// Plasma::CheckBox::setText$
    {44, 2263, 696},	// Plasma::CheckBox::staticMetaObject
    {44, 2276, 686},	// Plasma::CheckBox::styleSheet
    {44, 2314, 682},	// Plasma::CheckBox::text
    {44, 2334, 690},	// Plasma::CheckBox::toggled$
    {44, 2345, 693},	// Plasma::CheckBox::tr$
    {44, 2346, 675},	// Plasma::CheckBox::tr$$
    {44, 2347, 677},	// Plasma::CheckBox::tr$$$
    {44, 2349, 694},	// Plasma::CheckBox::trUtf8$
    {44, 2350, 676},	// Plasma::CheckBox::trUtf8$$
    {44, 2351, 678},	// Plasma::CheckBox::trUtf8$$$
    {44, 2460, 697},	// Plasma::CheckBox::~CheckBox
    {45, 758, 708},	// Plasma::ClientPinRequest::changed#
    {45, 894, 705},	// Plasma::ClientPinRequest::description
    {45, 1394, 698},	// Plasma::ClientPinRequest::metaObject
    {45, 1494, 707},	// Plasma::ClientPinRequest::pin
    {45, 1527, 704},	// Plasma::ClientPinRequest::qt_metacall$$?
    {45, 1529, 699},	// Plasma::ClientPinRequest::qt_metacast$
    {45, 1992, 706},	// Plasma::ClientPinRequest::setPin$
    {45, 2263, 711},	// Plasma::ClientPinRequest::staticMetaObject
    {45, 2345, 709},	// Plasma::ClientPinRequest::tr$
    {45, 2346, 700},	// Plasma::ClientPinRequest::tr$$
    {45, 2347, 702},	// Plasma::ClientPinRequest::tr$$$
    {45, 2349, 710},	// Plasma::ClientPinRequest::trUtf8$
    {45, 2350, 701},	// Plasma::ClientPinRequest::trUtf8$$
    {45, 2351, 703},	// Plasma::ClientPinRequest::trUtf8$$$
    {46, 88, 743},	// Plasma::ComboBox::ComboBox
    {46, 89, 719},	// Plasma::ComboBox::ComboBox#
    {46, 617, 730},	// Plasma::ComboBox::activated$
    {46, 649, 725},	// Plasma::ComboBox::addItem$
    {46, 756, 739},	// Plasma::ComboBox::changeEvent#
    {46, 762, 729},	// Plasma::ComboBox::clear
    {46, 844, 726},	// Plasma::ComboBox::count
    {46, 868, 727},	// Plasma::ComboBox::currentIndex
    {46, 870, 732},	// Plasma::ComboBox::currentIndexChanged$
    {46, 1042, 735},	// Plasma::ComboBox::focusInEvent#
    {46, 1046, 736},	// Plasma::ComboBox::focusOutEvent#
    {46, 1112, 737},	// Plasma::ComboBox::hoverEnterEvent#
    {46, 1114, 738},	// Plasma::ComboBox::hoverLeaveEvent#
    {46, 1394, 712},	// Plasma::ComboBox::metaObject
    {46, 1414, 740},	// Plasma::ComboBox::mousePressEvent#
    {46, 1431, 724},	// Plasma::ComboBox::nativeWidget
    {46, 1463, 734},	// Plasma::ComboBox::paint###
    {46, 1527, 718},	// Plasma::ComboBox::qt_metacall$$?
    {46, 1529, 713},	// Plasma::ComboBox::qt_metacast$
    {46, 1625, 733},	// Plasma::ComboBox::resizeEvent#
    {46, 1796, 728},	// Plasma::ComboBox::setCurrentIndex$
    {46, 1964, 723},	// Plasma::ComboBox::setNativeWidget#
    {46, 2089, 721},	// Plasma::ComboBox::setStyleSheet$
    {46, 2263, 744},	// Plasma::ComboBox::staticMetaObject
    {46, 2276, 722},	// Plasma::ComboBox::styleSheet
    {46, 2314, 720},	// Plasma::ComboBox::text
    {46, 2317, 731},	// Plasma::ComboBox::textChanged$
    {46, 2345, 741},	// Plasma::ComboBox::tr$
    {46, 2346, 714},	// Plasma::ComboBox::tr$$
    {46, 2347, 716},	// Plasma::ComboBox::tr$$$
    {46, 2349, 742},	// Plasma::ComboBox::trUtf8$
    {46, 2350, 715},	// Plasma::ComboBox::trUtf8$$
    {46, 2351, 717},	// Plasma::ComboBox::trUtf8$$$
    {46, 2461, 745},	// Plasma::ComboBox::~ComboBox
    {47, 92, 757},	// Plasma::ConfigLoader::ConfigLoader##
    {47, 93, 748},	// Plasma::ConfigLoader::ConfigLoader###
    {47, 94, 755},	// Plasma::ConfigLoader::ConfigLoader$#
    {47, 95, 746},	// Plasma::ConfigLoader::ConfigLoader$##
    {47, 96, 756},	// Plasma::ConfigLoader::ConfigLoader?#
    {47, 97, 747},	// Plasma::ConfigLoader::ConfigLoader?##
    {47, 1025, 749},	// Plasma::ConfigLoader::findItem$$
    {47, 1027, 750},	// Plasma::ConfigLoader::findItemByName$
    {47, 1079, 753},	// Plasma::ConfigLoader::groupList
    {47, 1090, 752},	// Plasma::ConfigLoader::hasGroup$
    {47, 1522, 751},	// Plasma::ConfigLoader::property$
    {47, 2399, 754},	// Plasma::ConfigLoader::usrWriteConfig
    {47, 2462, 758},	// Plasma::ConfigLoader::~ConfigLoader
    {48, 100, 848},	// Plasma::Containment::Containment
    {48, 101, 849},	// Plasma::Containment::Containment#
    {48, 102, 850},	// Plasma::Containment::Containment#$
    {48, 103, 766},	// Plasma::Containment::Containment#$$
    {48, 104, 767},	// Plasma::Containment::Containment#?
    {48, 119, 865},	// Plasma::Containment::CustomContainment
    {48, 120, 866},	// Plasma::Containment::CustomPanelContainment
    {48, 140, 863},	// Plasma::Containment::DesktopContainment
    {48, 369, 862},	// Plasma::Containment::NoContainmentType
    {48, 399, 864},	// Plasma::Containment::PanelContainment
    {48, 618, 799},	// Plasma::Containment::activity
    {48, 626, 857},	// Plasma::Containment::addApplet#
    {48, 627, 858},	// Plasma::Containment::addApplet##
    {48, 628, 776},	// Plasma::Containment::addApplet##$
    {48, 629, 855},	// Plasma::Containment::addApplet$
    {48, 630, 856},	// Plasma::Containment::addApplet$?
    {48, 631, 775},	// Plasma::Containment::addApplet$?#
    {48, 633, 793},	// Plasma::Containment::addAssociatedWidget#
    {48, 667, 819},	// Plasma::Containment::addSiblingContainment
    {48, 668, 812},	// Plasma::Containment::addSiblingContainment#
    {48, 683, 787},	// Plasma::Containment::addToolBoxAction#
    {48, 713, 807},	// Plasma::Containment::appletAdded##
    {48, 718, 808},	// Plasma::Containment::appletRemoved#
    {48, 721, 777},	// Plasma::Containment::applets
    {48, 764, 778},	// Plasma::Containment::clearApplets
    {48, 776, 792},	// Plasma::Containment::closeToolBox
    {48, 785, 825},	// Plasma::Containment::configChanged
    {48, 793, 815},	// Plasma::Containment::configureRequested#
    {48, 812, 805},	// Plasma::Containment::containmentActions$
    {48, 813, 806},	// Plasma::Containment::containmentActionsConfig
    {48, 816, 804},	// Plasma::Containment::containmentActionsTriggers
    {48, 824, 769},	// Plasma::Containment::containmentType
    {48, 833, 800},	// Plasma::Containment::context
    {48, 836, 816},	// Plasma::Containment::contextChanged#
    {48, 840, 833},	// Plasma::Containment::contextMenuEvent#
    {48, 843, 770},	// Plasma::Containment::corona
    {48, 895, 782},	// Plasma::Containment::desktop
    {48, 897, 822},	// Plasma::Containment::destroy
    {48, 898, 823},	// Plasma::Containment::destroy$
    {48, 920, 838},	// Plasma::Containment::dragEnterEvent#
    {48, 922, 839},	// Plasma::Containment::dragLeaveEvent#
    {48, 924, 840},	// Plasma::Containment::dragMoveEvent#
    {48, 946, 795},	// Plasma::Containment::drawWallpaper
    {48, 950, 841},	// Plasma::Containment::dropEvent#
    {48, 980, 786},	// Plasma::Containment::enableAction$$
    {48, 1043, 820},	// Plasma::Containment::focusNextApplet
    {48, 1047, 821},	// Plasma::Containment::focusPreviousApplet
    {48, 1134, 768},	// Plasma::Containment::init
    {48, 1202, 790},	// Plasma::Containment::isToolBoxOpen
    {48, 1223, 837},	// Plasma::Containment::itemChange$#
    {48, 1242, 834},	// Plasma::Containment::keyPressEvent#
    {48, 1260, 783},	// Plasma::Containment::lastDesktop
    {48, 1262, 781},	// Plasma::Containment::lastScreen
    {48, 1294, 773},	// Plasma::Containment::listContainmentTypes
    {48, 1295, 851},	// Plasma::Containment::listContainments
    {48, 1296, 852},	// Plasma::Containment::listContainments$
    {48, 1297, 771},	// Plasma::Containment::listContainments$$
    {48, 1299, 774},	// Plasma::Containment::listContainmentsForMimetype$
    {48, 1301, 853},	// Plasma::Containment::listContainmentsOfType$
    {48, 1302, 854},	// Plasma::Containment::listContainmentsOfType$$
    {48, 1303, 772},	// Plasma::Containment::listContainmentsOfType$$$
    {48, 1394, 759},	// Plasma::Containment::metaObject
    {48, 1412, 830},	// Plasma::Containment::mouseMoveEvent#
    {48, 1414, 831},	// Plasma::Containment::mousePressEvent#
    {48, 1416, 832},	// Plasma::Containment::mouseReleaseEvent#
    {48, 1442, 791},	// Plasma::Containment::openToolBox
    {48, 1527, 765},	// Plasma::Containment::qt_metacall$$?
    {48, 1529, 760},	// Plasma::Containment::qt_metacast$
    {48, 1576, 794},	// Plasma::Containment::removeAssociatedWidget#
    {48, 1598, 788},	// Plasma::Containment::removeToolBoxAction#
    {48, 1625, 842},	// Plasma::Containment::resizeEvent#
    {48, 1630, 785},	// Plasma::Containment::restore#
    {48, 1632, 829},	// Plasma::Containment::restoreContents#
    {48, 1648, 784},	// Plasma::Containment::save#
    {48, 1650, 828},	// Plasma::Containment::saveContents#
    {48, 1662, 836},	// Plasma::Containment::sceneEventFilter##
    {48, 1666, 780},	// Plasma::Containment::screen
    {48, 1668, 814},	// Plasma::Containment::screenChanged$$#
    {48, 1701, 798},	// Plasma::Containment::setActivity$
    {48, 1772, 803},	// Plasma::Containment::setContainmentActions$$
    {48, 1776, 826},	// Plasma::Containment::setContainmentType$
    {48, 1832, 827},	// Plasma::Containment::setDrawWallpaper$
    {48, 1865, 818},	// Plasma::Containment::setFormFactor$
    {48, 1937, 817},	// Plasma::Containment::setLocation$
    {48, 2045, 859},	// Plasma::Containment::setScreen$
    {48, 2046, 779},	// Plasma::Containment::setScreen$$
    {48, 2137, 844},	// Plasma::Containment::setToolBox#
    {48, 2139, 789},	// Plasma::Containment::setToolBoxOpen$
    {48, 2183, 860},	// Plasma::Containment::setWallpaper$
    {48, 2184, 796},	// Plasma::Containment::setWallpaper$$
    {48, 2207, 813},	// Plasma::Containment::showAddWidgetsInterface#
    {48, 2209, 824},	// Plasma::Containment::showConfigurationInterface
    {48, 2212, 801},	// Plasma::Containment::showContextMenu##
    {48, 2216, 802},	// Plasma::Containment::showDropZone#
    {48, 2263, 861},	// Plasma::Containment::staticMetaObject
    {48, 2335, 845},	// Plasma::Containment::toolBox
    {48, 2336, 843},	// Plasma::Containment::toolBoxItem
    {48, 2337, 810},	// Plasma::Containment::toolBoxToggled
    {48, 2339, 811},	// Plasma::Containment::toolBoxVisibilityChanged$
    {48, 2345, 846},	// Plasma::Containment::tr$
    {48, 2346, 761},	// Plasma::Containment::tr$$
    {48, 2347, 763},	// Plasma::Containment::tr$$$
    {48, 2349, 847},	// Plasma::Containment::trUtf8$
    {48, 2350, 762},	// Plasma::Containment::trUtf8$$
    {48, 2351, 764},	// Plasma::Containment::trUtf8$$$
    {48, 2425, 797},	// Plasma::Containment::wallpaper
    {48, 2430, 835},	// Plasma::Containment::wheelEvent#
    {48, 2448, 809},	// Plasma::Containment::zoomRequested#$
    {48, 2463, 867},	// Plasma::Containment::~Containment
    {49, 508, 868},	// Plasma::Containment::StyleOption::StyleOption
    {49, 509, -40},	// Plasma::Containment::StyleOption::StyleOption#
    {49, 555, 873},	// Plasma::Containment::StyleOption::Type
    {49, 568, 874},	// Plasma::Containment::StyleOption::Version
    {49, 2179, 872},	// Plasma::Containment::StyleOption::setView#
    {49, 2414, 871},	// Plasma::Containment::StyleOption::view
    {49, 2507, 875},	// Plasma::Containment::StyleOption::~StyleOption
    {50, 105, 911},	// Plasma::ContainmentActions::ContainmentActions
    {50, 106, 883},	// Plasma::ContainmentActions::ContainmentActions#
    {50, 107, 904},	// Plasma::ContainmentActions::ContainmentActions#?
    {50, 789, 895},	// Plasma::ContainmentActions::configurationAccepted
    {50, 790, 899},	// Plasma::ContainmentActions::configurationRequired
    {50, 810, 907},	// Plasma::ContainmentActions::containment
    {50, 838, 896},	// Plasma::ContainmentActions::contextEvent#
    {50, 841, 897},	// Plasma::ContainmentActions::contextualActions
    {50, 851, 894},	// Plasma::ContainmentActions::createConfigurationInterface#
    {50, 885, 898},	// Plasma::ContainmentActions::dataEngine$
    {50, 996, 902},	// Plasma::ContainmentActions::event#
    {50, 1000, 900},	// Plasma::ContainmentActions::eventToString#
    {50, 1118, 890},	// Plasma::ContainmentActions::icon
    {50, 1135, 905},	// Plasma::ContainmentActions::init#
    {50, 1179, 891},	// Plasma::ContainmentActions::isInitialized
    {50, 1293, 884},	// Plasma::ContainmentActions::listContainmentActionsInfo
    {50, 1326, 913},	// Plasma::ContainmentActions::load##
    {50, 1327, 886},	// Plasma::ContainmentActions::load##?
    {50, 1328, 912},	// Plasma::ContainmentActions::load#$
    {50, 1329, 885},	// Plasma::ContainmentActions::load#$?
    {50, 1394, 876},	// Plasma::ContainmentActions::metaObject
    {50, 1429, 888},	// Plasma::ContainmentActions::name
    {50, 1456, 887},	// Plasma::ContainmentActions::packageStructure
    {50, 1486, 908},	// Plasma::ContainmentActions::paste##
    {50, 1499, 889},	// Plasma::ContainmentActions::pluginName
    {50, 1509, 901},	// Plasma::ContainmentActions::popupPosition##
    {50, 1527, 882},	// Plasma::ContainmentActions::qt_metacall$$?
    {50, 1529, 877},	// Plasma::ContainmentActions::qt_metacast$
    {50, 1630, 892},	// Plasma::ContainmentActions::restore#
    {50, 1648, 893},	// Plasma::ContainmentActions::save#
    {50, 1766, 914},	// Plasma::ContainmentActions::setConfigurationRequired
    {50, 1767, 906},	// Plasma::ContainmentActions::setConfigurationRequired$
    {50, 1770, 903},	// Plasma::ContainmentActions::setContainment#
    {50, 2263, 915},	// Plasma::ContainmentActions::staticMetaObject
    {50, 2345, 909},	// Plasma::ContainmentActions::tr$
    {50, 2346, 878},	// Plasma::ContainmentActions::tr$$
    {50, 2347, 880},	// Plasma::ContainmentActions::tr$$$
    {50, 2349, 910},	// Plasma::ContainmentActions::trUtf8$
    {50, 2350, 879},	// Plasma::ContainmentActions::trUtf8$$
    {50, 2351, 881},	// Plasma::ContainmentActions::trUtf8$$$
    {50, 2464, 916},	// Plasma::ContainmentActions::~ContainmentActions
    {51, 108, 917},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig
    {51, 109, 918},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig#
    {51, 659, 922},	// Plasma::ContainmentActionsPluginsConfig::addPlugin#$
    {51, 660, -10},	// Plasma::ContainmentActionsPluginsConfig::addPlugin$$$
    {51, 762, 920},	// Plasma::ContainmentActionsPluginsConfig::clear
    {51, 1450, 919},	// Plasma::ContainmentActionsPluginsConfig::operator=#
    {51, 1569, 921},	// Plasma::ContainmentActionsPluginsConfig::remove#
    {51, 2465, 925},	// Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig
    {52, 111, 945},	// Plasma::Context::Context
    {52, 112, 933},	// Plasma::Context::Context#
    {52, 620, 941},	// Plasma::Context::activityChanged#
    {52, 758, 940},	// Plasma::Context::changed#
    {52, 849, 934},	// Plasma::Context::createActivity$
    {52, 864, 937},	// Plasma::Context::currentActivity
    {52, 865, 939},	// Plasma::Context::currentActivityId
    {52, 1278, 935},	// Plasma::Context::listActivities
    {52, 1359, 942},	// Plasma::Context::locationChanged#
    {52, 1394, 926},	// Plasma::Context::metaObject
    {52, 1527, 932},	// Plasma::Context::qt_metacall$$?
    {52, 1529, 927},	// Plasma::Context::qt_metacast$
    {52, 1792, 936},	// Plasma::Context::setCurrentActivity$
    {52, 1794, 938},	// Plasma::Context::setCurrentActivityId$
    {52, 2263, 946},	// Plasma::Context::staticMetaObject
    {52, 2345, 943},	// Plasma::Context::tr$
    {52, 2346, 928},	// Plasma::Context::tr$$
    {52, 2347, 930},	// Plasma::Context::tr$$$
    {52, 2349, 944},	// Plasma::Context::trUtf8$
    {52, 2350, 929},	// Plasma::Context::trUtf8$$
    {52, 2351, 931},	// Plasma::Context::trUtf8$$$
    {52, 2466, 947},	// Plasma::Context::~Context
    {53, 115, 1015},	// Plasma::Corona::Corona
    {53, 116, 955},	// Plasma::Corona::Corona#
    {53, 605, 975},	// Plasma::Corona::action$
    {53, 607, 977},	// Plasma::Corona::actions
    {53, 622, 981},	// Plasma::Corona::addAction$
    {53, 623, 976},	// Plasma::Corona::addAction$#
    {53, 635, 1016},	// Plasma::Corona::addContainment$
    {53, 636, 962},	// Plasma::Corona::addContainment$?
    {53, 638, 1017},	// Plasma::Corona::addContainmentDelayed$
    {53, 639, 963},	// Plasma::Corona::addContainmentDelayed$?
    {53, 655, 966},	// Plasma::Corona::addOffscreenWidget#
    {53, 666, 980},	// Plasma::Corona::addShortcuts#
    {53, 716, 957},	// Plasma::Corona::appletMimeType
    {53, 738, 971},	// Plasma::Corona::availableScreenRegion$
    {53, 739, 1002},	// Plasma::Corona::availableScreenRegionChanged
    {53, 766, 960},	// Plasma::Corona::clearContainments
    {53, 783, 961},	// Plasma::Corona::config
    {53, 788, 1001},	// Plasma::Corona::configSynced
    {53, 815, 983},	// Plasma::Corona::containmentActionsDefaults$
    {53, 818, 998},	// Plasma::Corona::containmentAdded#
    {53, 820, 1018},	// Plasma::Corona::containmentForScreen$
    {53, 821, 964},	// Plasma::Corona::containmentForScreen$$
    {53, 822, 1019},	// Plasma::Corona::containmentForScreen$$$
    {53, 823, 965},	// Plasma::Corona::containmentForScreen$$$?
    {53, 825, 959},	// Plasma::Corona::containments
    {53, 888, 958},	// Plasma::Corona::defaultContainmentPlugin
    {53, 903, 985},	// Plasma::Corona::dialogManager
    {53, 920, 1010},	// Plasma::Corona::dragEnterEvent#
    {53, 922, 1011},	// Plasma::Corona::dragLeaveEvent#
    {53, 924, 1012},	// Plasma::Corona::dragMoveEvent#
    {53, 980, 978},	// Plasma::Corona::enableAction$$
    {53, 1008, 989},	// Plasma::Corona::exportLayout#?
    {53, 1061, 974},	// Plasma::Corona::freeEdges$
    {53, 1125, 993},	// Plasma::Corona::immutability
    {53, 1127, 1003},	// Plasma::Corona::immutabilityChanged$
    {53, 1130, -69},	// Plasma::Corona::importLayout#
    {53, 1141, 1020},	// Plasma::Corona::initializeLayout
    {53, 1142, 990},	// Plasma::Corona::initializeLayout$
    {53, 1270, 997},	// Plasma::Corona::layoutContainments
    {53, 1339, 1005},	// Plasma::Corona::loadDefaultLayout
    {53, 1344, 1021},	// Plasma::Corona::loadLayout
    {53, 1345, 991},	// Plasma::Corona::loadLayout$
    {53, 1371, -72},	// Plasma::Corona::mapAnimation$$
    {53, 1394, 948},	// Plasma::Corona::metaObject
    {53, 1439, 969},	// Plasma::Corona::numScreens
    {53, 1440, 968},	// Plasma::Corona::offscreenWidgets
    {53, 1509, 972},	// Plasma::Corona::popupPosition##
    {53, 1510, 973},	// Plasma::Corona::popupPosition##$
    {53, 1514, 987},	// Plasma::Corona::preferredToolBoxPlugin$
    {53, 1527, 954},	// Plasma::Corona::qt_metacall$$?
    {53, 1529, 949},	// Plasma::Corona::qt_metacast$
    {53, 1556, 1000},	// Plasma::Corona::releaseVisualFocus
    {53, 1588, 967},	// Plasma::Corona::removeOffscreenWidget#
    {53, 1614, 995},	// Plasma::Corona::requestConfigSync
    {53, 1615, 996},	// Plasma::Corona::requireConfigSync
    {53, 1651, 1022},	// Plasma::Corona::saveLayout
    {53, 1652, 992},	// Plasma::Corona::saveLayout$
    {53, 1670, 970},	// Plasma::Corona::screenGeometry$
    {53, 1672, 999},	// Plasma::Corona::screenOwnerChanged$$#
    {53, 1713, 956},	// Plasma::Corona::setAppletMimeType$
    {53, 1774, 982},	// Plasma::Corona::setContainmentActionsDefaults$#
    {53, 1809, 1009},	// Plasma::Corona::setDefaultContainmentPlugin$
    {53, 1824, 984},	// Plasma::Corona::setDialogManager#
    {53, 1912, 994},	// Plasma::Corona::setImmutability$
    {53, 2007, 1008},	// Plasma::Corona::setPreferredToolBoxPlugin$$
    {53, 2202, 1004},	// Plasma::Corona::shortcutsChanged
    {53, 2263, 1023},	// Plasma::Corona::staticMetaObject
    {53, 2345, 1013},	// Plasma::Corona::tr$
    {53, 2346, 950},	// Plasma::Corona::tr$$
    {53, 2347, 952},	// Plasma::Corona::tr$$$
    {53, 2349, 1014},	// Plasma::Corona::trUtf8$
    {53, 2350, 951},	// Plasma::Corona::trUtf8$$
    {53, 2351, 953},	// Plasma::Corona::trUtf8$$$
    {53, 2382, 979},	// Plasma::Corona::updateShortcuts
    {53, 2467, 1024},	// Plasma::Corona::~Corona
    {54, 121, 1055},	// Plasma::DataContainer::DataContainer
    {54, 122, 1032},	// Plasma::DataContainer::DataContainer#
    {54, 744, 1046},	// Plasma::DataContainer::becameUnused$
    {54, 759, 1048},	// Plasma::DataContainer::checkForUpdate
    {54, 760, 1051},	// Plasma::DataContainer::checkUsage
    {54, 804, 1037},	// Plasma::DataContainer::connectVisualization#$$
    {54, 883, 1033},	// Plasma::DataContainer::data
    {54, 887, 1045},	// Plasma::DataContainer::dataUpdated$?
    {54, 914, 1043},	// Plasma::DataContainer::disconnectVisualization#
    {54, 1053, 1044},	// Plasma::DataContainer::forceImmediateUpdate
    {54, 1065, 1042},	// Plasma::DataContainer::getDataEngine
    {54, 1198, 1039},	// Plasma::DataContainer::isStorageEnabled
    {54, 1394, 1025},	// Plasma::DataContainer::metaObject
    {54, 1433, 1040},	// Plasma::DataContainer::needsToBeStored
    {54, 1527, 1031},	// Plasma::DataContainer::qt_metacall$$?
    {54, 1529, 1026},	// Plasma::DataContainer::qt_metacast$
    {54, 1572, 1035},	// Plasma::DataContainer::removeAllData
    {54, 1803, 1034},	// Plasma::DataContainer::setData$#
    {54, 1966, 1041},	// Plasma::DataContainer::setNeedsToBeStored$
    {54, 1967, 1056},	// Plasma::DataContainer::setNeedsUpdate
    {54, 1968, 1050},	// Plasma::DataContainer::setNeedsUpdate$
    {54, 2086, 1038},	// Plasma::DataContainer::setStorageEnabled$
    {54, 2263, 1057},	// Plasma::DataContainer::staticMetaObject
    {54, 2328, 1049},	// Plasma::DataContainer::timeSinceLastUpdate
    {54, 2330, 1052},	// Plasma::DataContainer::timerEvent#
    {54, 2345, 1053},	// Plasma::DataContainer::tr$
    {54, 2346, 1027},	// Plasma::DataContainer::tr$$
    {54, 2347, 1029},	// Plasma::DataContainer::tr$$$
    {54, 2349, 1054},	// Plasma::DataContainer::trUtf8$
    {54, 2350, 1028},	// Plasma::DataContainer::trUtf8$$
    {54, 2351, 1030},	// Plasma::DataContainer::trUtf8$$$
    {54, 2381, 1047},	// Plasma::DataContainer::updateRequested#
    {54, 2424, 1036},	// Plasma::DataContainer::visualizationIsConnected#
    {54, 2468, 1058},	// Plasma::DataContainer::~DataContainer
    {55, 123, 1112},	// Plasma::DataEngine::DataEngine
    {55, 124, 1113},	// Plasma::DataEngine::DataEngine#
    {55, 125, -51},	// Plasma::DataEngine::DataEngine#?
    {55, 670, 1093},	// Plasma::DataEngine::addSource#
    {55, 795, 1116},	// Plasma::DataEngine::connectAllSources#
    {55, 796, 1117},	// Plasma::DataEngine::connectAllSources#$
    {55, 797, 1073},	// Plasma::DataEngine::connectAllSources#$$
    {55, 800, 1114},	// Plasma::DataEngine::connectSource$#
    {55, 801, 1115},	// Plasma::DataEngine::connectSource$#$
    {55, 802, 1072},	// Plasma::DataEngine::connectSource$#$$
    {55, 807, 1100},	// Plasma::DataEngine::containerDict
    {55, 809, 1075},	// Plasma::DataEngine::containerForSource$
    {55, 852, 1118},	// Plasma::DataEngine::createDefaultService
    {55, 853, 1083},	// Plasma::DataEngine::createDefaultService#
    {55, 912, 1074},	// Plasma::DataEngine::disconnectSource$#
    {55, 1054, 1109},	// Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations
    {55, 1118, 1080},	// Plasma::DataEngine::icon
    {55, 1134, 1068},	// Plasma::DataEngine::init
    {55, 1174, 1078},	// Plasma::DataEngine::isEmpty
    {55, 1207, 1077},	// Plasma::DataEngine::isValid
    {55, 1388, 1079},	// Plasma::DataEngine::maxSourceCount
    {55, 1394, 1059},	// Plasma::DataEngine::metaObject
    {55, 1406, 1096},	// Plasma::DataEngine::minimumPollingInterval
    {55, 1429, 1071},	// Plasma::DataEngine::name
    {55, 1455, 1081},	// Plasma::DataEngine::package
    {55, 1499, 1082},	// Plasma::DataEngine::pluginName
    {55, 1527, 1065},	// Plasma::DataEngine::qt_metacall$$?
    {55, 1529, 1060},	// Plasma::DataEngine::qt_metacast$
    {55, 1531, 1076},	// Plasma::DataEngine::query$
    {55, 1573, 1091},	// Plasma::DataEngine::removeAllData$
    {55, 1574, 1098},	// Plasma::DataEngine::removeAllSources
    {55, 1578, 1092},	// Plasma::DataEngine::removeData$$
    {55, 1592, 1107},	// Plasma::DataEngine::removeSource$
    {55, 1665, 1106},	// Plasma::DataEngine::scheduleSourcesUpdated
    {55, 1689, 1070},	// Plasma::DataEngine::serviceForSource$
    {55, 1803, 1088},	// Plasma::DataEngine::setData$#
    {55, 1804, 1089},	// Plasma::DataEngine::setData$$#
    {55, 1805, 1090},	// Plasma::DataEngine::setData$?
    {55, 1815, 1104},	// Plasma::DataEngine::setDefaultService$
    {55, 1900, 1103},	// Plasma::DataEngine::setIcon$
    {55, 1941, 1094},	// Plasma::DataEngine::setMaxSourceCount$
    {55, 1955, 1095},	// Plasma::DataEngine::setMinimumPollingInterval$
    {55, 1962, 1102},	// Plasma::DataEngine::setName$
    {55, 1998, 1097},	// Plasma::DataEngine::setPollingInterval$
    {55, 2087, 1105},	// Plasma::DataEngine::setStorageEnabled$$
    {55, 2163, 1099},	// Plasma::DataEngine::setValid$
    {55, 2248, 1084},	// Plasma::DataEngine::sourceAdded$
    {55, 2250, 1085},	// Plasma::DataEngine::sourceRemoved$
    {55, 2252, 1086},	// Plasma::DataEngine::sourceRequestEvent$
    {55, 2253, 1069},	// Plasma::DataEngine::sources
    {55, 2263, 1119},	// Plasma::DataEngine::staticMetaObject
    {55, 2330, 1101},	// Plasma::DataEngine::timerEvent#
    {55, 2345, 1110},	// Plasma::DataEngine::tr$
    {55, 2346, 1061},	// Plasma::DataEngine::tr$$
    {55, 2347, 1063},	// Plasma::DataEngine::tr$$$
    {55, 2349, 1111},	// Plasma::DataEngine::trUtf8$
    {55, 2350, 1062},	// Plasma::DataEngine::trUtf8$$
    {55, 2351, 1064},	// Plasma::DataEngine::trUtf8$$$
    {55, 2371, 1108},	// Plasma::DataEngine::updateAllSources
    {55, 2384, 1087},	// Plasma::DataEngine::updateSourceEvent$
    {55, 2469, 1120},	// Plasma::DataEngine::~DataEngine
    {56, 986, 1129},	// Plasma::DataEngineManager::engine$
    {56, 1279, 1138},	// Plasma::DataEngineManager::listAllEngines
    {56, 1280, 1132},	// Plasma::DataEngineManager::listAllEngines$
    {56, 1304, 1139},	// Plasma::DataEngineManager::listEngineInfo
    {56, 1305, 1133},	// Plasma::DataEngineManager::listEngineInfo$
    {56, 1307, 1140},	// Plasma::DataEngineManager::listEngineInfoByCategory$
    {56, 1308, 1134},	// Plasma::DataEngineManager::listEngineInfoByCategory$$
    {56, 1341, 1130},	// Plasma::DataEngineManager::loadEngine$
    {56, 1394, 1121},	// Plasma::DataEngineManager::metaObject
    {56, 1527, 1127},	// Plasma::DataEngineManager::qt_metacall$$?
    {56, 1529, 1122},	// Plasma::DataEngineManager::qt_metacast$
    {56, 1686, 1128},	// Plasma::DataEngineManager::self
    {56, 2263, 1141},	// Plasma::DataEngineManager::staticMetaObject
    {56, 2330, 1135},	// Plasma::DataEngineManager::timerEvent#
    {56, 2345, 1136},	// Plasma::DataEngineManager::tr$
    {56, 2346, 1123},	// Plasma::DataEngineManager::tr$$
    {56, 2347, 1125},	// Plasma::DataEngineManager::tr$$$
    {56, 2349, 1137},	// Plasma::DataEngineManager::trUtf8$
    {56, 2350, 1124},	// Plasma::DataEngineManager::trUtf8$$
    {56, 2351, 1126},	// Plasma::DataEngineManager::trUtf8$$$
    {56, 2361, 1131},	// Plasma::DataEngineManager::unloadEngine$
    {57, 127, 1179},	// Plasma::DataEngineScript::DataEngineScript
    {57, 128, 1149},	// Plasma::DataEngineScript::DataEngineScript#
    {57, 670, 1169},	// Plasma::DataEngineScript::addSource#
    {57, 807, 1170},	// Plasma::DataEngineScript::containerDict
    {57, 884, 1151},	// Plasma::DataEngineScript::dataEngine
    {57, 894, 1158},	// Plasma::DataEngineScript::description
    {57, 1054, 1176},	// Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations
    {57, 1367, 1156},	// Plasma::DataEngineScript::mainScript
    {57, 1394, 1142},	// Plasma::DataEngineScript::metaObject
    {57, 1406, 1166},	// Plasma::DataEngineScript::minimumPollingInterval
    {57, 1455, 1157},	// Plasma::DataEngineScript::package
    {57, 1527, 1148},	// Plasma::DataEngineScript::qt_metacall$$?
    {57, 1529, 1143},	// Plasma::DataEngineScript::qt_metacast$
    {57, 1573, 1162},	// Plasma::DataEngineScript::removeAllData$
    {57, 1574, 1168},	// Plasma::DataEngineScript::removeAllSources
    {57, 1578, 1163},	// Plasma::DataEngineScript::removeData$$
    {57, 1592, 1174},	// Plasma::DataEngineScript::removeSource$
    {57, 1665, 1173},	// Plasma::DataEngineScript::scheduleSourcesUpdated
    {57, 1689, 1155},	// Plasma::DataEngineScript::serviceForSource$
    {57, 1803, 1160},	// Plasma::DataEngineScript::setData$#
    {57, 1804, 1159},	// Plasma::DataEngineScript::setData$$#
    {57, 1805, 1161},	// Plasma::DataEngineScript::setData$?
    {57, 1807, 1150},	// Plasma::DataEngineScript::setDataEngine#
    {57, 1900, 1172},	// Plasma::DataEngineScript::setIcon$
    {57, 1941, 1164},	// Plasma::DataEngineScript::setMaxSourceCount$
    {57, 1955, 1165},	// Plasma::DataEngineScript::setMinimumPollingInterval$
    {57, 1962, 1171},	// Plasma::DataEngineScript::setName$
    {57, 1998, 1167},	// Plasma::DataEngineScript::setPollingInterval$
    {57, 2252, 1153},	// Plasma::DataEngineScript::sourceRequestEvent$
    {57, 2253, 1152},	// Plasma::DataEngineScript::sources
    {57, 2263, 1180},	// Plasma::DataEngineScript::staticMetaObject
    {57, 2345, 1177},	// Plasma::DataEngineScript::tr$
    {57, 2346, 1144},	// Plasma::DataEngineScript::tr$$
    {57, 2347, 1146},	// Plasma::DataEngineScript::tr$$$
    {57, 2349, 1178},	// Plasma::DataEngineScript::trUtf8$
    {57, 2350, 1145},	// Plasma::DataEngineScript::trUtf8$$
    {57, 2351, 1147},	// Plasma::DataEngineScript::trUtf8$$$
    {57, 2371, 1175},	// Plasma::DataEngineScript::updateAllSources
    {57, 2384, 1154},	// Plasma::DataEngineScript::updateSourceEvent$
    {57, 2470, 1181},	// Plasma::DataEngineScript::~DataEngineScript
    {58, 87, 1204},	// Plasma::Delegate::ColumnTypeRole
    {58, 134, 1200},	// Plasma::Delegate::Delegate
    {58, 135, 1189},	// Plasma::Delegate::Delegate#
    {58, 344, 1205},	// Plasma::Delegate::MainColumn
    {58, 475, 1206},	// Plasma::Delegate::SecondaryActionColumn
    {58, 511, 1203},	// Plasma::Delegate::SubTitleMandatoryRole
    {58, 512, 1202},	// Plasma::Delegate::SubTitleRole
    {58, 978, 1196},	// Plasma::Delegate::emptyRect##
    {58, 1394, 1182},	// Plasma::Delegate::metaObject
    {58, 1463, 1192},	// Plasma::Delegate::paint###
    {58, 1527, 1188},	// Plasma::Delegate::qt_metacall$$?
    {58, 1529, 1183},	// Plasma::Delegate::qt_metacast$
    {58, 1540, 1195},	// Plasma::Delegate::rectAfterSubTitle##
    {58, 1542, 1194},	// Plasma::Delegate::rectAfterTitle##
    {58, 1636, 1191},	// Plasma::Delegate::roleMapping$
    {58, 2037, 1190},	// Plasma::Delegate::setRoleMapping$$
    {58, 2225, 1193},	// Plasma::Delegate::showToolTip
    {58, 2239, 1197},	// Plasma::Delegate::sizeHint##
    {58, 2263, 1201},	// Plasma::Delegate::staticMetaObject
    {58, 2345, 1198},	// Plasma::Delegate::tr$
    {58, 2346, 1184},	// Plasma::Delegate::tr$$
    {58, 2347, 1186},	// Plasma::Delegate::tr$$$
    {58, 2349, 1199},	// Plasma::Delegate::trUtf8$
    {58, 2350, 1185},	// Plasma::Delegate::trUtf8$$
    {58, 2351, 1187},	// Plasma::Delegate::trUtf8$$$
    {58, 2471, 1207},	// Plasma::Delegate::~Delegate
    {59, 22, 1253},	// Plasma::Dialog::All
    {59, 145, 1245},	// Plasma::Dialog::Dialog
    {59, 146, 1246},	// Plasma::Dialog::Dialog#
    {59, 147, 1215},	// Plasma::Dialog::Dialog#$
    {59, 371, 1248},	// Plasma::Dialog::NoCorner
    {59, 384, 1249},	// Plasma::Dialog::NorthEast
    {59, 385, 1251},	// Plasma::Dialog::NorthWest
    {59, 499, 1250},	// Plasma::Dialog::SouthEast
    {59, 500, 1252},	// Plasma::Dialog::SouthWest
    {59, 692, 1223},	// Plasma::Dialog::animatedHide$
    {59, 694, 1224},	// Plasma::Dialog::animatedShow$
    {59, 723, 1225},	// Plasma::Dialog::aspectRatioMode
    {59, 904, 1227},	// Plasma::Dialog::dialogResized
    {59, 906, 1228},	// Plasma::Dialog::dialogVisible$
    {59, 996, 1231},	// Plasma::Dialog::event#
    {59, 998, 1233},	// Plasma::Dialog::eventFilter##
    {59, 1042, 1236},	// Plasma::Dialog::focusInEvent#
    {59, 1069, 1222},	// Plasma::Dialog::getMinimumResizeLimits$$$$
    {59, 1076, 1217},	// Plasma::Dialog::graphicsWidget
    {59, 1103, 1234},	// Plasma::Dialog::hideEvent#
    {59, 1132, 1242},	// Plasma::Dialog::inControlArea#
    {59, 1205, 1220},	// Plasma::Dialog::isUserResizing
    {59, 1242, 1240},	// Plasma::Dialog::keyPressEvent#
    {59, 1394, 1208},	// Plasma::Dialog::metaObject
    {59, 1412, 1237},	// Plasma::Dialog::mouseMoveEvent#
    {59, 1414, 1238},	// Plasma::Dialog::mousePressEvent#
    {59, 1416, 1239},	// Plasma::Dialog::mouseReleaseEvent#
    {59, 1418, 1241},	// Plasma::Dialog::moveEvent#
    {59, 1471, 1230},	// Plasma::Dialog::paintEvent#
    {59, 1527, 1214},	// Plasma::Dialog::qt_metacall$$?
    {59, 1529, 1209},	// Plasma::Dialog::qt_metacast$
    {59, 1623, 1219},	// Plasma::Dialog::resizeCorners
    {59, 1625, 1232},	// Plasma::Dialog::resizeEvent#
    {59, 1717, 1226},	// Plasma::Dialog::setAspectRatioMode$
    {59, 1873, 1216},	// Plasma::Dialog::setGraphicsWidget#
    {59, 1957, 1221},	// Plasma::Dialog::setMinimumResizeLimits$$$$
    {59, 2033, 1218},	// Plasma::Dialog::setResizeHandleCorners$
    {59, 2218, 1235},	// Plasma::Dialog::showEvent#
    {59, 2263, 1247},	// Plasma::Dialog::staticMetaObject
    {59, 2293, 1229},	// Plasma::Dialog::syncToGraphicsWidget
    {59, 2345, 1243},	// Plasma::Dialog::tr$
    {59, 2346, 1210},	// Plasma::Dialog::tr$$
    {59, 2347, 1212},	// Plasma::Dialog::tr$$$
    {59, 2349, 1244},	// Plasma::Dialog::trUtf8$
    {59, 2350, 1211},	// Plasma::Dialog::trUtf8$$
    {59, 2351, 1213},	// Plasma::Dialog::trUtf8$$$
    {59, 2472, 1254},	// Plasma::Dialog::~Dialog
    {60, 63, 1298},	// Plasma::Extender::BottomUpStacked
    {60, 166, 1262},	// Plasma::Extender::Extender#
    {60, 365, 1297},	// Plasma::Extender::NoBorders
    {60, 543, 1299},	// Plasma::Extender::TopDownStacked
    {60, 707, 1273},	// Plasma::Extender::appearance
    {60, 711, 1275},	// Plasma::Extender::applet
    {60, 728, 1266},	// Plasma::Extender::attachedItems
    {60, 901, 1267},	// Plasma::Extender::detachedItems
    {60, 920, 1286},	// Plasma::Extender::dragEnterEvent#
    {60, 922, 1288},	// Plasma::Extender::dragLeaveEvent#
    {60, 924, 1287},	// Plasma::Extender::dragMoveEvent#
    {60, 950, 1289},	// Plasma::Extender::dropEvent#
    {60, 976, 1264},	// Plasma::Extender::emptyExtenderMessage
    {60, 983, 1282},	// Plasma::Extender::enabledBordersForItem#
    {60, 1063, 1292},	// Plasma::Extender::geometryChanged
    {60, 1078, 1269},	// Plasma::Extender::group$
    {60, 1080, 1274},	// Plasma::Extender::groups
    {60, 1092, 1270},	// Plasma::Extender::hasItem$
    {60, 1174, 1271},	// Plasma::Extender::isEmpty
    {60, 1212, 1268},	// Plasma::Extender::item$
    {60, 1216, 1295},	// Plasma::Extender::itemAddedEvent#
    {60, 1217, 1276},	// Plasma::Extender::itemAddedEvent##
    {60, 1221, 1290},	// Plasma::Extender::itemAttached#
    {60, 1223, 1283},	// Plasma::Extender::itemChange$#
    {60, 1225, 1291},	// Plasma::Extender::itemDetached#
    {60, 1229, 1278},	// Plasma::Extender::itemHoverEnterEvent#
    {60, 1231, 1280},	// Plasma::Extender::itemHoverLeaveEvent#
    {60, 1233, 1279},	// Plasma::Extender::itemHoverMoveEvent##
    {60, 1235, 1277},	// Plasma::Extender::itemRemovedEvent#
    {60, 1240, 1265},	// Plasma::Extender::items
    {60, 1394, 1255},	// Plasma::Extender::metaObject
    {60, 1414, 1285},	// Plasma::Extender::mousePressEvent#
    {60, 1527, 1261},	// Plasma::Extender::qt_metacall$$?
    {60, 1529, 1256},	// Plasma::Extender::qt_metacast$
    {60, 1625, 1284},	// Plasma::Extender::resizeEvent#
    {60, 1653, 1281},	// Plasma::Extender::saveState
    {60, 1709, 1272},	// Plasma::Extender::setAppearance$
    {60, 1845, 1263},	// Plasma::Extender::setEmptyExtenderMessage$
    {60, 2263, 1296},	// Plasma::Extender::staticMetaObject
    {60, 2345, 1293},	// Plasma::Extender::tr$
    {60, 2346, 1257},	// Plasma::Extender::tr$$
    {60, 2347, 1259},	// Plasma::Extender::tr$$$
    {60, 2349, 1294},	// Plasma::Extender::trUtf8$
    {60, 2350, 1258},	// Plasma::Extender::trUtf8$$
    {60, 2351, 1260},	// Plasma::Extender::trUtf8$$$
    {60, 2473, 1300},	// Plasma::Extender::~Extender
    {61, 168, 1326},	// Plasma::ExtenderGroup::ExtenderGroup#
    {61, 169, 1308},	// Plasma::ExtenderGroup::ExtenderGroup#$
    {61, 734, 1310},	// Plasma::ExtenderGroup::autoHide
    {61, 777, 1317},	// Plasma::ExtenderGroup::collapseGroup
    {61, 920, 1320},	// Plasma::ExtenderGroup::dragEnterEvent#
    {61, 922, 1322},	// Plasma::ExtenderGroup::dragLeaveEvent#
    {61, 924, 1321},	// Plasma::ExtenderGroup::dragMoveEvent#
    {61, 950, 1323},	// Plasma::ExtenderGroup::dropEvent#
    {61, 998, 1319},	// Plasma::ExtenderGroup::eventFilter##
    {61, 1006, 1316},	// Plasma::ExtenderGroup::expandGroup
    {61, 1164, 1313},	// Plasma::ExtenderGroup::isAutoCollapse
    {61, 1177, 1312},	// Plasma::ExtenderGroup::isGroupCollapsed
    {61, 1240, 1309},	// Plasma::ExtenderGroup::items
    {61, 1394, 1301},	// Plasma::ExtenderGroup::metaObject
    {61, 1527, 1307},	// Plasma::ExtenderGroup::qt_metacall$$?
    {61, 1529, 1302},	// Plasma::ExtenderGroup::qt_metacast$
    {61, 1625, 1318},	// Plasma::ExtenderGroup::resizeEvent#
    {61, 1729, 1314},	// Plasma::ExtenderGroup::setAutoCollapse$
    {61, 1733, 1311},	// Plasma::ExtenderGroup::setAutoHide$
    {61, 1878, 1315},	// Plasma::ExtenderGroup::setGroupCollapsed$
    {61, 2263, 1327},	// Plasma::ExtenderGroup::staticMetaObject
    {61, 2345, 1324},	// Plasma::ExtenderGroup::tr$
    {61, 2346, 1303},	// Plasma::ExtenderGroup::tr$$
    {61, 2347, 1305},	// Plasma::ExtenderGroup::tr$$$
    {61, 2349, 1325},	// Plasma::ExtenderGroup::trUtf8$
    {61, 2350, 1304},	// Plasma::ExtenderGroup::trUtf8$$
    {61, 2351, 1306},	// Plasma::ExtenderGroup::trUtf8$$$
    {61, 2474, 1328},	// Plasma::ExtenderGroup::~ExtenderGroup
    {62, 171, 1380},	// Plasma::ExtenderItem::ExtenderItem#
    {62, 172, 1336},	// Plasma::ExtenderItem::ExtenderItem#$
    {62, 605, 1358},	// Plasma::ExtenderItem::action$
    {62, 623, 1357},	// Plasma::ExtenderItem::addAction$#
    {62, 733, 1354},	// Plasma::ExtenderItem::autoExpireDelay
    {62, 783, 1337},	// Plasma::ExtenderItem::config
    {62, 897, 1361},	// Plasma::ExtenderItem::destroy
    {62, 900, 1366},	// Plasma::ExtenderItem::destroyed#
    {62, 1009, 1348},	// Plasma::ExtenderItem::extender
    {62, 1077, 1351},	// Plasma::ExtenderItem::group
    {62, 1101, 1365},	// Plasma::ExtenderItem::hideCloseButton
    {62, 1114, 1375},	// Plasma::ExtenderItem::hoverLeaveEvent#
    {62, 1116, 1374},	// Plasma::ExtenderItem::hoverMoveEvent#
    {62, 1118, 1346},	// Plasma::ExtenderItem::icon
    {62, 1170, 1356},	// Plasma::ExtenderItem::isCollapsed
    {62, 1172, 1355},	// Plasma::ExtenderItem::isDetached
    {62, 1176, 1352},	// Plasma::ExtenderItem::isGroup
    {62, 1203, 1360},	// Plasma::ExtenderItem::isTransient
    {62, 1394, 1329},	// Plasma::ExtenderItem::metaObject
    {62, 1410, 1371},	// Plasma::ExtenderItem::mouseDoubleClickEvent#
    {62, 1412, 1372},	// Plasma::ExtenderItem::mouseMoveEvent#
    {62, 1414, 1370},	// Plasma::ExtenderItem::mousePressEvent#
    {62, 1416, 1373},	// Plasma::ExtenderItem::mouseReleaseEvent#
    {62, 1418, 1368},	// Plasma::ExtenderItem::moveEvent#
    {62, 1429, 1343},	// Plasma::ExtenderItem::name
    {62, 1463, 1367},	// Plasma::ExtenderItem::paint###
    {62, 1527, 1335},	// Plasma::ExtenderItem::qt_metacall$$?
    {62, 1529, 1330},	// Plasma::ExtenderItem::qt_metacast$
    {62, 1625, 1369},	// Plasma::ExtenderItem::resizeEvent#
    {62, 1634, 1363},	// Plasma::ExtenderItem::returnToSource
    {62, 1662, 1376},	// Plasma::ExtenderItem::sceneEventFilter##
    {62, 1731, 1353},	// Plasma::ExtenderItem::setAutoExpireDelay$
    {62, 1763, 1362},	// Plasma::ExtenderItem::setCollapsed$
    {62, 1851, 1381},	// Plasma::ExtenderItem::setExtender#
    {62, 1852, 1347},	// Plasma::ExtenderItem::setExtender##
    {62, 1875, 1349},	// Plasma::ExtenderItem::setGroup#
    {62, 1876, 1350},	// Plasma::ExtenderItem::setGroup##
    {62, 1899, 1345},	// Plasma::ExtenderItem::setIcon#
    {62, 1900, 1344},	// Plasma::ExtenderItem::setIcon$
    {62, 1962, 1342},	// Plasma::ExtenderItem::setName$
    {62, 2135, 1340},	// Plasma::ExtenderItem::setTitle$
    {62, 2143, 1359},	// Plasma::ExtenderItem::setTransient$
    {62, 2190, 1338},	// Plasma::ExtenderItem::setWidget#
    {62, 2208, 1364},	// Plasma::ExtenderItem::showCloseButton
    {62, 2241, 1377},	// Plasma::ExtenderItem::sizeHint$#
    {62, 2263, 1382},	// Plasma::ExtenderItem::staticMetaObject
    {62, 2331, 1341},	// Plasma::ExtenderItem::title
    {62, 2345, 1378},	// Plasma::ExtenderItem::tr$
    {62, 2346, 1331},	// Plasma::ExtenderItem::tr$$
    {62, 2347, 1333},	// Plasma::ExtenderItem::tr$$$
    {62, 2349, 1379},	// Plasma::ExtenderItem::trUtf8$
    {62, 2350, 1332},	// Plasma::ExtenderItem::trUtf8$$
    {62, 2351, 1334},	// Plasma::ExtenderItem::trUtf8$$$
    {62, 2431, 1339},	// Plasma::ExtenderItem::widget
    {62, 2475, 1383},	// Plasma::ExtenderItem::~ExtenderItem
    {63, 180, 1409},	// Plasma::FlashingLabel::FlashingLabel
    {63, 181, 1391},	// Plasma::FlashingLabel::FlashingLabel#
    {63, 736, 1402},	// Plasma::FlashingLabel::autohide
    {63, 780, 1395},	// Plasma::FlashingLabel::color
    {63, 951, 1397},	// Plasma::FlashingLabel::duration
    {63, 1013, 1405},	// Plasma::FlashingLabel::fadeIn
    {63, 1014, 1406},	// Plasma::FlashingLabel::fadeOut
    {63, 1032, 1413},	// Plasma::FlashingLabel::flash#
    {63, 1033, 1414},	// Plasma::FlashingLabel::flash#$
    {63, 1034, 1400},	// Plasma::FlashingLabel::flash#$$
    {63, 1035, 1411},	// Plasma::FlashingLabel::flash$
    {63, 1036, 1412},	// Plasma::FlashingLabel::flash$$
    {63, 1037, 1399},	// Plasma::FlashingLabel::flash$$#
    {63, 1048, 1393},	// Plasma::FlashingLabel::font
    {63, 1246, 1404},	// Plasma::FlashingLabel::kill
    {63, 1394, 1384},	// Plasma::FlashingLabel::metaObject
    {63, 1462, 1410},	// Plasma::FlashingLabel::paint##
    {63, 1463, 1392},	// Plasma::FlashingLabel::paint###
    {63, 1527, 1390},	// Plasma::FlashingLabel::qt_metacall$$?
    {63, 1529, 1385},	// Plasma::FlashingLabel::qt_metacast$
    {63, 1737, 1401},	// Plasma::FlashingLabel::setAutohide$
    {63, 1765, 1396},	// Plasma::FlashingLabel::setColor#
    {63, 1834, 1398},	// Plasma::FlashingLabel::setDuration$
    {63, 1860, 1394},	// Plasma::FlashingLabel::setFont#
    {63, 2241, 1403},	// Plasma::FlashingLabel::sizeHint$#
    {63, 2263, 1415},	// Plasma::FlashingLabel::staticMetaObject
    {63, 2345, 1407},	// Plasma::FlashingLabel::tr$
    {63, 2346, 1386},	// Plasma::FlashingLabel::tr$$
    {63, 2347, 1388},	// Plasma::FlashingLabel::tr$$$
    {63, 2349, 1408},	// Plasma::FlashingLabel::trUtf8$
    {63, 2350, 1387},	// Plasma::FlashingLabel::trUtf8$$
    {63, 2351, 1389},	// Plasma::FlashingLabel::trUtf8$$$
    {63, 2476, 1416},	// Plasma::FlashingLabel::~FlashingLabel
    {64, 187, 1442},	// Plasma::Frame::Frame
    {64, 188, 1424},	// Plasma::Frame::Frame#
    {64, 409, 1445},	// Plasma::Frame::Plain
    {64, 439, 1446},	// Plasma::Frame::Raised
    {64, 514, 1447},	// Plasma::Frame::Sunken
    {64, 756, 1439},	// Plasma::Frame::changeEvent#
    {64, 981, 1428},	// Plasma::Frame::enabledBorders
    {64, 1058, 1426},	// Plasma::Frame::frameShadow
    {64, 1122, 1432},	// Plasma::Frame::image
    {64, 1394, 1417},	// Plasma::Frame::metaObject
    {64, 1431, 1435},	// Plasma::Frame::nativeWidget
    {64, 1462, 1443},	// Plasma::Frame::paint##
    {64, 1463, 1436},	// Plasma::Frame::paint###
    {64, 1527, 1423},	// Plasma::Frame::qt_metacall$$?
    {64, 1529, 1418},	// Plasma::Frame::qt_metacast$
    {64, 1625, 1437},	// Plasma::Frame::resizeEvent#
    {64, 1849, 1427},	// Plasma::Frame::setEnabledBorders$
    {64, 1867, 1425},	// Plasma::Frame::setFrameShadow$
    {64, 1907, 1431},	// Plasma::Frame::setImage$
    {64, 2089, 1433},	// Plasma::Frame::setStyleSheet$
    {64, 2121, 1429},	// Plasma::Frame::setText$
    {64, 2241, 1438},	// Plasma::Frame::sizeHint$#
    {64, 2263, 1444},	// Plasma::Frame::staticMetaObject
    {64, 2276, 1434},	// Plasma::Frame::styleSheet
    {64, 2314, 1430},	// Plasma::Frame::text
    {64, 2345, 1440},	// Plasma::Frame::tr$
    {64, 2346, 1419},	// Plasma::Frame::tr$$
    {64, 2347, 1421},	// Plasma::Frame::tr$$$
    {64, 2349, 1441},	// Plasma::Frame::trUtf8$
    {64, 2350, 1420},	// Plasma::Frame::trUtf8$$
    {64, 2351, 1422},	// Plasma::Frame::trUtf8$$$
    {64, 2477, 1448},	// Plasma::Frame::~Frame
    {65, 23, 1489},	// Plasma::FrameSvg::AllBorders
    {65, 57, 1486},	// Plasma::FrameSvg::BottomBorder
    {65, 189, 1480},	// Plasma::FrameSvg::FrameSvg
    {65, 190, 1456},	// Plasma::FrameSvg::FrameSvg#
    {65, 311, 1487},	// Plasma::FrameSvg::LeftBorder
    {65, 364, 1484},	// Plasma::FrameSvg::NoBorder
    {65, 442, 1488},	// Plasma::FrameSvg::RightBorder
    {65, 542, 1485},	// Plasma::FrameSvg::TopBorder
    {65, 690, 1471},	// Plasma::FrameSvg::alphaMask
    {65, 750, 1473},	// Plasma::FrameSvg::cacheAllRenderedFrames
    {65, 765, 1474},	// Plasma::FrameSvg::clearCache
    {65, 831, 1464},	// Plasma::FrameSvg::contentsRect
    {65, 981, 1459},	// Plasma::FrameSvg::enabledBorders
    {65, 1057, 1475},	// Plasma::FrameSvg::framePixmap
    {65, 1059, 1461},	// Plasma::FrameSvg::frameSize
    {65, 1067, 1463},	// Plasma::FrameSvg::getMargins$$$$
    {65, 1087, -54},	// Plasma::FrameSvg::hasElementPrefix$
    {65, 1377, 1462},	// Plasma::FrameSvg::marginSize$
    {65, 1378, 1470},	// Plasma::FrameSvg::mask
    {65, 1394, 1449},	// Plasma::FrameSvg::metaObject
    {65, 1473, 1482},	// Plasma::FrameSvg::paintFrame#
    {65, 1474, -57},	// Plasma::FrameSvg::paintFrame##
    {65, 1475, 1476},	// Plasma::FrameSvg::paintFrame###
    {65, 1515, 1469},	// Plasma::FrameSvg::prefix
    {65, 1527, 1455},	// Plasma::FrameSvg::qt_metacall$$?
    {65, 1529, 1450},	// Plasma::FrameSvg::qt_metacast$
    {65, 1627, 1460},	// Plasma::FrameSvg::resizeFrame#
    {65, 1747, 1472},	// Plasma::FrameSvg::setCacheAllRenderedFrames$
    {65, 1841, -60},	// Plasma::FrameSvg::setElementPrefix$
    {65, 1849, 1458},	// Plasma::FrameSvg::setEnabledBorders$
    {65, 1910, 1457},	// Plasma::FrameSvg::setImagePath$
    {65, 2263, 1483},	// Plasma::FrameSvg::staticMetaObject
    {65, 2345, 1478},	// Plasma::FrameSvg::tr$
    {65, 2346, 1451},	// Plasma::FrameSvg::tr$$
    {65, 2347, 1453},	// Plasma::FrameSvg::tr$$$
    {65, 2349, 1479},	// Plasma::FrameSvg::trUtf8$
    {65, 2350, 1452},	// Plasma::FrameSvg::trUtf8$$
    {65, 2351, 1454},	// Plasma::FrameSvg::trUtf8$$$
    {65, 2478, 1490},	// Plasma::FrameSvg::~FrameSvg
    {66, 194, 1498},	// Plasma::GLApplet::GLApplet#$$
    {66, 195, 1499},	// Plasma::GLApplet::GLApplet#?
    {66, 747, 1506},	// Plasma::GLApplet::bindTexture#
    {66, 748, 1500},	// Plasma::GLApplet::bindTexture#?
    {66, 893, 1501},	// Plasma::GLApplet::deleteTexture?
    {66, 1369, 1503},	// Plasma::GLApplet::makeCurrent
    {66, 1394, 1491},	// Plasma::GLApplet::metaObject
    {66, 1477, 1502},	// Plasma::GLApplet::paintGLInterface##
    {66, 1527, 1497},	// Plasma::GLApplet::qt_metacall$$?
    {66, 1529, 1492},	// Plasma::GLApplet::qt_metacast$
    {66, 2263, 1507},	// Plasma::GLApplet::staticMetaObject
    {66, 2345, 1504},	// Plasma::GLApplet::tr$
    {66, 2346, 1493},	// Plasma::GLApplet::tr$$
    {66, 2347, 1495},	// Plasma::GLApplet::tr$$$
    {66, 2349, 1505},	// Plasma::GLApplet::trUtf8$
    {66, 2350, 1494},	// Plasma::GLApplet::trUtf8$$
    {66, 2351, 1496},	// Plasma::GLApplet::trUtf8$$$
    {66, 2479, 1508},	// Plasma::GLApplet::~GLApplet
    {67, 198, 1526},	// Plasma::GroupBox::GroupBox
    {67, 199, 1516},	// Plasma::GroupBox::GroupBox#
    {67, 756, 1523},	// Plasma::GroupBox::changeEvent#
    {67, 1394, 1509},	// Plasma::GroupBox::metaObject
    {67, 1431, 1521},	// Plasma::GroupBox::nativeWidget
    {67, 1527, 1515},	// Plasma::GroupBox::qt_metacall$$?
    {67, 1529, 1510},	// Plasma::GroupBox::qt_metacast$
    {67, 1625, 1522},	// Plasma::GroupBox::resizeEvent#
    {67, 2089, 1519},	// Plasma::GroupBox::setStyleSheet$
    {67, 2121, 1517},	// Plasma::GroupBox::setText$
    {67, 2263, 1527},	// Plasma::GroupBox::staticMetaObject
    {67, 2276, 1520},	// Plasma::GroupBox::styleSheet
    {67, 2314, 1518},	// Plasma::GroupBox::text
    {67, 2345, 1524},	// Plasma::GroupBox::tr$
    {67, 2346, 1511},	// Plasma::GroupBox::tr$$
    {67, 2347, 1513},	// Plasma::GroupBox::tr$$$
    {67, 2349, 1525},	// Plasma::GroupBox::trUtf8$
    {67, 2350, 1512},	// Plasma::GroupBox::trUtf8$$
    {67, 2351, 1514},	// Plasma::GroupBox::trUtf8$$$
    {67, 2480, 1528},	// Plasma::GroupBox::~GroupBox
    {68, 211, 1592},	// Plasma::IconWidget::IconWidget
    {68, 212, 1536},	// Plasma::IconWidget::IconWidget#
    {68, 213, 1594},	// Plasma::IconWidget::IconWidget#$
    {68, 214, 1538},	// Plasma::IconWidget::IconWidget#$#
    {68, 215, 1593},	// Plasma::IconWidget::IconWidget$
    {68, 216, 1537},	// Plasma::IconWidget::IconWidget$#
    {68, 604, 1560},	// Plasma::IconWidget::action
    {68, 616, 1578},	// Plasma::IconWidget::activated
    {68, 647, 1557},	// Plasma::IconWidget::addIconAction#
    {68, 756, 1588},	// Plasma::IconWidget::changeEvent#
    {68, 757, 1579},	// Plasma::IconWidget::changed
    {68, 771, 1576},	// Plasma::IconWidget::clicked
    {68, 918, 1577},	// Plasma::IconWidget::doubleClicked
    {68, 927, 1589},	// Plasma::IconWidget::drawActionButtonBase##$
    {68, 930, 1569},	// Plasma::IconWidget::drawBackground
    {68, 1112, 1585},	// Plasma::IconWidget::hoverEnterEvent#
    {68, 1114, 1586},	// Plasma::IconWidget::hoverLeaveEvent#
    {68, 1118, 1545},	// Plasma::IconWidget::icon
    {68, 1119, 1550},	// Plasma::IconWidget::iconSize
    {68, 1133, 1543},	// Plasma::IconWidget::infoText
    {68, 1161, 1563},	// Plasma::IconWidget::invertLayout$
    {68, 1162, 1564},	// Plasma::IconWidget::invertedLayout
    {68, 1173, 1580},	// Plasma::IconWidget::isDown
    {68, 1390, 1556},	// Plasma::IconWidget::maximumIconSize
    {68, 1394, 1529},	// Plasma::IconWidget::metaObject
    {68, 1405, 1554},	// Plasma::IconWidget::minimumIconSize
    {68, 1410, 1584},	// Plasma::IconWidget::mouseDoubleClickEvent#
    {68, 1412, 1582},	// Plasma::IconWidget::mouseMoveEvent#
    {68, 1414, 1581},	// Plasma::IconWidget::mousePressEvent#
    {68, 1416, 1583},	// Plasma::IconWidget::mouseReleaseEvent#
    {68, 1438, 1566},	// Plasma::IconWidget::numDisplayLines
    {68, 1453, 1562},	// Plasma::IconWidget::orientation
    {68, 1462, 1597},	// Plasma::IconWidget::paint##
    {68, 1463, 1573},	// Plasma::IconWidget::paint###
    {68, 1512, 1552},	// Plasma::IconWidget::preferredIconSize
    {68, 1518, 1575},	// Plasma::IconWidget::pressed$
    {68, 1527, 1535},	// Plasma::IconWidget::qt_metacall$$?
    {68, 1529, 1530},	// Plasma::IconWidget::qt_metacast$
    {68, 1582, 1558},	// Plasma::IconWidget::removeIconAction#
    {68, 1662, 1587},	// Plasma::IconWidget::sceneEventFilter##
    {68, 1699, 1559},	// Plasma::IconWidget::setAction#
    {68, 1830, 1568},	// Plasma::IconWidget::setDrawBackground$
    {68, 1899, 1546},	// Plasma::IconWidget::setIcon#
    {68, 1900, 1549},	// Plasma::IconWidget::setIcon$
    {68, 1916, 1544},	// Plasma::IconWidget::setInfoText$
    {68, 1945, 1555},	// Plasma::IconWidget::setMaximumIconSize#
    {68, 1953, 1553},	// Plasma::IconWidget::setMinimumIconSize#
    {68, 1970, 1567},	// Plasma::IconWidget::setNumDisplayLines$
    {68, 1976, 1561},	// Plasma::IconWidget::setOrientation$
    {68, 2005, 1551},	// Plasma::IconWidget::setPreferredIconSize#
    {68, 2008, 1596},	// Plasma::IconWidget::setPressed
    {68, 2009, 1571},	// Plasma::IconWidget::setPressed$
    {68, 2096, 1595},	// Plasma::IconWidget::setSvg$
    {68, 2097, 1541},	// Plasma::IconWidget::setSvg$$
    {68, 2121, 1540},	// Plasma::IconWidget::setText$
    {68, 2123, 1548},	// Plasma::IconWidget::setTextBackgroundColor#
    {68, 2148, 1572},	// Plasma::IconWidget::setUnpressed
    {68, 2201, 1570},	// Plasma::IconWidget::shape
    {68, 2237, 1565},	// Plasma::IconWidget::sizeFromIconSize$
    {68, 2240, 1598},	// Plasma::IconWidget::sizeHint$
    {68, 2241, 1574},	// Plasma::IconWidget::sizeHint$#
    {68, 2263, 1599},	// Plasma::IconWidget::staticMetaObject
    {68, 2286, 1542},	// Plasma::IconWidget::svg
    {68, 2314, 1539},	// Plasma::IconWidget::text
    {68, 2315, 1547},	// Plasma::IconWidget::textBackgroundColor
    {68, 2345, 1590},	// Plasma::IconWidget::tr$
    {68, 2346, 1531},	// Plasma::IconWidget::tr$$
    {68, 2347, 1533},	// Plasma::IconWidget::tr$$$
    {68, 2349, 1591},	// Plasma::IconWidget::trUtf8$
    {68, 2350, 1532},	// Plasma::IconWidget::trUtf8$$
    {68, 2351, 1534},	// Plasma::IconWidget::trUtf8$$$
    {68, 2481, 1600},	// Plasma::IconWidget::~IconWidget
    {69, 227, 1624},	// Plasma::ItemBackground::ItemBackground
    {69, 228, 1608},	// Plasma::ItemBackground::ItemBackground#
    {69, 706, 1615},	// Plasma::ItemBackground::animationStep$
    {69, 708, 1614},	// Plasma::ItemBackground::appearanceChanged
    {69, 998, 1619},	// Plasma::ItemBackground::eventFilter##
    {69, 1223, 1618},	// Plasma::ItemBackground::itemChange$#
    {69, 1394, 1601},	// Plasma::ItemBackground::metaObject
    {69, 1463, 1613},	// Plasma::ItemBackground::paint###
    {69, 1527, 1607},	// Plasma::ItemBackground::qt_metacall$$?
    {69, 1529, 1602},	// Plasma::ItemBackground::qt_metacast$
    {69, 1625, 1621},	// Plasma::ItemBackground::resizeEvent#
    {69, 1662, 1620},	// Plasma::ItemBackground::sceneEventFilter##
    {69, 2111, 1609},	// Plasma::ItemBackground::setTarget#
    {69, 2113, 1611},	// Plasma::ItemBackground::setTargetItem#
    {69, 2263, 1625},	// Plasma::ItemBackground::staticMetaObject
    {69, 2304, 1610},	// Plasma::ItemBackground::target
    {69, 2305, 1612},	// Plasma::ItemBackground::targetItem
    {69, 2307, 1617},	// Plasma::ItemBackground::targetItemReached#
    {69, 2309, 1616},	// Plasma::ItemBackground::targetReached#
    {69, 2345, 1622},	// Plasma::ItemBackground::tr$
    {69, 2346, 1603},	// Plasma::ItemBackground::tr$$
    {69, 2347, 1605},	// Plasma::ItemBackground::tr$$$
    {69, 2349, 1623},	// Plasma::ItemBackground::trUtf8$
    {69, 2350, 1604},	// Plasma::ItemBackground::trUtf8$$
    {69, 2351, 1606},	// Plasma::ItemBackground::trUtf8$$$
    {69, 2482, 1626},	// Plasma::ItemBackground::~ItemBackground
    {70, 306, 1664},	// Plasma::Label::Label
    {70, 307, 1634},	// Plasma::Label::Label#
    {70, 687, 1640},	// Plasma::Label::alignment
    {70, 756, 1657},	// Plasma::Label::changeEvent#
    {70, 840, 1660},	// Plasma::Label::contextMenuEvent#
    {70, 887, 1652},	// Plasma::Label::dataUpdated$?
    {70, 996, 1658},	// Plasma::Label::event#
    {70, 1095, 1642},	// Plasma::Label::hasScaledContents
    {70, 1122, 1638},	// Plasma::Label::image
    {70, 1223, 1659},	// Plasma::Label::itemChange$#
    {70, 1274, 1650},	// Plasma::Label::linkActivated$
    {70, 1277, 1651},	// Plasma::Label::linkHovered$
    {70, 1394, 1627},	// Plasma::Label::metaObject
    {70, 1412, 1655},	// Plasma::Label::mouseMoveEvent#
    {70, 1414, 1654},	// Plasma::Label::mousePressEvent#
    {70, 1431, 1649},	// Plasma::Label::nativeWidget
    {70, 1463, 1656},	// Plasma::Label::paint###
    {70, 1527, 1633},	// Plasma::Label::qt_metacall$$?
    {70, 1529, 1628},	// Plasma::Label::qt_metacast$
    {70, 1625, 1653},	// Plasma::Label::resizeEvent#
    {70, 1703, 1639},	// Plasma::Label::setAlignment$
    {70, 1907, 1637},	// Plasma::Label::setImage$
    {70, 2043, 1641},	// Plasma::Label::setScaledContents$
    {70, 2089, 1647},	// Plasma::Label::setStyleSheet$
    {70, 2121, 1635},	// Plasma::Label::setText$
    {70, 2125, 1643},	// Plasma::Label::setTextSelectable$
    {70, 2196, 1645},	// Plasma::Label::setWordWrap$
    {70, 2241, 1661},	// Plasma::Label::sizeHint$#
    {70, 2263, 1665},	// Plasma::Label::staticMetaObject
    {70, 2276, 1648},	// Plasma::Label::styleSheet
    {70, 2314, 1636},	// Plasma::Label::text
    {70, 2320, 1644},	// Plasma::Label::textSelectable
    {70, 2345, 1662},	// Plasma::Label::tr$
    {70, 2346, 1629},	// Plasma::Label::tr$$
    {70, 2347, 1631},	// Plasma::Label::tr$$$
    {70, 2349, 1663},	// Plasma::Label::trUtf8$
    {70, 2350, 1630},	// Plasma::Label::trUtf8$$
    {70, 2351, 1632},	// Plasma::Label::trUtf8$$$
    {70, 2440, 1646},	// Plasma::Label::wordWrap
    {70, 2483, 1666},	// Plasma::Label::~Label
    {71, 336, 1699},	// Plasma::LineEdit::LineEdit
    {71, 337, 1674},	// Plasma::LineEdit::LineEdit#
    {71, 756, 1687},	// Plasma::LineEdit::changeEvent#
    {71, 770, 1680},	// Plasma::LineEdit::clickMessage
    {71, 953, 1692},	// Plasma::LineEdit::editingFinished
    {71, 1040, 1696},	// Plasma::LineEdit::focusChanged$
    {71, 1042, 1690},	// Plasma::LineEdit::focusInEvent#
    {71, 1046, 1691},	// Plasma::LineEdit::focusOutEvent#
    {71, 1112, 1685},	// Plasma::LineEdit::hoverEnterEvent#
    {71, 1114, 1686},	// Plasma::LineEdit::hoverLeaveEvent#
    {71, 1168, 1678},	// Plasma::LineEdit::isClearButtonShown
    {71, 1394, 1667},	// Plasma::LineEdit::metaObject
    {71, 1414, 1689},	// Plasma::LineEdit::mousePressEvent#
    {71, 1431, 1684},	// Plasma::LineEdit::nativeWidget
    {71, 1463, 1688},	// Plasma::LineEdit::paint###
    {71, 1527, 1673},	// Plasma::LineEdit::qt_metacall$$?
    {71, 1529, 1668},	// Plasma::LineEdit::qt_metacast$
    {71, 1633, 1693},	// Plasma::LineEdit::returnPressed
    {71, 1757, 1677},	// Plasma::LineEdit::setClearButtonShown$
    {71, 1759, 1679},	// Plasma::LineEdit::setClickMessage$
    {71, 1964, 1683},	// Plasma::LineEdit::setNativeWidget#
    {71, 2089, 1681},	// Plasma::LineEdit::setStyleSheet$
    {71, 2121, 1675},	// Plasma::LineEdit::setText$
    {71, 2263, 1700},	// Plasma::LineEdit::staticMetaObject
    {71, 2276, 1682},	// Plasma::LineEdit::styleSheet
    {71, 2314, 1676},	// Plasma::LineEdit::text
    {71, 2317, 1695},	// Plasma::LineEdit::textChanged$
    {71, 2319, 1694},	// Plasma::LineEdit::textEdited$
    {71, 2345, 1697},	// Plasma::LineEdit::tr$
    {71, 2346, 1669},	// Plasma::LineEdit::tr$$
    {71, 2347, 1671},	// Plasma::LineEdit::tr$$$
    {71, 2349, 1698},	// Plasma::LineEdit::trUtf8$
    {71, 2350, 1670},	// Plasma::LineEdit::trUtf8$$
    {71, 2351, 1672},	// Plasma::LineEdit::trUtf8$$$
    {71, 2484, 1701},	// Plasma::LineEdit::~LineEdit
    {72, 29, 1741},	// Plasma::Meter::AnalogMeter
    {72, 55, 1739},	// Plasma::Meter::BarMeterHorizontal
    {72, 56, 1740},	// Plasma::Meter::BarMeterVertical
    {72, 347, 1735},	// Plasma::Meter::Meter
    {72, 348, 1709},	// Plasma::Meter::Meter#
    {72, 887, 1726},	// Plasma::Meter::dataUpdated$?
    {72, 1250, 1718},	// Plasma::Meter::label$
    {72, 1252, 1724},	// Plasma::Meter::labelAlignment$
    {72, 1254, 1720},	// Plasma::Meter::labelColor$
    {72, 1256, 1722},	// Plasma::Meter::labelFont$
    {72, 1258, 1725},	// Plasma::Meter::labelRect$
    {72, 1389, 1710},	// Plasma::Meter::maximum
    {72, 1394, 1702},	// Plasma::Meter::metaObject
    {72, 1396, 1716},	// Plasma::Meter::meterType
    {72, 1404, 1711},	// Plasma::Meter::minimum
    {72, 1462, 1736},	// Plasma::Meter::paint##
    {72, 1463, 1731},	// Plasma::Meter::paint###
    {72, 1527, 1708},	// Plasma::Meter::qt_metacall$$?
    {72, 1529, 1703},	// Plasma::Meter::qt_metacast$
    {72, 1925, 1717},	// Plasma::Meter::setLabel$$
    {72, 1927, 1723},	// Plasma::Meter::setLabelAlignment$$
    {72, 1929, 1719},	// Plasma::Meter::setLabelColor$#
    {72, 1931, 1721},	// Plasma::Meter::setLabelFont$#
    {72, 1943, 1727},	// Plasma::Meter::setMaximum$
    {72, 1947, 1715},	// Plasma::Meter::setMeterType$
    {72, 1951, 1728},	// Plasma::Meter::setMinimum$
    {72, 2096, 1713},	// Plasma::Meter::setSvg$
    {72, 2165, 1729},	// Plasma::Meter::setValue$
    {72, 2240, 1737},	// Plasma::Meter::sizeHint$
    {72, 2241, 1732},	// Plasma::Meter::sizeHint$#
    {72, 2263, 1738},	// Plasma::Meter::staticMetaObject
    {72, 2286, 1714},	// Plasma::Meter::svg
    {72, 2345, 1733},	// Plasma::Meter::tr$
    {72, 2346, 1704},	// Plasma::Meter::tr$$
    {72, 2347, 1706},	// Plasma::Meter::tr$$$
    {72, 2349, 1734},	// Plasma::Meter::trUtf8$
    {72, 2350, 1705},	// Plasma::Meter::trUtf8$$
    {72, 2351, 1707},	// Plasma::Meter::trUtf8$$$
    {72, 2400, 1712},	// Plasma::Meter::value
    {72, 2402, 1730},	// Plasma::Meter::valueChanged$
    {72, 2485, 1742},	// Plasma::Meter::~Meter
    {73, 388, 1743},	// Plasma::Package::Package
    {73, 389, 1746},	// Plasma::Package::Package#
    {73, 390, 1744},	// Plasma::Package::Package$$?
    {73, 391, 1745},	// Plasma::Package::Package$?
    {73, 828, 1756},	// Plasma::Package::contentsHash
    {73, 860, 1763},	// Plasma::Package::createPackage#$$
    {73, 861, 1762},	// Plasma::Package::createPackage#$$$
    {73, 993, 1751},	// Plasma::Package::entryList$
    {73, 1016, 1750},	// Plasma::Package::filePath$
    {73, 1017, 1749},	// Plasma::Package::filePath$$
    {73, 1157, 1759},	// Plasma::Package::installPackage$$$
    {73, 1207, 1748},	// Plasma::Package::isValid
    {73, 1310, 1757},	// Plasma::Package::listInstalled$
    {73, 1312, 1758},	// Plasma::Package::listInstalledPaths$
    {73, 1395, 1752},	// Plasma::Package::metadata
    {73, 1450, 1747},	// Plasma::Package::operator=#
    {73, 1487, 1754},	// Plasma::Package::path
    {73, 1547, 1761},	// Plasma::Package::registerPackage#$
    {73, 1988, 1753},	// Plasma::Package::setPath$
    {73, 2274, 1755},	// Plasma::Package::structure
    {73, 2358, 1760},	// Plasma::Package::uninstallPackage$$$
    {73, 2486, 1764},	// Plasma::Package::~Package
    {74, 392, 1805},	// Plasma::PackageMetadata::PackageMetadata
    {74, 393, 1766},	// Plasma::PackageMetadata::PackageMetadata#
    {74, 394, 1765},	// Plasma::PackageMetadata::PackageMetadata$
    {74, 722, 1780},	// Plasma::PackageMetadata::application
    {74, 730, 1775},	// Plasma::PackageMetadata::author
    {74, 752, 1781},	// Plasma::PackageMetadata::category
    {74, 894, 1772},	// Plasma::PackageMetadata::description
    {74, 975, 1776},	// Plasma::PackageMetadata::email
    {74, 1118, 1789},	// Plasma::PackageMetadata::icon
    {74, 1128, 1784},	// Plasma::PackageMetadata::implementationApi
    {74, 1207, 1768},	// Plasma::PackageMetadata::isValid
    {74, 1245, 1773},	// Plasma::PackageMetadata::keywords
    {74, 1272, 1779},	// Plasma::PackageMetadata::license
    {74, 1429, 1771},	// Plasma::PackageMetadata::name
    {74, 1450, 1767},	// Plasma::PackageMetadata::operator=#
    {74, 1499, 1783},	// Plasma::PackageMetadata::pluginName
    {74, 1536, 1770},	// Plasma::PackageMetadata::read$
    {74, 1567, 1785},	// Plasma::PackageMetadata::remoteLocation
    {74, 1618, 1782},	// Plasma::PackageMetadata::requiredVersion
    {74, 1697, 1774},	// Plasma::PackageMetadata::serviceType
    {74, 1715, 1798},	// Plasma::PackageMetadata::setApplication$
    {74, 1723, 1793},	// Plasma::PackageMetadata::setAuthor$
    {74, 1751, 1799},	// Plasma::PackageMetadata::setCategory$
    {74, 1820, 1788},	// Plasma::PackageMetadata::setDescription$
    {74, 1843, 1794},	// Plasma::PackageMetadata::setEmail$
    {74, 1900, 1790},	// Plasma::PackageMetadata::setIcon$
    {74, 1914, 1804},	// Plasma::PackageMetadata::setImplementationApi$
    {74, 1922, 1791},	// Plasma::PackageMetadata::setKeywords?
    {74, 1935, 1797},	// Plasma::PackageMetadata::setLicense$
    {74, 1962, 1787},	// Plasma::PackageMetadata::setName$
    {74, 1994, 1803},	// Plasma::PackageMetadata::setPluginName$
    {74, 2025, 1801},	// Plasma::PackageMetadata::setRemoteLocation#
    {74, 2031, 1800},	// Plasma::PackageMetadata::setRequiredVersion$
    {74, 2056, 1792},	// Plasma::PackageMetadata::setServiceType$
    {74, 2145, 1802},	// Plasma::PackageMetadata::setType$
    {74, 2167, 1795},	// Plasma::PackageMetadata::setVersion$
    {74, 2188, 1796},	// Plasma::PackageMetadata::setWebsite$
    {74, 2353, 1786},	// Plasma::PackageMetadata::type
    {74, 2403, 1777},	// Plasma::PackageMetadata::version
    {74, 2428, 1778},	// Plasma::PackageMetadata::website
    {74, 2443, 1769},	// Plasma::PackageMetadata::write$
    {74, 2487, 1806},	// Plasma::PackageMetadata::~PackageMetadata
    {75, 395, 1856},	// Plasma::PackageStructure::PackageStructure
    {75, 396, 1857},	// Plasma::PackageStructure::PackageStructure#
    {75, 397, 1814},	// Plasma::PackageStructure::PackageStructure#$
    {75, 641, 1822},	// Plasma::PackageStructure::addDirectoryDefinition$$$
    {75, 645, 1823},	// Plasma::PackageStructure::addFileDefinition$$$
    {75, 688, 1847},	// Plasma::PackageStructure::allowExternalPaths
    {75, 829, 1841},	// Plasma::PackageStructure::contentsPrefix
    {75, 830, 1842},	// Plasma::PackageStructure::contentsPrefixPaths
    {75, 857, 1858},	// Plasma::PackageStructure::createNewWidgetBrowser
    {75, 858, 1840},	// Plasma::PackageStructure::createNewWidgetBrowser#
    {75, 889, 1843},	// Plasma::PackageStructure::defaultPackageRoot
    {75, 907, 1818},	// Plasma::PackageStructure::directories
    {75, 993, 1827},	// Plasma::PackageStructure::entryList$
    {75, 1018, 1820},	// Plasma::PackageStructure::files
    {75, 1156, 1838},	// Plasma::PackageStructure::installPackage$$
    {75, 1195, 1830},	// Plasma::PackageStructure::isRequired$
    {75, 1331, 1816},	// Plasma::PackageStructure::load$
    {75, 1394, 1807},	// Plasma::PackageStructure::metaObject
    {75, 1395, 1846},	// Plasma::PackageStructure::metadata
    {75, 1403, 1833},	// Plasma::PackageStructure::mimetypes$
    {75, 1430, 1828},	// Plasma::PackageStructure::name$
    {75, 1436, 1848},	// Plasma::PackageStructure::newWidgetBrowserFinished
    {75, 1450, 1815},	// Plasma::PackageStructure::operator=#
    {75, 1487, 1835},	// Plasma::PackageStructure::path
    {75, 1488, 1825},	// Plasma::PackageStructure::path$
    {75, 1489, 1853},	// Plasma::PackageStructure::pathChanged
    {75, 1527, 1813},	// Plasma::PackageStructure::qt_metacall$$?
    {75, 1529, 1808},	// Plasma::PackageStructure::qt_metacast$
    {75, 1535, 1836},	// Plasma::PackageStructure::read#
    {75, 1580, 1824},	// Plasma::PackageStructure::removeDefinition$
    {75, 1616, 1819},	// Plasma::PackageStructure::requiredDirectories
    {75, 1617, 1821},	// Plasma::PackageStructure::requiredFiles
    {75, 1681, 1826},	// Plasma::PackageStructure::searchPath$
    {75, 1691, 1844},	// Plasma::PackageStructure::servicePrefix
    {75, 1705, 1849},	// Plasma::PackageStructure::setAllowExternalPaths$
    {75, 1782, 1850},	// Plasma::PackageStructure::setContentsPrefix$
    {75, 1784, 1851},	// Plasma::PackageStructure::setContentsPrefixPaths?
    {75, 1811, 1831},	// Plasma::PackageStructure::setDefaultMimetypes?
    {75, 1813, 1852},	// Plasma::PackageStructure::setDefaultPackageRoot$
    {75, 1949, 1832},	// Plasma::PackageStructure::setMimetypes$?
    {75, 1988, 1834},	// Plasma::PackageStructure::setPath$
    {75, 2029, 1829},	// Plasma::PackageStructure::setRequired$$
    {75, 2054, 1845},	// Plasma::PackageStructure::setServicePrefix$
    {75, 2263, 1859},	// Plasma::PackageStructure::staticMetaObject
    {75, 2345, 1854},	// Plasma::PackageStructure::tr$
    {75, 2346, 1809},	// Plasma::PackageStructure::tr$$
    {75, 2347, 1811},	// Plasma::PackageStructure::tr$$$
    {75, 2349, 1855},	// Plasma::PackageStructure::trUtf8$
    {75, 2350, 1810},	// Plasma::PackageStructure::trUtf8$$
    {75, 2351, 1812},	// Plasma::PackageStructure::trUtf8$$$
    {75, 2353, 1817},	// Plasma::PackageStructure::type
    {75, 2357, 1839},	// Plasma::PackageStructure::uninstallPackage$$
    {75, 2442, 1837},	// Plasma::PackageStructure::write#
    {75, 2488, 1860},	// Plasma::PackageStructure::~PackageStructure
    {76, 413, 1861},	// Plasma::PlotColor::PlotColor
    {76, 414, 1862},	// Plasma::PlotColor::PlotColor#
    {76, 780, 1863},	// Plasma::PlotColor::color
    {76, 882, 1865},	// Plasma::PlotColor::darkColor
    {76, 1765, 1864},	// Plasma::PlotColor::setColor#
    {76, 1800, 1866},	// Plasma::PlotColor::setDarkColor#
    {76, 2489, 1867},	// Plasma::PlotColor::~PlotColor
    {77, 416, 1875},	// Plasma::PopupApplet::PopupApplet#?
    {77, 920, 1898},	// Plasma::PopupApplet::dragEnterEvent#
    {77, 922, 1899},	// Plasma::PopupApplet::dragLeaveEvent#
    {77, 950, 1900},	// Plasma::PopupApplet::dropEvent#
    {77, 998, 1897},	// Plasma::PopupApplet::eventFilter##
    {77, 1076, 1881},	// Plasma::PopupApplet::graphicsWidget
    {77, 1104, 1890},	// Plasma::PopupApplet::hidePopup
    {77, 1178, 1889},	// Plasma::PopupApplet::isIconified
    {77, 1185, 1887},	// Plasma::PopupApplet::isPassivePopup
    {77, 1188, 1888},	// Plasma::PopupApplet::isPopupShowing
    {77, 1394, 1868},	// Plasma::PopupApplet::metaObject
    {77, 1414, 1895},	// Plasma::PopupApplet::mousePressEvent#
    {77, 1416, 1896},	// Plasma::PopupApplet::mouseReleaseEvent#
    {77, 1502, 1885},	// Plasma::PopupApplet::popupAlignment
    {77, 1504, 1893},	// Plasma::PopupApplet::popupEvent$
    {77, 1505, 1878},	// Plasma::PopupApplet::popupIcon
    {77, 1506, 1883},	// Plasma::PopupApplet::popupPlacement
    {77, 1527, 1874},	// Plasma::PopupApplet::qt_metacall$$?
    {77, 1529, 1869},	// Plasma::PopupApplet::qt_metacast$
    {77, 1873, 1882},	// Plasma::PopupApplet::setGraphicsWidget#
    {77, 1986, 1886},	// Plasma::PopupApplet::setPassivePopup$
    {77, 2000, 1884},	// Plasma::PopupApplet::setPopupAlignment$
    {77, 2002, 1876},	// Plasma::PopupApplet::setPopupIcon#
    {77, 2003, 1877},	// Plasma::PopupApplet::setPopupIcon$
    {77, 2190, 1880},	// Plasma::PopupApplet::setWidget#
    {77, 2223, 1904},	// Plasma::PopupApplet::showPopup
    {77, 2224, 1891},	// Plasma::PopupApplet::showPopup$
    {77, 2240, 1905},	// Plasma::PopupApplet::sizeHint$
    {77, 2241, 1894},	// Plasma::PopupApplet::sizeHint$#
    {77, 2263, 1906},	// Plasma::PopupApplet::staticMetaObject
    {77, 2330, 1901},	// Plasma::PopupApplet::timerEvent#
    {77, 2332, 1892},	// Plasma::PopupApplet::togglePopup
    {77, 2345, 1902},	// Plasma::PopupApplet::tr$
    {77, 2346, 1870},	// Plasma::PopupApplet::tr$$
    {77, 2347, 1872},	// Plasma::PopupApplet::tr$$$
    {77, 2349, 1903},	// Plasma::PopupApplet::trUtf8$
    {77, 2350, 1871},	// Plasma::PopupApplet::trUtf8$$
    {77, 2351, 1873},	// Plasma::PopupApplet::trUtf8$$$
    {77, 2431, 1879},	// Plasma::PopupApplet::widget
    {77, 2490, 1907},	// Plasma::PopupApplet::~PopupApplet
    {78, 422, 1947},	// Plasma::PushButton::PushButton
    {78, 423, 1915},	// Plasma::PushButton::PushButton#
    {78, 604, 1924},	// Plasma::PushButton::action
    {78, 756, 1943},	// Plasma::PushButton::changeEvent#
    {78, 769, 1937},	// Plasma::PushButton::click
    {78, 771, 1935},	// Plasma::PushButton::clicked
    {78, 1112, 1941},	// Plasma::PushButton::hoverEnterEvent#
    {78, 1114, 1942},	// Plasma::PushButton::hoverLeaveEvent#
    {78, 1118, 1927},	// Plasma::PushButton::icon
    {78, 1122, 1920},	// Plasma::PushButton::image
    {78, 1166, 1929},	// Plasma::PushButton::isCheckable
    {78, 1167, 1930},	// Plasma::PushButton::isChecked
    {78, 1173, 1931},	// Plasma::PushButton::isDown
    {78, 1394, 1908},	// Plasma::PushButton::metaObject
    {78, 1431, 1932},	// Plasma::PushButton::nativeWidget
    {78, 1462, 1948},	// Plasma::PushButton::paint##
    {78, 1463, 1939},	// Plasma::PushButton::paint###
    {78, 1517, 1933},	// Plasma::PushButton::pressed
    {78, 1527, 1914},	// Plasma::PushButton::qt_metacall$$?
    {78, 1529, 1909},	// Plasma::PushButton::qt_metacast$
    {78, 1557, 1934},	// Plasma::PushButton::released
    {78, 1625, 1940},	// Plasma::PushButton::resizeEvent#
    {78, 1699, 1923},	// Plasma::PushButton::setAction#
    {78, 1753, 1928},	// Plasma::PushButton::setCheckable$
    {78, 1755, 1938},	// Plasma::PushButton::setChecked$
    {78, 1899, -22},	// Plasma::PushButton::setIcon#
    {78, 1907, 1918},	// Plasma::PushButton::setImage$
    {78, 1908, 1919},	// Plasma::PushButton::setImage$$
    {78, 2089, 1921},	// Plasma::PushButton::setStyleSheet$
    {78, 2121, 1916},	// Plasma::PushButton::setText$
    {78, 2241, 1944},	// Plasma::PushButton::sizeHint$#
    {78, 2263, 1949},	// Plasma::PushButton::staticMetaObject
    {78, 2276, 1922},	// Plasma::PushButton::styleSheet
    {78, 2314, 1917},	// Plasma::PushButton::text
    {78, 2334, 1936},	// Plasma::PushButton::toggled$
    {78, 2345, 1945},	// Plasma::PushButton::tr$
    {78, 2346, 1910},	// Plasma::PushButton::tr$$
    {78, 2347, 1912},	// Plasma::PushButton::tr$$$
    {78, 2349, 1946},	// Plasma::PushButton::trUtf8$
    {78, 2350, 1911},	// Plasma::PushButton::trUtf8$$
    {78, 2351, 1913},	// Plasma::PushButton::trUtf8$$$
    {78, 2491, 1950},	// Plasma::PushButton::~PushButton
    {79, 90, 1980},	// Plasma::QueryMatch::CompletionMatch
    {79, 163, 1984},	// Plasma::QueryMatch::ExactMatch
    {79, 204, 1983},	// Plasma::QueryMatch::HelperMatch
    {79, 222, 1982},	// Plasma::QueryMatch::InformationalMatch
    {79, 378, 1979},	// Plasma::QueryMatch::NoMatch
    {79, 418, 1981},	// Plasma::QueryMatch::PossibleMatch
    {79, 435, -16},	// Plasma::QueryMatch::QueryMatch#
    {79, 851, 1978},	// Plasma::QueryMatch::createConfigurationInterface#
    {79, 883, 1964},	// Plasma::QueryMatch::data
    {79, 1083, 1977},	// Plasma::QueryMatch::hasConfigurationInterface
    {79, 1118, 1972},	// Plasma::QueryMatch::icon
    {79, 1120, 1966},	// Plasma::QueryMatch::id
    {79, 1175, 1974},	// Plasma::QueryMatch::isEnabled
    {79, 1207, 1957},	// Plasma::QueryMatch::isValid
    {79, 1448, 1955},	// Plasma::QueryMatch::operator<#
    {79, 1450, 1953},	// Plasma::QueryMatch::operator=#
    {79, 1452, 1954},	// Plasma::QueryMatch::operator==#
    {79, 1558, 1961},	// Plasma::QueryMatch::relevance
    {79, 1638, 1962},	// Plasma::QueryMatch::run#
    {79, 1642, 1956},	// Plasma::QueryMatch::runner
    {79, 1685, 1975},	// Plasma::QueryMatch::selectedAction
    {79, 1802, 1963},	// Plasma::QueryMatch::setData#
    {79, 1847, 1973},	// Plasma::QueryMatch::setEnabled$
    {79, 1899, 1971},	// Plasma::QueryMatch::setIcon#
    {79, 1902, 1965},	// Plasma::QueryMatch::setId$
    {79, 2023, 1960},	// Plasma::QueryMatch::setRelevance$
    {79, 2052, 1976},	// Plasma::QueryMatch::setSelectedAction#
    {79, 2093, 1969},	// Plasma::QueryMatch::setSubtext$
    {79, 2121, 1967},	// Plasma::QueryMatch::setText$
    {79, 2145, 1958},	// Plasma::QueryMatch::setType$
    {79, 2279, 1970},	// Plasma::QueryMatch::subtext
    {79, 2314, 1968},	// Plasma::QueryMatch::text
    {79, 2353, 1959},	// Plasma::QueryMatch::type
    {79, 2492, 1985},	// Plasma::QueryMatch::~QueryMatch
    {80, 437, 2008},	// Plasma::RadioButton::RadioButton
    {80, 438, 1993},	// Plasma::RadioButton::RadioButton#
    {80, 756, 2005},	// Plasma::RadioButton::changeEvent#
    {80, 1122, 1997},	// Plasma::RadioButton::image
    {80, 1167, 2002},	// Plasma::RadioButton::isChecked
    {80, 1394, 1986},	// Plasma::RadioButton::metaObject
    {80, 1431, 2000},	// Plasma::RadioButton::nativeWidget
    {80, 1527, 1992},	// Plasma::RadioButton::qt_metacall$$?
    {80, 1529, 1987},	// Plasma::RadioButton::qt_metacast$
    {80, 1625, 2004},	// Plasma::RadioButton::resizeEvent#
    {80, 1755, 2001},	// Plasma::RadioButton::setChecked$
    {80, 1907, 1996},	// Plasma::RadioButton::setImage$
    {80, 2089, 1998},	// Plasma::RadioButton::setStyleSheet$
    {80, 2121, 1994},	// Plasma::RadioButton::setText$
    {80, 2263, 2009},	// Plasma::RadioButton::staticMetaObject
    {80, 2276, 1999},	// Plasma::RadioButton::styleSheet
    {80, 2314, 1995},	// Plasma::RadioButton::text
    {80, 2334, 2003},	// Plasma::RadioButton::toggled$
    {80, 2345, 2006},	// Plasma::RadioButton::tr$
    {80, 2346, 1988},	// Plasma::RadioButton::tr$$
    {80, 2347, 1990},	// Plasma::RadioButton::tr$$$
    {80, 2349, 2007},	// Plasma::RadioButton::trUtf8$
    {80, 2350, 1989},	// Plasma::RadioButton::trUtf8$$
    {80, 2351, 1991},	// Plasma::RadioButton::trUtf8$$$
    {80, 2493, 2010},	// Plasma::RadioButton::~RadioButton
    {81, 149, 2046},	// Plasma::RunnerContext::Directory
    {81, 164, 2049},	// Plasma::RunnerContext::Executable
    {81, 176, 2047},	// Plasma::RunnerContext::File
    {81, 177, 2052},	// Plasma::RunnerContext::FileSystem
    {81, 203, 2051},	// Plasma::RunnerContext::Help
    {81, 358, 2048},	// Plasma::RunnerContext::NetworkLocation
    {81, 381, 2044},	// Plasma::RunnerContext::None
    {81, 452, 2041},	// Plasma::RunnerContext::RunnerContext
    {81, 453, -1},	// Plasma::RunnerContext::RunnerContext#
    {81, 454, 2019},	// Plasma::RunnerContext::RunnerContext##
    {81, 487, 2050},	// Plasma::RunnerContext::ShellCommand
    {81, 559, 2045},	// Plasma::RunnerContext::UnknownType
    {81, 651, 2028},	// Plasma::RunnerContext::addMatch$#
    {81, 653, 2027},	// Plasma::RunnerContext::addMatches$?
    {81, 1207, 2026},	// Plasma::RunnerContext::isValid
    {81, 1381, 2032},	// Plasma::RunnerContext::match$
    {81, 1383, 2031},	// Plasma::RunnerContext::matches
    {81, 1384, 2038},	// Plasma::RunnerContext::matchesChanged
    {81, 1394, 2011},	// Plasma::RunnerContext::metaObject
    {81, 1401, 2025},	// Plasma::RunnerContext::mimeType
    {81, 1450, 2020},	// Plasma::RunnerContext::operator=#
    {81, 1527, 2017},	// Plasma::RunnerContext::qt_metacall$$?
    {81, 1529, 2012},	// Plasma::RunnerContext::qt_metacast$
    {81, 1530, 2023},	// Plasma::RunnerContext::query
    {81, 1584, 2029},	// Plasma::RunnerContext::removeMatch$
    {81, 1586, 2030},	// Plasma::RunnerContext::removeMatches?
    {81, 1619, 2021},	// Plasma::RunnerContext::reset
    {81, 1630, 2035},	// Plasma::RunnerContext::restore#
    {81, 1638, 2037},	// Plasma::RunnerContext::run#
    {81, 1648, 2036},	// Plasma::RunnerContext::save#
    {81, 2017, 2022},	// Plasma::RunnerContext::setQuery$
    {81, 2072, 2033},	// Plasma::RunnerContext::setSingleRunnerQueryMode$
    {81, 2232, 2034},	// Plasma::RunnerContext::singleRunnerQueryMode
    {81, 2263, 2043},	// Plasma::RunnerContext::staticMetaObject
    {81, 2345, 2039},	// Plasma::RunnerContext::tr$
    {81, 2346, 2013},	// Plasma::RunnerContext::tr$$
    {81, 2347, 2015},	// Plasma::RunnerContext::tr$$$
    {81, 2349, 2040},	// Plasma::RunnerContext::trUtf8$
    {81, 2350, 2014},	// Plasma::RunnerContext::trUtf8$$
    {81, 2351, 2016},	// Plasma::RunnerContext::trUtf8$$$
    {81, 2353, 2024},	// Plasma::RunnerContext::type
    {81, 2494, 2053},	// Plasma::RunnerContext::~RunnerContext
    {82, 455, 2097},	// Plasma::RunnerManager::RunnerManager
    {82, 456, -48},	// Plasma::RunnerManager::RunnerManager#
    {82, 457, 2062},	// Plasma::RunnerManager::RunnerManager##
    {82, 609, 2076},	// Plasma::RunnerManager::actionsForMatch#
    {82, 689, 2082},	// Plasma::RunnerManager::allowedRunners
    {82, 1004, 2091},	// Plasma::RunnerManager::execQuery$
    {82, 1005, 2090},	// Plasma::RunnerManager::execQuery$$
    {82, 1268, 2089},	// Plasma::RunnerManager::launchQuery$
    {82, 1269, 2088},	// Plasma::RunnerManager::launchQuery$$
    {82, 1314, 2099},	// Plasma::RunnerManager::listRunnerInfo
    {82, 1315, 2085},	// Plasma::RunnerManager::listRunnerInfo$
    {82, 1353, 2081},	// Plasma::RunnerManager::loadRunner$
    {82, 1354, 2080},	// Plasma::RunnerManager::loadRunner?
    {82, 1382, 2087},	// Plasma::RunnerManager::matchSessionComplete
    {82, 1383, 2073},	// Plasma::RunnerManager::matches
    {82, 1385, 2093},	// Plasma::RunnerManager::matchesChanged?
    {82, 1394, 2054},	// Plasma::RunnerManager::metaObject
    {82, 1399, 2083},	// Plasma::RunnerManager::mimeDataForMatch#
    {82, 1400, 2084},	// Plasma::RunnerManager::mimeDataForMatch$
    {82, 1527, 2060},	// Plasma::RunnerManager::qt_metacall$$?
    {82, 1529, 2055},	// Plasma::RunnerManager::qt_metacast$
    {82, 1530, 2077},	// Plasma::RunnerManager::query
    {82, 1532, 2094},	// Plasma::RunnerManager::queryFinished
    {82, 1560, 2078},	// Plasma::RunnerManager::reloadConfiguration
    {82, 1619, 2092},	// Plasma::RunnerManager::reset
    {82, 1638, 2074},	// Plasma::RunnerManager::run#
    {82, 1640, 2075},	// Plasma::RunnerManager::run$
    {82, 1643, 2063},	// Plasma::RunnerManager::runner$
    {82, 1645, 2069},	// Plasma::RunnerManager::runnerName$
    {82, 1646, 2070},	// Plasma::RunnerManager::runners
    {82, 1679, 2072},	// Plasma::RunnerManager::searchContext
    {82, 1707, 2079},	// Plasma::RunnerManager::setAllowedRunners?
    {82, 2068, 2068},	// Plasma::RunnerManager::setSingleMode$
    {82, 2070, 2065},	// Plasma::RunnerManager::setSingleModeRunnerId$
    {82, 2200, 2086},	// Plasma::RunnerManager::setupMatchSession
    {82, 2228, 2067},	// Plasma::RunnerManager::singleMode
    {82, 2229, 2071},	// Plasma::RunnerManager::singleModeAdvertisedRunnerIds
    {82, 2230, 2064},	// Plasma::RunnerManager::singleModeRunner
    {82, 2231, 2066},	// Plasma::RunnerManager::singleModeRunnerId
    {82, 2263, 2100},	// Plasma::RunnerManager::staticMetaObject
    {82, 2345, 2095},	// Plasma::RunnerManager::tr$
    {82, 2346, 2056},	// Plasma::RunnerManager::tr$$
    {82, 2347, 2058},	// Plasma::RunnerManager::tr$$$
    {82, 2349, 2096},	// Plasma::RunnerManager::trUtf8$
    {82, 2350, 2057},	// Plasma::RunnerManager::trUtf8$$
    {82, 2351, 2059},	// Plasma::RunnerManager::trUtf8$$$
    {82, 2495, 2101},	// Plasma::RunnerManager::~RunnerManager
    {83, 458, 2139},	// Plasma::RunnerScript::RunnerScript
    {83, 459, 2109},	// Plasma::RunnerScript::RunnerScript#
    {83, 605, 2132},	// Plasma::RunnerScript::action$
    {83, 607, 2133},	// Plasma::RunnerScript::actions
    {83, 610, 2118},	// Plasma::RunnerScript::actionsForMatch#?
    {83, 623, 2130},	// Plasma::RunnerScript::addAction$#
    {83, 624, 2129},	// Plasma::RunnerScript::addAction$#$
    {83, 674, 2135},	// Plasma::RunnerScript::addSyntax#
    {83, 763, 2134},	// Plasma::RunnerScript::clearActions
    {83, 783, 2123},	// Plasma::RunnerScript::config
    {83, 863, 2116},	// Plasma::RunnerScript::createRunOptions#
    {83, 885, 2122},	// Plasma::RunnerScript::dataEngine$
    {83, 894, 2121},	// Plasma::RunnerScript::description
    {83, 1367, 2119},	// Plasma::RunnerScript::mainScript
    {83, 1380, 2112},	// Plasma::RunnerScript::match#
    {83, 1394, 2102},	// Plasma::RunnerScript::metaObject
    {83, 1455, 2120},	// Plasma::RunnerScript::package
    {83, 1516, 2114},	// Plasma::RunnerScript::prepare
    {83, 1527, 2108},	// Plasma::RunnerScript::qt_metacall$$?
    {83, 1529, 2103},	// Plasma::RunnerScript::qt_metacast$
    {83, 1560, 2117},	// Plasma::RunnerScript::reloadConfiguration
    {83, 1571, 2131},	// Plasma::RunnerScript::removeAction$
    {83, 1639, 2113},	// Plasma::RunnerScript::run##
    {83, 1642, 2111},	// Plasma::RunnerScript::runner
    {83, 1693, 2140},	// Plasma::RunnerScript::serviceQuery$
    {83, 1694, 2128},	// Plasma::RunnerScript::serviceQuery$$
    {83, 1882, 2125},	// Plasma::RunnerScript::setHasRunOptions$
    {83, 1904, 2124},	// Plasma::RunnerScript::setIgnoredTypes$
    {83, 2015, 2127},	// Plasma::RunnerScript::setPriority$
    {83, 2039, 2110},	// Plasma::RunnerScript::setRunner#
    {83, 2078, 2126},	// Plasma::RunnerScript::setSpeed$
    {83, 2101, 2136},	// Plasma::RunnerScript::setSyntaxes?
    {83, 2263, 2141},	// Plasma::RunnerScript::staticMetaObject
    {83, 2313, 2115},	// Plasma::RunnerScript::teardown
    {83, 2345, 2137},	// Plasma::RunnerScript::tr$
    {83, 2346, 2104},	// Plasma::RunnerScript::tr$$
    {83, 2347, 2106},	// Plasma::RunnerScript::tr$$$
    {83, 2349, 2138},	// Plasma::RunnerScript::trUtf8$
    {83, 2350, 2105},	// Plasma::RunnerScript::trUtf8$$
    {83, 2351, 2107},	// Plasma::RunnerScript::trUtf8$$$
    {83, 2496, 2142},	// Plasma::RunnerScript::~RunnerScript
    {84, 461, 2144},	// Plasma::RunnerSyntax::RunnerSyntax#
    {84, 462, 2143},	// Plasma::RunnerSyntax::RunnerSyntax$$
    {84, 643, 2146},	// Plasma::RunnerSyntax::addExampleQuery$
    {84, 894, 2150},	// Plasma::RunnerSyntax::description
    {84, 1001, 2147},	// Plasma::RunnerSyntax::exampleQueries
    {84, 1002, 2148},	// Plasma::RunnerSyntax::exampleQueriesWithTermDescription
    {84, 1450, 2145},	// Plasma::RunnerSyntax::operator=#
    {84, 1682, 2152},	// Plasma::RunnerSyntax::searchTermDescription
    {84, 1820, 2149},	// Plasma::RunnerSyntax::setDescription$
    {84, 2050, 2151},	// Plasma::RunnerSyntax::setSearchTermDescription$
    {84, 2497, 2153},	// Plasma::RunnerSyntax::~RunnerSyntax
    {85, 468, 2167},	// Plasma::ScriptEngine::ScriptEngine
    {85, 469, 2162},	// Plasma::ScriptEngine::ScriptEngine#
    {85, 1134, 2161},	// Plasma::ScriptEngine::init
    {85, 1367, 2163},	// Plasma::ScriptEngine::mainScript
    {85, 1394, 2154},	// Plasma::ScriptEngine::metaObject
    {85, 1455, 2164},	// Plasma::ScriptEngine::package
    {85, 1527, 2160},	// Plasma::ScriptEngine::qt_metacall$$?
    {85, 1529, 2155},	// Plasma::ScriptEngine::qt_metacast$
    {85, 2263, 2168},	// Plasma::ScriptEngine::staticMetaObject
    {85, 2345, 2165},	// Plasma::ScriptEngine::tr$
    {85, 2346, 2156},	// Plasma::ScriptEngine::tr$$
    {85, 2347, 2158},	// Plasma::ScriptEngine::tr$$$
    {85, 2349, 2166},	// Plasma::ScriptEngine::trUtf8$
    {85, 2350, 2157},	// Plasma::ScriptEngine::trUtf8$$
    {85, 2351, 2159},	// Plasma::ScriptEngine::trUtf8$$$
    {85, 2498, 2169},	// Plasma::ScriptEngine::~ScriptEngine
    {86, 470, 2199},	// Plasma::ScrollBar::ScrollBar
    {86, 471, 2177},	// Plasma::ScrollBar::ScrollBar#
    {86, 840, 2192},	// Plasma::ScrollBar::contextMenuEvent#
    {86, 1389, 2185},	// Plasma::ScrollBar::maximum
    {86, 1394, 2170},	// Plasma::ScrollBar::metaObject
    {86, 1404, 2184},	// Plasma::ScrollBar::minimum
    {86, 1431, 2190},	// Plasma::ScrollBar::nativeWidget
    {86, 1453, 2191},	// Plasma::ScrollBar::orientation
    {86, 1460, 2182},	// Plasma::ScrollBar::pageStep
    {86, 1527, 2176},	// Plasma::ScrollBar::qt_metacall$$?
    {86, 1529, 2171},	// Plasma::ScrollBar::qt_metacast$
    {86, 1943, 2187},	// Plasma::ScrollBar::setMaximum$
    {86, 1951, 2186},	// Plasma::ScrollBar::setMinimum$
    {86, 1976, 2194},	// Plasma::ScrollBar::setOrientation$
    {86, 1984, 2181},	// Plasma::ScrollBar::setPageStep$
    {86, 2019, 2178},	// Plasma::ScrollBar::setRange$$
    {86, 2074, 2179},	// Plasma::ScrollBar::setSingleStep$
    {86, 2089, 2188},	// Plasma::ScrollBar::setStyleSheet$
    {86, 2165, 2193},	// Plasma::ScrollBar::setValue$
    {86, 2233, 2180},	// Plasma::ScrollBar::singleStep
    {86, 2245, 2196},	// Plasma::ScrollBar::sliderMoved$
    {86, 2263, 2200},	// Plasma::ScrollBar::staticMetaObject
    {86, 2276, 2189},	// Plasma::ScrollBar::styleSheet
    {86, 2345, 2197},	// Plasma::ScrollBar::tr$
    {86, 2346, 2172},	// Plasma::ScrollBar::tr$$
    {86, 2347, 2174},	// Plasma::ScrollBar::tr$$$
    {86, 2349, 2198},	// Plasma::ScrollBar::trUtf8$
    {86, 2350, 2173},	// Plasma::ScrollBar::trUtf8$$
    {86, 2351, 2175},	// Plasma::ScrollBar::trUtf8$$$
    {86, 2400, 2183},	// Plasma::ScrollBar::value
    {86, 2402, 2195},	// Plasma::ScrollBar::valueChanged$
    {86, 2499, 2201},	// Plasma::ScrollBar::~ScrollBar
    {87, 473, 2250},	// Plasma::ScrollWidget::ScrollWidget
    {87, 474, -13},	// Plasma::ScrollWidget::ScrollWidget#
    {87, 687, 2214},	// Plasma::ScrollWidget::alignment
    {87, 832, 2228},	// Plasma::ScrollWidget::contentsSize
    {87, 988, 2224},	// Plasma::ScrollWidget::ensureItemVisible#
    {87, 990, 2223},	// Plasma::ScrollWidget::ensureRectVisible#
    {87, 998, 2244},	// Plasma::ScrollWidget::eventFilter##
    {87, 1042, 2245},	// Plasma::ScrollWidget::focusInEvent#
    {87, 1093, 2216},	// Plasma::ScrollWidget::hasOverShoot
    {87, 1110, 2218},	// Plasma::ScrollWidget::horizontalScrollBarPolicy
    {87, 1242, 2242},	// Plasma::ScrollWidget::keyPressEvent#
    {87, 1394, 2202},	// Plasma::ScrollWidget::metaObject
    {87, 1412, 2239},	// Plasma::ScrollWidget::mouseMoveEvent#
    {87, 1414, 2240},	// Plasma::ScrollWidget::mousePressEvent#
    {87, 1416, 2241},	// Plasma::ScrollWidget::mouseReleaseEvent#
    {87, 1431, 2235},	// Plasma::ScrollWidget::nativeWidget
    {87, 1454, 2221},	// Plasma::ScrollWidget::overflowBordersVisible
    {87, 1527, 2208},	// Plasma::ScrollWidget::qt_metacall$$?
    {87, 1529, 2203},	// Plasma::ScrollWidget::qt_metacast$
    {87, 1544, 2225},	// Plasma::ScrollWidget::registerAsDragHandle#
    {87, 1625, 2238},	// Plasma::ScrollWidget::resizeEvent#
    {87, 1662, 2247},	// Plasma::ScrollWidget::sceneEventFilter##
    {87, 1675, 2230},	// Plasma::ScrollWidget::scrollPosition
    {87, 1678, 2236},	// Plasma::ScrollWidget::scrollStateChanged$$
    {87, 1703, 2213},	// Plasma::ScrollWidget::setAlignment$
    {87, 1892, 2217},	// Plasma::ScrollWidget::setHorizontalScrollBarPolicy$
    {87, 1978, 2215},	// Plasma::ScrollWidget::setOverShoot$
    {87, 1980, 2222},	// Plasma::ScrollWidget::setOverflowBordersVisible$
    {87, 2048, 2229},	// Plasma::ScrollWidget::setScrollPosition#
    {87, 2076, 2231},	// Plasma::ScrollWidget::setSnapSize#
    {87, 2089, 2233},	// Plasma::ScrollWidget::setStyleSheet$
    {87, 2177, 2219},	// Plasma::ScrollWidget::setVerticalScrollBarPolicy$
    {87, 2190, 2211},	// Plasma::ScrollWidget::setWidget#
    {87, 2241, 2246},	// Plasma::ScrollWidget::sizeHint$#
    {87, 2246, 2232},	// Plasma::ScrollWidget::snapSize
    {87, 2263, 2251},	// Plasma::ScrollWidget::staticMetaObject
    {87, 2276, 2234},	// Plasma::ScrollWidget::styleSheet
    {87, 2345, 2248},	// Plasma::ScrollWidget::tr$
    {87, 2346, 2204},	// Plasma::ScrollWidget::tr$$
    {87, 2347, 2206},	// Plasma::ScrollWidget::tr$$$
    {87, 2349, 2249},	// Plasma::ScrollWidget::trUtf8$
    {87, 2350, 2205},	// Plasma::ScrollWidget::trUtf8$$
    {87, 2351, 2207},	// Plasma::ScrollWidget::trUtf8$$$
    {87, 2364, 2226},	// Plasma::ScrollWidget::unregisterAsDragHandle#
    {87, 2413, 2220},	// Plasma::ScrollWidget::verticalScrollBarPolicy
    {87, 2418, 2227},	// Plasma::ScrollWidget::viewportGeometry
    {87, 2420, 2237},	// Plasma::ScrollWidget::viewportGeometryChanged#
    {87, 2430, 2243},	// Plasma::ScrollWidget::wheelEvent#
    {87, 2431, 2212},	// Plasma::ScrollWidget::widget
    {87, 2500, 2252},	// Plasma::ScrollWidget::~ScrollWidget
    {88, 476, 2267},	// Plasma::Separator::Separator
    {88, 477, 2268},	// Plasma::Separator::Separator#
    {88, 478, 2260},	// Plasma::Separator::Separator#$
    {88, 1394, 2253},	// Plasma::Separator::metaObject
    {88, 1453, 2262},	// Plasma::Separator::orientation
    {88, 1463, 2263},	// Plasma::Separator::paint###
    {88, 1527, 2259},	// Plasma::Separator::qt_metacall$$?
    {88, 1529, 2254},	// Plasma::Separator::qt_metacast$
    {88, 1976, 2261},	// Plasma::Separator::setOrientation$
    {88, 2241, 2264},	// Plasma::Separator::sizeHint$#
    {88, 2263, 2269},	// Plasma::Separator::staticMetaObject
    {88, 2345, 2265},	// Plasma::Separator::tr$
    {88, 2346, 2255},	// Plasma::Separator::tr$$
    {88, 2347, 2257},	// Plasma::Separator::tr$$$
    {88, 2349, 2266},	// Plasma::Separator::trUtf8$
    {88, 2350, 2256},	// Plasma::Separator::trUtf8$$
    {88, 2351, 2258},	// Plasma::Separator::trUtf8$$$
    {88, 2501, 2270},	// Plasma::Separator::~Separator
    {89, 479, 2309},	// Plasma::Service::Service
    {89, 480, 2296},	// Plasma::Service::Service#
    {89, 481, 2297},	// Plasma::Service::Service#?
    {89, 600, 2307},	// Plasma::Service::access#
    {89, 601, 2280},	// Plasma::Service::access##
    {89, 725, -4},	// Plasma::Service::associateWidget#$
    {89, 856, 2298},	// Plasma::Service::createJob$?
    {89, 896, 2282},	// Plasma::Service::destination
    {89, 909, -7},	// Plasma::Service::disassociateWidget#
    {89, 1029, 2293},	// Plasma::Service::finished#
    {89, 1184, 2286},	// Plasma::Service::isOperationEnabled$
    {89, 1331, 2306},	// Plasma::Service::load$
    {89, 1332, 2279},	// Plasma::Service::load$#
    {89, 1335, 2305},	// Plasma::Service::load$?
    {89, 1336, 2278},	// Plasma::Service::load$?#
    {89, 1394, 2271},	// Plasma::Service::metaObject
    {89, 1429, 2287},	// Plasma::Service::name
    {89, 1444, 2284},	// Plasma::Service::operationDescription$
    {89, 1445, 2283},	// Plasma::Service::operationNames
    {89, 1446, 2294},	// Plasma::Service::operationsChanged
    {89, 1484, 2292},	// Plasma::Service::parametersFromDescription#
    {89, 1527, 2277},	// Plasma::Service::qt_metacall$$?
    {89, 1529, 2272},	// Plasma::Service::qt_metacast$
    {89, 1545, 2299},	// Plasma::Service::registerOperationsScheme
    {89, 1696, 2295},	// Plasma::Service::serviceReady#
    {89, 1822, 2281},	// Plasma::Service::setDestination$
    {89, 1962, 2301},	// Plasma::Service::setName$
    {89, 1972, 2302},	// Plasma::Service::setOperationEnabled$$
    {89, 1974, 2300},	// Plasma::Service::setOperationsScheme#
    {89, 2259, 2308},	// Plasma::Service::startOperationCall#
    {89, 2260, 2285},	// Plasma::Service::startOperationCall##
    {89, 2263, 2310},	// Plasma::Service::staticMetaObject
    {89, 2345, 2303},	// Plasma::Service::tr$
    {89, 2346, 2273},	// Plasma::Service::tr$$
    {89, 2347, 2275},	// Plasma::Service::tr$$$
    {89, 2349, 2304},	// Plasma::Service::trUtf8$
    {89, 2350, 2274},	// Plasma::Service::trUtf8$$
    {89, 2351, 2276},	// Plasma::Service::trUtf8$$$
    {89, 2502, 2311},	// Plasma::Service::~Service
    {90, 483, 2324},	// Plasma::ServiceAccessJob::ServiceAccessJob#
    {90, 484, 2320},	// Plasma::ServiceAccessJob::ServiceAccessJob##
    {90, 1394, 2312},	// Plasma::ServiceAccessJob::metaObject
    {90, 1527, 2318},	// Plasma::ServiceAccessJob::qt_metacall$$?
    {90, 1529, 2313},	// Plasma::ServiceAccessJob::qt_metacast$
    {90, 1687, 2319},	// Plasma::ServiceAccessJob::service
    {90, 2257, 2321},	// Plasma::ServiceAccessJob::start
    {90, 2263, 2325},	// Plasma::ServiceAccessJob::staticMetaObject
    {90, 2345, 2322},	// Plasma::ServiceAccessJob::tr$
    {90, 2346, 2314},	// Plasma::ServiceAccessJob::tr$$
    {90, 2347, 2316},	// Plasma::ServiceAccessJob::tr$$$
    {90, 2349, 2323},	// Plasma::ServiceAccessJob::trUtf8$
    {90, 2350, 2315},	// Plasma::ServiceAccessJob::trUtf8$$
    {90, 2351, 2317},	// Plasma::ServiceAccessJob::trUtf8$$$
    {90, 2503, 2326},	// Plasma::ServiceAccessJob::~ServiceAccessJob
    {92, 488, 2401},	// Plasma::SignalPlotter::SignalPlotter
    {92, 489, 2334},	// Plasma::SignalPlotter::SignalPlotter#
    {92, 657, 2335},	// Plasma::SignalPlotter::addPlot#
    {92, 664, 2336},	// Plasma::SignalPlotter::addSample?
    {92, 741, 2376},	// Plasma::SignalPlotter::backgroundColor
    {92, 751, 2388},	// Plasma::SignalPlotter::calculateNiceRange
    {92, 929, 2397},	// Plasma::SignalPlotter::drawAxisText#$$
    {92, 931, 2391},	// Plasma::SignalPlotter::drawBackground#$$
    {92, 934, 2398},	// Plasma::SignalPlotter::drawHorizontalLines#$$$
    {92, 937, 2396},	// Plasma::SignalPlotter::drawPlots#$$$$
    {92, 939, 2392},	// Plasma::SignalPlotter::drawThinFrame#$$
    {92, 941, 2394},	// Plasma::SignalPlotter::drawTopBarContents#$$$
    {92, 943, 2393},	// Plasma::SignalPlotter::drawTopBarFrame#$$
    {92, 945, 2395},	// Plasma::SignalPlotter::drawVerticalLines#$$$
    {92, 948, 2390},	// Plasma::SignalPlotter::drawWidget#$$$
    {92, 1048, 2368},	// Plasma::SignalPlotter::font
    {92, 1051, 2366},	// Plasma::SignalPlotter::fontColor
    {92, 1071, 2385},	// Plasma::SignalPlotter::getSnapshotImage$$
    {92, 1107, 2364},	// Plasma::SignalPlotter::horizontalLinesColor
    {92, 1108, 2370},	// Plasma::SignalPlotter::horizontalLinesCount
    {92, 1109, 2352},	// Plasma::SignalPlotter::horizontalScale
    {92, 1264, 2379},	// Plasma::SignalPlotter::lastValue$
    {92, 1266, 2380},	// Plasma::SignalPlotter::lastValueAsString$
    {92, 1394, 2327},	// Plasma::SignalPlotter::metaObject
    {92, 1463, 2389},	// Plasma::SignalPlotter::paint###
    {92, 1498, 2339},	// Plasma::SignalPlotter::plotColors
    {92, 1527, 2333},	// Plasma::SignalPlotter::qt_metacall$$?
    {92, 1529, 2328},	// Plasma::SignalPlotter::qt_metacast$
    {92, 1590, 2338},	// Plasma::SignalPlotter::removePlot$
    {92, 1611, 2337},	// Plasma::SignalPlotter::reorderPlots?
    {92, 1656, 2344},	// Plasma::SignalPlotter::scale$
    {92, 1657, 2345},	// Plasma::SignalPlotter::scaledBy
    {92, 1739, 2375},	// Plasma::SignalPlotter::setBackgroundColor#
    {92, 1860, 2367},	// Plasma::SignalPlotter::setFont#
    {92, 1863, 2365},	// Plasma::SignalPlotter::setFontColor#
    {92, 1869, 2386},	// Plasma::SignalPlotter::setGeometry#
    {92, 1886, 2363},	// Plasma::SignalPlotter::setHorizontalLinesColor#
    {92, 1888, 2369},	// Plasma::SignalPlotter::setHorizontalLinesCount$
    {92, 1890, 2351},	// Plasma::SignalPlotter::setHorizontalScale$
    {92, 2058, 2361},	// Plasma::SignalPlotter::setShowHorizontalLines$
    {92, 2060, 2371},	// Plasma::SignalPlotter::setShowLabels$
    {92, 2062, 2373},	// Plasma::SignalPlotter::setShowTopBar$
    {92, 2064, 2353},	// Plasma::SignalPlotter::setShowVerticalLines$
    {92, 2080, 2383},	// Plasma::SignalPlotter::setStackPlots$
    {92, 2099, 2377},	// Plasma::SignalPlotter::setSvgBackground$
    {92, 2131, 2381},	// Plasma::SignalPlotter::setThinFrame$
    {92, 2135, 2340},	// Plasma::SignalPlotter::setTitle$
    {92, 2147, 2342},	// Plasma::SignalPlotter::setUnit$
    {92, 2155, 2346},	// Plasma::SignalPlotter::setUseAutoRange$
    {92, 2169, 2355},	// Plasma::SignalPlotter::setVerticalLinesColor#
    {92, 2171, 2357},	// Plasma::SignalPlotter::setVerticalLinesDistance$
    {92, 2173, 2359},	// Plasma::SignalPlotter::setVerticalLinesScroll$
    {92, 2175, 2348},	// Plasma::SignalPlotter::setVerticalRange$$
    {92, 2219, 2362},	// Plasma::SignalPlotter::showHorizontalLines
    {92, 2220, 2372},	// Plasma::SignalPlotter::showLabels
    {92, 2226, 2374},	// Plasma::SignalPlotter::showTopBar
    {92, 2227, 2354},	// Plasma::SignalPlotter::showVerticalLines
    {92, 2255, 2384},	// Plasma::SignalPlotter::stackPlots
    {92, 2263, 2402},	// Plasma::SignalPlotter::staticMetaObject
    {92, 2287, 2378},	// Plasma::SignalPlotter::svgBackground
    {92, 2324, 2382},	// Plasma::SignalPlotter::thinFrame
    {92, 2331, 2341},	// Plasma::SignalPlotter::title
    {92, 2345, 2399},	// Plasma::SignalPlotter::tr$
    {92, 2346, 2329},	// Plasma::SignalPlotter::tr$$
    {92, 2347, 2331},	// Plasma::SignalPlotter::tr$$$
    {92, 2349, 2400},	// Plasma::SignalPlotter::trUtf8$
    {92, 2350, 2330},	// Plasma::SignalPlotter::trUtf8$$
    {92, 2351, 2332},	// Plasma::SignalPlotter::trUtf8$$$
    {92, 2359, 2343},	// Plasma::SignalPlotter::unit
    {92, 2376, 2387},	// Plasma::SignalPlotter::updateDataBuffers
    {92, 2391, 2347},	// Plasma::SignalPlotter::useAutoRange
    {92, 2408, 2356},	// Plasma::SignalPlotter::verticalLinesColor
    {92, 2409, 2358},	// Plasma::SignalPlotter::verticalLinesDistance
    {92, 2410, 2360},	// Plasma::SignalPlotter::verticalLinesScroll
    {92, 2411, 2350},	// Plasma::SignalPlotter::verticalMaxValue
    {92, 2412, 2349},	// Plasma::SignalPlotter::verticalMinValue
    {92, 2504, 2403},	// Plasma::SignalPlotter::~SignalPlotter
    {93, 494, 2430},	// Plasma::Slider::Slider
    {93, 495, 2411},	// Plasma::Slider::Slider#
    {93, 1389, 2412},	// Plasma::Slider::maximum
    {93, 1394, 2404},	// Plasma::Slider::metaObject
    {93, 1404, 2413},	// Plasma::Slider::minimum
    {93, 1431, 2418},	// Plasma::Slider::nativeWidget
    {93, 1453, 2415},	// Plasma::Slider::orientation
    {93, 1463, 2419},	// Plasma::Slider::paint###
    {93, 1527, 2410},	// Plasma::Slider::qt_metacall$$?
    {93, 1529, 2405},	// Plasma::Slider::qt_metacast$
    {93, 1943, 2421},	// Plasma::Slider::setMaximum$
    {93, 1951, 2422},	// Plasma::Slider::setMinimum$
    {93, 1976, 2425},	// Plasma::Slider::setOrientation$
    {93, 2019, 2423},	// Plasma::Slider::setRange$$
    {93, 2089, 2416},	// Plasma::Slider::setStyleSheet$
    {93, 2165, 2424},	// Plasma::Slider::setValue$
    {93, 2245, 2426},	// Plasma::Slider::sliderMoved$
    {93, 2263, 2431},	// Plasma::Slider::staticMetaObject
    {93, 2276, 2417},	// Plasma::Slider::styleSheet
    {93, 2345, 2428},	// Plasma::Slider::tr$
    {93, 2346, 2406},	// Plasma::Slider::tr$$
    {93, 2347, 2408},	// Plasma::Slider::tr$$$
    {93, 2349, 2429},	// Plasma::Slider::trUtf8$
    {93, 2350, 2407},	// Plasma::Slider::trUtf8$$
    {93, 2351, 2409},	// Plasma::Slider::trUtf8$$$
    {93, 2400, 2414},	// Plasma::Slider::value
    {93, 2402, 2427},	// Plasma::Slider::valueChanged$
    {93, 2430, 2420},	// Plasma::Slider::wheelEvent#
    {93, 2505, 2432},	// Plasma::Slider::~Slider
    {94, 501, 2463},	// Plasma::SpinBox::SpinBox
    {94, 502, 2440},	// Plasma::SpinBox::SpinBox#
    {94, 756, 2447},	// Plasma::SpinBox::changeEvent#
    {94, 953, 2460},	// Plasma::SpinBox::editingFinished
    {94, 1046, 2453},	// Plasma::SpinBox::focusOutEvent#
    {94, 1112, 2448},	// Plasma::SpinBox::hoverEnterEvent#
    {94, 1114, 2449},	// Plasma::SpinBox::hoverLeaveEvent#
    {94, 1389, 2441},	// Plasma::SpinBox::maximum
    {94, 1394, 2433},	// Plasma::SpinBox::metaObject
    {94, 1404, 2442},	// Plasma::SpinBox::minimum
    {94, 1414, 2452},	// Plasma::SpinBox::mousePressEvent#
    {94, 1431, 2446},	// Plasma::SpinBox::nativeWidget
    {94, 1463, 2451},	// Plasma::SpinBox::paint###
    {94, 1527, 2439},	// Plasma::SpinBox::qt_metacall$$?
    {94, 1529, 2434},	// Plasma::SpinBox::qt_metacast$
    {94, 1625, 2450},	// Plasma::SpinBox::resizeEvent#
    {94, 1943, 2454},	// Plasma::SpinBox::setMaximum$
    {94, 1951, 2455},	// Plasma::SpinBox::setMinimum$
    {94, 2019, 2456},	// Plasma::SpinBox::setRange$$
    {94, 2089, 2444},	// Plasma::SpinBox::setStyleSheet$
    {94, 2165, 2457},	// Plasma::SpinBox::setValue$
    {94, 2245, 2458},	// Plasma::SpinBox::sliderMoved$
    {94, 2263, 2464},	// Plasma::SpinBox::staticMetaObject
    {94, 2276, 2445},	// Plasma::SpinBox::styleSheet
    {94, 2345, 2461},	// Plasma::SpinBox::tr$
    {94, 2346, 2435},	// Plasma::SpinBox::tr$$
    {94, 2347, 2437},	// Plasma::SpinBox::tr$$$
    {94, 2349, 2462},	// Plasma::SpinBox::trUtf8$
    {94, 2350, 2436},	// Plasma::SpinBox::trUtf8$$
    {94, 2351, 2438},	// Plasma::SpinBox::trUtf8$$$
    {94, 2400, 2443},	// Plasma::SpinBox::value
    {94, 2402, 2459},	// Plasma::SpinBox::valueChanged$
    {94, 2506, 2465},	// Plasma::SpinBox::~SpinBox
    {95, 516, 2500},	// Plasma::Svg::Svg
    {95, 517, 2473},	// Plasma::Svg::Svg#
    {95, 827, 2489},	// Plasma::Svg::containsMultipleImages
    {95, 967, 2486},	// Plasma::Svg::elementAtPoint#
    {95, 972, 2484},	// Plasma::Svg::elementRect$
    {95, 974, 2483},	// Plasma::Svg::elementSize$
    {95, 1085, 2485},	// Plasma::Svg::hasElement$
    {95, 1123, 2491},	// Plasma::Svg::imagePath
    {95, 1206, 2493},	// Plasma::Svg::isUsingRenderingCache
    {95, 1207, 2487},	// Plasma::Svg::isValid
    {95, 1394, 2466},	// Plasma::Svg::metaObject
    {95, 1462, -28},	// Plasma::Svg::paint##
    {95, 1464, -31},	// Plasma::Svg::paint##$
    {95, 1465, 2503},	// Plasma::Svg::paint#$$
    {95, 1466, 2476},	// Plasma::Svg::paint#$$$
    {95, 1467, 2505},	// Plasma::Svg::paint#$$$$
    {95, 1468, 2478},	// Plasma::Svg::paint#$$$$$
    {95, 1495, 2501},	// Plasma::Svg::pixmap
    {95, 1496, 2474},	// Plasma::Svg::pixmap$
    {95, 1527, 2472},	// Plasma::Svg::qt_metacall$$?
    {95, 1529, 2467},	// Plasma::Svg::qt_metacast$
    {95, 1612, 2496},	// Plasma::Svg::repaintNeeded
    {95, 1620, 2482},	// Plasma::Svg::resize
    {95, 1621, 2481},	// Plasma::Svg::resize#
    {95, 1622, 2480},	// Plasma::Svg::resize$$
    {95, 1778, 2488},	// Plasma::Svg::setContainsMultipleImages$
    {95, 1910, 2490},	// Plasma::Svg::setImagePath$
    {95, 2127, 2494},	// Plasma::Svg::setTheme#
    {95, 2161, 2492},	// Plasma::Svg::setUsingRenderingCache$
    {95, 2234, 2479},	// Plasma::Svg::size
    {95, 2235, 2497},	// Plasma::Svg::sizeChanged
    {95, 2263, 2506},	// Plasma::Svg::staticMetaObject
    {95, 2321, 2495},	// Plasma::Svg::theme
    {95, 2345, 2498},	// Plasma::Svg::tr$
    {95, 2346, 2468},	// Plasma::Svg::tr$$
    {95, 2347, 2470},	// Plasma::Svg::tr$$$
    {95, 2349, 2499},	// Plasma::Svg::trUtf8$
    {95, 2350, 2469},	// Plasma::Svg::trUtf8$$
    {95, 2351, 2471},	// Plasma::Svg::trUtf8$$$
    {95, 2508, 2507},	// Plasma::Svg::~Svg
    {96, 518, 2528},	// Plasma::SvgWidget::SvgWidget
    {96, 519, -34},	// Plasma::SvgWidget::SvgWidget#
    {96, 520, -37},	// Plasma::SvgWidget::SvgWidget#$
    {96, 521, 2532},	// Plasma::SvgWidget::SvgWidget#$#
    {96, 522, 2516},	// Plasma::SvgWidget::SvgWidget#$#$
    {96, 772, 2522},	// Plasma::SvgWidget::clicked$
    {96, 970, 2520},	// Plasma::SvgWidget::elementID
    {96, 1394, 2508},	// Plasma::SvgWidget::metaObject
    {96, 1414, 2525},	// Plasma::SvgWidget::mousePressEvent#
    {96, 1416, 2521},	// Plasma::SvgWidget::mouseReleaseEvent#
    {96, 1463, 2523},	// Plasma::SvgWidget::paint###
    {96, 1527, 2514},	// Plasma::SvgWidget::qt_metacall$$?
    {96, 1529, 2509},	// Plasma::SvgWidget::qt_metacast$
    {96, 1839, 2519},	// Plasma::SvgWidget::setElementID$
    {96, 2095, 2517},	// Plasma::SvgWidget::setSvg#
    {96, 2241, 2524},	// Plasma::SvgWidget::sizeHint$#
    {96, 2263, 2533},	// Plasma::SvgWidget::staticMetaObject
    {96, 2286, 2518},	// Plasma::SvgWidget::svg
    {96, 2345, 2526},	// Plasma::SvgWidget::tr$
    {96, 2346, 2510},	// Plasma::SvgWidget::tr$$
    {96, 2347, 2512},	// Plasma::SvgWidget::tr$$$
    {96, 2349, 2527},	// Plasma::SvgWidget::trUtf8$
    {96, 2350, 2511},	// Plasma::SvgWidget::trUtf8$$
    {96, 2351, 2513},	// Plasma::SvgWidget::trUtf8$$$
    {96, 2509, 2534},	// Plasma::SvgWidget::~SvgWidget
    {97, 524, 2574},	// Plasma::TabBar::TabBar
    {97, 525, 2542},	// Plasma::TabBar::TabBar#
    {97, 676, 2577},	// Plasma::TabBar::addTab#$
    {97, 677, 2545},	// Plasma::TabBar::addTab#$#
    {97, 678, 2578},	// Plasma::TabBar::addTab$
    {97, 679, 2546},	// Plasma::TabBar::addTab$#
    {97, 756, 2571},	// Plasma::TabBar::changeEvent#
    {97, 844, 2551},	// Plasma::TabBar::count
    {97, 867, 2568},	// Plasma::TabBar::currentChanged$
    {97, 868, 2550},	// Plasma::TabBar::currentIndex
    {97, 1030, 2564},	// Plasma::TabBar::firstPositionWidget
    {97, 1151, 2575},	// Plasma::TabBar::insertTab$#$
    {97, 1152, 2543},	// Plasma::TabBar::insertTab$#$#
    {97, 1153, 2576},	// Plasma::TabBar::insertTab$$
    {97, 1154, 2544},	// Plasma::TabBar::insertTab$$#
    {97, 1199, 2557},	// Plasma::TabBar::isTabBarShown
    {97, 1201, 2561},	// Plasma::TabBar::isTabHighlighted$
    {97, 1261, 2566},	// Plasma::TabBar::lastPositionWidget
    {97, 1394, 2535},	// Plasma::TabBar::metaObject
    {97, 1431, 2562},	// Plasma::TabBar::nativeWidget
    {97, 1527, 2541},	// Plasma::TabBar::qt_metacall$$?
    {97, 1529, 2536},	// Plasma::TabBar::qt_metacast$
    {97, 1594, 2547},	// Plasma::TabBar::removeTab$
    {97, 1625, 2570},	// Plasma::TabBar::resizeEvent#
    {97, 1796, 2567},	// Plasma::TabBar::setCurrentIndex$
    {97, 1858, 2563},	// Plasma::TabBar::setFirstPositionWidget#
    {97, 1933, 2565},	// Plasma::TabBar::setLastPositionWidget#
    {97, 2089, 2558},	// Plasma::TabBar::setStyleSheet$
    {97, 2103, 2556},	// Plasma::TabBar::setTabBarShown$
    {97, 2105, 2560},	// Plasma::TabBar::setTabHighlighted$$
    {97, 2107, 2554},	// Plasma::TabBar::setTabIcon$#
    {97, 2109, 2552},	// Plasma::TabBar::setTabText$$
    {97, 2263, 2579},	// Plasma::TabBar::staticMetaObject
    {97, 2276, 2559},	// Plasma::TabBar::styleSheet
    {97, 2296, 2549},	// Plasma::TabBar::tabAt$
    {97, 2298, 2555},	// Plasma::TabBar::tabIcon$
    {97, 2300, 2553},	// Plasma::TabBar::tabText$
    {97, 2303, 2548},	// Plasma::TabBar::takeTab$
    {97, 2345, 2572},	// Plasma::TabBar::tr$
    {97, 2346, 2537},	// Plasma::TabBar::tr$$
    {97, 2347, 2539},	// Plasma::TabBar::tr$$$
    {97, 2349, 2573},	// Plasma::TabBar::trUtf8$
    {97, 2350, 2538},	// Plasma::TabBar::trUtf8$$
    {97, 2351, 2540},	// Plasma::TabBar::trUtf8$$$
    {97, 2430, 2569},	// Plasma::TabBar::wheelEvent#
    {97, 2510, 2580},	// Plasma::TabBar::~TabBar
    {98, 526, 2605},	// Plasma::TextBrowser::TextBrowser
    {98, 527, 2588},	// Plasma::TextBrowser::TextBrowser#
    {98, 710, 2596},	// Plasma::TextBrowser::append$
    {98, 756, 2601},	// Plasma::TextBrowser::changeEvent#
    {98, 840, 2602},	// Plasma::TextBrowser::contextMenuEvent#
    {98, 887, 2597},	// Plasma::TextBrowser::dataUpdated$?
    {98, 1394, 2581},	// Plasma::TextBrowser::metaObject
    {98, 1431, 2595},	// Plasma::TextBrowser::nativeWidget
    {98, 1527, 2587},	// Plasma::TextBrowser::qt_metacall$$?
    {98, 1529, 2582},	// Plasma::TextBrowser::qt_metacast$
    {98, 1625, 2599},	// Plasma::TextBrowser::resizeEvent#
    {98, 1892, 2591},	// Plasma::TextBrowser::setHorizontalScrollBarPolicy$
    {98, 2089, 2593},	// Plasma::TextBrowser::setStyleSheet$
    {98, 2121, 2589},	// Plasma::TextBrowser::setText$
    {98, 2177, 2592},	// Plasma::TextBrowser::setVerticalScrollBarPolicy$
    {98, 2263, 2606},	// Plasma::TextBrowser::staticMetaObject
    {98, 2276, 2594},	// Plasma::TextBrowser::styleSheet
    {98, 2314, 2590},	// Plasma::TextBrowser::text
    {98, 2316, 2598},	// Plasma::TextBrowser::textChanged
    {98, 2345, 2603},	// Plasma::TextBrowser::tr$
    {98, 2346, 2583},	// Plasma::TextBrowser::tr$$
    {98, 2347, 2585},	// Plasma::TextBrowser::tr$$$
    {98, 2349, 2604},	// Plasma::TextBrowser::trUtf8$
    {98, 2350, 2584},	// Plasma::TextBrowser::trUtf8$$
    {98, 2351, 2586},	// Plasma::TextBrowser::trUtf8$$$
    {98, 2430, 2600},	// Plasma::TextBrowser::wheelEvent#
    {98, 2511, 2607},	// Plasma::TextBrowser::~TextBrowser
    {99, 529, 2634},	// Plasma::TextEdit::TextEdit
    {99, 530, 2615},	// Plasma::TextEdit::TextEdit#
    {99, 710, 2624},	// Plasma::TextEdit::append$
    {99, 756, 2628},	// Plasma::TextEdit::changeEvent#
    {99, 840, 2629},	// Plasma::TextEdit::contextMenuEvent#
    {99, 887, 2625},	// Plasma::TextEdit::dataUpdated$?
    {99, 1046, 2631},	// Plasma::TextEdit::focusOutEvent#
    {99, 1191, 2619},	// Plasma::TextEdit::isReadOnly
    {99, 1394, 2608},	// Plasma::TextEdit::metaObject
    {99, 1414, 2630},	// Plasma::TextEdit::mousePressEvent#
    {99, 1431, 2623},	// Plasma::TextEdit::nativeWidget
    {99, 1527, 2614},	// Plasma::TextEdit::qt_metacall$$?
    {99, 1529, 2609},	// Plasma::TextEdit::qt_metacast$
    {99, 1625, 2627},	// Plasma::TextEdit::resizeEvent#
    {99, 1964, 2622},	// Plasma::TextEdit::setNativeWidget#
    {99, 2021, 2618},	// Plasma::TextEdit::setReadOnly$
    {99, 2089, 2620},	// Plasma::TextEdit::setStyleSheet$
    {99, 2121, 2616},	// Plasma::TextEdit::setText$
    {99, 2263, 2635},	// Plasma::TextEdit::staticMetaObject
    {99, 2276, 2621},	// Plasma::TextEdit::styleSheet
    {99, 2314, 2617},	// Plasma::TextEdit::text
    {99, 2316, 2626},	// Plasma::TextEdit::textChanged
    {99, 2345, 2632},	// Plasma::TextEdit::tr$
    {99, 2346, 2610},	// Plasma::TextEdit::tr$$
    {99, 2347, 2612},	// Plasma::TextEdit::tr$$$
    {99, 2349, 2633},	// Plasma::TextEdit::trUtf8$
    {99, 2350, 2611},	// Plasma::TextEdit::trUtf8$$
    {99, 2351, 2613},	// Plasma::TextEdit::trUtf8$$$
    {99, 2512, 2636},	// Plasma::TextEdit::~TextEdit
    {100, 52, 2689},	// Plasma::Theme::BackgroundColor
    {100, 69, 2691},	// Plasma::Theme::ButtonBackgroundColor
    {100, 71, 2695},	// Plasma::Theme::ButtonFocusColor
    {100, 72, 2694},	// Plasma::Theme::ButtonHoverColor
    {100, 76, 2690},	// Plasma::Theme::ButtonTextColor
    {100, 133, 2700},	// Plasma::Theme::DefaultFont
    {100, 141, 2701},	// Plasma::Theme::DesktopFont
    {100, 207, 2688},	// Plasma::Theme::HighlightColor
    {100, 340, 2692},	// Plasma::Theme::LinkColor
    {100, 497, 2702},	// Plasma::Theme::SmallestFont
    {100, 528, 2687},	// Plasma::Theme::TextColor
    {100, 531, 2681},	// Plasma::Theme::Theme
    {100, 532, 2645},	// Plasma::Theme::Theme#
    {100, 533, 2682},	// Plasma::Theme::Theme$
    {100, 534, 2646},	// Plasma::Theme::Theme$#
    {100, 578, 2697},	// Plasma::Theme::ViewBackgroundColor
    {100, 579, 2699},	// Plasma::Theme::ViewFocusColor
    {100, 580, 2698},	// Plasma::Theme::ViewHoverColor
    {100, 581, 2696},	// Plasma::Theme::ViewTextColor
    {100, 582, 2693},	// Plasma::Theme::VisitedLinkColor
    {100, 704, 2652},	// Plasma::Theme::animationPath$
    {100, 781, 2656},	// Plasma::Theme::color$
    {100, 782, 2655},	// Plasma::Theme::colorScheme
    {100, 874, 2654},	// Plasma::Theme::currentThemeHasImage$
    {100, 891, 2644},	// Plasma::Theme::defaultTheme
    {100, 1020, 2665},	// Plasma::Theme::findInCache$#
    {100, 1021, 2666},	// Plasma::Theme::findInCache$#$
    {100, 1023, 2670},	// Plasma::Theme::findInRectsCache$$#
    {100, 1049, 2658},	// Plasma::Theme::font$
    {100, 1052, 2659},	// Plasma::Theme::fontMetrics
    {100, 1106, 2675},	// Plasma::Theme::homepage
    {100, 1124, 2651},	// Plasma::Theme::imagePath$
    {100, 1146, 2667},	// Plasma::Theme::insertIntoCache$#
    {100, 1147, 2668},	// Plasma::Theme::insertIntoCache$#$
    {100, 1149, 2672},	// Plasma::Theme::insertIntoRectsCache$$#
    {100, 1159, 2673},	// Plasma::Theme::invalidateRectsCache$
    {100, 1289, 2671},	// Plasma::Theme::listCachedRectKeys$
    {100, 1316, 2648},	// Plasma::Theme::listThemeInfo
    {100, 1394, 2637},	// Plasma::Theme::metaObject
    {100, 1456, 2647},	// Plasma::Theme::packageStructure
    {100, 1527, 2643},	// Plasma::Theme::qt_metacall$$?
    {100, 1529, 2638},	// Plasma::Theme::qt_metacast$
    {100, 1555, 2674},	// Plasma::Theme::releaseRectsCache$
    {100, 1749, 2669},	// Plasma::Theme::setCacheLimit$
    {100, 1860, 2684},	// Plasma::Theme::setFont#
    {100, 1861, 2657},	// Plasma::Theme::setFont#$
    {100, 2129, 2649},	// Plasma::Theme::setThemeName$
    {100, 2157, 2661},	// Plasma::Theme::setUseGlobalSettings$
    {100, 2199, 2678},	// Plasma::Theme::settingsChanged
    {100, 2263, 2686},	// Plasma::Theme::staticMetaObject
    {100, 2276, 2685},	// Plasma::Theme::styleSheet
    {100, 2277, 2664},	// Plasma::Theme::styleSheet$
    {100, 2322, 2677},	// Plasma::Theme::themeChanged
    {100, 2323, 2650},	// Plasma::Theme::themeName
    {100, 2340, 2676},	// Plasma::Theme::toolTipDelay
    {100, 2345, 2679},	// Plasma::Theme::tr$
    {100, 2346, 2639},	// Plasma::Theme::tr$$
    {100, 2347, 2641},	// Plasma::Theme::tr$$$
    {100, 2349, 2680},	// Plasma::Theme::trUtf8$
    {100, 2350, 2640},	// Plasma::Theme::trUtf8$$
    {100, 2351, 2642},	// Plasma::Theme::trUtf8$$$
    {100, 2393, 2662},	// Plasma::Theme::useGlobalSettings
    {100, 2394, 2663},	// Plasma::Theme::useNativeWidgetStyle
    {100, 2426, 2683},	// Plasma::Theme::wallpaperPath
    {100, 2427, 2653},	// Plasma::Theme::wallpaperPath#
    {100, 2438, 2660},	// Plasma::Theme::windowTranslucencyEnabled
    {100, 2513, 2703},	// Plasma::Theme::~Theme
    {101, 536, 2740},	// Plasma::ToolButton::ToolButton
    {101, 537, 2711},	// Plasma::ToolButton::ToolButton#
    {101, 604, 2724},	// Plasma::ToolButton::action
    {101, 735, 2713},	// Plasma::ToolButton::autoRaise
    {101, 756, 2735},	// Plasma::ToolButton::changeEvent#
    {101, 771, 2728},	// Plasma::ToolButton::clicked
    {101, 1112, 2733},	// Plasma::ToolButton::hoverEnterEvent#
    {101, 1114, 2734},	// Plasma::ToolButton::hoverLeaveEvent#
    {101, 1118, 2726},	// Plasma::ToolButton::icon
    {101, 1122, 2718},	// Plasma::ToolButton::image
    {101, 1173, 2720},	// Plasma::ToolButton::isDown
    {101, 1223, 2736},	// Plasma::ToolButton::itemChange$#
    {101, 1394, 2704},	// Plasma::ToolButton::metaObject
    {101, 1431, 2727},	// Plasma::ToolButton::nativeWidget
    {101, 1462, 2741},	// Plasma::ToolButton::paint##
    {101, 1463, 2731},	// Plasma::ToolButton::paint###
    {101, 1517, 2729},	// Plasma::ToolButton::pressed
    {101, 1527, 2710},	// Plasma::ToolButton::qt_metacall$$?
    {101, 1529, 2705},	// Plasma::ToolButton::qt_metacast$
    {101, 1557, 2730},	// Plasma::ToolButton::released
    {101, 1625, 2732},	// Plasma::ToolButton::resizeEvent#
    {101, 1699, 2723},	// Plasma::ToolButton::setAction#
    {101, 1735, 2712},	// Plasma::ToolButton::setAutoRaise$
    {101, 1826, 2719},	// Plasma::ToolButton::setDown$
    {101, 1899, 2725},	// Plasma::ToolButton::setIcon#
    {101, 1907, 2716},	// Plasma::ToolButton::setImage$
    {101, 1908, 2717},	// Plasma::ToolButton::setImage$$
    {101, 2089, 2721},	// Plasma::ToolButton::setStyleSheet$
    {101, 2121, 2714},	// Plasma::ToolButton::setText$
    {101, 2241, 2737},	// Plasma::ToolButton::sizeHint$#
    {101, 2263, 2742},	// Plasma::ToolButton::staticMetaObject
    {101, 2276, 2722},	// Plasma::ToolButton::styleSheet
    {101, 2314, 2715},	// Plasma::ToolButton::text
    {101, 2345, 2738},	// Plasma::ToolButton::tr$
    {101, 2346, 2706},	// Plasma::ToolButton::tr$$
    {101, 2347, 2708},	// Plasma::ToolButton::tr$$$
    {101, 2349, 2739},	// Plasma::ToolButton::trUtf8$
    {101, 2350, 2707},	// Plasma::ToolButton::trUtf8$$
    {101, 2351, 2709},	// Plasma::ToolButton::trUtf8$$$
    {101, 2514, 2743},	// Plasma::ToolButton::~ToolButton
    {102, 117, 2776},	// Plasma::ToolTipContent::CssResource
    {102, 210, 2775},	// Plasma::ToolTipContent::HtmlResource
    {102, 219, 2774},	// Plasma::ToolTipContent::ImageResource
    {102, 538, 2744},	// Plasma::ToolTipContent::ToolTipContent
    {102, 539, 2745},	// Plasma::ToolTipContent::ToolTipContent#
    {102, 540, 2773},	// Plasma::ToolTipContent::ToolTipContent$$
    {102, 541, -63},	// Plasma::ToolTipContent::ToolTipContent$$#
    {102, 662, 2767},	// Plasma::ToolTipContent::addResource$##
    {102, 736, 2764},	// Plasma::ToolTipContent::autohide
    {102, 1076, 2772},	// Plasma::ToolTipContent::graphicsWidget
    {102, 1105, 2762},	// Plasma::ToolTipContent::highlightWindows
    {102, 1122, 2756},	// Plasma::ToolTipContent::image
    {102, 1169, 2770},	// Plasma::ToolTipContent::isClickable
    {102, 1174, 2749},	// Plasma::ToolTipContent::isEmpty
    {102, 1180, 2766},	// Plasma::ToolTipContent::isInstantPopup
    {102, 1368, 2751},	// Plasma::ToolTipContent::mainText
    {102, 1450, 2748},	// Plasma::ToolTipContent::operator=#
    {102, 1549, 2768},	// Plasma::ToolTipContent::registerResources#
    {102, 1737, 2763},	// Plasma::ToolTipContent::setAutohide$
    {102, 1761, 2769},	// Plasma::ToolTipContent::setClickable$
    {102, 1873, 2771},	// Plasma::ToolTipContent::setGraphicsWidget#
    {102, 1884, 2761},	// Plasma::ToolTipContent::setHighlightWindows$
    {102, 1906, -66},	// Plasma::ToolTipContent::setImage#
    {102, 1920, 2765},	// Plasma::ToolTipContent::setInstantPopup$
    {102, 1939, 2750},	// Plasma::ToolTipContent::setMainText$
    {102, 2091, 2752},	// Plasma::ToolTipContent::setSubText$
    {102, 2192, 2757},	// Plasma::ToolTipContent::setWindowToPreview$
    {102, 2194, 2759},	// Plasma::ToolTipContent::setWindowsToPreview?
    {102, 2278, 2753},	// Plasma::ToolTipContent::subText
    {102, 2437, 2758},	// Plasma::ToolTipContent::windowToPreview
    {102, 2439, 2760},	// Plasma::ToolTipContent::windowsToPreview
    {102, 2515, 2777},	// Plasma::ToolTipContent::~ToolTipContent
    {103, 17, 2800},	// Plasma::ToolTipManager::Activated
    {103, 129, 2802},	// Plasma::ToolTipManager::Deactivated
    {103, 223, 2801},	// Plasma::ToolTipManager::Inhibited
    {103, 768, 2792},	// Plasma::ToolTipManager::clearContent#
    {103, 1100, 2788},	// Plasma::ToolTipManager::hide#
    {103, 1209, 2787},	// Plasma::ToolTipManager::isVisible#
    {103, 1275, 2796},	// Plasma::ToolTipManager::linkActivated$$$#
    {103, 1394, 2778},	// Plasma::ToolTipManager::metaObject
    {103, 1527, 2784},	// Plasma::ToolTipManager::qt_metacall$$?
    {103, 1529, 2779},	// Plasma::ToolTipManager::qt_metacast$
    {103, 1553, 2789},	// Plasma::ToolTipManager::registerWidget#
    {103, 1686, 2785},	// Plasma::ToolTipManager::self
    {103, 1780, 2791},	// Plasma::ToolTipManager::setContent##
    {103, 2082, 2793},	// Plasma::ToolTipManager::setState$
    {103, 2205, 2786},	// Plasma::ToolTipManager::show#
    {103, 2262, 2794},	// Plasma::ToolTipManager::state
    {103, 2263, 2799},	// Plasma::ToolTipManager::staticMetaObject
    {103, 2345, 2797},	// Plasma::ToolTipManager::tr$
    {103, 2346, 2780},	// Plasma::ToolTipManager::tr$$
    {103, 2347, 2782},	// Plasma::ToolTipManager::tr$$$
    {103, 2349, 2798},	// Plasma::ToolTipManager::trUtf8$
    {103, 2350, 2781},	// Plasma::ToolTipManager::trUtf8$$
    {103, 2351, 2783},	// Plasma::ToolTipManager::trUtf8$$$
    {103, 2368, 2790},	// Plasma::ToolTipManager::unregisterWidget#
    {103, 2436, 2795},	// Plasma::ToolTipManager::windowPreviewActivated$$$#
    {104, 551, 2818},	// Plasma::TreeView::TreeView
    {104, 552, 2810},	// Plasma::TreeView::TreeView#
    {104, 1394, 2803},	// Plasma::TreeView::metaObject
    {104, 1408, 2812},	// Plasma::TreeView::model
    {104, 1431, 2815},	// Plasma::TreeView::nativeWidget
    {104, 1527, 2809},	// Plasma::TreeView::qt_metacall$$?
    {104, 1529, 2804},	// Plasma::TreeView::qt_metacast$
    {104, 1959, 2811},	// Plasma::TreeView::setModel#
    {104, 2089, 2813},	// Plasma::TreeView::setStyleSheet$
    {104, 2263, 2819},	// Plasma::TreeView::staticMetaObject
    {104, 2276, 2814},	// Plasma::TreeView::styleSheet
    {104, 2345, 2816},	// Plasma::TreeView::tr$
    {104, 2346, 2805},	// Plasma::TreeView::tr$$
    {104, 2347, 2807},	// Plasma::TreeView::tr$$$
    {104, 2349, 2817},	// Plasma::TreeView::trUtf8$
    {104, 2350, 2806},	// Plasma::TreeView::trUtf8$$
    {104, 2351, 2808},	// Plasma::TreeView::trUtf8$$$
    {104, 2516, 2820},	// Plasma::TreeView::~TreeView
    {105, 132, 2871},	// Plasma::VideoWidget::DefaultControls
    {105, 359, 2867},	// Plasma::VideoWidget::Next
    {105, 370, 2861},	// Plasma::VideoWidget::NoControls
    {105, 386, 2870},	// Plasma::VideoWidget::OpenFile
    {105, 402, 2863},	// Plasma::VideoWidget::Pause
    {105, 411, 2862},	// Plasma::VideoWidget::Play
    {105, 412, 2865},	// Plasma::VideoWidget::PlayPause
    {105, 419, 2866},	// Plasma::VideoWidget::Previous
    {105, 420, 2868},	// Plasma::VideoWidget::Progress
    {105, 506, 2864},	// Plasma::VideoWidget::Stop
    {105, 571, 2859},	// Plasma::VideoWidget::VideoWidget
    {105, 572, 2828},	// Plasma::VideoWidget::VideoWidget#
    {105, 583, 2869},	// Plasma::VideoWidget::Volume
    {105, 598, 2850},	// Plasma::VideoWidget::aboutToFinish
    {105, 729, 2832},	// Plasma::VideoWidget::audioOutput
    {105, 842, 2839},	// Plasma::VideoWidget::controlsVisible
    {105, 875, 2833},	// Plasma::VideoWidget::currentTime
    {105, 1112, 2854},	// Plasma::VideoWidget::hoverEnterEvent#
    {105, 1114, 2855},	// Plasma::VideoWidget::hoverLeaveEvent#
    {105, 1116, 2856},	// Plasma::VideoWidget::hoverMoveEvent#
    {105, 1391, 2831},	// Plasma::VideoWidget::mediaObject
    {105, 1394, 2821},	// Plasma::VideoWidget::metaObject
    {105, 1431, 2844},	// Plasma::VideoWidget::nativeWidget
    {105, 1437, 2851},	// Plasma::VideoWidget::nextRequested
    {105, 1490, 2846},	// Plasma::VideoWidget::pause
    {105, 1497, 2845},	// Plasma::VideoWidget::play
    {105, 1519, 2852},	// Plasma::VideoWidget::previousRequested
    {105, 1527, 2827},	// Plasma::VideoWidget::qt_metacall$$?
    {105, 1529, 2822},	// Plasma::VideoWidget::qt_metacast$
    {105, 1561, 2835},	// Plasma::VideoWidget::remainingTime
    {105, 1625, 2853},	// Plasma::VideoWidget::resizeEvent#
    {105, 1684, 2848},	// Plasma::VideoWidget::seek$
    {105, 1790, 2838},	// Plasma::VideoWidget::setControlsVisible$
    {105, 2089, 2842},	// Plasma::VideoWidget::setStyleSheet$
    {105, 2133, 2840},	// Plasma::VideoWidget::setTickInterval$
    {105, 2151, 2829},	// Plasma::VideoWidget::setUrl$
    {105, 2159, 2836},	// Plasma::VideoWidget::setUsedControls$
    {105, 2263, 2860},	// Plasma::VideoWidget::staticMetaObject
    {105, 2265, 2847},	// Plasma::VideoWidget::stop
    {105, 2276, 2843},	// Plasma::VideoWidget::styleSheet
    {105, 2326, 2849},	// Plasma::VideoWidget::tick$
    {105, 2327, 2841},	// Plasma::VideoWidget::tickInterval
    {105, 2343, 2834},	// Plasma::VideoWidget::totalTime
    {105, 2345, 2857},	// Plasma::VideoWidget::tr$
    {105, 2346, 2823},	// Plasma::VideoWidget::tr$$
    {105, 2347, 2825},	// Plasma::VideoWidget::tr$$$
    {105, 2349, 2858},	// Plasma::VideoWidget::trUtf8$
    {105, 2350, 2824},	// Plasma::VideoWidget::trUtf8$$
    {105, 2351, 2826},	// Plasma::VideoWidget::trUtf8$$$
    {105, 2386, 2830},	// Plasma::VideoWidget::url
    {105, 2395, 2837},	// Plasma::VideoWidget::usedControls
    {105, 2517, 2872},	// Plasma::VideoWidget::~VideoWidget
    {106, 574, 2903},	// Plasma::View::View#
    {106, 575, 2880},	// Plasma::View::View##
    {106, 576, 2904},	// Plasma::View::View#$
    {106, 577, 2881},	// Plasma::View::View#$#
    {106, 783, 2899},	// Plasma::View::config
    {106, 786, 2900},	// Plasma::View::configNeedsSaving
    {106, 810, 2888},	// Plasma::View::containment
    {106, 895, 2886},	// Plasma::View::desktop
    {106, 955, 2887},	// Plasma::View::effectiveDesktop
    {106, 1120, 2894},	// Plasma::View::id
    {106, 1210, 2883},	// Plasma::View::isWallpaperEnabled
    {106, 1364, 2897},	// Plasma::View::lostContainment
    {106, 1394, 2873},	// Plasma::View::metaObject
    {106, 1527, 2879},	// Plasma::View::qt_metacall$$?
    {106, 1529, 2874},	// Plasma::View::qt_metacast$
    {106, 1663, 2895},	// Plasma::View::sceneRectAboutToChange
    {106, 1664, 2896},	// Plasma::View::sceneRectChanged
    {106, 1666, 2885},	// Plasma::View::screen
    {106, 1770, 2898},	// Plasma::View::setContainment#
    {106, 2045, 2905},	// Plasma::View::setScreen$
    {106, 2046, 2884},	// Plasma::View::setScreen$$
    {106, 2141, 2891},	// Plasma::View::setTrackContainmentChanges$
    {106, 2186, 2882},	// Plasma::View::setWallpaperEnabled$
    {106, 2263, 2908},	// Plasma::View::staticMetaObject
    {106, 2289, 2906},	// Plasma::View::swapContainment#$
    {106, 2290, 2889},	// Plasma::View::swapContainment#$?
    {106, 2291, 2907},	// Plasma::View::swapContainment$
    {106, 2292, 2890},	// Plasma::View::swapContainment$?
    {106, 2342, 2893},	// Plasma::View::topLevelViewAt#
    {106, 2345, 2901},	// Plasma::View::tr$
    {106, 2346, 2875},	// Plasma::View::tr$$
    {106, 2347, 2877},	// Plasma::View::tr$$$
    {106, 2349, 2902},	// Plasma::View::trUtf8$
    {106, 2350, 2876},	// Plasma::View::trUtf8$$
    {106, 2351, 2878},	// Plasma::View::trUtf8$$$
    {106, 2352, 2892},	// Plasma::View::trackContainmentChanges
    {106, 2518, 2909},	// Plasma::View::~View
    {107, 83, 2993},	// Plasma::Wallpaper::CenterTiledResize
    {107, 84, 2990},	// Plasma::Wallpaper::CenteredResize
    {107, 309, 2995},	// Plasma::Wallpaper::LastResizeMethod
    {107, 345, 2994},	// Plasma::Wallpaper::MaxpectResize
    {107, 464, 2991},	// Plasma::Wallpaper::ScaledAndCroppedResize
    {107, 465, 2989},	// Plasma::Wallpaper::ScaledResize
    {107, 535, 2992},	// Plasma::Wallpaper::TiledResize
    {107, 584, 2974},	// Plasma::Wallpaper::Wallpaper
    {107, 585, 2917},	// Plasma::Wallpaper::Wallpaper#
    {107, 586, 2962},	// Plasma::Wallpaper::Wallpaper#?
    {107, 685, 2961},	// Plasma::Wallpaper::addUrls?
    {107, 749, 2933},	// Plasma::Wallpaper::boundingRect
    {107, 786, 2957},	// Plasma::Wallpaper::configNeedsSaving
    {107, 790, 2944},	// Plasma::Wallpaper::configurationRequired
    {107, 791, 2956},	// Plasma::Wallpaper::configurationRequired$
    {107, 792, 2955},	// Plasma::Wallpaper::configureRequested
    {107, 834, 2987},	// Plasma::Wallpaper::contextActions
    {107, 841, 2950},	// Plasma::Wallpaper::contextualActions
    {107, 851, 2938},	// Plasma::Wallpaper::createConfigurationInterface#
    {107, 885, 2943},	// Plasma::Wallpaper::dataEngine$
    {107, 1020, 2985},	// Plasma::Wallpaper::findInCache$#
    {107, 1021, 2968},	// Plasma::Wallpaper::findInCache$#$
    {107, 1118, 2927},	// Plasma::Wallpaper::icon
    {107, 1135, 2963},	// Plasma::Wallpaper::init#
    {107, 1146, 2969},	// Plasma::Wallpaper::insertIntoCache$#
    {107, 1179, 2932},	// Plasma::Wallpaper::isInitialized
    {107, 1189, 2951},	// Plasma::Wallpaper::isPreviewing
    {107, 1206, 2945},	// Plasma::Wallpaper::isUsingRenderingCache
    {107, 1313, 2931},	// Plasma::Wallpaper::listRenderingModes
    {107, 1319, 2975},	// Plasma::Wallpaper::listWallpaperInfo
    {107, 1320, 2919},	// Plasma::Wallpaper::listWallpaperInfo$
    {107, 1322, 2976},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$
    {107, 1323, 2920},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$$
    {107, 1325, 2978},	// Plasma::Wallpaper::load#
    {107, 1330, 2922},	// Plasma::Wallpaper::load#?
    {107, 1331, 2977},	// Plasma::Wallpaper::load$
    {107, 1335, 2921},	// Plasma::Wallpaper::load$?
    {107, 1394, 2910},	// Plasma::Wallpaper::metaObject
    {107, 1412, 2939},	// Plasma::Wallpaper::mouseMoveEvent#
    {107, 1414, 2940},	// Plasma::Wallpaper::mousePressEvent#
    {107, 1416, 2941},	// Plasma::Wallpaper::mouseReleaseEvent#
    {107, 1429, 2924},	// Plasma::Wallpaper::name
    {107, 1432, 2953},	// Plasma::Wallpaper::needsPreviewDuringConfiguration
    {107, 1455, 2925},	// Plasma::Wallpaper::package
    {107, 1456, 2979},	// Plasma::Wallpaper::packageStructure
    {107, 1457, 2923},	// Plasma::Wallpaper::packageStructure#
    {107, 1462, 2935},	// Plasma::Wallpaper::paint##
    {107, 1499, 2926},	// Plasma::Wallpaper::pluginName
    {107, 1527, 2916},	// Plasma::Wallpaper::qt_metacall$$?
    {107, 1529, 2911},	// Plasma::Wallpaper::qt_metacast$
    {107, 1600, 2983},	// Plasma::Wallpaper::render##
    {107, 1601, 2984},	// Plasma::Wallpaper::render##$
    {107, 1602, 2966},	// Plasma::Wallpaper::render##$#
    {107, 1603, 2981},	// Plasma::Wallpaper::render$#
    {107, 1604, 2982},	// Plasma::Wallpaper::render$#$
    {107, 1605, 2965},	// Plasma::Wallpaper::render$#$#
    {107, 1607, 2958},	// Plasma::Wallpaper::renderCompleted#
    {107, 1608, 2960},	// Plasma::Wallpaper::renderHintsChanged
    {107, 1609, 2928},	// Plasma::Wallpaper::renderingMode
    {107, 1628, 2947},	// Plasma::Wallpaper::resizeMethodHint
    {107, 1630, 2936},	// Plasma::Wallpaper::restore#
    {107, 1648, 2937},	// Plasma::Wallpaper::save#
    {107, 1743, 2934},	// Plasma::Wallpaper::setBoundingRect#
    {107, 1767, 2980},	// Plasma::Wallpaper::setConfigurationRequired$
    {107, 1768, 2964},	// Plasma::Wallpaper::setConfigurationRequired$$
    {107, 1786, 2988},	// Plasma::Wallpaper::setContextActions?
    {107, 1788, 2970},	// Plasma::Wallpaper::setContextualActions?
    {107, 2011, 2971},	// Plasma::Wallpaper::setPreviewDuringConfiguration$
    {107, 2013, 2952},	// Plasma::Wallpaper::setPreviewing$
    {107, 2027, 2930},	// Plasma::Wallpaper::setRenderingMode$
    {107, 2035, 2946},	// Plasma::Wallpaper::setResizeMethodHint$
    {107, 2115, 2948},	// Plasma::Wallpaper::setTargetSizeHint#
    {107, 2153, 2918},	// Plasma::Wallpaper::setUrls?
    {107, 2161, 2967},	// Plasma::Wallpaper::setUsingRenderingCache$
    {107, 2263, 2986},	// Plasma::Wallpaper::staticMetaObject
    {107, 2283, 2929},	// Plasma::Wallpaper::supportsMimetype$
    {107, 2310, 2949},	// Plasma::Wallpaper::targetSizeHint
    {107, 2345, 2972},	// Plasma::Wallpaper::tr$
    {107, 2346, 2912},	// Plasma::Wallpaper::tr$$
    {107, 2347, 2914},	// Plasma::Wallpaper::tr$$$
    {107, 2349, 2973},	// Plasma::Wallpaper::trUtf8$
    {107, 2350, 2913},	// Plasma::Wallpaper::trUtf8$$
    {107, 2351, 2915},	// Plasma::Wallpaper::trUtf8$$$
    {107, 2370, 2954},	// Plasma::Wallpaper::update#
    {107, 2390, 2959},	// Plasma::Wallpaper::urlDropped#
    {107, 2430, 2942},	// Plasma::Wallpaper::wheelEvent#
    {107, 2519, 2996},	// Plasma::Wallpaper::~Wallpaper
    {108, 588, 3036},	// Plasma::WallpaperScript::WallpaperScript
    {108, 589, 3004},	// Plasma::WallpaperScript::WallpaperScript#
    {108, 749, 3020},	// Plasma::WallpaperScript::boundingRect
    {108, 786, 3031},	// Plasma::WallpaperScript::configNeedsSaving
    {108, 851, 3010},	// Plasma::WallpaperScript::createConfigurationInterface#
    {108, 885, 3021},	// Plasma::WallpaperScript::dataEngine$
    {108, 894, 3018},	// Plasma::WallpaperScript::description
    {108, 1020, 3040},	// Plasma::WallpaperScript::findInCache$#
    {108, 1021, 3027},	// Plasma::WallpaperScript::findInCache$#$
    {108, 1140, 3007},	// Plasma::WallpaperScript::initWallpaper#
    {108, 1146, 3028},	// Plasma::WallpaperScript::insertIntoCache$#
    {108, 1179, 3019},	// Plasma::WallpaperScript::isInitialized
    {108, 1367, 3016},	// Plasma::WallpaperScript::mainScript
    {108, 1394, 2997},	// Plasma::WallpaperScript::metaObject
    {108, 1412, 3011},	// Plasma::WallpaperScript::mouseMoveEvent#
    {108, 1414, 3012},	// Plasma::WallpaperScript::mousePressEvent#
    {108, 1416, 3013},	// Plasma::WallpaperScript::mouseReleaseEvent#
    {108, 1455, 3017},	// Plasma::WallpaperScript::package
    {108, 1462, 3008},	// Plasma::WallpaperScript::paint##
    {108, 1527, 3003},	// Plasma::WallpaperScript::qt_metacall$$?
    {108, 1529, 2998},	// Plasma::WallpaperScript::qt_metacast$
    {108, 1603, 3038},	// Plasma::WallpaperScript::render$#
    {108, 1604, 3039},	// Plasma::WallpaperScript::render$#$
    {108, 1605, 3025},	// Plasma::WallpaperScript::render$#$#
    {108, 1607, 3032},	// Plasma::WallpaperScript::renderCompleted#
    {108, 1648, 3009},	// Plasma::WallpaperScript::save#
    {108, 1767, 3037},	// Plasma::WallpaperScript::setConfigurationRequired$
    {108, 1768, 3024},	// Plasma::WallpaperScript::setConfigurationRequired$$
    {108, 1788, 3029},	// Plasma::WallpaperScript::setContextualActions?
    {108, 2035, 3022},	// Plasma::WallpaperScript::setResizeMethodHint$
    {108, 2115, 3023},	// Plasma::WallpaperScript::setTargetSizeHint#
    {108, 2153, 3015},	// Plasma::WallpaperScript::setUrls?
    {108, 2161, 3026},	// Plasma::WallpaperScript::setUsingRenderingCache$
    {108, 2182, 3005},	// Plasma::WallpaperScript::setWallpaper#
    {108, 2263, 3041},	// Plasma::WallpaperScript::staticMetaObject
    {108, 2345, 3034},	// Plasma::WallpaperScript::tr$
    {108, 2346, 2999},	// Plasma::WallpaperScript::tr$$
    {108, 2347, 3001},	// Plasma::WallpaperScript::tr$$$
    {108, 2349, 3035},	// Plasma::WallpaperScript::trUtf8$
    {108, 2350, 3000},	// Plasma::WallpaperScript::trUtf8$$
    {108, 2351, 3002},	// Plasma::WallpaperScript::trUtf8$$$
    {108, 2370, 3030},	// Plasma::WallpaperScript::update#
    {108, 2390, 3033},	// Plasma::WallpaperScript::urlDropped#
    {108, 2425, 3006},	// Plasma::WallpaperScript::wallpaper
    {108, 2430, 3014},	// Plasma::WallpaperScript::wheelEvent#
    {108, 2520, 3042},	// Plasma::WallpaperScript::~WallpaperScript
    {109, 591, 3096},	// Plasma::WebView::WebView
    {109, 592, 3050},	// Plasma::WebView::WebView#
    {109, 740, 3069},	// Plasma::WebView::back
    {109, 832, 3057},	// Plasma::WebView::contentsSize
    {109, 840, 3082},	// Plasma::WebView::contextMenuEvent#
    {109, 920, 3088},	// Plasma::WebView::dragEnterEvent#
    {109, 922, 3089},	// Plasma::WebView::dragLeaveEvent#
    {109, 924, 3090},	// Plasma::WebView::dragMoveEvent#
    {109, 925, 3067},	// Plasma::WebView::dragToScroll
    {109, 950, 3091},	// Plasma::WebView::dropEvent#
    {109, 1042, 3086},	// Plasma::WebView::focusInEvent#
    {109, 1046, 3087},	// Plasma::WebView::focusOutEvent#
    {109, 1056, 3070},	// Plasma::WebView::forward
    {109, 1062, 3056},	// Plasma::WebView::geometry
    {109, 1116, 3078},	// Plasma::WebView::hoverMoveEvent#
    {109, 1117, 3054},	// Plasma::WebView::html
    {109, 1223, 3092},	// Plasma::WebView::itemChange$#
    {109, 1242, 3084},	// Plasma::WebView::keyPressEvent#
    {109, 1244, 3085},	// Plasma::WebView::keyReleaseEvent#
    {109, 1343, 3074},	// Plasma::WebView::loadFinished$
    {109, 1351, 3073},	// Plasma::WebView::loadProgress$
    {109, 1366, 3065},	// Plasma::WebView::mainFrame
    {109, 1394, 3043},	// Plasma::WebView::metaObject
    {109, 1410, 3080},	// Plasma::WebView::mouseDoubleClickEvent#
    {109, 1412, 3077},	// Plasma::WebView::mouseMoveEvent#
    {109, 1414, 3079},	// Plasma::WebView::mousePressEvent#
    {109, 1416, 3081},	// Plasma::WebView::mouseReleaseEvent#
    {109, 1459, 3064},	// Plasma::WebView::page
    {109, 1462, 3099},	// Plasma::WebView::paint##
    {109, 1463, 3076},	// Plasma::WebView::paint###
    {109, 1527, 3049},	// Plasma::WebView::qt_metacall$$?
    {109, 1529, 3044},	// Plasma::WebView::qt_metacast$
    {109, 1559, 3071},	// Plasma::WebView::reload
    {109, 1675, 3059},	// Plasma::WebView::scrollPosition
    {109, 1828, 3066},	// Plasma::WebView::setDragToScroll$
    {109, 1869, 3068},	// Plasma::WebView::setGeometry#
    {109, 1894, 3097},	// Plasma::WebView::setHtml#
    {109, 1895, 3053},	// Plasma::WebView::setHtml##
    {109, 1896, 3098},	// Plasma::WebView::setHtml$
    {109, 1897, 3055},	// Plasma::WebView::setHtml$#
    {109, 1982, 3063},	// Plasma::WebView::setPage#
    {109, 2048, 3058},	// Plasma::WebView::setScrollPosition#
    {109, 2150, 3051},	// Plasma::WebView::setUrl#
    {109, 2198, 3062},	// Plasma::WebView::setZoomFactor$
    {109, 2241, 3093},	// Plasma::WebView::sizeHint$#
    {109, 2263, 3100},	// Plasma::WebView::staticMetaObject
    {109, 2265, 3072},	// Plasma::WebView::stop
    {109, 2345, 3094},	// Plasma::WebView::tr$
    {109, 2346, 3045},	// Plasma::WebView::tr$$
    {109, 2347, 3047},	// Plasma::WebView::tr$$$
    {109, 2349, 3095},	// Plasma::WebView::trUtf8$
    {109, 2350, 3046},	// Plasma::WebView::trUtf8$$
    {109, 2351, 3048},	// Plasma::WebView::trUtf8$$$
    {109, 2386, 3052},	// Plasma::WebView::url
    {109, 2388, 3075},	// Plasma::WebView::urlChanged#
    {109, 2418, 3060},	// Plasma::WebView::viewportGeometry
    {109, 2430, 3083},	// Plasma::WebView::wheelEvent#
    {109, 2446, 3061},	// Plasma::WebView::zoomFactor
    {109, 2521, 3101},	// Plasma::WebView::~WebView
    {133, 283, 3152},	// QGlobalSpace::KST_CTimeInfo
    {133, 284, 3144},	// QGlobalSpace::KST_KCustom
    {133, 285, 3138},	// QGlobalSpace::KST_KDEDesktopMimeType
    {133, 286, 3137},	// QGlobalSpace::KST_KFolderMimeType
    {133, 287, 3149},	// QGlobalSpace::KST_KImageIO
    {133, 288, 3141},	// QGlobalSpace::KST_KImageIOFormat
    {133, 289, 3136},	// QGlobalSpace::KST_KMimeType
    {133, 290, 3139},	// QGlobalSpace::KST_KMimeTypeEntry
    {133, 291, 3151},	// QGlobalSpace::KST_KMimeTypeFactory
    {133, 292, 3142},	// QGlobalSpace::KST_KProtocolInfo
    {133, 293, 3150},	// QGlobalSpace::KST_KProtocolInfoFactory
    {133, 294, 3134},	// QGlobalSpace::KST_KService
    {133, 295, 3146},	// QGlobalSpace::KST_KServiceFactory
    {133, 296, 3140},	// QGlobalSpace::KST_KServiceGroup
    {133, 297, 3148},	// QGlobalSpace::KST_KServiceGroupFactory
    {133, 298, 3143},	// QGlobalSpace::KST_KServiceSeparator
    {133, 299, 3135},	// QGlobalSpace::KST_KServiceType
    {133, 300, 3147},	// QGlobalSpace::KST_KServiceTypeFactory
    {133, 301, 3133},	// QGlobalSpace::KST_KSycocaEntry
    {133, 317, 3157},	// QGlobalSpace::LicensedActiveQt
    {133, 318, 3145},	// QGlobalSpace::LicensedCore
    {133, 319, 3158},	// QGlobalSpace::LicensedDBus
    {133, 320, 3156},	// QGlobalSpace::LicensedDeclarative
    {133, 321, 3155},	// QGlobalSpace::LicensedGui
    {133, 322, 3164},	// QGlobalSpace::LicensedHelp
    {133, 323, 3163},	// QGlobalSpace::LicensedMultimedia
    {133, 324, 3131},	// QGlobalSpace::LicensedNetwork
    {133, 325, 3128},	// QGlobalSpace::LicensedOpenGL
    {133, 326, 3130},	// QGlobalSpace::LicensedOpenVG
    {133, 327, 3129},	// QGlobalSpace::LicensedQt3Support
    {133, 328, 3161},	// QGlobalSpace::LicensedQt3SupportLight
    {133, 329, 3162},	// QGlobalSpace::LicensedScript
    {133, 330, 3160},	// QGlobalSpace::LicensedScriptTools
    {133, 331, 3132},	// QGlobalSpace::LicensedSql
    {133, 332, 3153},	// QGlobalSpace::LicensedSvg
    {133, 333, 3159},	// QGlobalSpace::LicensedTest
    {133, 334, 3122},	// QGlobalSpace::LicensedXml
    {133, 335, 3154},	// QGlobalSpace::LicensedXmlPatterns
    {133, 424, 3117},	// QGlobalSpace::Q_COMPLEX_TYPE
    {133, 425, 3121},	// QGlobalSpace::Q_DUMMY_TYPE
    {133, 426, 3120},	// QGlobalSpace::Q_MOVABLE_TYPE
    {133, 427, 3118},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {133, 428, 3119},	// QGlobalSpace::Q_STATIC_TYPE
    {133, 429, 3125},	// QGlobalSpace::QtCriticalMsg
    {133, 430, 3123},	// QGlobalSpace::QtDebugMsg
    {133, 431, 3126},	// QGlobalSpace::QtFatalMsg
    {133, 432, 3127},	// QGlobalSpace::QtSystemMsg
    {133, 433, 3124},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *plasma_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_plasma_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    plasma_Smoke = new Smoke(
        "plasma",
        __smokeplasma::classes, 199,
        __smokeplasma::methods, 3378,
        __smokeplasma::methodMaps, 3104,
        __smokeplasma::methodNames, 2521,
        __smokeplasma::types, 511,
        __smokeplasma::inheritanceList,
        __smokeplasma::argumentList,
        __smokeplasma::ambiguousMethodList,
        __smokeplasma::cast );
    initialized = true;
}

void delete_plasma_Smoke() { delete plasma_Smoke; }

}
